{"index": {"('MODELS', 'protein-structure', 'unifold')": {"filepath": "TEMPLATE_PATH/models/science/unifold/model.py", "imports": ["typing", "torch", "argparse", "os"], "module": "modelscope.models.science.unifold.model"}, "('MODELS', 'body-3d-keypoints', 'hdformer')": {"filepath": "TEMPLATE_PATH/models/cv/body_3d_keypoints/hdformer/hdformer_detector.py", "imports": ["typing", "torch", "os", "numpy"], "module": "modelscope.models.cv.body_3d_keypoints.hdformer.hdformer_detector"}, "('MODELS', 'body-3d-keypoints', 'body-3d-keypoints')": {"filepath": "TEMPLATE_PATH/models/cv/body_3d_keypoints/canonical_pose/body_3d_pose.py", "imports": ["typing", "torch", "os", "logging", "numpy"], "module": "modelscope.models.cv.body_3d_keypoints.canonical_pose.body_3d_pose"}, "('MODELS', 'video-summarization', 'pgl-video-summarization')": {"filepath": "TEMPLATE_PATH/models/cv/video_summarization/summarizer.py", "imports": ["typing", "torch", "os", "numpy"], "module": "modelscope.models.cv.video_summarization.summarizer"}, "('MODELS', 'controllable-image-generation', 'controllable-image-generation')": {"filepath": "TEMPLATE_PATH/models/cv/controllable_image_generation/controlnet.py", "imports": ["tempfile", "random", "torch", "math", "typing", "os", "sys", "PIL", "control_ldm", "cv2", "einops", "numpy"], "module": "modelscope.models.cv.controllable_image_generation.controlnet"}, "('MODELS', 'vision-efficient-tuning', 'vision-efficient-tuning')": {"filepath": "TEMPLATE_PATH/models/cv/vision_efficient_tuning/model.py", "imports": ["typing", "torch"], "module": "modelscope.models.cv.vision_efficient_tuning.model"}, "('MODELS', 'image-paintbyexample', 'Stablediffusion-Paintbyexample')": {"filepath": "TEMPLATE_PATH/models/cv/image_paintbyexample/model.py", "imports": ["typing", "torch", "paint_ldm", "omegaconf", "os"], "module": "modelscope.models.cv.image_paintbyexample.model"}, "('MODELS', 'human-normal-estimation', 'human-normal-estimation')": {"filepath": "TEMPLATE_PATH/models/cv/human_normal_estimation/human_nnet.py", "imports": ["torch", "torchvision", "os", "numpy"], "module": "modelscope.models.cv.human_normal_estimation.human_nnet"}, "('MODELS', 'surface-recon-common', 'surface-recon-common')": {"filepath": "TEMPLATE_PATH/models/cv/surface_recon_common/surface_recon_common.py", "imports": ["trimesh", "torch", "os", "numpy"], "module": "modelscope.models.cv.surface_recon_common.surface_recon_common"}, "('MODELS', 'image-classification', 'EasyRobustModel')": {"filepath": "TEMPLATE_PATH/models/cv/robust_image_classification/easyrobust_model.py", "imports": ["torch", "os"], "module": "modelscope.models.cv.robust_image_classification.easyrobust_model"}, "('ROI_EXTRACTORS', 'default', 'SingleRoINExtractor')": {"filepath": "TEMPLATE_PATH/models/cv/abnormal_object_detection/mmdet_ms/roi_head/roi_extractors/single_level_roi_extractor.py", "imports": ["torch", "mmcv", "mmdet"], "module": "modelscope.models.cv.abnormal_object_detection.mmdet_ms.roi_head.roi_extractors.single_level_roi_extractor"}, "('HEADS', 'default', 'MaskScoringNRoIHead')": {"filepath": "TEMPLATE_PATH/models/cv/abnormal_object_detection/mmdet_ms/roi_head/mask_scoring_roi_head.py", "imports": ["torch", "mmdet"], "module": "modelscope.models.cv.abnormal_object_detection.mmdet_ms.roi_head.mask_scoring_roi_head"}, "('MODELS', 'image-object-detection', 'MaskScoring')": {"filepath": "TEMPLATE_PATH/models/cv/abnormal_object_detection/mmdet_model.py", "imports": ["torch", "os", "numpy"], "module": "modelscope.models.cv.abnormal_object_detection.mmdet_model"}, "('MODELS', 'image-multi-view-depth-estimation', 'image-casmvs-depth-estimation')": {"filepath": "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation/casmvs_model.py", "imports": ["easydict", "torch", "os", "cv2", "numpy"], "module": "modelscope.models.cv.image_mvs_depth_estimation.casmvs_model"}, "('MODELS', 'text-to-head', 'text_to_head')": {"filepath": "TEMPLATE_PATH/models/cv/text_to_head/text_to_head_model.py", "imports": ["torch", "collections", "diffusers", "os", "cv2", "numpy"], "module": "modelscope.models.cv.text_to_head.text_to_head_model"}, "('MODELS', 'lineless-table-recognition', 'LoreModel')": {"filepath": "TEMPLATE_PATH/models/cv/table_recognition/model_lore.py", "imports": ["typing", "torch", "math", "os", "copy", "numpy"], "module": "modelscope.models.cv.table_recognition.model_lore"}, "('MODELS', 'image-local-feature-matching', 'loftr-image-local-feature-matching')": {"filepath": "TEMPLATE_PATH/models/cv/image_local_feature_matching/loftr_model.py", "imports": ["torch", "matplotlib", "os", "io", "copy", "cv2", "numpy"], "module": "modelscope.models.cv.image_local_feature_matching.loftr_model"}, "('MODELS', 'image-multi-view-depth-estimation', 'image-geomvsnet-depth-estimation')": {"filepath": "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation_geomvsnet/geomvsnet_model.py", "imports": ["easydict", "torch", "time", "os", "cv2", "numpy"], "module": "modelscope.models.cv.image_mvs_depth_estimation_geomvsnet.geomvsnet_model"}, "('MODELS', 'image-skychange', 'image-skychange')": {"filepath": "TEMPLATE_PATH/models/cv/image_skychange/skychange_model.py", "imports": ["typing", "torch", "math", "collections", "json", "pdb", "time", "os", "cv2"], "module": "modelscope.models.cv.image_skychange.skychange_model"}, "('PREPROCESSORS', 'cv', 'image-sky-change-preprocessor')": {"filepath": "TEMPLATE_PATH/models/cv/image_skychange/preprocessor.py", "imports": ["typing", "torch", "json", "numbers", "pdb", "torchvision", "cv2", "numpy"], "module": "modelscope.models.cv.image_skychange.preprocessor"}, "('MODELS', 'panorama-depth-estimation', 's2net-depth-estimation')": {"filepath": "TEMPLATE_PATH/models/cv/s2net_panorama_depth_estimation/s2net_model.py", "imports": ["torch", "torchvision", "os", "numpy"], "module": "modelscope.models.cv.s2net_panorama_depth_estimation.s2net_model"}, "('MODELS', 'body-2d-keypoints', 'body-2d-keypoints')": {"filepath": "TEMPLATE_PATH/models/cv/body_2d_keypoints/hrnet_v2.py", "imports": ["torch", "os", "numpy"], "module": "modelscope.models.cv.body_2d_keypoints.hrnet_v2"}, "('MODELS', 'language-guided-video-summarization', 'clip-it-language-guided-video-summarization')": {"filepath": "TEMPLATE_PATH/models/cv/language_guided_video_summarization/summarizer.py", "imports": ["typing", "torch", "argparse", "bmt_clipit", "videofeatures_clipit", "os", "numpy"], "module": "modelscope.models.cv.language_guided_video_summarization.summarizer"}, "('MODELS', 'image-segmentation', 'cascade_mask_rcnn_swin')": {"filepath": "TEMPLATE_PATH/models/cv/image_instance_segmentation/model.py", "imports": ["typing", "torch", "os"], "module": "modelscope.models.cv.image_instance_segmentation.model"}, "('MODELS', 'image-segmentation', 'fastinst')": {"filepath": "TEMPLATE_PATH/models/cv/image_instance_segmentation/fastinst_model.py", "imports": ["typing", "torch", "os"], "module": "modelscope.models.cv.image_instance_segmentation.fastinst_model"}, "('MODELS', 'image-segmentation', 'maskdino_swin')": {"filepath": "TEMPLATE_PATH/models/cv/image_instance_segmentation/maskdino_model.py", "imports": ["typing", "torch", "os"], "module": "modelscope.models.cv.image_instance_segmentation.maskdino_model"}, "('MODELS', 'self-supervised-depth-completion', 'self-supervised-depth-completion')": {"filepath": "TEMPLATE_PATH/models/cv/self_supervised_depth_completion/self_supervised_depth_completion.py", "imports": ["torch", "argparse", "time", "tqdm", "os", "sys", "cv2", "numpy"], "module": "modelscope.models.cv.self_supervised_depth_completion.self_supervised_depth_completion"}, "('MODELS', 'semantic-segmentation', 'detection')": {"filepath": "TEMPLATE_PATH/models/cv/salient_detection/salient_model.py", "imports": ["torch", "torchvision", "os", "PIL", "cv2"], "module": "modelscope.models.cv.salient_detection.salient_model"}, "('MODELS', 'video-object-segmentation', 'video-object-segmentation')": {"filepath": "TEMPLATE_PATH/models/cv/video_object_segmentation/model.py", "imports": ["typing", "torch", "os"], "module": "modelscope.models.cv.video_object_segmentation.model"}, "('MODELS', 'face-emotion', 'face-emotion')": {"filepath": "TEMPLATE_PATH/models/cv/face_emotion/emotion_model.py", "imports": ["sys", "os", "torch"], "module": "modelscope.models.cv.face_emotion.emotion_model"}, "('MODELS', 'panorama-depth-estimation', 'unifuse-depth-estimation')": {"filepath": "TEMPLATE_PATH/models/cv/panorama_depth_estimation/unifuse_model.py", "imports": ["torch", "torchvision", "os", "numpy"], "module": "modelscope.models.cv.panorama_depth_estimation.unifuse_model"}, "('MODELS', 'image-object-detection', 'vidt')": {"filepath": "TEMPLATE_PATH/models/cv/vidt/model.py", "imports": ["torch", "os"], "module": "modelscope.models.cv.vidt.model"}, "('MODELS', 'product-segmentation', 'product-segmentation')": {"filepath": "TEMPLATE_PATH/models/cv/product_segmentation/seg_infer.py", "imports": ["torch", "PIL", "cv2", "numpy"], "module": "modelscope.models.cv.product_segmentation.seg_infer"}, "('MODELS', 'image-segmentation', 'swinL-panoptic-segmentation')": {"filepath": "TEMPLATE_PATH/models/cv/image_panoptic_segmentation/panseg_model.py", "imports": ["torch", "os"], "module": "modelscope.models.cv.image_panoptic_segmentation.panseg_model"}, "('MODELS', 'video-object-detection', 'realtime-video-object-detection')": {"filepath": "TEMPLATE_PATH/models/cv/stream_yolo/realtime_video_detector.py", "imports": ["torch", "json", "argparse", "time", "tqdm", "os", "logging", "cv2", "numpy"], "module": "modelscope.models.cv.stream_yolo.realtime_video_detector"}, "('MODELS', 'image-body-reshaping', 'image-body-reshaping')": {"filepath": "TEMPLATE_PATH/models/cv/image_body_reshaping/image_body_reshaping.py", "imports": ["typing", "torch", "os", "cv2", "numpy"], "module": "modelscope.models.cv.image_body_reshaping.image_body_reshaping"}, "('MODELS', 'image-quality-assessment-mos', 'image-quality-assessment-man')": {"filepath": "TEMPLATE_PATH/models/cv/image_quality_assessment_man/image_quality_assessment_man.py", "imports": ["typing", "torch", "os"], "module": "modelscope.models.cv.image_quality_assessment_man.image_quality_assessment_man"}, "('MODELS', 'face-attribute-recognition', 'fairface')": {"filepath": "TEMPLATE_PATH/models/cv/face_attribute_recognition/fair_face/face_attribute_recognition.py", "imports": ["torch", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.models.cv.face_attribute_recognition.fair_face.face_attribute_recognition"}, "('MODELS', 'image-classification', 'image-probing-model')": {"filepath": "TEMPLATE_PATH/models/cv/image_probing_model/model.py", "imports": ["typing", "torch", "os", "json"], "module": "modelscope.models.cv.image_probing_model.model"}, "('MODELS', 'image-object-detection', 'tinynas-detection')": {"filepath": "TEMPLATE_PATH/models/cv/tinynas_detection/tinynas_detector.py", "imports": [], "module": "modelscope.models.cv.tinynas_detection.tinynas_detector"}, "('MODELS', 'domain-specific-object-detection', 'tinynas-damoyolo')": {"filepath": "TEMPLATE_PATH/models/cv/tinynas_detection/tinynas_damoyolo.py", "imports": [], "module": "modelscope.models.cv.tinynas_detection.tinynas_damoyolo"}, "('MODELS', 'image-object-detection', 'tinynas-damoyolo')": {"filepath": "TEMPLATE_PATH/models/cv/tinynas_detection/tinynas_damoyolo.py", "imports": [], "module": "modelscope.models.cv.tinynas_detection.tinynas_damoyolo"}, "('MODELS', 'image-super-resolution', 'ecbsr')": {"filepath": "TEMPLATE_PATH/models/cv/super_resolution/ecbsr_model.py", "imports": ["typing", "torch", "os"], "module": "modelscope.models.cv.super_resolution.ecbsr_model"}, "('MODELS', 'referring-video-object-segmentation', 'swinT-referring-video-object-segmentation')": {"filepath": "TEMPLATE_PATH/models/cv/referring_video_object_segmentation/model.py", "imports": ["typing", "torch", "os"], "module": "modelscope.models.cv.referring_video_object_segmentation.model"}, "('MODELS', 'face-recognition', 'rts-backbone')": {"filepath": "TEMPLATE_PATH/models/cv/face_recognition/torchkit/rts_backbone.py", "imports": ["torch", "os", "collections", "math"], "module": "modelscope.models.cv.face_recognition.torchkit.rts_backbone"}, "('MODELS', 'ocr-detection', 'OCRDetection')": {"filepath": "TEMPLATE_PATH/models/cv/ocr_detection/model.py", "imports": ["typing", "torch", "os", "numpy"], "module": "modelscope.models.cv.ocr_detection.model"}, "('PREPROCESSORS', 'cv', 'ocr-detection')": {"filepath": "TEMPLATE_PATH/models/cv/ocr_detection/preprocessor.py", "imports": ["typing", "torch", "math", "os", "PIL", "cv2", "numpy"], "module": "modelscope.models.cv.ocr_detection.preprocessor"}, "('MODELS', 'image-inpainting', 'FFTInpainting')": {"filepath": "TEMPLATE_PATH/models/cv/image_inpainting/model.py", "imports": ["typing", "torch", "os"], "module": "modelscope.models.cv.image_inpainting.model"}, "('MODELS', 'video-stabilization', 'video-stabilization')": {"filepath": "TEMPLATE_PATH/models/cv/video_stabilization/DUTRAFTStabilizer.py", "imports": ["tempfile", "torch", "typing", "math", "os", "sys", "cv2", "numpy"], "module": "modelscope.models.cv.video_stabilization.DUTRAFTStabilizer"}, "('MODELS', 'image-matching', 'quadtree-attention-image-matching')": {"filepath": "TEMPLATE_PATH/models/cv/image_matching/quadtree_attention_model.py", "imports": ["torch", "pathlib", "os", "cv2", "numpy"], "module": "modelscope.models.cv.image_matching.quadtree_attention_model"}, "('MODELS', 'image-reid-person', 'passvitb')": {"filepath": "TEMPLATE_PATH/models/cv/image_reid_person/pass_model.py", "imports": ["enum", "torch", "os"], "module": "modelscope.models.cv.image_reid_person.pass_model"}, "('MODELS', 'face-reconstruction', 'face_reconstruction')": {"filepath": "TEMPLATE_PATH/models/cv/face_reconstruction/models/facerecon_model.py", "imports": ["torch", "collections", "os", "cv2", "numpy"], "module": "modelscope.models.cv.face_reconstruction.models.facerecon_model"}, "('MODELS', 'video-frame-interpolation', 'video-frame-interpolation')": {"filepath": "TEMPLATE_PATH/models/cv/video_frame_interpolation/VFINet_for_video_frame_interpolation.py", "imports": ["typing", "torch", "copy", "os"], "module": "modelscope.models.cv.video_frame_interpolation.VFINet_for_video_frame_interpolation"}, "('MODELS', 'video-frame-interpolation', 'rife')": {"filepath": "TEMPLATE_PATH/models/cv/video_frame_interpolation/rife/RIFE_HDv3.py", "imports": ["numpy", "torch", "itertools"], "module": "modelscope.models.cv.video_frame_interpolation.rife.RIFE_HDv3"}, "('MODELS', 'image-color-enhancement', 'deeplpfnet')": {"filepath": "TEMPLATE_PATH/models/cv/image_color_enhance/deeplpf/deeplpf_image_color_enhance.py", "imports": ["typing", "torch", "os"], "module": "modelscope.models.cv.image_color_enhance.deeplpf.deeplpf_image_color_enhance"}, "('MODELS', 'image-color-enhancement', 'adaint')": {"filepath": "TEMPLATE_PATH/models/cv/image_color_enhance/adaint/adaint.py", "imports": ["typing", "torch", "numbers", "torchvision", "os"], "module": "modelscope.models.cv.image_color_enhance.adaint.adaint"}, "('MODELS', 'image-color-enhancement', 'csrnet')": {"filepath": "TEMPLATE_PATH/models/cv/image_color_enhance/image_color_enhance.py", "imports": ["typing", "torch", "os"], "module": "modelscope.models.cv.image_color_enhance.image_color_enhance"}, "('MODELS', 'image-deblurring', 'nafnet')": {"filepath": "TEMPLATE_PATH/models/cv/image_deblur/nafnet_for_image_deblur.py", "imports": ["typing", "torch", "os"], "module": "modelscope.models.cv.image_deblur.nafnet_for_image_deblur"}, "('MODELS', 'pedestrian-attribute-recognition', 'pedestrian-attribute-recognition')": {"filepath": "TEMPLATE_PATH/models/cv/pedestrian_attribute_recognition/model.py", "imports": ["torch", "torchvision", "os", "numpy"], "module": "modelscope.models.cv.pedestrian_attribute_recognition.model"}, "('MODELS', 'image-debanding', 'rrdb')": {"filepath": "TEMPLATE_PATH/models/cv/image_debanding/rrdb/rrdb_image_debanding.py", "imports": ["typing", "torch", "os"], "module": "modelscope.models.cv.image_debanding.rrdb.rrdb_image_debanding"}, "('MODELS', 'video-text-retrieval', 'vop-retrieval-model')": {"filepath": "TEMPLATE_PATH/models/cv/vop_retrieval/model.py", "imports": ["torch", "os"], "module": "modelscope.models.cv.vop_retrieval.model"}, "('MODELS', 'video-text-retrieval', 'vop-retrieval-model-se')": {"filepath": "TEMPLATE_PATH/models/cv/vop_retrieval/model_se.py", "imports": ["torch", "os"], "module": "modelscope.models.cv.vop_retrieval.model_se"}, "('MODELS', 'face-2d-keypoints', 'flc')": {"filepath": "TEMPLATE_PATH/models/cv/facial_landmark_confidence/flc/facial_landmark_confidence.py", "imports": ["torch", "os", "PIL", "cv2", "numpy"], "module": "modelscope.models.cv.facial_landmark_confidence.flc.facial_landmark_confidence"}, "('MODELS', 'human-reconstruction', 'human-reconstruction')": {"filepath": "TEMPLATE_PATH/models/cv/human_reconstruction/Reconstruction.py", "imports": ["typing", "torch", "torchvision", "os", "skimage", "PIL", "cv2", "numpy"], "module": "modelscope.models.cv.human_reconstruction.Reconstruction"}, "('MODELS', 'video-object-detection', 'longshortnet')": {"filepath": "TEMPLATE_PATH/models/cv/video_streaming_perception/longshortnet/longshortnet.py", "imports": ["torch", "json", "argparse", "time", "tqdm", "os", "logging", "cv2", "numpy"], "module": "modelscope.models.cv.video_streaming_perception.longshortnet.longshortnet"}, "('MODELS', 'face-human-hand-detection', 'face-human-hand-detection')": {"filepath": "TEMPLATE_PATH/models/cv/face_human_hand_detection/det_infer.py", "imports": ["torch", "cv2", "numpy"], "module": "modelscope.models.cv.face_human_hand_detection.det_infer"}, "('MODELS', 'human-image-generation', 'human-image-generation')": {"filepath": "TEMPLATE_PATH/models/cv/human_image_generation/human_image_generation_infer.py", "imports": ["random", "torch", "math", "pickle", "ast", "torchvision", "PIL", "cv2", "numpy"], "module": "modelscope.models.cv.human_image_generation.human_image_generation_infer"}, "('MODELS', 'dense-optical-flow-estimation', 'raft-dense-optical-flow-estimation')": {"filepath": "TEMPLATE_PATH/models/cv/dense_optical_flow_estimation/raft_model.py", "imports": ["torch", "argparse", "os"], "module": "modelscope.models.cv.dense_optical_flow_estimation.raft_model"}, "('MODELS', 'shop-segmentation', 'shop-segmentation')": {"filepath": "TEMPLATE_PATH/models/cv/shop_segmentation/shop_seg_model.py", "imports": ["typing", "torch", "json", "os", "PIL", "numpy"], "module": "modelscope.models.cv.shop_segmentation.shop_seg_model"}, "('MODELS', 'image-face-fusion', 'image-face-fusion')": {"filepath": "TEMPLATE_PATH/models/cv/image_face_fusion/image_face_fusion.py", "imports": ["typing", "torch", "collections", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.models.cv.image_face_fusion.image_face_fusion"}, "('MODELS', 'face-detection', 'mtcnn')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/mtcnn/models/detector.py", "imports": ["torch", "PIL", "os", "numpy"], "module": "modelscope.models.cv.face_detection.mtcnn.models.detector"}, "('MODELS', 'face-detection', 'tinymog')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/tinymog_detect.py", "imports": ["typing", "torch", "copy", "os"], "module": "modelscope.models.cv.face_detection.scrfd.tinymog_detect"}, "('MODELS', 'face-detection', 'damofd')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/damofd_detect.py", "imports": ["typing", "torch", "copy", "os"], "module": "modelscope.models.cv.face_detection.scrfd.damofd_detect"}, "('MODELS', 'face-detection', 'scrfd')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/scrfd_detect.py", "imports": ["typing", "torch", "os", "copy", "numpy"], "module": "modelscope.models.cv.face_detection.scrfd.scrfd_detect"}, "('MODELS', 'card-detection', 'scrfd')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/scrfd_detect.py", "imports": ["typing", "torch", "os", "copy", "numpy"], "module": "modelscope.models.cv.face_detection.scrfd.scrfd_detect"}, "('PREPROCESSORS', 'cv', 'object-detection-scrfd')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/preprocessor.py", "imports": ["typing", "PIL", "numpy"], "module": "modelscope.models.cv.face_detection.scrfd.preprocessor"}, "('PIPELINES', 'default', 'ResizeV2')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/datasets/pipelines/transforms.py", "imports": ["mmcv", "mmdet", "numpy"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.datasets.pipelines.transforms"}, "('PIPELINES', 'default', 'RandomFlipV2')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/datasets/pipelines/transforms.py", "imports": ["mmcv", "mmdet", "numpy"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.datasets.pipelines.transforms"}, "('PIPELINES', 'default', 'RandomSquareCrop')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/datasets/pipelines/transforms.py", "imports": ["mmcv", "mmdet", "numpy"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.datasets.pipelines.transforms"}, "('PIPELINES', 'default', 'LoadAnnotationsV2')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/datasets/pipelines/loading.py", "imports": ["mmdet", "pycocotools", "os", "numpy"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.datasets.pipelines.loading"}, "('PIPELINES', 'default', 'RotateV2')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/datasets/pipelines/auto_augment.py", "imports": ["mmcv", "mmdet", "copy", "cv2", "numpy"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.datasets.pipelines.auto_augment"}, "('PIPELINES', 'default', 'DefaultFormatBundleV2')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/datasets/pipelines/formating.py", "imports": ["torch", "mmcv", "mmdet", "numpy"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.datasets.pipelines.formating"}, "('DATASETS', 'default', 'RetinaFaceDataset')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/datasets/retinaface.py", "imports": ["mmdet", "numpy"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.datasets.retinaface"}, "('BACKBONES', 'default', 'MasterNet')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/backbones/master_net.py", "imports": ["torch", "mmdet"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.backbones.master_net"}, "('BACKBONES', 'default', 'MobileNetV1')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/backbones/mobilenet.py", "imports": ["torch", "mmcv", "mmdet"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.backbones.mobilenet"}, "('BACKBONES', 'default', 'ResNetV1e')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/backbones/resnet.py", "imports": ["torch", "mmcv", "mmdet"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.backbones.resnet"}, "('HEADS', 'default', 'SCRFDHead')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/dense_heads/scrfd_head.py", "imports": ["torch", "mmcv", "mmdet", "numpy"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.dense_heads.scrfd_head"}, "('DETECTORS', 'default', 'SCRFD')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/detectors/scrfd.py", "imports": ["torch", "mmdet"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.detectors.scrfd"}, "('DETECTORS', 'default', 'CustomSingleStageDetector')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/detectors/single_stage.py", "imports": ["torch", "mmdet"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.detectors.single_stage"}, "('DETECTORS', 'default', 'TinyMog')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/detectors/tinymog.py", "imports": ["torch", "mmdet"], "module": "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.detectors.tinymog"}, "('MODELS', 'face-detection', 'mogface')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/mogface/models/detectors.py", "imports": ["torch", "cv2", "os", "numpy"], "module": "modelscope.models.cv.face_detection.mogface.models.detectors"}, "('MODELS', 'face-detection', 'retinaface')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/retinaface/detection.py", "imports": ["torch", "cv2", "numpy"], "module": "modelscope.models.cv.face_detection.retinaface.detection"}, "('MODELS', 'face-detection', 'ulfd')": {"filepath": "TEMPLATE_PATH/models/cv/face_detection/ulfd_slim/detection.py", "imports": ["torch", "cv2", "os", "numpy"], "module": "modelscope.models.cv.face_detection.ulfd_slim.detection"}, "('MODELS', 'image-depth-estimation', 'bts-depth-estimation')": {"filepath": "TEMPLATE_PATH/models/cv/image_depth_estimation_bts/depth_estimation_bts_model.py", "imports": ["torch", "os"], "module": "modelscope.models.cv.image_depth_estimation_bts.depth_estimation_bts_model"}, "('MODELS', 'head-reconstruction', 'head_reconstruction')": {"filepath": "TEMPLATE_PATH/models/cv/head_reconstruction/models/headrecon_model.py", "imports": ["torch", "collections", "os", "cv2", "numpy"], "module": "modelscope.models.cv.head_reconstruction.models.headrecon_model"}, "('MODELS', 'image-segmentation', 'm2fp')": {"filepath": "TEMPLATE_PATH/models/cv/image_human_parsing/m2fp_net.py", "imports": ["typing", "torch", "os"], "module": "modelscope.models.cv.image_human_parsing.m2fp_net"}, "('MATCH_COST', 'default', 'MaskCost')": {"filepath": "TEMPLATE_PATH/models/cv/video_instance_segmentation/track/mask_hungarian_assigner.py", "imports": ["torch", "scipy", "mmdet", "numpy"], "module": "modelscope.models.cv.video_instance_segmentation.track.mask_hungarian_assigner"}, "('BBOX_ASSIGNERS', 'default', 'MaskHungarianAssignerVideo')": {"filepath": "TEMPLATE_PATH/models/cv/video_instance_segmentation/track/mask_hungarian_assigner.py", "imports": ["torch", "scipy", "mmdet", "numpy"], "module": "modelscope.models.cv.video_instance_segmentation.track.mask_hungarian_assigner"}, "('HEADS', 'default', 'KernelUpdateHeadVideo')": {"filepath": "TEMPLATE_PATH/models/cv/video_instance_segmentation/track/kernel_update_head.py", "imports": ["torch", "mmcv", "mmdet", "numpy"], "module": "modelscope.models.cv.video_instance_segmentation.track.kernel_update_head"}, "('NECKS', 'default', 'MSDeformAttnPixelDecoder')": {"filepath": "TEMPLATE_PATH/models/cv/video_instance_segmentation/neck/msdeformattn_decoder.py", "imports": ["torch", "mmcv", "mmdet"], "module": "modelscope.models.cv.video_instance_segmentation.neck.msdeformattn_decoder"}, "('TRANSFORMER_LAYER', 'default', 'KernelUpdator')": {"filepath": "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/head/kernel_updator.py", "imports": ["torch", "mmcv"], "module": "modelscope.models.cv.video_panoptic_segmentation.head.kernel_updator"}, "('HEADS', 'default', 'KernelIterHeadVideo')": {"filepath": "TEMPLATE_PATH/models/cv/video_instance_segmentation/head/kernel_iter_head.py", "imports": ["torch", "mmdet"], "module": "modelscope.models.cv.video_instance_segmentation.head.kernel_iter_head"}, "('HEADS', 'default', 'ConvKernelHeadVideo')": {"filepath": "TEMPLATE_PATH/models/cv/video_instance_segmentation/head/kernel_head.py", "imports": ["torch", "mmcv", "mmdet"], "module": "modelscope.models.cv.video_instance_segmentation.head.kernel_head"}, "('HEADS', 'default', 'KernelFrameIterHeadVideo')": {"filepath": "TEMPLATE_PATH/models/cv/video_instance_segmentation/head/kernel_frame_iter_head.py", "imports": ["torch", "mmcv", "mmdet"], "module": "modelscope.models.cv.video_instance_segmentation.head.kernel_frame_iter_head"}, "('HEADS', 'default', 'KernelUpdateHead')": {"filepath": "TEMPLATE_PATH/models/cv/video_instance_segmentation/head/kernel_update_head.py", "imports": ["torch", "mmcv", "mmdet", "numpy"], "module": "modelscope.models.cv.video_instance_segmentation.head.kernel_update_head"}, "('MODELS', 'video-instance-segmentation', 'swinb-video-instance-segmentation')": {"filepath": "TEMPLATE_PATH/models/cv/video_instance_segmentation/video_knet.py", "imports": ["torch", "mmdet"], "module": "modelscope.models.cv.video_instance_segmentation.video_knet"}, "('MODELS', 'hand-static', 'hand-static')": {"filepath": "TEMPLATE_PATH/models/cv/hand_static/hand_model.py", "imports": ["torch", "torchvision", "os", "sys", "PIL", "cv2", "numpy"], "module": "modelscope.models.cv.hand_static.hand_model"}, "('PREPROCESSORS', 'cv', 'nerf-recon-acc-preprocessor')": {"filepath": "TEMPLATE_PATH/models/cv/nerf_recon_acc/nerf_preprocess.py", "imports": ["typing", "glob", "subprocess", "tensorflow", "os", "cv2", "numpy"], "module": "modelscope.models.cv.nerf_recon_acc.nerf_preprocess"}, "('MODELS', 'nerf-recon-4k', 'nerf-recon-4k')": {"filepath": "TEMPLATE_PATH/models/cv/nerf_recon_4k/nerf_recon_4k.py", "imports": ["random", "torch", "mmcv", "argparse", "imageio", "time", "tqdm", "os", "numpy"], "module": "modelscope.models.cv.nerf_recon_4k.nerf_recon_4k"}, "('HEADS', 'default', 'Mask2FormerHeadFromMMSeg')": {"filepath": "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/models/decode_heads/mask2former_head_from_mmseg.py", "imports": ["copy", "torch", "mmcv", "mmdet"], "module": "modelscope.models.cv.image_semantic_segmentation.vit_adapter.models.decode_heads.mask2former_head_from_mmseg"}, "('DETECTORS', 'default', 'EncoderDecoderMask2Former')": {"filepath": "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/models/segmentors/encoder_decoder_mask2former.py", "imports": ["torch", "mmdet"], "module": "modelscope.models.cv.image_semantic_segmentation.vit_adapter.models.segmentors.encoder_decoder_mask2former"}, "('BACKBONES', 'default', 'BEiTAdapter')": {"filepath": "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/models/backbone/beit_adapter.py", "imports": ["torch", "math", "mmdet", "timm", "logging"], "module": "modelscope.models.cv.image_semantic_segmentation.vit_adapter.models.backbone.beit_adapter"}, "('BACKBONES', 'default', 'BASEBEiT')": {"filepath": "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/models/backbone/base/beit.py", "imports": ["torch", "functools", "math", "mmcv", "mmdet", "timm"], "module": "modelscope.models.cv.image_semantic_segmentation.vit_adapter.models.backbone.base.beit"}, "('PIPELINES', 'default', 'ResizeToMultiple')": {"filepath": "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/utils/data_process_func.py", "imports": ["mmcv", "mmdet"], "module": "modelscope.models.cv.image_semantic_segmentation.vit_adapter.utils.data_process_func"}, "('MODELS', 'image-segmentation', 'swinL-semantic-segmentation')": {"filepath": "TEMPLATE_PATH/models/cv/image_semantic_segmentation/semantic_seg_model.py", "imports": ["torch", "os", "numpy"], "module": "modelscope.models.cv.image_semantic_segmentation.semantic_seg_model"}, "('MODELS', 'image-segmentation', 'vitadapter-semantic-segmentation')": {"filepath": "TEMPLATE_PATH/models/cv/image_semantic_segmentation/semantic_seg_model.py", "imports": ["torch", "os", "numpy"], "module": "modelscope.models.cv.image_semantic_segmentation.semantic_seg_model"}, "('MODELS', 'semantic-segmentation', 'ddpm')": {"filepath": "TEMPLATE_PATH/models/cv/image_semantic_segmentation/ddpm_segmentation_model.py", "imports": ["typing", "torch", "ddpm_guided_diffusion", "os"], "module": "modelscope.models.cv.image_semantic_segmentation.ddpm_segmentation_model"}, "('HEADS', 'default', 'MaskFormerSemanticHead')": {"filepath": "TEMPLATE_PATH/models/cv/image_semantic_segmentation/pan_merge/maskformer_semantic_head.py", "imports": ["torch", "mmdet"], "module": "modelscope.models.cv.image_semantic_segmentation.pan_merge.maskformer_semantic_head"}, "('MODELS', 'image-classification', 'bnext')": {"filepath": "TEMPLATE_PATH/models/cv/image_binary_quant_classification/binary_quant_model.py", "imports": ["torch", "collections", "os"], "module": "modelscope.models.cv.image_binary_quant_classification.binary_quant_model"}, "('MODELS', 'nerf-recon-vq-compression', 'nerf-recon-vq-compression')": {"filepath": "TEMPLATE_PATH/models/cv/nerf_recon_vq_compression/nerf_recon_vq_compression.py", "imports": ["glob", "torch", "time", "tqdm", "functools", "os", "cv2", "numpy"], "module": "modelscope.models.cv.nerf_recon_vq_compression.nerf_recon_vq_compression"}, "('MODELS', 'object-detection-3d', 'depe')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/depe_detect.py", "imports": ["typing", "torch", "os", "numpy"], "module": "modelscope.models.cv.object_detection_3d.depe.depe_detect"}, "('DATASETS', 'default', 'CustomNuScenesDataset')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/datasets/nuscenes_dataset.py", "imports": ["mmdet3d", "mmdet", "numpy"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.datasets.nuscenes_dataset"}, "('PIPELINES', 'default', 'LoadMultiViewImageFromMultiSweepsFiles')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/datasets/pipelines/loading.py", "imports": ["mmcv", "mmdet", "numpy"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.datasets.pipelines.loading"}, "('PIPELINES', 'default', 'PadMultiViewImage')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/datasets/pipelines/transform_3d.py", "imports": ["mmdet3d", "torch", "mmcv", "mmdet", "copy", "PIL", "numpy"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.datasets.pipelines.transform_3d"}, "('PIPELINES', 'default', 'NormalizeMultiviewImage')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/datasets/pipelines/transform_3d.py", "imports": ["mmdet3d", "torch", "mmcv", "mmdet", "copy", "PIL", "numpy"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.datasets.pipelines.transform_3d"}, "('PIPELINES', 'default', 'ResizeCropFlipImage')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/datasets/pipelines/transform_3d.py", "imports": ["mmdet3d", "torch", "mmcv", "mmdet", "copy", "PIL", "numpy"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.datasets.pipelines.transform_3d"}, "('BBOX_CODERS', 'default', 'NMSFreeCoder')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/core/bbox/coders/nms_free_coder.py", "imports": ["torch", "mmdet"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.core.bbox.coders.nms_free_coder"}, "('MATCH_COST', 'default', 'BBox3DL1Cost')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/core/bbox/match_costs/match_cost.py", "imports": ["torch", "mmdet"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.core.bbox.match_costs.match_cost"}, "('BBOX_ASSIGNERS', 'default', 'HungarianAssigner3D')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/core/bbox/assigners/hungarian_assigner_3d.py", "imports": ["torch", "scipy", "mmdet"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.core.bbox.assigners.hungarian_assigner_3d"}, "('BACKBONES', 'default', 'VoVNet')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/backbones/vovnet.py", "imports": ["torch", "collections", "mmcv", "mmdet"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.backbones.vovnet"}, "('HEADS', 'default', 'PETRv2DEDNHead')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/dense_heads/petrv2_dednhead.py", "imports": ["mmdet3d", "torch", "math", "mmcv", "mmdet", "copy", "numpy"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.dense_heads.petrv2_dednhead"}, "('DETECTORS', 'default', 'Petr3D')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/detectors/petr3d.py", "imports": ["mmdet3d", "torch", "mmcv", "mmdet", "numpy"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.detectors.petr3d"}, "('TRANSFORMER', 'default', 'PETRDNTransformer')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/utils/petr_transformer.py", "imports": ["typing", "torch", "math", "mmcv", "mmdet", "warnings", "copy"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.utils.petr_transformer"}, "('TRANSFORMER_LAYER', 'default', 'PETRTransformerDecoderLayer')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/utils/petr_transformer.py", "imports": ["typing", "torch", "math", "mmcv", "mmdet", "warnings", "copy"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.utils.petr_transformer"}, "('ATTENTION', 'default', 'PETRMultiheadAttention')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/utils/petr_transformer.py", "imports": ["typing", "torch", "math", "mmcv", "mmdet", "warnings", "copy"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.utils.petr_transformer"}, "('TRANSFORMER_LAYER_SEQUENCE', 'default', 'PETRTransformerEncoder')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/utils/petr_transformer.py", "imports": ["typing", "torch", "math", "mmcv", "mmdet", "warnings", "copy"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.utils.petr_transformer"}, "('TRANSFORMER_LAYER_SEQUENCE', 'default', 'PETRTransformerDecoder')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/utils/petr_transformer.py", "imports": ["typing", "torch", "math", "mmcv", "mmdet", "warnings", "copy"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.utils.petr_transformer"}, "('POSITIONAL_ENCODING', 'default', 'SinePositionalEncoding3D')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/utils/positional_encoding.py", "imports": ["torch", "math", "mmcv"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.utils.positional_encoding"}, "('NECKS', 'default', 'CPFPN')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/necks/cp_fpn.py", "imports": ["torch", "mmcv", "mmdet"], "module": "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.necks.cp_fpn"}, "('MODELS', 'image-colorization', 'ddcolor')": {"filepath": "TEMPLATE_PATH/models/cv/image_colorization/ddcolor/ddcolor_for_image_colorization.py", "imports": ["typing", "torch", "os", "copy", "numpy"], "module": "modelscope.models.cv.image_colorization.ddcolor.ddcolor_for_image_colorization"}, "('MODELS', 'ocr-recognition', 'OCRRecognition')": {"filepath": "TEMPLATE_PATH/models/cv/ocr_recognition/model.py", "imports": ["torch", "os"], "module": "modelscope.models.cv.ocr_recognition.model"}, "('PREPROCESSORS', 'cv', 'ocr-recognition')": {"filepath": "TEMPLATE_PATH/models/cv/ocr_recognition/preprocessor.py", "imports": ["torch", "os", "PIL", "cv2", "numpy"], "module": "modelscope.models.cv.ocr_recognition.preprocessor"}, "('MODELS', 'video-human-matting', 'video-human-matting')": {"filepath": "TEMPLATE_PATH/models/cv/video_human_matting/model.py", "imports": ["typing", "torch", "torchvision", "os", "numpy"], "module": "modelscope.models.cv.video_human_matting.model"}, "('MODELS', 'image-driving-perception', 'yolopv2')": {"filepath": "TEMPLATE_PATH/models/cv/image_driving_perception/image_driving_percetion_model.py", "imports": ["typing", "torch", "os", "cv2", "numpy"], "module": "modelscope.models.cv.image_driving_perception.image_driving_percetion_model"}, "('PREPROCESSORS', 'cv', 'image-driving-perception-preprocessor')": {"filepath": "TEMPLATE_PATH/models/cv/image_driving_perception/preprocessor.py", "imports": ["typing", "torch", "cv2", "numpy"], "module": "modelscope.models.cv.image_driving_perception.preprocessor"}, "('MODELS', 'image-portrait-enhancement', 'gpen')": {"filepath": "TEMPLATE_PATH/models/cv/image_portrait_enhancement/image_portrait_enhancement.py", "imports": ["typing", "torch", "math", "os"], "module": "modelscope.models.cv.image_portrait_enhancement.image_portrait_enhancement"}, "('MODELS', 'facial-expression-recognition', 'fer')": {"filepath": "TEMPLATE_PATH/models/cv/facial_expression_recognition/fer/facial_expression_recognition.py", "imports": ["torch", "os", "PIL", "cv2", "numpy"], "module": "modelscope.models.cv.facial_expression_recognition.fer.facial_expression_recognition"}, "('MODELS', 'text-driven-segmentation', 'text-driven-segmentation')": {"filepath": "TEMPLATE_PATH/models/cv/text_driven_segmentation/lseg_model.py", "imports": ["typing", "torch", "json", "os", "PIL", "numpy"], "module": "modelscope.models.cv.text_driven_segmentation.lseg_model"}, "('HEADS', 'default', 'ConvFCBBoxNHead')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/roi_heads/bbox_heads/convfc_bbox_head.py", "imports": ["torch", "mmdet"], "module": "modelscope.models.cv.object_detection.mmdet_ms.roi_heads.bbox_heads.convfc_bbox_head"}, "('HEADS', 'default', 'Shared2FCBBoxNHead')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/roi_heads/bbox_heads/convfc_bbox_head.py", "imports": ["torch", "mmdet"], "module": "modelscope.models.cv.object_detection.mmdet_ms.roi_heads.bbox_heads.convfc_bbox_head"}, "('HEADS', 'default', 'Shared4Conv1FCBBoxNHead')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/roi_heads/bbox_heads/convfc_bbox_head.py", "imports": ["torch", "mmdet"], "module": "modelscope.models.cv.object_detection.mmdet_ms.roi_heads.bbox_heads.convfc_bbox_head"}, "('HEADS', 'default', 'FCNMaskNHead')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/roi_heads/mask_heads/fcn_mask_head.py", "imports": ["torch", "mmcv", "mmdet", "warnings", "numpy"], "module": "modelscope.models.cv.object_detection.mmdet_ms.roi_heads.mask_heads.fcn_mask_head"}, "('BACKBONES', 'default', 'ViT')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/backbones/vit.py", "imports": ["torch", "math", "mmdet", "timm", "functools"], "module": "modelscope.models.cv.object_detection.mmdet_ms.backbones.vit"}, "('HEADS', 'default', 'AnchorNHead')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/dense_heads/anchor_head.py", "imports": ["mmdet"], "module": "modelscope.models.cv.object_detection.mmdet_ms.dense_heads.anchor_head"}, "('HEADS', 'default', 'RPNNHead')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/dense_heads/rpn_head.py", "imports": ["copy", "torch", "mmcv", "mmdet"], "module": "modelscope.models.cv.object_detection.mmdet_ms.dense_heads.rpn_head"}, "('NECKS', 'default', 'FPNF')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/necks/fpn.py", "imports": ["torch", "mmcv", "mmdet"], "module": "modelscope.models.cv.object_detection.mmdet_ms.necks.fpn"}, "('MODELS', 'human-detection', 'detection')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection/mmdet_model.py", "imports": ["torch", "os", "numpy"], "module": "modelscope.models.cv.object_detection.mmdet_model"}, "('MODELS', 'image-object-detection', 'detection')": {"filepath": "TEMPLATE_PATH/models/cv/object_detection/mmdet_model.py", "imports": ["torch", "os", "numpy"], "module": "modelscope.models.cv.object_detection.mmdet_model"}, "('MODELS', 'image-segmentation', 'vision-middleware')": {"filepath": "TEMPLATE_PATH/models/cv/vision_middleware/model.py", "imports": ["typing", "torch", "os", "json"], "module": "modelscope.models.cv.vision_middleware.model"}, "('MODELS', 'bad-image-detecting', 'bad-image-detecting')": {"filepath": "TEMPLATE_PATH/models/cv/bad_image_detecting/bad_image_detecting.py", "imports": ["typing", "torch", "torchvision", "os", "numpy"], "module": "modelscope.models.cv.bad_image_detecting.bad_image_detecting"}, "('MODELS', 'image-normal-estimation', 'omnidata-normal-estimation')": {"filepath": "TEMPLATE_PATH/models/cv/image_normal_estimation/omnidata_model.py", "imports": ["torch", "os"], "module": "modelscope.models.cv.image_normal_estimation.omnidata_model"}, "('MODELS', 'text-texture-generation', 'text-texture-generation')": {"filepath": "TEMPLATE_PATH/models/cv/text_texture_generation/Tex2Texture.py", "imports": ["typing", "torch", "diffusers", "pytorch3d", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.models.cv.text_texture_generation.Tex2Texture"}, "('MODELS', 'image-demoireing', 'image-restoration')": {"filepath": "TEMPLATE_PATH/models/cv/image_restoration/image_restoration_model.py", "imports": ["torch", "cv2", "os", "numpy"], "module": "modelscope.models.cv.image_restoration.image_restoration_model"}, "('MODELS', 'image-depth-estimation', 'newcrfs-depth-estimation')": {"filepath": "TEMPLATE_PATH/models/cv/image_depth_estimation/newcrfs_model.py", "imports": ["torch", "os", "numpy"], "module": "modelscope.models.cv.image_depth_estimation.newcrfs_model"}, "('MODELS', 'facial-68ldk-detection', 'star-68ldk-detection')": {"filepath": "TEMPLATE_PATH/models/cv/facial_68ldk_detection/star_model.py", "imports": ["torch", "matplotlib", "os", "cv2", "numpy"], "module": "modelscope.models.cv.facial_68ldk_detection.star_model"}, "('MODELS', 'image-classification', 'ClassificationModel')": {"filepath": "TEMPLATE_PATH/models/cv/image_classification/mmcls_model.py", "imports": ["os"], "module": "modelscope.models.cv.image_classification.mmcls_model"}, "('BACKBONES', 'default', 'BEiTv2')": {"filepath": "TEMPLATE_PATH/models/cv/image_classification/backbones/beit_v2.py", "imports": ["typing", "torch", "collections", "math", "mmcv", "itertools", "mmcls", "functools", "os", "warnings", "einops"], "module": "modelscope.models.cv.image_classification.backbones.beit_v2"}, "('BACKBONES', 'default', 'NextViT')": {"filepath": "TEMPLATE_PATH/models/cv/image_classification/backbones/nextvit.py", "imports": ["typing", "torch", "collections", "math", "mmcv", "itertools", "mmcls", "functools", "os", "warnings", "einops"], "module": "modelscope.models.cv.image_classification.backbones.nextvit"}, "('MODELS', 'image-classification', 'content-check')": {"filepath": "TEMPLATE_PATH/models/cv/image_classification/resnet50_cc.py", "imports": ["torch", "collections", "math", "torchvision", "os"], "module": "modelscope.models.cv.image_classification.resnet50_cc"}, "('MODELS', 'image-matching', 'lightglue-image-matching')": {"filepath": "TEMPLATE_PATH/models/cv/image_matching_fast/lightglue_model.py", "imports": ["torch", "pathlib", "os", "cv2", "numpy"], "module": "modelscope.models.cv.image_matching_fast.lightglue_model"}, "('TRACKERS', 'default', 'QuasiDenseEmbedTracker')": {"filepath": "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/track/quasi_dense_embed_tracker.py", "imports": ["torch", "mmcv", "mmdet"], "module": "modelscope.models.cv.video_panoptic_segmentation.track.quasi_dense_embed_tracker"}, "('MODELS', 'video-panoptic-segmentation', 'swinb-video-panoptic-segmentation')": {"filepath": "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/video_k_net.py", "imports": ["torch", "mmcv", "mmdet", "numpy"], "module": "modelscope.models.cv.video_panoptic_segmentation.video_k_net"}, "('NECKS', 'default', 'SemanticFPNWrapper')": {"filepath": "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/head/semantic_fpn_wrapper.py", "imports": ["torch", "mmcv", "mmdet"], "module": "modelscope.models.cv.video_panoptic_segmentation.head.semantic_fpn_wrapper"}, "('HEADS', 'default', 'VideoKernelIterHead')": {"filepath": "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/head/kernel_iter_head.py", "imports": ["torch", "mmdet"], "module": "modelscope.models.cv.video_panoptic_segmentation.head.kernel_iter_head"}, "('HEADS', 'default', 'VideoKernelUpdateHead')": {"filepath": "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/head/kernel_update_head.py", "imports": ["torch", "mmcv", "mmdet", "numpy"], "module": "modelscope.models.cv.video_panoptic_segmentation.head.kernel_update_head"}, "('MODELS', 'video-deinterlace', 'video-deinterlace')": {"filepath": "TEMPLATE_PATH/models/cv/video_deinterlace/UNet_for_video_deinterlace.py", "imports": ["typing", "torch", "copy", "os"], "module": "modelscope.models.cv.video_deinterlace.UNet_for_video_deinterlace"}, "('MODELS', 'pointcloud-sceneflow-estimation', 'rcp-sceneflow-estimation')": {"filepath": "TEMPLATE_PATH/models/cv/pointcloud_sceneflow_estimation/rcp_model.py", "imports": ["torch", "os", "numpy"], "module": "modelscope.models.cv.pointcloud_sceneflow_estimation.rcp_model"}, "('MODELS', 'nerf-recon-acc', 'nerf-recon-acc')": {"filepath": "TEMPLATE_PATH/models/cv/nerf_recon_acc/nerf_recon_acc.py", "imports": ["glob", "torch", "time", "tqdm", "os", "cv2", "numpy"], "module": "modelscope.models.cv.nerf_recon_acc.nerf_recon_acc"}, "('MODELS', 'image-fewshot-detection', 'defrcn')": {"filepath": "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/defrcn_for_fewshot.py", "imports": ["typing", "torch", "os"], "module": "modelscope.models.cv.image_defrcn_fewshot.defrcn_for_fewshot"}, "('MODELS', 'image-to-image-generation', 'anydoor')": {"filepath": "TEMPLATE_PATH/models/cv/anydoor/anydoor_model.py", "imports": ["torch", "torchvision", "einops"], "module": "modelscope.models.cv.anydoor.anydoor_model"}, "('MODELS', 'crowd-counting', 'HRNetCrowdCounting')": {"filepath": "TEMPLATE_PATH/models/cv/crowd_counting/cc_model.py", "imports": ["typing", "torch", "os"], "module": "modelscope.models.cv.crowd_counting.cc_model"}, "('MODELS', 'image-try-on', 'image-try-on')": {"filepath": "TEMPLATE_PATH/models/cv/image_try_on/try_on_infer.py", "imports": ["torch", "yaml", "argparse", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.models.cv.image_try_on.try_on_infer"}, "('MODELS', 'image-control-3d-portrait', 'image-control-3d-portrait')": {"filepath": "TEMPLATE_PATH/models/cv/image_control_3d_portrait/image_control_3d_portrait.py", "imports": ["typing", "torch", "math", "collections", "scipy", "json", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.models.cv.image_control_3d_portrait.image_control_3d_portrait"}, "('MODELS', 'movie-scene-segmentation', 'resnet50-bert')": {"filepath": "TEMPLATE_PATH/models/cv/movie_scene_segmentation/model.py", "imports": ["typing", "torch", "math", "shotdetect_scenedetect_lgss", "tqdm", "torchvision", "os", "PIL", "einops", "numpy"], "module": "modelscope.models.cv.movie_scene_segmentation.model"}, "('MODELS', 'image-quality-assessment-mos', 'image-quality-assessment-mos')": {"filepath": "TEMPLATE_PATH/models/cv/image_quality_assessment_mos/image_quality_assessment_mos.py", "imports": ["typing", "torch", "os"], "module": "modelscope.models.cv.image_quality_assessment_mos.image_quality_assessment_mos"}, "('MODELS', 'image-view-transform', 'image-view-transform')": {"filepath": "TEMPLATE_PATH/models/cv/image_view_transform/image_view_transform_infer.py", "imports": ["torch", "omegaconf", "time", "contextlib", "einops", "sys", "PIL", "fire", "numpy", "math", "diffusers", "rich", "functools", "torchvision", "os", "cv2"], "module": "modelscope.models.cv.image_view_transform.image_view_transform_infer"}, "('MODELS', 'video-super-resolution', 'real-basicvsr')": {"filepath": "TEMPLATE_PATH/models/cv/video_super_resolution/real_basicvsr_for_video_super_resolution.py", "imports": ["typing", "torch", "os"], "module": "modelscope.models.cv.video_super_resolution.real_basicvsr_for_video_super_resolution"}, "('MODELS', 'video-super-resolution', 'msrresnet-lite')": {"filepath": "TEMPLATE_PATH/models/cv/video_super_resolution/msrresnet_lite_model.py", "imports": ["typing", "torch", "functools", "os"], "module": "modelscope.models.cv.video_super_resolution.msrresnet_lite_model"}, "('MODELS', 'image-quality-assessment-degradation', 'image-quality-assessment-degradation')": {"filepath": "TEMPLATE_PATH/models/cv/image_quality_assessment_degradation/image_quality_assessment_degradation.py", "imports": ["typing", "torch", "os"], "module": "modelscope.models.cv.image_quality_assessment_degradation.image_quality_assessment_degradation"}, "('MODELS', 'video-inpainting', 'video-inpainting')": {"filepath": "TEMPLATE_PATH/models/cv/video_inpainting/inpainting_model.py", "imports": ["torch", "math", "torchvision", "numpy"], "module": "modelscope.models.cv.video_inpainting.inpainting_model"}, "('MODELS', 'open-vocabulary-detection', 'open-vocabulary-detection-vild')": {"filepath": "TEMPLATE_PATH/models/cv/open_vocabulary_detection_vild/vild.py", "imports": ["typing", "torch", "tensorflow", "clip", "os", "scipy", "numpy"], "module": "modelscope.models.cv.open_vocabulary_detection_vild.vild"}, "('MODELS', 'video-depth-estimation', 'dro-resnet18-depth-estimation')": {"filepath": "TEMPLATE_PATH/models/cv/video_depth_estimation/dro_model.py", "imports": ["torch", "glob", "tqdm", "os", "cv2", "numpy"], "module": "modelscope.models.cv.video_depth_estimation.dro_model"}, "('MODELS', 'product-retrieval-embedding', 'product-retrieval-embedding')": {"filepath": "TEMPLATE_PATH/models/cv/product_retrieval_embedding/item_model.py", "imports": ["typing", "torch", "os", "numpy"], "module": "modelscope.models.cv.product_retrieval_embedding.item_model"}, "('MODELS', 'indoor-layout-estimation', 'panovit-layout-estimation')": {"filepath": "TEMPLATE_PATH/models/cv/indoor_layout_estimation/panovit.py", "imports": ["torch", "yacs", "os", "numpy"], "module": "modelscope.models.cv.indoor_layout_estimation.panovit"}, "('MODELS', 'image-denoising', 'nafnet')": {"filepath": "TEMPLATE_PATH/models/cv/image_denoise/nafnet_for_image_denoise.py", "imports": ["typing", "torch", "os"], "module": "modelscope.models.cv.image_denoise.nafnet_for_image_denoise"}, "('MODELS', 'text-video-retrieval', 'prost-clip-text-video-retrieval')": {"filepath": "TEMPLATE_PATH/models/multi_modal/prost/models/prost_model.py", "imports": ["tempfile", "random", "torch", "typing", "decord", "json", "uuid", "os", "PIL", "urllib", "numpy"], "module": "modelscope.models.multi_modal.prost.models.prost_model"}, "('MODELS', 'efficient-diffusion-tuning', 'efficient-diffusion-tuning')": {"filepath": "TEMPLATE_PATH/models/multi_modal/efficient_diffusion_tuning/efficient_stable_diffusion.py", "imports": ["typing", "torch", "diffusers", "swift", "transformers", "functools", "os"], "module": "modelscope.models.multi_modal.efficient_diffusion_tuning.efficient_stable_diffusion"}, "('MODELS', 'image-captioning', 'ofa')": {"filepath": "TEMPLATE_PATH/models/multi_modal/ofa_for_all_tasks.py", "imports": ["typing", "torch", "math", "re", "json", "string", "functools", "os"], "module": "modelscope.models.multi_modal.ofa_for_all_tasks"}, "('MODELS', 'ocr-recognition', 'ofa')": {"filepath": "TEMPLATE_PATH/models/multi_modal/ofa_for_all_tasks.py", "imports": ["typing", "torch", "math", "re", "json", "string", "functools", "os"], "module": "modelscope.models.multi_modal.ofa_for_all_tasks"}, "('MODELS', 'visual-grounding', 'ofa')": {"filepath": "TEMPLATE_PATH/models/multi_modal/ofa_for_all_tasks.py", "imports": ["typing", "torch", "math", "re", "json", "string", "functools", "os"], "module": "modelscope.models.multi_modal.ofa_for_all_tasks"}, "('MODELS', 'visual-question-answering', 'ofa')": {"filepath": "TEMPLATE_PATH/models/multi_modal/ofa_for_all_tasks.py", "imports": ["typing", "torch", "math", "re", "json", "string", "functools", "os"], "module": "modelscope.models.multi_modal.ofa_for_all_tasks"}, "('MODELS', 'visual-entailment', 'ofa')": {"filepath": "TEMPLATE_PATH/models/multi_modal/ofa_for_all_tasks.py", "imports": ["typing", "torch", "math", "re", "json", "string", "functools", "os"], "module": "modelscope.models.multi_modal.ofa_for_all_tasks"}, "('MODELS', 'image-classification', 'ofa')": {"filepath": "TEMPLATE_PATH/models/multi_modal/ofa_for_all_tasks.py", "imports": ["typing", "torch", "math", "re", "json", "string", "functools", "os"], "module": "modelscope.models.multi_modal.ofa_for_all_tasks"}, "('MODELS', 'text-summarization', 'ofa')": {"filepath": "TEMPLATE_PATH/models/multi_modal/ofa_for_all_tasks.py", "imports": ["typing", "torch", "math", "re", "json", "string", "functools", "os"], "module": "modelscope.models.multi_modal.ofa_for_all_tasks"}, "('MODELS', 'text-classification', 'ofa')": {"filepath": "TEMPLATE_PATH/models/multi_modal/ofa_for_all_tasks.py", "imports": ["typing", "torch", "math", "re", "json", "string", "functools", "os"], "module": "modelscope.models.multi_modal.ofa_for_all_tasks"}, "('MODELS', 'auto-speech-recognition', 'ofa')": {"filepath": "TEMPLATE_PATH/models/multi_modal/ofa_for_all_tasks.py", "imports": ["typing", "torch", "math", "re", "json", "string", "functools", "os"], "module": "modelscope.models.multi_modal.ofa_for_all_tasks"}, "('MODELS', 'sudoku', 'ofa')": {"filepath": "TEMPLATE_PATH/models/multi_modal/ofa_for_all_tasks.py", "imports": ["typing", "torch", "math", "re", "json", "string", "functools", "os"], "module": "modelscope.models.multi_modal.ofa_for_all_tasks"}, "('MODELS', 'text2sql', 'ofa')": {"filepath": "TEMPLATE_PATH/models/multi_modal/ofa_for_all_tasks.py", "imports": ["typing", "torch", "math", "re", "json", "string", "functools", "os"], "module": "modelscope.models.multi_modal.ofa_for_all_tasks"}, "('MODELS', 'generative-multi-modal-embedding', 'gemm-generative-multi-modal')": {"filepath": "TEMPLATE_PATH/models/multi_modal/gemm/gemm_model.py", "imports": ["typing", "torch", "json", "torchvision", "os", "PIL", "numpy"], "module": "modelscope.models.multi_modal.gemm.gemm_model"}, "('MODELS', 'video-to-video', 'video-to-video-model')": {"filepath": "TEMPLATE_PATH/models/multi_modal/video_to_video/video_to_video_model.py", "imports": ["typing", "random", "torch", "os", "copy"], "module": "modelscope.models.multi_modal.video_to_video.video_to_video_model"}, "('MODELS', 'video-multi-modal-embedding', 'video-clip-multi-modal-embedding')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mmr/models/clip_for_mm_video_embedding.py", "imports": ["tempfile", "random", "torch", "typing", "decord", "json", "uuid", "os", "PIL", "urllib", "numpy"], "module": "modelscope.models.multi_modal.mmr.models.clip_for_mm_video_embedding"}, "('MODELS', 'multimodal-dialogue', 'mplug-owl')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mplug_owl/modeling_mplug_owl.py", "imports": ["dataclasses", "random", "torch", "math", "typing", "transformers", "os", "logging", "io", "copy"], "module": "modelscope.models.multi_modal.mplug_owl.modeling_mplug_owl"}, "('MODELS', 'text-to-image-synthesis', 'diffusion-text-to-image-synthesis')": {"filepath": "TEMPLATE_PATH/models/multi_modal/diffusion/model.py", "imports": ["typing", "torch", "json", "os", "numpy"], "module": "modelscope.models.multi_modal.diffusion.model"}, "('MODELS', 'image-to-video', 'image-to-video-model')": {"filepath": "TEMPLATE_PATH/models/multi_modal/image_to_video/image_to_video_model.py", "imports": ["typing", "random", "torch", "os", "copy"], "module": "modelscope.models.multi_modal.image_to_video.image_to_video_model"}, "('MODELS', 'text-to-image-synthesis', 'stable-diffusion')": {"filepath": "TEMPLATE_PATH/models/multi_modal/stable_diffusion/stable_diffusion.py", "imports": ["typing", "torch", "diffusers", "transformers", "functools", "os", "packaging"], "module": "modelscope.models.multi_modal.stable_diffusion.stable_diffusion"}, "('MODELS', 'text-to-image-synthesis', 'stable-diffusion-xl')": {"filepath": "TEMPLATE_PATH/models/multi_modal/stable_diffusion/stable_diffusion_xl.py", "imports": ["typing", "random", "torch", "diffusers", "transformers", "functools", "torchvision", "os", "packaging"], "module": "modelscope.models.multi_modal.stable_diffusion.stable_diffusion_xl"}, "('MODELS', 'text-to-image-synthesis', 'ofa')": {"filepath": "TEMPLATE_PATH/models/multi_modal/ofa_for_text_to_image_synthesis_model.py", "imports": ["typing", "torch", "json", "torchvision", "taming", "os", "packaging", "PIL", "numpy"], "module": "modelscope.models.multi_modal.ofa_for_text_to_image_synthesis_model"}, "('MODELS', 'multi-modal-embedding', 'clip-multi-modal-embedding')": {"filepath": "TEMPLATE_PATH/models/multi_modal/clip/model.py", "imports": ["typing", "torch", "collections", "json", "os", "numpy"], "module": "modelscope.models.multi_modal.clip.model"}, "('MODELS', 'multi-modal-similarity', 'team-multi-modal-similarity')": {"filepath": "TEMPLATE_PATH/models/multi_modal/team/team_model.py", "imports": ["typing", "torch", "tokenizers", "torchvision", "PIL", "cv2", "numpy"], "module": "modelscope.models.multi_modal.team.team_model"}, "('MODELS', 'text-to-image-synthesis', 'multi-stage-diffusion-text-to-image-synthesis')": {"filepath": "TEMPLATE_PATH/models/multi_modal/multi_stage_diffusion/model.py", "imports": ["typing", "torch", "math", "json", "os", "PIL", "numpy"], "module": "modelscope.models.multi_modal.multi_stage_diffusion.model"}, "('MODELS', 'document-vl-embedding', 'vldoc')": {"filepath": "TEMPLATE_PATH/models/multi_modal/vldoc/model.py", "imports": ["torch", "math", "re", "json", "torchvision", "os", "logging", "copy", "sys"], "module": "modelscope.models.multi_modal.vldoc.model"}, "('MODELS', 'text-to-video-synthesis', 'videocomposer')": {"filepath": "TEMPLATE_PATH/models/multi_modal/videocomposer/videocomposer_model.py", "imports": ["typing", "torch", "pynvml", "open_clip", "os", "copy", "einops"], "module": "modelscope.models.multi_modal.videocomposer.videocomposer_model"}, "('MODELS', 'video-temporal-grounding', 'soonet')": {"filepath": "TEMPLATE_PATH/models/multi_modal/soonet/model.py", "imports": ["torch", "os"], "module": "modelscope.models.multi_modal.soonet.model"}, "('MODELS', 'text-classification', 'mgeo')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mgeo/text_classification.py", "imports": ["torch"], "module": "modelscope.models.multi_modal.mgeo.text_classification"}, "('MODELS', 'nli', 'mgeo')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mgeo/text_classification.py", "imports": ["torch"], "module": "modelscope.models.multi_modal.mgeo.text_classification"}, "('MODELS', 'sentiment-classification', 'mgeo')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mgeo/text_classification.py", "imports": ["torch"], "module": "modelscope.models.multi_modal.mgeo.text_classification"}, "('MODELS', 'sentence-similarity', 'mgeo')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mgeo/text_classification.py", "imports": ["torch"], "module": "modelscope.models.multi_modal.mgeo.text_classification"}, "('MODELS', 'zero-shot-classification', 'mgeo')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mgeo/text_classification.py", "imports": ["torch"], "module": "modelscope.models.multi_modal.mgeo.text_classification"}, "('MODELS', 'backbone', 'mgeo')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mgeo/backbone.py", "imports": ["dataclasses", "random", "torch", "math", "typing", "transformers", "os", "warnings"], "module": "modelscope.models.multi_modal.mgeo.backbone"}, "('MODELS', 'token-classification', 'mgeo')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mgeo/token_classification.py", "imports": ["torch"], "module": "modelscope.models.multi_modal.mgeo.token_classification"}, "('MODELS', 'part-of-speech', 'mgeo')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mgeo/token_classification.py", "imports": ["torch"], "module": "modelscope.models.multi_modal.mgeo.token_classification"}, "('MODELS', 'word-segmentation', 'mgeo')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mgeo/token_classification.py", "imports": ["torch"], "module": "modelscope.models.multi_modal.mgeo.token_classification"}, "('MODELS', 'text-ranking', 'mgeo')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mgeo/text_ranking.py", "imports": ["torch"], "module": "modelscope.models.multi_modal.mgeo.text_ranking"}, "('MODELS', 'visual-question-answering', 'mplug')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mplug_for_all_tasks.py", "imports": ["typing", "os"], "module": "modelscope.models.multi_modal.mplug_for_all_tasks"}, "('MODELS', 'image-captioning', 'mplug')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mplug_for_all_tasks.py", "imports": ["typing", "os"], "module": "modelscope.models.multi_modal.mplug_for_all_tasks"}, "('MODELS', 'image-text-retrieval', 'mplug')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mplug_for_all_tasks.py", "imports": ["typing", "os"], "module": "modelscope.models.multi_modal.mplug_for_all_tasks"}, "('MODELS', 'video-question-answering', 'hitea')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mplug_for_all_tasks.py", "imports": ["typing", "os"], "module": "modelscope.models.multi_modal.mplug_for_all_tasks"}, "('MODELS', 'video-captioning', 'hitea')": {"filepath": "TEMPLATE_PATH/models/multi_modal/mplug_for_all_tasks.py", "imports": ["typing", "os"], "module": "modelscope.models.multi_modal.mplug_for_all_tasks"}, "('MODELS', 'image-captioning', 'clip-interrogator')": {"filepath": "TEMPLATE_PATH/models/multi_modal/clip_interrogator/model.py", "imports": ["dataclasses", "torch", "time", "tqdm", "transformers", "PIL", "safetensors", "requests", "typing", "numpy", "math", "open_clip", "torchvision", "os", "hashlib"], "module": "modelscope.models.multi_modal.clip_interrogator.model"}, "('MODELS', 'text-to-video-synthesis', 'latent-text-to-video-synthesis')": {"filepath": "TEMPLATE_PATH/models/multi_modal/video_synthesis/text_to_video_synthesis_model.py", "imports": ["typing", "torch", "open_clip", "os", "einops"], "module": "modelscope.models.multi_modal.video_synthesis.text_to_video_synthesis_model"}, "('MODELS', 'generative-multi-modal-embedding', 'rleg-generative-multi-modal')": {"filepath": "TEMPLATE_PATH/models/multi_modal/rleg/rleg.py", "imports": ["typing", "torch", "torchvision"], "module": "modelscope.models.multi_modal.rleg.rleg"}, "('MODELS', 'backbone', 'ponet')": {"filepath": "TEMPLATE_PATH/models/nlp/ponet/backbone.py", "imports": ["torch", "math", "transformers", "packaging", "distutils"], "module": "modelscope.models.nlp.ponet.backbone"}, "('MODELS', 'document-segmentation', 'ponet-for-document-segmentation')": {"filepath": "TEMPLATE_PATH/models/nlp/ponet/document_segmentation.py", "imports": ["typing", "torch"], "module": "modelscope.models.nlp.ponet.document_segmentation"}, "('MODELS', 'extractive-summarization', 'ponet-for-document-segmentation')": {"filepath": "TEMPLATE_PATH/models/nlp/ponet/document_segmentation.py", "imports": ["typing", "torch"], "module": "modelscope.models.nlp.ponet.document_segmentation"}, "('MODELS', 'fill-mask', 'ponet')": {"filepath": "TEMPLATE_PATH/models/nlp/ponet/fill_mask.py", "imports": ["transformers", "torch"], "module": "modelscope.models.nlp.ponet.fill_mask"}, "('MODELS', 'fid-dialogue', 'fid-plug')": {"filepath": "TEMPLATE_PATH/models/nlp/fid_plug/text_generation.py", "imports": ["transformers", "torch", "io", "os"], "module": "modelscope.models.nlp.fid_plug.text_generation"}, "('MODELS', 'backbone', 'lstm')": {"filepath": "TEMPLATE_PATH/models/nlp/lstm/backbone.py", "imports": ["torch"], "module": "modelscope.models.nlp.lstm.backbone"}, "('MODELS', 'token-classification', 'lstm-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/lstm/token_classification.py", "imports": [], "module": "modelscope.models.nlp.lstm.token_classification"}, "('MODELS', 'named-entity-recognition', 'lstm-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/lstm/token_classification.py", "imports": [], "module": "modelscope.models.nlp.lstm.token_classification"}, "('MODELS', 'part-of-speech', 'lstm-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/lstm/token_classification.py", "imports": [], "module": "modelscope.models.nlp.lstm.token_classification"}, "('MODELS', 'word-segmentation', 'lstm-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/lstm/token_classification.py", "imports": [], "module": "modelscope.models.nlp.lstm.token_classification"}, "('MODELS', 'word-segmentation', 'lstm-crf-for-word-segmentation')": {"filepath": "TEMPLATE_PATH/models/nlp/lstm/token_classification.py", "imports": [], "module": "modelscope.models.nlp.lstm.token_classification"}, "('BACKBONES', 'backbone', 'gpt2')": {"filepath": "TEMPLATE_PATH/models/nlp/gpt2/backbone.py", "imports": ["transformers"], "module": "modelscope.models.nlp.gpt2.backbone"}, "('MODELS', 'backbone', 'qwen-7b')": {"filepath": "TEMPLATE_PATH/models/nlp/qwen/backbone.py", "imports": ["typing", "torch", "math", "transformers", "flash_attn", "importlib", "einops"], "module": "modelscope.models.nlp.qwen.backbone"}, "('MODELS', 'text-generation', 'qwen-7b')": {"filepath": "TEMPLATE_PATH/models/nlp/qwen/text_generation.py", "imports": ["typing", "torch", "transformers", "warnings"], "module": "modelscope.models.nlp.qwen.text_generation"}, "('MODELS', 'chat', 'qwen-7b')": {"filepath": "TEMPLATE_PATH/models/nlp/qwen/text_generation.py", "imports": ["typing", "torch", "transformers", "warnings"], "module": "modelscope.models.nlp.qwen.text_generation"}, "('HEADS', 'text-ranking', 'text-ranking')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/text_ranking_head.py", "imports": ["typing", "torch"], "module": "modelscope.models.nlp.heads.text_ranking_head"}, "('HEADS', 'token-classification', 'token-classification')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/token_classification_head.py", "imports": ["typing", "torch"], "module": "modelscope.models.nlp.heads.token_classification_head"}, "('HEADS', 'named-entity-recognition', 'token-classification')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/token_classification_head.py", "imports": ["typing", "torch"], "module": "modelscope.models.nlp.heads.token_classification_head"}, "('HEADS', 'part-of-speech', 'token-classification')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/token_classification_head.py", "imports": ["typing", "torch"], "module": "modelscope.models.nlp.heads.token_classification_head"}, "('HEADS', 'information-extraction', 'information-extraction')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/infromation_extraction_head.py", "imports": ["torch"], "module": "modelscope.models.nlp.heads.infromation_extraction_head"}, "('HEADS', 'relation-extraction', 'information-extraction')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/infromation_extraction_head.py", "imports": ["torch"], "module": "modelscope.models.nlp.heads.infromation_extraction_head"}, "('HEADS', 'fill-mask', 'bert-mlm')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/fill_mask_head.py", "imports": ["typing", "torch", "transformers"], "module": "modelscope.models.nlp.heads.fill_mask_head"}, "('HEADS', 'fill-mask', 'fill-mask')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/fill_mask_head.py", "imports": ["typing", "torch", "transformers"], "module": "modelscope.models.nlp.heads.fill_mask_head"}, "('HEADS', 'fill-mask', 'xlm-roberta-mlm')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/fill_mask_head.py", "imports": ["typing", "torch", "transformers"], "module": "modelscope.models.nlp.heads.fill_mask_head"}, "('HEADS', 'fill-mask', 'roberta-mlm')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/torch_pretrain_head.py", "imports": ["typing", "torch", "transformers"], "module": "modelscope.models.nlp.heads.torch_pretrain_head"}, "('HEADS', 'token-classification', 'lstm-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/crf_head.py", "imports": ["typing", "torch", "transformers"], "module": "modelscope.models.nlp.heads.crf_head"}, "('HEADS', 'named-entity-recognition', 'lstm-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/crf_head.py", "imports": ["typing", "torch", "transformers"], "module": "modelscope.models.nlp.heads.crf_head"}, "('HEADS', 'word-segmentation', 'lstm-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/crf_head.py", "imports": ["typing", "torch", "transformers"], "module": "modelscope.models.nlp.heads.crf_head"}, "('HEADS', 'part-of-speech', 'lstm-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/crf_head.py", "imports": ["typing", "torch", "transformers"], "module": "modelscope.models.nlp.heads.crf_head"}, "('HEADS', 'transformer-crf', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/crf_head.py", "imports": ["typing", "torch", "transformers"], "module": "modelscope.models.nlp.heads.crf_head"}, "('HEADS', 'token-classification', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/crf_head.py", "imports": ["typing", "torch", "transformers"], "module": "modelscope.models.nlp.heads.crf_head"}, "('HEADS', 'named-entity-recognition', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/crf_head.py", "imports": ["typing", "torch", "transformers"], "module": "modelscope.models.nlp.heads.crf_head"}, "('HEADS', 'word-segmentation', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/crf_head.py", "imports": ["typing", "torch", "transformers"], "module": "modelscope.models.nlp.heads.crf_head"}, "('HEADS', 'part-of-speech', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/crf_head.py", "imports": ["typing", "torch", "transformers"], "module": "modelscope.models.nlp.heads.crf_head"}, "('HEADS', 'text-generation', 'text-generation')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/text_generation_head.py", "imports": ["typing", "torch"], "module": "modelscope.models.nlp.heads.text_generation_head"}, "('HEADS', 'text-classification', 'text-classification')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/text_classification_head.py", "imports": ["typing", "torch"], "module": "modelscope.models.nlp.heads.text_classification_head"}, "('HEADS', 'sentence-similarity', 'text-classification')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/text_classification_head.py", "imports": ["typing", "torch"], "module": "modelscope.models.nlp.heads.text_classification_head"}, "('HEADS', 'nli', 'text-classification')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/text_classification_head.py", "imports": ["typing", "torch"], "module": "modelscope.models.nlp.heads.text_classification_head"}, "('HEADS', 'sentiment-classification', 'text-classification')": {"filepath": "TEMPLATE_PATH/models/nlp/heads/text_classification_head.py", "imports": ["typing", "torch"], "module": "modelscope.models.nlp.heads.text_classification_head"}, "('MODELS', 'translation-evaluation', 'unite')": {"filepath": "TEMPLATE_PATH/models/nlp/unite/translation_evaluation.py", "imports": ["dataclasses", "torch", "typing", "math", "transformers", "warnings", "packaging", "numpy"], "module": "modelscope.models.nlp.unite.translation_evaluation"}, "('MODELS', 'text-classification', 'peer')": {"filepath": "TEMPLATE_PATH/models/nlp/peer/text_classification.py", "imports": ["copy", "torch"], "module": "modelscope.models.nlp.peer.text_classification"}, "('MODELS', 'nli', 'peer')": {"filepath": "TEMPLATE_PATH/models/nlp/peer/text_classification.py", "imports": ["copy", "torch"], "module": "modelscope.models.nlp.peer.text_classification"}, "('MODELS', 'sentiment-classification', 'peer')": {"filepath": "TEMPLATE_PATH/models/nlp/peer/text_classification.py", "imports": ["copy", "torch"], "module": "modelscope.models.nlp.peer.text_classification"}, "('MODELS', 'sentence-similarity', 'peer')": {"filepath": "TEMPLATE_PATH/models/nlp/peer/text_classification.py", "imports": ["copy", "torch"], "module": "modelscope.models.nlp.peer.text_classification"}, "('MODELS', 'zero-shot-classification', 'peer')": {"filepath": "TEMPLATE_PATH/models/nlp/peer/text_classification.py", "imports": ["copy", "torch"], "module": "modelscope.models.nlp.peer.text_classification"}, "('MODELS', 'table-question-answering', 'space-T-cn')": {"filepath": "TEMPLATE_PATH/models/nlp/space_T_cn/table_question_answering.py", "imports": ["typing", "torch", "transformers", "os", "numpy"], "module": "modelscope.models.nlp.space_T_cn.table_question_answering"}, "('MODELS', 'text-generation', 'glm130b')": {"filepath": "TEMPLATE_PATH/models/nlp/glm_130b/text_generation.py", "imports": ["typing", "random", "torch", "re", "SwissArmyTransformer", "time", "functools", "stat", "os", "copy", "sys"], "module": "modelscope.models.nlp.glm_130b.text_generation"}, "('BACKBONES', 'backbone', 'bloom')": {"filepath": "TEMPLATE_PATH/models/nlp/bloom/backbone.py", "imports": ["transformers"], "module": "modelscope.models.nlp.bloom.backbone"}, "('MODELS', 'text-generation', 'bloom')": {"filepath": "TEMPLATE_PATH/models/nlp/bloom/text_generation.py", "imports": ["transformers"], "module": "modelscope.models.nlp.bloom.text_generation"}, "('MODELS', 'sentence-embedding', 'bloom')": {"filepath": "TEMPLATE_PATH/models/nlp/bloom/sentence_embedding.py", "imports": ["transformers", "torch"], "module": "modelscope.models.nlp.bloom.sentence_embedding"}, "('BACKBONES', 'backbone', 'gpt-neo')": {"filepath": "TEMPLATE_PATH/models/nlp/gpt_neo/backbone.py", "imports": ["transformers"], "module": "modelscope.models.nlp.gpt_neo.backbone"}, "('MODELS', 'text-generation', 'gpt-moe')": {"filepath": "TEMPLATE_PATH/models/nlp/gpt_moe/text_generation.py", "imports": ["typing", "transformers"], "module": "modelscope.models.nlp.gpt_moe.text_generation"}, "('MODELS', 'text-classification', 'user-satisfaction-estimation')": {"filepath": "TEMPLATE_PATH/models/nlp/use/user_satisfaction_estimation.py", "imports": ["typing", "torch", "transformers", "os", "numpy"], "module": "modelscope.models.nlp.use.user_satisfaction_estimation"}, "('MODELS', 'nli', 'veco')": {"filepath": "TEMPLATE_PATH/models/nlp/veco/text_classification.py", "imports": ["transformers"], "module": "modelscope.models.nlp.veco.text_classification"}, "('MODELS', 'sentiment-classification', 'veco')": {"filepath": "TEMPLATE_PATH/models/nlp/veco/text_classification.py", "imports": ["transformers"], "module": "modelscope.models.nlp.veco.text_classification"}, "('MODELS', 'sentence-similarity', 'veco')": {"filepath": "TEMPLATE_PATH/models/nlp/veco/text_classification.py", "imports": ["transformers"], "module": "modelscope.models.nlp.veco.text_classification"}, "('MODELS', 'text-classification', 'veco')": {"filepath": "TEMPLATE_PATH/models/nlp/veco/text_classification.py", "imports": ["transformers"], "module": "modelscope.models.nlp.veco.text_classification"}, "('MODELS', 'backbone', 'veco')": {"filepath": "TEMPLATE_PATH/models/nlp/veco/backbone.py", "imports": ["transformers"], "module": "modelscope.models.nlp.veco.backbone"}, "('MODELS', 'token-classification', 'veco')": {"filepath": "TEMPLATE_PATH/models/nlp/veco/token_classification.py", "imports": ["transformers", "torch"], "module": "modelscope.models.nlp.veco.token_classification"}, "('MODELS', 'fill-mask', 'veco')": {"filepath": "TEMPLATE_PATH/models/nlp/veco/fill_mask.py", "imports": ["transformers"], "module": "modelscope.models.nlp.veco.fill_mask"}, "('MODELS', 'translation', 'csanmt-translation')": {"filepath": "TEMPLATE_PATH/models/nlp/csanmt/translation.py", "imports": ["typing", "math", "collections", "tensorflow"], "module": "modelscope.models.nlp.csanmt.translation"}, "('MODELS', 'text-error-correction', 'bart')": {"filepath": "TEMPLATE_PATH/models/nlp/bart/text_error_correction.py", "imports": ["typing", "torch", "os"], "module": "modelscope.models.nlp.bart.text_error_correction"}, "('MODELS', 'text-generation', 'gpt3')": {"filepath": "TEMPLATE_PATH/models/nlp/gpt3/text_generation.py", "imports": ["typing", "torch", "collections", "transformers"], "module": "modelscope.models.nlp.gpt3.text_generation"}, "('MODELS', 'text-classification', 'structbert')": {"filepath": "TEMPLATE_PATH/models/nlp/structbert/text_classification.py", "imports": ["torch"], "module": "modelscope.models.nlp.structbert.text_classification"}, "('MODELS', 'nli', 'structbert')": {"filepath": "TEMPLATE_PATH/models/nlp/structbert/text_classification.py", "imports": ["torch"], "module": "modelscope.models.nlp.structbert.text_classification"}, "('MODELS', 'sentiment-classification', 'structbert')": {"filepath": "TEMPLATE_PATH/models/nlp/structbert/text_classification.py", "imports": ["torch"], "module": "modelscope.models.nlp.structbert.text_classification"}, "('MODELS', 'sentence-similarity', 'structbert')": {"filepath": "TEMPLATE_PATH/models/nlp/structbert/text_classification.py", "imports": ["torch"], "module": "modelscope.models.nlp.structbert.text_classification"}, "('MODELS', 'zero-shot-classification', 'structbert')": {"filepath": "TEMPLATE_PATH/models/nlp/structbert/text_classification.py", "imports": ["torch"], "module": "modelscope.models.nlp.structbert.text_classification"}, "('MODELS', 'backbone', 'structbert')": {"filepath": "TEMPLATE_PATH/models/nlp/structbert/backbone.py", "imports": ["dataclasses", "torch", "typing", "math", "transformers", "packaging"], "module": "modelscope.models.nlp.structbert.backbone"}, "('MODELS', 'token-classification', 'structbert')": {"filepath": "TEMPLATE_PATH/models/nlp/structbert/token_classification.py", "imports": ["torch"], "module": "modelscope.models.nlp.structbert.token_classification"}, "('MODELS', 'word-segmentation', 'structbert')": {"filepath": "TEMPLATE_PATH/models/nlp/structbert/token_classification.py", "imports": ["torch"], "module": "modelscope.models.nlp.structbert.token_classification"}, "('MODELS', 'part-of-speech', 'structbert')": {"filepath": "TEMPLATE_PATH/models/nlp/structbert/token_classification.py", "imports": ["torch"], "module": "modelscope.models.nlp.structbert.token_classification"}, "('MODELS', 'faq-question-answering', 'structbert')": {"filepath": "TEMPLATE_PATH/models/nlp/structbert/faq_question_answering.py", "imports": ["typing", "torch", "math", "collections", "os"], "module": "modelscope.models.nlp.structbert.faq_question_answering"}, "('MODELS', 'fill-mask', 'structbert')": {"filepath": "TEMPLATE_PATH/models/nlp/structbert/fill_mask.py", "imports": ["transformers", "torch"], "module": "modelscope.models.nlp.structbert.fill_mask"}, "('MODELS', 'chat', 'chatglm2-6b')": {"filepath": "TEMPLATE_PATH/models/nlp/chatglm2/text_generation.py", "imports": ["typing", "torch", "math", "transformers", "warnings", "copy", "sys"], "module": "modelscope.models.nlp.chatglm2.text_generation"}, "('MODELS', 'document-grounded-dialog-rerank', 'doc2bot')": {"filepath": "TEMPLATE_PATH/models/nlp/dgds/document_grounded_dialog_rerank.py", "imports": ["typing", "torch", "os"], "module": "modelscope.models.nlp.dgds.document_grounded_dialog_rerank"}, "('MODELS', 'document-grounded-dialog-generate', 'doc2bot')": {"filepath": "TEMPLATE_PATH/models/nlp/dgds/document_grounded_dialog_generate.py", "imports": ["typing", "torch", "os"], "module": "modelscope.models.nlp.dgds.document_grounded_dialog_generate"}, "('MODELS', 'document-grounded-dialog-retrieval', 'doc2bot')": {"filepath": "TEMPLATE_PATH/models/nlp/dgds/document_grounded_dialog_retrieval.py", "imports": ["typing", "torch", "os"], "module": "modelscope.models.nlp.dgds.document_grounded_dialog_retrieval"}, "('MODELS', 'task-oriented-conversation', 'space-intent')": {"filepath": "TEMPLATE_PATH/models/nlp/space/dialog_intent_prediction.py", "imports": ["typing", "os"], "module": "modelscope.models.nlp.space.dialog_intent_prediction"}, "('MODELS', 'task-oriented-conversation', 'space-dst')": {"filepath": "TEMPLATE_PATH/models/nlp/space/dialog_state_tracking.py", "imports": ["typing", "torch", "transformers"], "module": "modelscope.models.nlp.space.dialog_state_tracking"}, "('MODELS', 'task-oriented-conversation', 'space-modeling')": {"filepath": "TEMPLATE_PATH/models/nlp/space/dialog_modeling.py", "imports": ["typing", "os"], "module": "modelscope.models.nlp.space.dialog_modeling"}, "('MODELS', 'text-classification', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/text_classification.py", "imports": [], "module": "modelscope.models.nlp.bert.text_classification"}, "('MODELS', 'nli', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/text_classification.py", "imports": [], "module": "modelscope.models.nlp.bert.text_classification"}, "('MODELS', 'sentiment-classification', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/text_classification.py", "imports": [], "module": "modelscope.models.nlp.bert.text_classification"}, "('MODELS', 'sentence-similarity', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/text_classification.py", "imports": [], "module": "modelscope.models.nlp.bert.text_classification"}, "('MODELS', 'zero-shot-classification', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/text_classification.py", "imports": [], "module": "modelscope.models.nlp.bert.text_classification"}, "('MODELS', 'backbone', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/backbone.py", "imports": ["transformers", "torch", "math", "packaging"], "module": "modelscope.models.nlp.bert.backbone"}, "('MODELS', 'token-classification', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/token_classification.py", "imports": [], "module": "modelscope.models.nlp.bert.token_classification"}, "('MODELS', 'part-of-speech', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/token_classification.py", "imports": [], "module": "modelscope.models.nlp.bert.token_classification"}, "('MODELS', 'word-segmentation', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/token_classification.py", "imports": [], "module": "modelscope.models.nlp.bert.token_classification"}, "('MODELS', 'siamese-uie', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/siamese_uie.py", "imports": ["copy", "torch"], "module": "modelscope.models.nlp.bert.siamese_uie"}, "('MODELS', 'text-ranking', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/text_ranking.py", "imports": [], "module": "modelscope.models.nlp.bert.text_ranking"}, "('MODELS', 'document-segmentation', 'bert-for-document-segmentation')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/document_segmentation.py", "imports": ["typing", "torch"], "module": "modelscope.models.nlp.bert.document_segmentation"}, "('MODELS', 'sentence-embedding', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/sentence_embedding.py", "imports": ["torch"], "module": "modelscope.models.nlp.bert.sentence_embedding"}, "('MODELS', 'fill-mask', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/fill_mask.py", "imports": [], "module": "modelscope.models.nlp.bert.fill_mask"}, "('MODELS', 'word-alignment', 'bert')": {"filepath": "TEMPLATE_PATH/models/nlp/bert/word_alignment.py", "imports": ["torch"], "module": "modelscope.models.nlp.bert.word_alignment"}, "('MODELS', 'backbone', 'xlm-roberta')": {"filepath": "TEMPLATE_PATH/models/nlp/xlm_roberta/backbone.py", "imports": ["transformers", "torch", "math", "packaging"], "module": "modelscope.models.nlp.xlm_roberta.backbone"}, "('MODELS', 'text-summarization', 'mglm')": {"filepath": "TEMPLATE_PATH/models/nlp/mglm/mglm_for_text_summarization.py", "imports": ["typing", "random", "torch", "megatron_util", "os", "numpy"], "module": "modelscope.models.nlp.mglm.mglm_for_text_summarization"}, "('MODELS', 'text-classification', 'text-classification')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/text_classification.py", "imports": ["typing", "numpy"], "module": "modelscope.models.nlp.task_models.text_classification"}, "('MODELS', 'text-generation', 'text-generation')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/text_generation.py", "imports": ["typing", "torch", "transformers", "numpy"], "module": "modelscope.models.nlp.task_models.text_generation"}, "('MODELS', 'token-classification', 'token-classification')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/token_classification.py", "imports": ["typing", "torch"], "module": "modelscope.models.nlp.task_models.token_classification"}, "('MODELS', 'part-of-speech', 'token-classification')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/token_classification.py", "imports": ["typing", "torch"], "module": "modelscope.models.nlp.task_models.token_classification"}, "('MODELS', 'named-entity-recognition', 'token-classification-for-ner')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/token_classification.py", "imports": ["typing", "torch"], "module": "modelscope.models.nlp.task_models.token_classification"}, "('MODELS', 'transformer-crf', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/token_classification.py", "imports": ["typing", "torch"], "module": "modelscope.models.nlp.task_models.token_classification"}, "('MODELS', 'token-classification', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/token_classification.py", "imports": ["typing", "torch"], "module": "modelscope.models.nlp.task_models.token_classification"}, "('MODELS', 'token-classification', 'transformer-crf-for-word-segmentation')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/token_classification.py", "imports": ["typing", "torch"], "module": "modelscope.models.nlp.task_models.token_classification"}, "('MODELS', 'named-entity-recognition', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/token_classification.py", "imports": ["typing", "torch"], "module": "modelscope.models.nlp.task_models.token_classification"}, "('MODELS', 'part-of-speech', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/token_classification.py", "imports": ["typing", "torch"], "module": "modelscope.models.nlp.task_models.token_classification"}, "('MODELS', 'word-segmentation', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/token_classification.py", "imports": ["typing", "torch"], "module": "modelscope.models.nlp.task_models.token_classification"}, "('MODELS', 'word-segmentation', 'transformer-crf-for-word-segmentation')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/token_classification.py", "imports": ["typing", "torch"], "module": "modelscope.models.nlp.task_models.token_classification"}, "('MODELS', 'machine-reading-comprehension', 'machine-reading-comprehension')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/machine_reading_comprehension.py", "imports": ["dataclasses", "torch", "typing", "transformers", "os"], "module": "modelscope.models.nlp.task_models.machine_reading_comprehension"}, "('MODELS', 'text-ranking', 'text-ranking')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/text_ranking.py", "imports": ["typing", "numpy"], "module": "modelscope.models.nlp.task_models.text_ranking"}, "('MODELS', 'information-extraction', 'information-extraction')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/information_extraction.py", "imports": ["typing", "numpy"], "module": "modelscope.models.nlp.task_models.information_extraction"}, "('MODELS', 'relation-extraction', 'information-extraction')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/information_extraction.py", "imports": ["typing", "numpy"], "module": "modelscope.models.nlp.task_models.information_extraction"}, "('MODELS', 'feature-extraction', 'feature-extraction')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/feature_extraction.py", "imports": ["typing", "numpy"], "module": "modelscope.models.nlp.task_models.feature_extraction"}, "('MODELS', 'fill-mask', 'fill-mask')": {"filepath": "TEMPLATE_PATH/models/nlp/task_models/fill_mask.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.models.nlp.task_models.fill_mask"}, "('MODELS', 'text-classification', 'plug-mental')": {"filepath": "TEMPLATE_PATH/models/nlp/plug_mental/text_classification.py", "imports": ["torch"], "module": "modelscope.models.nlp.plug_mental.text_classification"}, "('MODELS', 'nli', 'plug-mental')": {"filepath": "TEMPLATE_PATH/models/nlp/plug_mental/text_classification.py", "imports": ["torch"], "module": "modelscope.models.nlp.plug_mental.text_classification"}, "('MODELS', 'sentiment-classification', 'plug-mental')": {"filepath": "TEMPLATE_PATH/models/nlp/plug_mental/text_classification.py", "imports": ["torch"], "module": "modelscope.models.nlp.plug_mental.text_classification"}, "('MODELS', 'sentence-similarity', 'plug-mental')": {"filepath": "TEMPLATE_PATH/models/nlp/plug_mental/text_classification.py", "imports": ["torch"], "module": "modelscope.models.nlp.plug_mental.text_classification"}, "('MODELS', 'zero-shot-classification', 'plug-mental')": {"filepath": "TEMPLATE_PATH/models/nlp/plug_mental/text_classification.py", "imports": ["torch"], "module": "modelscope.models.nlp.plug_mental.text_classification"}, "('MODELS', 'backbone', 'plug-mental')": {"filepath": "TEMPLATE_PATH/models/nlp/plug_mental/backbone.py", "imports": ["dataclasses", "torch", "typing", "math", "transformers", "packaging"], "module": "modelscope.models.nlp.plug_mental.backbone"}, "('MODELS', 'text-generation', 'palm-v2')": {"filepath": "TEMPLATE_PATH/models/nlp/palm_v2/text_generation.py", "imports": ["dataclasses", "torch", "typing", "math", "json", "subprocess", "transformers", "codecs", "os", "copy", "numpy"], "module": "modelscope.models.nlp.palm_v2.text_generation"}, "('MODELS', 'chat', 'chatglm6b')": {"filepath": "TEMPLATE_PATH/models/nlp/chatglm/text_generation.py", "imports": ["typing", "torch", "math", "re", "transformers", "os", "warnings", "copy", "sys"], "module": "modelscope.models.nlp.chatglm.text_generation"}, "('MODELS', 'backbone', 'llama2')": {"filepath": "TEMPLATE_PATH/models/nlp/llama/backbone.py", "imports": ["transformers"], "module": "modelscope.models.nlp.llama.backbone"}, "('MODELS', 'backbone', 'llama')": {"filepath": "TEMPLATE_PATH/models/nlp/llama/backbone.py", "imports": ["transformers"], "module": "modelscope.models.nlp.llama.backbone"}, "('MODELS', 'chat', 'llama2')": {"filepath": "TEMPLATE_PATH/models/nlp/llama/text_generation.py", "imports": ["typing", "torch", "transformers"], "module": "modelscope.models.nlp.llama.text_generation"}, "('MODELS', 'chat', 'llama')": {"filepath": "TEMPLATE_PATH/models/nlp/llama/text_generation.py", "imports": ["typing", "torch", "transformers"], "module": "modelscope.models.nlp.llama.text_generation"}, "('MODELS', 'text-generation', 'llama2')": {"filepath": "TEMPLATE_PATH/models/nlp/llama/text_generation.py", "imports": ["typing", "torch", "transformers"], "module": "modelscope.models.nlp.llama.text_generation"}, "('MODELS', 'text-generation', 'llama')": {"filepath": "TEMPLATE_PATH/models/nlp/llama/text_generation.py", "imports": ["typing", "torch", "transformers"], "module": "modelscope.models.nlp.llama.text_generation"}, "('MODELS', 'table-question-answering', 'space-T-en')": {"filepath": "TEMPLATE_PATH/models/nlp/space_T_en/text_to_sql.py", "imports": ["typing", "torch", "os", "text2sql_lgesql"], "module": "modelscope.models.nlp.space_T_en.text_to_sql"}, "('MODELS', 'backbone', 'megatron-bert')": {"filepath": "TEMPLATE_PATH/models/nlp/megatron_bert/backbone.py", "imports": ["transformers", "torch", "math"], "module": "modelscope.models.nlp.megatron_bert.backbone"}, "('MODELS', 'fill-mask', 'megatron-bert')": {"filepath": "TEMPLATE_PATH/models/nlp/megatron_bert/fill_mask.py", "imports": ["transformers", "torch"], "module": "modelscope.models.nlp.megatron_bert.fill_mask"}, "('MODELS', 'fid-dialogue', 'fid-T5')": {"filepath": "TEMPLATE_PATH/models/nlp/fid_T5/text_generation.py", "imports": ["transformers", "torch", "io", "os"], "module": "modelscope.models.nlp.fid_T5.text_generation"}, "('MODELS', 'code-translation', 'codegeex')": {"filepath": "TEMPLATE_PATH/models/nlp/codegeex/codegeex_for_code_translation.py", "imports": ["typing", "torch", "copy"], "module": "modelscope.models.nlp.codegeex.codegeex_for_code_translation"}, "('MODELS', 'code-generation', 'codegeex')": {"filepath": "TEMPLATE_PATH/models/nlp/codegeex/codegeex_for_code_generation.py", "imports": ["typing", "torch", "copy"], "module": "modelscope.models.nlp.codegeex.codegeex_for_code_generation"}, "('MODELS', 'backbone', 'deberta_v2')": {"filepath": "TEMPLATE_PATH/models/nlp/deberta_v2/backbone.py", "imports": ["typing", "torch", "collections", "transformers"], "module": "modelscope.models.nlp.deberta_v2.backbone"}, "('MODELS', 'fill-mask', 'deberta_v2')": {"filepath": "TEMPLATE_PATH/models/nlp/deberta_v2/fill_mask.py", "imports": ["typing", "torch", "transformers"], "module": "modelscope.models.nlp.deberta_v2.fill_mask"}, "('MODELS', 'competency-aware-translation', 'canmt')": {"filepath": "TEMPLATE_PATH/models/nlp/canmt/canmt_translation.py", "imports": ["typing", "torch", "math", "os", "numpy"], "module": "modelscope.models.nlp.canmt.canmt_translation"}, "('MODELS', 'backbone', 'T5')": {"filepath": "TEMPLATE_PATH/models/nlp/T5/backbone.py", "imports": ["typing", "torch", "math", "transformers", "os", "warnings", "copy"], "module": "modelscope.models.nlp.T5.backbone"}, "('MODELS', 'text2text-generation', 'T5')": {"filepath": "TEMPLATE_PATH/models/nlp/T5/text2text_generation.py", "imports": ["typing", "torch", "transformers", "warnings", "copy"], "module": "modelscope.models.nlp.T5.text2text_generation"}, "('MODELS', 'backbone', 'transformers')": {"filepath": "TEMPLATE_PATH/models/nlp/hf_transformers/backbone.py", "imports": ["transformers"], "module": "modelscope.models.nlp.hf_transformers.backbone"}, "('MODELS', 'text-generation', 'polylm')": {"filepath": "TEMPLATE_PATH/models/nlp/polylm/text_generation.py", "imports": ["typing", "torch", "collections", "transformers"], "module": "modelscope.models.nlp.polylm.text_generation"}, "('MODELS', 'speech-separation', 'speech_mossformer_separation_temporal_8k')": {"filepath": "TEMPLATE_PATH/models/audio/separation/mossformer.py", "imports": ["typing", "torch", "copy", "os"], "module": "modelscope.models.audio.separation.mossformer"}, "('MODELS', 'speech-separation', 'speech_mossformer2_separation_temporal_8k')": {"filepath": "TEMPLATE_PATH/models/audio/separation/m2/mossformer.py", "imports": ["torch", "os"], "module": "modelscope.models.audio.separation.m2.mossformer"}, "('MODELS', 'audio-quantization', 'audio-quantization')": {"filepath": "TEMPLATE_PATH/models/audio/quantization/generic_audio_quantization.py", "imports": ["typing", "os"], "module": "modelscope.models.audio.quantization.generic_audio_quantization"}, "('MODELS', 'inverse-text-processing', 'generic-itn')": {"filepath": "TEMPLATE_PATH/models/audio/itn/generic_inverse_text_processing.py", "imports": ["typing", "os"], "module": "modelscope.models.audio.itn.generic_inverse_text_processing"}, "('MODELS', 'auto-speech-recognition', 'funasr')": {"filepath": "TEMPLATE_PATH/models/audio/funasr/model.py", "imports": ["typing", "funasr", "os", "json"], "module": "modelscope.models.audio.funasr.model"}, "('MODELS', 'voice-activity-detection', 'funasr')": {"filepath": "TEMPLATE_PATH/models/audio/funasr/model.py", "imports": ["typing", "funasr", "os", "json"], "module": "modelscope.models.audio.funasr.model"}, "('MODELS', 'language-score-prediction', 'funasr')": {"filepath": "TEMPLATE_PATH/models/audio/funasr/model.py", "imports": ["typing", "funasr", "os", "json"], "module": "modelscope.models.audio.funasr.model"}, "('MODELS', 'punctuation', 'funasr')": {"filepath": "TEMPLATE_PATH/models/audio/funasr/model.py", "imports": ["typing", "funasr", "os", "json"], "module": "modelscope.models.audio.funasr.model"}, "('MODELS', 'speaker-diarization', 'funasr')": {"filepath": "TEMPLATE_PATH/models/audio/funasr/model.py", "imports": ["typing", "funasr", "os", "json"], "module": "modelscope.models.audio.funasr.model"}, "('MODELS', 'speaker-verification', 'funasr')": {"filepath": "TEMPLATE_PATH/models/audio/funasr/model.py", "imports": ["typing", "funasr", "os", "json"], "module": "modelscope.models.audio.funasr.model"}, "('MODELS', 'speech-separation', 'funasr')": {"filepath": "TEMPLATE_PATH/models/audio/funasr/model.py", "imports": ["typing", "funasr", "os", "json"], "module": "modelscope.models.audio.funasr.model"}, "('MODELS', 'speech-timestamp', 'funasr')": {"filepath": "TEMPLATE_PATH/models/audio/funasr/model.py", "imports": ["typing", "funasr", "os", "json"], "module": "modelscope.models.audio.funasr.model"}, "('MODELS', 'emotion-recognition', 'funasr')": {"filepath": "TEMPLATE_PATH/models/audio/funasr/model.py", "imports": ["typing", "funasr", "os", "json"], "module": "modelscope.models.audio.funasr.model"}, "('MODELS', 'speaker-verification', 'eres2net-aug-sv')": {"filepath": "TEMPLATE_PATH/models/audio/sv/ERes2Net_aug.py", "imports": ["typing", "torch", "math", "torchaudio", "os", "numpy"], "module": "modelscope.models.audio.sv.ERes2Net_aug"}, "('MODELS', 'speaker-verification', 'res2net-sv')": {"filepath": "TEMPLATE_PATH/models/audio/sv/Res2Net.py", "imports": ["typing", "torch", "math", "torchaudio", "os", "numpy"], "module": "modelscope.models.audio.sv.Res2Net"}, "('MODELS', 'speaker-verification', 'resnet-sv')": {"filepath": "TEMPLATE_PATH/models/audio/sv/ResNet.py", "imports": ["typing", "torch", "math", "torchaudio", "os", "numpy"], "module": "modelscope.models.audio.sv.ResNet"}, "('MODELS', 'speaker-verification', 'ecapa-tdnn-sv')": {"filepath": "TEMPLATE_PATH/models/audio/sv/ecapa_tdnn.py", "imports": ["typing", "torch", "math", "torchaudio", "os", "numpy"], "module": "modelscope.models.audio.sv.ecapa_tdnn"}, "('MODELS', 'speaker-verification', 'eres2net-sv')": {"filepath": "TEMPLATE_PATH/models/audio/sv/ERes2Net.py", "imports": ["typing", "torch", "math", "torchaudio", "os", "numpy"], "module": "modelscope.models.audio.sv.ERes2Net"}, "('MODELS', 'speaker-diarization', 'scl-sd')": {"filepath": "TEMPLATE_PATH/models/audio/sv/speaker_change_locator.py", "imports": ["typing", "torch", "collections", "torchaudio", "os", "numpy"], "module": "modelscope.models.audio.sv.speaker_change_locator"}, "('HEADS', 'speaker-diarization-semantic-speaker-turn-detection', 'token-classification')": {"filepath": "TEMPLATE_PATH/models/audio/sv/speaker_diarization_semantic_speaker_turn_detection.py", "imports": ["torch"], "module": "modelscope.models.audio.sv.speaker_diarization_semantic_speaker_turn_detection"}, "('MODELS', 'speaker-diarization-semantic-speaker-turn-detection', 'token-classification')": {"filepath": "TEMPLATE_PATH/models/audio/sv/speaker_diarization_semantic_speaker_turn_detection.py", "imports": ["torch"], "module": "modelscope.models.audio.sv.speaker_diarization_semantic_speaker_turn_detection"}, "('MODELS', 'speaker-diarization-semantic-speaker-turn-detection', 'bert')": {"filepath": "TEMPLATE_PATH/models/audio/sv/speaker_diarization_semantic_speaker_turn_detection.py", "imports": ["torch"], "module": "modelscope.models.audio.sv.speaker_diarization_semantic_speaker_turn_detection"}, "('MODELS', 'speaker-diarization', 'scl-sd-xvector')": {"filepath": "TEMPLATE_PATH/models/audio/sv/speaker_change_locator_xvector.py", "imports": ["typing", "torch", "collections", "torchaudio", "os", "numpy"], "module": "modelscope.models.audio.sv.speaker_change_locator_xvector"}, "('MODELS', 'speech-language-recognition', 'eres2net-lre')": {"filepath": "TEMPLATE_PATH/models/audio/sv/lanuage_recognition_eres2net.py", "imports": ["typing", "torch", "torchaudio", "os", "numpy"], "module": "modelscope.models.audio.sv.lanuage_recognition_eres2net"}, "('MODELS', 'speaker-diarization', 'cluster-backend')": {"filepath": "TEMPLATE_PATH/models/audio/sv/cluster_backend.py", "imports": ["typing", "hdbscan", "umap", "scipy", "sklearn", "numpy"], "module": "modelscope.models.audio.sv.cluster_backend"}, "('MODELS', 'speaker-verification', 'sdpn_ecapa-sv')": {"filepath": "TEMPLATE_PATH/models/audio/sv/sdpn.py", "imports": ["typing", "torch", "math", "torchaudio", "os"], "module": "modelscope.models.audio.sv.sdpn"}, "('HEADS', 'speaker-diarization-dialogue-detection', 'text-classification')": {"filepath": "TEMPLATE_PATH/models/audio/sv/speaker_diarization_dialogue_detection.py", "imports": ["torch"], "module": "modelscope.models.audio.sv.speaker_diarization_dialogue_detection"}, "('MODELS', 'speaker-diarization-dialogue-detection', 'text-classification')": {"filepath": "TEMPLATE_PATH/models/audio/sv/speaker_diarization_dialogue_detection.py", "imports": ["torch"], "module": "modelscope.models.audio.sv.speaker_diarization_dialogue_detection"}, "('MODELS', 'speaker-diarization-dialogue-detection', 'bert')": {"filepath": "TEMPLATE_PATH/models/audio/sv/speaker_diarization_dialogue_detection.py", "imports": ["torch"], "module": "modelscope.models.audio.sv.speaker_diarization_dialogue_detection"}, "('MODELS', 'speaker-verification', 'tdnn-sv')": {"filepath": "TEMPLATE_PATH/models/audio/sv/xvector.py", "imports": ["typing", "torch", "math", "torchaudio", "os", "numpy"], "module": "modelscope.models.audio.sv.xvector"}, "('MODELS', 'speech-language-recognition', 'cam++-lre')": {"filepath": "TEMPLATE_PATH/models/audio/sv/lanuage_recognition_model.py", "imports": ["typing", "torch", "torchaudio", "os", "numpy"], "module": "modelscope.models.audio.sv.lanuage_recognition_model"}, "('MODELS', 'speaker-verification', 'rdino_ecapa-tdnn-sv')": {"filepath": "TEMPLATE_PATH/models/audio/sv/rdino.py", "imports": ["typing", "torch", "math", "torchaudio", "os"], "module": "modelscope.models.audio.sv.rdino"}, "('MODELS', 'speaker-verification', 'eres2netv2-sv')": {"filepath": "TEMPLATE_PATH/models/audio/sv/ERes2NetV2.py", "imports": ["typing", "torch", "math", "torchaudio", "os", "numpy"], "module": "modelscope.models.audio.sv.ERes2NetV2"}, "('MODELS', 'speaker-verification', 'cam++-sv')": {"filepath": "TEMPLATE_PATH/models/audio/sv/DTDNN.py", "imports": ["typing", "torch", "collections", "torchaudio", "os", "numpy"], "module": "modelscope.models.audio.sv.DTDNN"}, "('MODELS', 'keyword-spotting', 'speech_dfsmn_kws_char_farfield')": {"filepath": "TEMPLATE_PATH/models/audio/kws/farfield/model.py", "imports": ["tempfile", "typing", "os"], "module": "modelscope.models.audio.kws.farfield.model"}, "('MODELS', 'keyword-spotting', 'speech_dfsmn_kws_char_farfield_iot')": {"filepath": "TEMPLATE_PATH/models/audio/kws/farfield/model.py", "imports": ["tempfile", "typing", "os"], "module": "modelscope.models.audio.kws.farfield.model"}, "('MODELS', 'keyword-spotting', 'kws-kwsbp')": {"filepath": "TEMPLATE_PATH/models/audio/kws/generic_key_word_spotting.py", "imports": ["typing", "os"], "module": "modelscope.models.audio.kws.generic_key_word_spotting"}, "('MODELS', 'keyword-spotting', 'speech_kws_fsmn_char_ctc_nearfield')": {"filepath": "TEMPLATE_PATH/models/audio/kws/nearfield/model.py", "imports": ["tempfile", "torch", "typing", "os", "sys"], "module": "modelscope.models.audio.kws.nearfield.model"}, "('MODELS', 'text-to-speech', 'laura-codec')": {"filepath": "TEMPLATE_PATH/models/audio/tts/laura_codec.py", "imports": ["typing", "os"], "module": "modelscope.models.audio.tts.laura_codec"}, "('MODELS', 'text-to-speech', 'sambert-hifigan')": {"filepath": "TEMPLATE_PATH/models/audio/tts/sambert_hifi.py", "imports": ["wave", "json", "yaml", "matplotlib", "datetime", "os", "zipfile", "shutil", "__future__", "numpy"], "module": "modelscope.models.audio.tts.sambert_hifi"}, "('MODELS', 'auto-speech-recognition', 'wenet-asr')": {"filepath": "TEMPLATE_PATH/models/audio/asr/wenet_automatic_speech_recognition.py", "imports": ["typing", "wenetruntime", "os", "json"], "module": "modelscope.models.audio.asr.wenet_automatic_speech_recognition"}, "('MODELS', 'acoustic-noise-suppression', 'speech_frcrn_ans_cirm_16k')": {"filepath": "TEMPLATE_PATH/models/audio/ans/frcrn.py", "imports": ["typing", "torch", "os"], "module": "modelscope.models.audio.ans.frcrn"}, "('MODELS', 'acoustic-noise-suppression', 'speech_dfsmn_ans')": {"filepath": "TEMPLATE_PATH/models/audio/ans/denoise_net.py", "imports": ["torch"], "module": "modelscope.models.audio.ans.denoise_net"}, "('METRICS', 'default', 'image-quality-assessment-mos-metric')": {"filepath": "TEMPLATE_PATH/metrics/image_quality_assessment_mos_metric.py", "imports": ["tempfile", "torch", "typing", "tqdm", "os", "sys", "scipy", "cv2", "numpy"], "module": "modelscope.metrics.image_quality_assessment_mos_metric"}, "('METRICS', 'default', 'image-inpainting-metric')": {"filepath": "TEMPLATE_PATH/metrics/image_inpainting_metric.py", "imports": ["typing", "torch", "scipy", "numpy"], "module": "modelscope.metrics.image_inpainting_metric"}, "('METRICS', 'default', 'video-summarization-metric')": {"filepath": "TEMPLATE_PATH/metrics/video_summarization_metric.py", "imports": ["typing", "numpy"], "module": "modelscope.metrics.video_summarization_metric"}, "('METRICS', 'default', 'loss-metric')": {"filepath": "TEMPLATE_PATH/metrics/loss_metric.py", "imports": ["typing", "sklearn", "numpy"], "module": "modelscope.metrics.loss_metric"}, "('METRICS', 'default', 'ned')": {"filepath": "TEMPLATE_PATH/metrics/ned_metric.py", "imports": ["typing", "numpy"], "module": "modelscope.metrics.ned_metric"}, "('METRICS', 'default', 'image-denoise-metric')": {"filepath": "TEMPLATE_PATH/metrics/image_denoise_metric.py", "imports": ["typing", "torch", "cv2", "numpy"], "module": "modelscope.metrics.image_denoise_metric"}, "('METRICS', 'default', 'token-cls-metric')": {"filepath": "TEMPLATE_PATH/metrics/token_classification_metric.py", "imports": ["typing", "numpy", "importlib"], "module": "modelscope.metrics.token_classification_metric"}, "('METRICS', 'default', 'ocr-recognition-metric')": {"filepath": "TEMPLATE_PATH/metrics/ocr_recognition_metric.py", "imports": ["typing", "torch", "edit_distance", "numpy"], "module": "modelscope.metrics.ocr_recognition_metric"}, "('METRICS', 'default', 'text-ranking-metric')": {"filepath": "TEMPLATE_PATH/metrics/text_ranking_metric.py", "imports": ["typing", "numpy"], "module": "modelscope.metrics.text_ranking_metric"}, "('METRICS', 'default', 'prediction-saving-wrapper')": {"filepath": "TEMPLATE_PATH/metrics/prediction_saving_wrapper.py", "imports": ["typing"], "module": "modelscope.metrics.prediction_saving_wrapper"}, "('METRICS', 'default', 'video-frame-interpolation-metric')": {"filepath": "TEMPLATE_PATH/metrics/video_frame_interpolation_metric.py", "imports": ["typing", "torch", "math", "lpips", "numpy"], "module": "modelscope.metrics.video_frame_interpolation_metric"}, "('METRICS', 'default', 'bleu')": {"filepath": "TEMPLATE_PATH/metrics/bleu_metric.py", "imports": ["typing", "sacrebleu", "itertools"], "module": "modelscope.metrics.bleu_metric"}, "('METRICS', 'default', 'mAP')": {"filepath": "TEMPLATE_PATH/metrics/map_metric.py", "imports": ["typing", "numpy"], "module": "modelscope.metrics.map_metric"}, "('METRICS', 'default', 'referring-video-object-segmentation-metric')": {"filepath": "TEMPLATE_PATH/metrics/referring_video_object_segmentation_metric.py", "imports": ["typing", "torch", "tqdm", "pycocotools", "numpy"], "module": "modelscope.metrics.referring_video_object_segmentation_metric"}, "('METRICS', 'default', 'image-portrait-enhancement-metric')": {"filepath": "TEMPLATE_PATH/metrics/image_portrait_enhancement_metric.py", "imports": ["typing", "cv2", "numpy"], "module": "modelscope.metrics.image_portrait_enhancement_metric"}, "('METRICS', 'default', 'inbatch_recall')": {"filepath": "TEMPLATE_PATH/metrics/inbatch_recall_metric.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.metrics.inbatch_recall_metric"}, "('METRICS', 'default', 'image-color-enhance-metric')": {"filepath": "TEMPLATE_PATH/metrics/image_color_enhance_metric.py", "imports": ["typing", "cv2", "numpy"], "module": "modelscope.metrics.image_color_enhance_metric"}, "('METRICS', 'default', 'image-quality-assessment-degradation-metric')": {"filepath": "TEMPLATE_PATH/metrics/image_quality_assessment_degradation_metric.py", "imports": ["tempfile", "torch", "typing", "collections", "tqdm", "os", "sys", "scipy", "cv2", "numpy"], "module": "modelscope.metrics.image_quality_assessment_degradation_metric"}, "('METRICS', 'default', 'video-stabilization-metric')": {"filepath": "TEMPLATE_PATH/metrics/video_stabilization_metric.py", "imports": ["tempfile", "typing", "tqdm", "os", "sys", "cv2", "numpy"], "module": "modelscope.metrics.video_stabilization_metric"}, "('METRICS', 'default', 'ppl')": {"filepath": "TEMPLATE_PATH/metrics/ppl_metric.py", "imports": ["typing", "torch", "math", "numpy"], "module": "modelscope.metrics.ppl_metric"}, "('METRICS', 'default', 'seq-cls-metric')": {"filepath": "TEMPLATE_PATH/metrics/sequence_classification_metric.py", "imports": ["typing", "sklearn", "numpy"], "module": "modelscope.metrics.sequence_classification_metric"}, "('METRICS', 'default', 'image-colorization-metric')": {"filepath": "TEMPLATE_PATH/metrics/image_colorization_metric.py", "imports": ["typing", "torch", "torchvision", "scipy", "cv2", "numpy"], "module": "modelscope.metrics.image_colorization_metric"}, "('METRICS', 'default', 'translation-evaluation-metric')": {"filepath": "TEMPLATE_PATH/metrics/translation_evaluation_metric.py", "imports": ["importlib", "typing", "pandas"], "module": "modelscope.metrics.translation_evaluation_metric"}, "('METRICS', 'default', 'audio-noise-metric')": {"filepath": "TEMPLATE_PATH/metrics/audio_noise_metric.py", "imports": ["typing"], "module": "modelscope.metrics.audio_noise_metric"}, "('METRICS', 'default', 'text-gen-metric')": {"filepath": "TEMPLATE_PATH/metrics/text_generation_metric.py", "imports": ["typing", "contextlib", "sys", "rouge", "nltk"], "module": "modelscope.metrics.text_generation_metric"}, "('METRICS', 'default', 'image-ins-seg-coco-metric')": {"filepath": "TEMPLATE_PATH/metrics/image_instance_segmentation_metric.py", "imports": ["tempfile", "typing", "collections", "os", "pycocotools", "numpy"], "module": "modelscope.metrics.image_instance_segmentation_metric"}, "('METRICS', 'default', 'accuracy')": {"filepath": "TEMPLATE_PATH/metrics/accuracy_metric.py", "imports": ["typing", "numpy"], "module": "modelscope.metrics.accuracy_metric"}, "('METRICS', 'default', 'movie-scene-segmentation-metric')": {"filepath": "TEMPLATE_PATH/metrics/movie_scene_segmentation_metric.py", "imports": ["typing", "numpy"], "module": "modelscope.metrics.movie_scene_segmentation_metric"}, "('METRICS', 'default', 'video-super-resolution-metric')": {"filepath": "TEMPLATE_PATH/metrics/video_super_resolution_metric/video_super_resolution_metric.py", "imports": ["typing", "numpy"], "module": "modelscope.metrics.video_super_resolution_metric.video_super_resolution_metric"}, "('PIPELINES', 'task-template', 'pipeline-template')": {"filepath": "TEMPLATE_PATH/pipelines/pipeline_template.py", "imports": ["typing", "numpy"], "module": "modelscope.pipelines.pipeline_template"}, "('PIPELINES', 'protein-structure', 'unifold-protein-structure')": {"filepath": "TEMPLATE_PATH/pipelines/science/protein_structure_pipeline.py", "imports": ["typing", "torch", "json", "time", "os", "unicore", "numpy"], "module": "modelscope.pipelines.science.protein_structure_pipeline"}, "('PIPELINES', 'face-detection', 'manual-face-detection-mtcnn')": {"filepath": "TEMPLATE_PATH/pipelines/cv/mtcnn_face_detection_pipeline.py", "imports": ["typing", "torch", "os"], "module": "modelscope.pipelines.cv.mtcnn_face_detection_pipeline"}, "('PIPELINES', 'image-try-on', 'image-try-on')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_try_on_pipeline.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.pipelines.cv.image_try_on_pipeline"}, "('PIPELINES', 'image-face-fusion', 'image-face-fusion')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_face_fusion_pipeline.py", "imports": ["typing", "numpy"], "module": "modelscope.pipelines.cv.image_face_fusion_pipeline"}, "('PIPELINES', 'shop-segmentation', 'shop-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/shop_segmentation_pipleline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.shop_segmentation_pipleline"}, "('PIPELINES', 'image-control-3d-portrait', 'image-control-3d-portrait')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_control_3D_portrait_pipeline.py", "imports": ["typing", "numpy"], "module": "modelscope.pipelines.cv.image_control_3D_portrait_pipeline"}, "('PIPELINES', 'face-attribute-recognition', 'resnet34-face-attribute-recognition-fairface')": {"filepath": "TEMPLATE_PATH/pipelines/cv/face_attribute_recognition_pipeline.py", "imports": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.face_attribute_recognition_pipeline"}, "('PIPELINES', 'controllable-image-generation', 'controllable-image-generation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/controllable_image_generation_pipeline.py", "imports": ["tempfile", "glob", "torch", "math", "typing", "subprocess", "os", "cv2", "numpy"], "module": "modelscope.pipelines.cv.controllable_image_generation_pipeline"}, "('PIPELINES', 'ocr-recognition', 'convnextTiny-ocr-recognition')": {"filepath": "TEMPLATE_PATH/pipelines/cv/ocr_recognition_pipeline.py", "imports": [], "module": "modelscope.pipelines.cv.ocr_recognition_pipeline"}, "('PIPELINES', 'panorama-depth-estimation', 'panorama-depth-estimation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/panorama_depth_estimation_pipeline.py", "imports": ["typing", "torch", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.panorama_depth_estimation_pipeline"}, "('PIPELINES', 'video-deinterlace', 'video-deinterlace')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_deinterlace_pipeline.py", "imports": ["tempfile", "torch", "typing", "math", "subprocess", "torchvision", "os", "cv2", "numpy"], "module": "modelscope.pipelines.cv.video_deinterlace_pipeline"}, "('PIPELINES', 'image-classification', 'image-classification')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_classification_pipeline.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.pipelines.cv.image_classification_pipeline"}, "('PIPELINES', 'image-classification', 'vit-base_image-classification_ImageNet-labels')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_classification_pipeline.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.pipelines.cv.image_classification_pipeline"}, "('PIPELINES', 'image-classification', 'vit-base_image-classification_Dailylife-labels')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_classification_pipeline.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.pipelines.cv.image_classification_pipeline"}, "('PIPELINES', 'image-classification', 'nextvit-small_image-classification_Dailylife-labels')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_classification_pipeline.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.pipelines.cv.image_classification_pipeline"}, "('PIPELINES', 'image-classification', 'convnext-base_image-classification_garbage')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_classification_pipeline.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.pipelines.cv.image_classification_pipeline"}, "('PIPELINES', 'image-classification', 'common-image-classification')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_classification_pipeline.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.pipelines.cv.image_classification_pipeline"}, "('PIPELINES', 'image-classification', 'easyrobust-classification')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_classification_pipeline.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.pipelines.cv.image_classification_pipeline"}, "('PIPELINES', 'image-classification', 'bnext-small_image-classification_ImageNet-labels')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_classification_pipeline.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.pipelines.cv.image_classification_pipeline"}, "('PIPELINES', 'image-style-transfer', 'AAMS-style-transfer')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_style_transfer_pipeline.py", "imports": ["typing", "cv2", "os", "numpy"], "module": "modelscope.pipelines.cv.image_style_transfer_pipeline"}, "('PIPELINES', 'image-debanding', 'rrdb-image-debanding')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_debanding_pipeline.py", "imports": ["typing", "torch", "torchvision"], "module": "modelscope.pipelines.cv.image_debanding_pipeline"}, "('PIPELINES', 'face-image-generation', 'gan-face-image-generation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/face_image_generation_pipeline.py", "imports": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.face_image_generation_pipeline"}, "('PIPELINES', 'body-2d-keypoints', 'hrnetv2w32_body-2d-keypoints_image')": {"filepath": "TEMPLATE_PATH/pipelines/cv/body_2d_keypoints_pipeline.py", "imports": ["typing", "torch", "json", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.body_2d_keypoints_pipeline"}, "('PIPELINES', 'video-depth-estimation', 'video-depth-estimation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_depth_estimation_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.video_depth_estimation_pipeline"}, "('PIPELINES', 'body-3d-keypoints', 'canonical_body-3d-keypoints_video')": {"filepath": "TEMPLATE_PATH/pipelines/cv/body_3d_keypoints_pipeline.py", "imports": ["tempfile", "torch", "typing", "mpl_toolkits", "matplotlib", "datetime", "os", "cv2", "numpy"], "module": "modelscope.pipelines.cv.body_3d_keypoints_pipeline"}, "('PIPELINES', 'image-classification', 'resnet50-image-classification-cc')": {"filepath": "TEMPLATE_PATH/pipelines/cv/content_check_pipeline.py", "imports": ["typing", "torch", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.content_check_pipeline"}, "('PIPELINES', 'face-quality-assessment', 'manual-face-quality-assessment-fqa')": {"filepath": "TEMPLATE_PATH/pipelines/cv/face_quality_assessment_pipeline.py", "imports": ["typing", "torch", "os", "onnxruntime", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.face_quality_assessment_pipeline"}, "('PIPELINES', 'video-single-object-tracking', 'procontext-vitb-video-single-object-tracking')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_single_object_tracking_pipeline.py", "imports": ["typing", "cv2", "os"], "module": "modelscope.pipelines.cv.video_single_object_tracking_pipeline"}, "('PIPELINES', 'video-single-object-tracking', 'ostrack-vitb-video-single-object-tracking')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_single_object_tracking_pipeline.py", "imports": ["typing", "cv2", "os"], "module": "modelscope.pipelines.cv.video_single_object_tracking_pipeline"}, "('PIPELINES', 'image-color-enhancement', 'adaint-image-color-enhance')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_color_enhance_pipeline.py", "imports": ["typing", "torch", "torchvision"], "module": "modelscope.pipelines.cv.image_color_enhance_pipeline"}, "('PIPELINES', 'image-color-enhancement', 'deeplpf-image-color-enhance')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_color_enhance_pipeline.py", "imports": ["typing", "torch", "torchvision"], "module": "modelscope.pipelines.cv.image_color_enhance_pipeline"}, "('PIPELINES', 'image-color-enhancement', 'csrnet-image-color-enhance')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_color_enhance_pipeline.py", "imports": ["typing", "torch", "torchvision"], "module": "modelscope.pipelines.cv.image_color_enhance_pipeline"}, "('PIPELINES', 'skin-retouching', 'unet-skin-retouching')": {"filepath": "TEMPLATE_PATH/pipelines/cv/skin_retouching_pipeline.py", "imports": ["typing", "torch", "tensorflow", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.skin_retouching_pipeline"}, "('PIPELINES', 'live-category', 'live-category')": {"filepath": "TEMPLATE_PATH/pipelines/cv/live_category_pipeline.py", "imports": ["typing", "torch", "decord", "torchvision", "os", "PIL", "numpy"], "module": "modelscope.pipelines.cv.live_category_pipeline"}, "('PIPELINES', 'video-colorization', 'video-colorization')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_colorization_pipeline.py", "imports": ["tempfile", "torch", "typing", "subprocess", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.video_colorization_pipeline"}, "('PIPELINES', 'video-category', 'video-category')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_category_pipeline.py", "imports": ["typing", "torch", "decord", "json", "torchvision", "os", "PIL", "numpy"], "module": "modelscope.pipelines.cv.video_category_pipeline"}, "('PIPELINES', 'face-recognition', 'ir50-face-recognition-arcface')": {"filepath": "TEMPLATE_PATH/pipelines/cv/arc_face_recognition_pipeline.py", "imports": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.arc_face_recognition_pipeline"}, "('PIPELINES', 'image-denoising', 'nafnet-image-denoise')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_denoise_pipeline.py", "imports": ["typing", "torch", "torchvision"], "module": "modelscope.pipelines.cv.image_denoise_pipeline"}, "('PIPELINES', 'face-liveness', 'manual-face-liveness-flir')": {"filepath": "TEMPLATE_PATH/pipelines/cv/face_liveness_ir_pipeline.py", "imports": ["typing", "torch", "os", "onnxruntime", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.face_liveness_ir_pipeline"}, "('PIPELINES', 'face-detection', 'manual-face-detection-ulfd')": {"filepath": "TEMPLATE_PATH/pipelines/cv/ulfd_face_detection_pipeline.py", "imports": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.ulfd_face_detection_pipeline"}, "('PIPELINES', 'domain-specific-object-detection', 'tinynas-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/tinynas_detection_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.tinynas_detection_pipeline"}, "('PIPELINES', 'image-object-detection', 'tinynas-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/tinynas_detection_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.tinynas_detection_pipeline"}, "('PIPELINES', 'virtual-try-on', 'virtual-try-on')": {"filepath": "TEMPLATE_PATH/pipelines/cv/virtual_try_on_pipeline.py", "imports": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.virtual_try_on_pipeline"}, "('PIPELINES', 'lineless-table-recognition', 'lore-lineless-table-recognition')": {"filepath": "TEMPLATE_PATH/pipelines/cv/lineless_table_recognition_pipeline.py", "imports": ["typing", "torch", "math", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.lineless_table_recognition_pipeline"}, "('PIPELINES', 'nerf-recon-vq-compression', 'nerf-recon-vq-compression')": {"filepath": "TEMPLATE_PATH/pipelines/cv/nerf_recon_vq_compression_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.nerf_recon_vq_compression_pipeline"}, "('PIPELINES', 'image-super-resolution-pasd', 'image-super-resolution-pasd')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_super_resolution_pasd_pipeline.py", "imports": ["tempfile", "torch", "typing", "diffusers", "transformers", "torchvision", "os", "PIL", "numpy"], "module": "modelscope.pipelines.cv.image_super_resolution_pasd_pipeline"}, "('PIPELINES', 'bad-image-detecting', 'bad-image-detecting')": {"filepath": "TEMPLATE_PATH/pipelines/cv/bad_image_detecting_pipeline.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.pipelines.cv.bad_image_detecting_pipeline"}, "('PIPELINES', 'vision-efficient-tuning', 'vision-efficient-tuning')": {"filepath": "TEMPLATE_PATH/pipelines/cv/vision_efficient_tuning_pipeline.py", "imports": ["typing", "torch", "torchvision", "numpy"], "module": "modelscope.pipelines.cv.vision_efficient_tuning_pipeline"}, "('PIPELINES', 'language-guided-video-summarization', 'clip-it-video-summarization')": {"filepath": "TEMPLATE_PATH/pipelines/cv/language_guided_video_summarization_pipeline.py", "imports": ["tempfile", "random", "torch", "typing", "clip", "os", "shutil", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.language_guided_video_summarization_pipeline"}, "('PIPELINES', 'general-recognition', 'resnet101-general-recognition')": {"filepath": "TEMPLATE_PATH/pipelines/cv/general_recognition_pipeline.py", "imports": ["typing", "torch", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.general_recognition_pipeline"}, "('PIPELINES', 'image-depth-estimation', 'image-depth-estimation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_depth_estimation_pipeline.py", "imports": ["typing", "torch", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.image_depth_estimation_pipeline"}, "('PIPELINES', 'image-matching', 'image-matching-fast')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_matching_fast_pipeline.py", "imports": ["typing", "torch", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.image_matching_fast_pipeline"}, "('PIPELINES', 'video-object-segmentation', 'video-object-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_object_segmentation_pipeline.py", "imports": ["typing", "torch", "torchvision", "os", "PIL", "numpy"], "module": "modelscope.pipelines.cv.video_object_segmentation_pipeline"}, "('PIPELINES', 'image-view-transform', 'image-view-transform')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_view_transform_pipeline.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.pipelines.cv.image_view_transform_pipeline"}, "('PIPELINES', 'image-quality-assessment-mos', 'image-quality-assessment-mos')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_quality_assessment_mos_pipeline.py", "imports": ["tempfile", "torch", "typing", "math", "torchvision", "cv2", "numpy"], "module": "modelscope.pipelines.cv.image_quality_assessment_mos_pipeline"}, "('PIPELINES', 'indoor-layout-estimation', 'indoor-layout-estimation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/indoor_layout_estimation_pipeline.py", "imports": ["typing", "cv2", "numpy"], "module": "modelscope.pipelines.cv.indoor_layout_estimation_pipeline"}, "('PIPELINES', 'action-detection', 'ResNetC3D-action-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/action_detection_pipeline.py", "imports": ["typing", "math", "os"], "module": "modelscope.pipelines.cv.action_detection_pipeline"}, "('PIPELINES', 'video-multi-object-tracking', 'video-multi-object-tracking')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_multi_object_tracking_pipeline.py", "imports": ["typing", "torch", "os"], "module": "modelscope.pipelines.cv.video_multi_object_tracking_pipeline"}, "('PIPELINES', 'image-to-image-generation', 'anydoor')": {"filepath": "TEMPLATE_PATH/pipelines/cv/anydoor_pipeline.py", "imports": ["typing", "torch", "os", "numpy", "PIL", "cv2", "einops", "requests"], "module": "modelscope.pipelines.cv.anydoor_pipeline"}, "('PIPELINES', 'image-deblurring', 'nafnet-image-deblur')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_deblur_pipeline.py", "imports": ["typing", "torch", "torchvision"], "module": "modelscope.pipelines.cv.image_deblur_pipeline"}, "('PIPELINES', 'image-quality-assessment-degradation', 'image-quality-assessment-degradation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_quality_assessment_degradation_pipeline.py", "imports": ["tempfile", "torch", "typing", "math", "torchvision", "cv2", "numpy"], "module": "modelscope.pipelines.cv.image_quality_assessment_degradation_pipeline"}, "('PIPELINES', 'human-normal-estimation', 'human-normal-estimation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/human_normal_estimation_pipeline.py", "imports": ["typing", "PIL", "numpy"], "module": "modelscope.pipelines.cv.human_normal_estimation_pipeline"}, "('PIPELINES', 'image-normal-estimation', 'image-normal-estimation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_normal_estimation_pipeline.py", "imports": ["typing", "torch", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.image_normal_estimation_pipeline"}, "('PIPELINES', 'video-frame-interpolation', 'rife-video-frame-interpolation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/rife_video_frame_interpolation_pipeline.py", "imports": ["tempfile", "glob", "torch", "math", "typing", "subprocess", "torchvision", "os", "cv2", "numpy"], "module": "modelscope.pipelines.cv.rife_video_frame_interpolation_pipeline"}, "('PIPELINES', 'image-skychange', 'image-skychange')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_skychange_pipeline.py", "imports": ["typing", "pdb", "time", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.image_skychange_pipeline"}, "('PIPELINES', 'face-human-hand-detection', 'face-human-hand-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/face_human_hand_detection_pipeline.py", "imports": ["typing", "numpy"], "module": "modelscope.pipelines.cv.face_human_hand_detection_pipeline"}, "('PIPELINES', 'image-reid-person', 'passvitb-image-reid-person')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_reid_person_pipeline.py", "imports": ["typing", "torch", "math", "torchvision", "os", "PIL"], "module": "modelscope.pipelines.cv.image_reid_person_pipeline"}, "('PIPELINES', 'video-frame-interpolation', 'video-frame-interpolation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_frame_interpolation_pipeline.py", "imports": ["tempfile", "glob", "torch", "math", "typing", "subprocess", "torchvision", "os", "cv2", "numpy"], "module": "modelscope.pipelines.cv.video_frame_interpolation_pipeline"}, "('PIPELINES', 'video-stabilization', 'video-stabilization')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_stabilization_pipeline.py", "imports": ["tempfile", "glob", "torch", "math", "typing", "subprocess", "os", "cv2", "numpy"], "module": "modelscope.pipelines.cv.video_stabilization_pipeline"}, "('PIPELINES', 'image-object-detection', 'tbs-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/tbs_detection_pipeline.py", "imports": ["typing", "torch", "os", "PIL", "cv2", "colorsys", "numpy"], "module": "modelscope.pipelines.cv.tbs_detection_pipeline"}, "('PIPELINES', 'object-detection-3d', 'object-detection-3d-depe')": {"filepath": "TEMPLATE_PATH/pipelines/cv/object_detection_3d_pipeline.py", "imports": ["tempfile", "torch", "typing", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.object_detection_3d_pipeline"}, "('PIPELINES', 'image-segmentation', 'cascade-mask-rcnn-swin-image-instance-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_instance_segmentation_pipeline.py", "imports": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.image_instance_segmentation_pipeline"}, "('PIPELINES', 'video-panoptic-segmentation', 'video-panoptic-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_panoptic_segmentation_pipeline.py", "imports": ["typing", "torch", "mmcv", "tqdm", "os", "cv2", "numpy"], "module": "modelscope.pipelines.cv.video_panoptic_segmentation_pipeline"}, "('PIPELINES', 'self-supervised-depth-completion', 'self-supervised-depth-completion')": {"filepath": "TEMPLATE_PATH/pipelines/cv/self_supervised_depth_completion_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.self_supervised_depth_completion_pipeline"}, "('PIPELINES', 'face-recognition', 'manual-face-recognition-frfm')": {"filepath": "TEMPLATE_PATH/pipelines/cv/face_recognition_onnx_fm_pipeline.py", "imports": ["typing", "torch", "os", "onnxruntime", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.face_recognition_onnx_fm_pipeline"}, "('PIPELINES', 'text-texture-generation', 'text-texture-generation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/text_texture_generation_pipeline.py", "imports": ["typing", "random", "torch", "diffusers", "pytorch3d", "torchvision", "os", "PIL", "numpy"], "module": "modelscope.pipelines.cv.text_texture_generation_pipeline"}, "('PIPELINES', 'crowd-counting', 'hrnet-crowd-counting')": {"filepath": "TEMPLATE_PATH/pipelines/cv/crowd_counting_pipeline.py", "imports": ["typing", "torch", "math", "torchvision", "PIL", "numpy"], "module": "modelscope.pipelines.cv.crowd_counting_pipeline"}, "('PIPELINES', 'animal-recognition', 'resnet101-animal-recognition')": {"filepath": "TEMPLATE_PATH/pipelines/cv/animal_recognition_pipeline.py", "imports": ["typing", "torch", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.animal_recognition_pipeline"}, "('PIPELINES', 'video-human-matting', 'video-human-matting')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_human_matting_pipeline.py", "imports": ["typing", "torch", "os", "moviepy", "cv2", "numpy"], "module": "modelscope.pipelines.cv.video_human_matting_pipeline"}, "('PIPELINES', 'facial-68ldk-detection', 'facial-68ldk-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/facial_68ldk_detection_pipeline.py", "imports": ["typing", "torch", "argparse", "os", "cv2", "numpy"], "module": "modelscope.pipelines.cv.facial_68ldk_detection_pipeline"}, "('PIPELINES', 'nerf-recon-acc', 'nerf-recon-acc')": {"filepath": "TEMPLATE_PATH/pipelines/cv/nerf_recon_acc_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.nerf_recon_acc_pipeline"}, "('PIPELINES', 'nerf-recon-4k', 'nerf-recon-4k')": {"filepath": "TEMPLATE_PATH/pipelines/cv/nerf_recon_4k_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.nerf_recon_4k_pipeline"}, "('PIPELINES', 'motion-generation', 'mdm-motion-generation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/motion_generation_pipeline.py", "imports": ["tempfile", "torch", "typing", "os", "numpy"], "module": "modelscope.pipelines.cv.motion_generation_pipeline"}, "('PIPELINES', 'image-inpainting', 'fft-inpainting')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_inpainting_pipeline.py", "imports": ["typing", "torch", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.image_inpainting_pipeline"}, "('PIPELINES', 'face-recognition', 'ir101-face-recognition-cfglint')": {"filepath": "TEMPLATE_PATH/pipelines/cv/face_recognition_pipeline.py", "imports": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.face_recognition_pipeline"}, "('PIPELINES', 'surface-recon-common', 'surface-recon-common')": {"filepath": "TEMPLATE_PATH/pipelines/cv/surface_recon_common_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.surface_recon_common_pipeline"}, "('PIPELINES', 'pointcloud-sceneflow-estimation', 'pointcloud-sceneflow-estimation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/pointcloud_sceneflow_estimation_pipeline.py", "imports": ["typing", "torch", "plyfile", "numpy"], "module": "modelscope.pipelines.cv.pointcloud_sceneflow_estimation_pipeline"}, "('PIPELINES', 'video-instance-segmentation', 'video-instance-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_instance_segmentation_pipeline.py", "imports": ["typing", "torch", "mmcv", "tqdm", "os", "cv2", "numpy"], "module": "modelscope.pipelines.cv.video_instance_segmentation_pipeline"}, "('PIPELINES', 'referring-video-object-segmentation', 'referring-video-object-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/referring_video_object_segmentation_pipeline.py", "imports": ["tempfile", "torch", "typing", "tqdm", "torchvision", "moviepy", "PIL", "einops", "numpy"], "module": "modelscope.pipelines.cv.referring_video_object_segmentation_pipeline"}, "('PIPELINES', 'face-emotion', 'face-emotion')": {"filepath": "TEMPLATE_PATH/pipelines/cv/face_emotion_pipeline.py", "imports": ["typing", "numpy"], "module": "modelscope.pipelines.cv.face_emotion_pipeline"}, "('PIPELINES', 'image-super-resolution', 'rrdb-image-super-resolution')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_super_resolution_pipeline.py", "imports": ["typing", "torch", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.image_super_resolution_pipeline"}, "('PIPELINES', 'image-to-image-translation', 'image-to-image-translation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_to_image_translation_pipeline.py", "imports": ["typing", "torch", "torchvision", "os", "io", "sys", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.image_to_image_translation_pipeline"}, "('PIPELINES', 'image-classification', 'image-structured-model-probing')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_structured_model_probing_pipeline.py", "imports": ["typing", "torch", "math", "mmcv", "torchvision", "os", "numpy"], "module": "modelscope.pipelines.cv.image_structured_model_probing_pipeline"}, "('PIPELINES', 'human-image-generation', 'human-image-generation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/human_image_generation_pipeline.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.pipelines.cv.human_image_generation_pipeline"}, "('PIPELINES', 'image-super-resolution', 'mobile-image-super-resolution')": {"filepath": "TEMPLATE_PATH/pipelines/cv/mobile_image_super_resolution_pipeline.py", "imports": ["typing", "torch", "torchvision", "skimage", "numpy"], "module": "modelscope.pipelines.cv.mobile_image_super_resolution_pipeline"}, "('PIPELINES', 'face-detection', 'resnet50-face-detection-retinaface')": {"filepath": "TEMPLATE_PATH/pipelines/cv/retina_face_detection_pipeline.py", "imports": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.retina_face_detection_pipeline"}, "('PIPELINES', 'text-to-360panorama-image', 'text-to-360panorama-image')": {"filepath": "TEMPLATE_PATH/pipelines/cv/text_to_360panorama_image_pipeline.py", "imports": ["typing", "random", "basicsr", "torch", "diffusers", "realesrgan", "PIL", "numpy"], "module": "modelscope.pipelines.cv.text_to_360panorama_image_pipeline"}, "('PIPELINES', 'license-plate-detection', 'resnet18-license-plate-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/license_plate_detection_pipeline.py", "imports": ["typing", "torch", "math", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.license_plate_detection_pipeline"}, "('PIPELINES', 'human3d-animation', 'human3d-animation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/human3d_animation_pipeline.py", "imports": ["typing", "cv2", "os"], "module": "modelscope.pipelines.cv.human3d_animation_pipeline"}, "('PIPELINES', 'pedestrian-attribute-recognition', 'resnet50_pedestrian-attribute-recognition_image')": {"filepath": "TEMPLATE_PATH/pipelines/cv/pedestrian_attribute_recognition_pipeline.py", "imports": ["typing", "torch", "json", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.pedestrian_attribute_recognition_pipeline"}, "('PIPELINES', 'facial-expression-recognition', 'vgg19-facial-expression-recognition-fer')": {"filepath": "TEMPLATE_PATH/pipelines/cv/facial_expression_recognition_pipeline.py", "imports": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.facial_expression_recognition_pipeline"}, "('PIPELINES', 'card-detection', 'resnet-card-detection-scrfd34gkps')": {"filepath": "TEMPLATE_PATH/pipelines/cv/card_detection_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.card_detection_pipeline"}, "('PIPELINES', 'head-reconstruction', 'HRN-head-reconstruction')": {"filepath": "TEMPLATE_PATH/pipelines/cv/head_reconstruction_pipeline.py", "imports": ["typing", "torch", "scipy", "tensorflow", "shutil", "os", "io", "face_alignment", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.head_reconstruction_pipeline"}, "('PIPELINES', 'card-detection-correction', 'resnet18-card-detection-correction')": {"filepath": "TEMPLATE_PATH/pipelines/cv/card_detection_correction_pipeline.py", "imports": ["typing", "torch", "math", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.card_detection_correction_pipeline"}, "('PIPELINES', 'dense-optical-flow-estimation', 'dense-optical-flow-estimation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/dense_optical_flow_estimation_pipeline.py", "imports": ["typing", "torch", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.dense_optical_flow_estimation_pipeline"}, "('PIPELINES', 'image-depth-estimation', 'image-depth-estimation-marigold')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_depth_estimation_marigold_pipeline.py", "imports": ["typing", "torch", "diffusers", "transformers", "tqdm", "os", "PIL", "numpy"], "module": "modelscope.pipelines.cv.image_depth_estimation_marigold_pipeline"}, "('PIPELINES', 'open-vocabulary-detection', 'open-vocabulary-detection-vild')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_open_vocabulary_detection_pipeline.py", "imports": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.image_open_vocabulary_detection_pipeline"}, "('PIPELINES', 'semantic-segmentation', 'u2net-salient-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_salient_detection_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.image_salient_detection_pipeline"}, "('PIPELINES', 'semantic-segmentation', 'res2net-salient-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_salient_detection_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.image_salient_detection_pipeline"}, "('PIPELINES', 'semantic-segmentation', 'res2net-camouflaged-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_salient_detection_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.image_salient_detection_pipeline"}, "('PIPELINES', 'image-demoireing', 'uhdm-image-demoireing')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_restoration_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.image_restoration_pipeline"}, "('PIPELINES', 'image-local-feature-matching', 'image-local-feature-matching')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_local_feature_matching_pipeline.py", "imports": ["typing", "torch", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.image_local_feature_matching_pipeline"}, "('PIPELINES', 'video-summarization', 'googlenet_pgl_video_summarization')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_summarization_pipeline.py", "imports": ["typing", "torch", "tqdm", "os", "cv2", "numpy"], "module": "modelscope.pipelines.cv.video_summarization_pipeline"}, "('PIPELINES', 'face-recognition', 'resnet-face-recognition-facemask')": {"filepath": "TEMPLATE_PATH/pipelines/cv/mask_face_recognition_pipeline.py", "imports": ["typing", "torch", "collections", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.mask_face_recognition_pipeline"}, "('PIPELINES', 'product-segmentation', 'product-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/product_segmentation_pipeline.py", "imports": ["typing", "numpy"], "module": "modelscope.pipelines.cv.product_segmentation_pipeline"}, "('PIPELINES', 'image-multi-view-depth-estimation', 'image-multi-view-depth-estimation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_mvs_depth_estimation_pipeline.py", "imports": ["tempfile", "typing", "os", "shutil"], "module": "modelscope.pipelines.cv.image_mvs_depth_estimation_pipeline"}, "('PIPELINES', 'image-segmentation', 'image-semantic-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_semantic_segmentation_pipeline.py", "imports": ["typing", "torch", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.image_semantic_segmentation_pipeline"}, "('PIPELINES', 'image-to-3d', 'image-to-3d')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_to_3d_pipeline.py", "imports": ["typing", "torch", "omegaconf", "rembg", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.image_to_3d_pipeline"}, "('PIPELINES', 'hand-static', 'hand-static')": {"filepath": "TEMPLATE_PATH/pipelines/cv/hand_static_pipeline.py", "imports": ["typing", "numpy"], "module": "modelscope.pipelines.cv.hand_static_pipeline"}, "('PIPELINES', 'image-driving-perception', 'yolopv2_image-driving-percetion_bdd100k')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_driving_perception_pipeline.py", "imports": ["typing", "cv2", "os", "numpy"], "module": "modelscope.pipelines.cv.image_driving_perception_pipeline"}, "('PIPELINES', 'image-depth-estimation', 'image-bts-depth-estimation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_bts_depth_estimation_pipeline.py", "imports": ["typing", "torch", "albumentations", "cv2", "numpy"], "module": "modelscope.pipelines.cv.image_bts_depth_estimation_pipeline"}, "('PIPELINES', 'panorama-depth-estimation', 'panorama-depth-estimation-s2net')": {"filepath": "TEMPLATE_PATH/pipelines/cv/panorama_depth_estimation_s2net_pipeline.py", "imports": ["typing", "torch", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.panorama_depth_estimation_s2net_pipeline"}, "('PIPELINES', 'image-editing', 'masactrl-image-editing')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_editing_pipeline.py", "imports": ["typing", "torch", "diffusers", "tqdm", "torchvision", "os", "PIL", "numpy"], "module": "modelscope.pipelines.cv.image_editing_pipeline"}, "('PIPELINES', 'face-recognition', 'manual-face-recognition-frir')": {"filepath": "TEMPLATE_PATH/pipelines/cv/face_recognition_onnx_ir_pipeline.py", "imports": ["typing", "torch", "os", "onnxruntime", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.face_recognition_onnx_ir_pipeline"}, "('PIPELINES', 'image-colorization', 'unet-image-colorization')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_colorization_pipeline.py", "imports": ["typing", "torch", "torchvision", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.image_colorization_pipeline"}, "('PIPELINES', 'movie-scene-segmentation', 'resnet50-bert-movie-scene-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/movie_scene_segmentation_pipeline.py", "imports": ["typing", "torch"], "module": "modelscope.pipelines.cv.movie_scene_segmentation_pipeline"}, "('PIPELINES', 'image-fewshot-detection', 'image-fewshot-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_defrcn_fewshot_pipeline.py", "imports": ["typing", "torch", "os", "numpy"], "module": "modelscope.pipelines.cv.image_defrcn_fewshot_pipeline"}, "('PIPELINES', 'image-segmentation', 'vision-middleware-multi-task')": {"filepath": "TEMPLATE_PATH/pipelines/cv/vision_middleware_pipeline.py", "imports": ["typing", "torch", "math", "mmcv", "torchvision", "os", "numpy"], "module": "modelscope.pipelines.cv.vision_middleware_pipeline"}, "('PIPELINES', 'image-object-detection', 'vidt')": {"filepath": "TEMPLATE_PATH/pipelines/cv/vidt_pipeline.py", "imports": ["typing", "torch", "torchvision"], "module": "modelscope.pipelines.cv.vidt_pipeline"}, "('PIPELINES', 'image-portrait-enhancement', 'gpen-image-portrait-enhancement')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_portrait_enhancement_pipeline.py", "imports": ["typing", "torch", "math", "scipy", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.image_portrait_enhancement_pipeline"}, "('PIPELINES', 'image-segmentation', 'm2fp-image-human-parsing')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_human_parsing_pipeline.py", "imports": ["typing", "torch", "torchvision", "numpy"], "module": "modelscope.pipelines.cv.image_human_parsing_pipeline"}, "('PIPELINES', 'video-super-resolution', 'realbasicvsr-video-super-resolution')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_super_resolution_pipeline.py", "imports": ["tempfile", "torch", "typing", "math", "subprocess", "torchvision", "os", "cv2", "numpy"], "module": "modelscope.pipelines.cv.video_super_resolution_pipeline"}, "('PIPELINES', 'face-detection', 'resnet101-face-detection-cvpr22papermogface')": {"filepath": "TEMPLATE_PATH/pipelines/cv/mog_face_detection_pipeline.py", "imports": ["typing", "os", "numpy"], "module": "modelscope.pipelines.cv.mog_face_detection_pipeline"}, "('PIPELINES', 'image-classification', 'tinynas-classification')": {"filepath": "TEMPLATE_PATH/pipelines/cv/tinynas_classification_pipeline.py", "imports": ["typing", "torch", "math", "torchvision", "os"], "module": "modelscope.pipelines.cv.tinynas_classification_pipeline"}, "('PIPELINES', 'image-segmentation', 'fast-instance-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/fast_instance_segmentation_pipeline.py", "imports": ["typing", "torch", "torchvision", "numpy"], "module": "modelscope.pipelines.cv.fast_instance_segmentation_pipeline"}, "('PIPELINES', 'table-recognition', 'dla34-table-recognition')": {"filepath": "TEMPLATE_PATH/pipelines/cv/table_recognition_pipeline.py", "imports": ["typing", "torch", "math", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.table_recognition_pipeline"}, "('PIPELINES', 'image-segmentation', 'maskdino-swin-image-instance-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/maskdino_instance_segmentation_pipeline.py", "imports": ["typing", "torch", "torchvision"], "module": "modelscope.pipelines.cv.maskdino_instance_segmentation_pipeline"}, "('PIPELINES', 'semantic-segmentation', 'ddpm-image-semantic-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/ddpm_semantic_segmentation_pipeline.py", "imports": ["typing", "torch", "torchvision"], "module": "modelscope.pipelines.cv.ddpm_semantic_segmentation_pipeline"}, "('PIPELINES', 'face-reconstruction', 'resnet50-face-reconstruction')": {"filepath": "TEMPLATE_PATH/pipelines/cv/face_reconstruction_pipeline.py", "imports": ["typing", "torch", "scipy", "tensorflow", "shutil", "os", "io", "face_alignment", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.face_reconstruction_pipeline"}, "('PIPELINES', 'human-detection', 'resnet18-human-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_detection_pipeline.py", "imports": ["typing", "numpy"], "module": "modelscope.pipelines.cv.image_detection_pipeline"}, "('PIPELINES', 'image-object-detection', 'vit-object-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_detection_pipeline.py", "imports": ["typing", "numpy"], "module": "modelscope.pipelines.cv.image_detection_pipeline"}, "('PIPELINES', 'image-object-detection', 'abnormal-object-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_detection_pipeline.py", "imports": ["typing", "numpy"], "module": "modelscope.pipelines.cv.image_detection_pipeline"}, "('PIPELINES', 'image-segmentation', 'image-panoptic-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_panoptic_segmentation_pipeline.py", "imports": ["typing", "torch", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.image_panoptic_segmentation_pipeline"}, "('PIPELINES', 'face-2d-keypoints', 'manual-facial-landmark-confidence-flcm')": {"filepath": "TEMPLATE_PATH/pipelines/cv/facial_landmark_confidence_pipeline.py", "imports": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.facial_landmark_confidence_pipeline"}, "('PIPELINES', 'text-to-head', 'HRN-text-to-head')": {"filepath": "TEMPLATE_PATH/pipelines/cv/text_to_head_pipeline.py", "imports": ["typing", "io", "os", "shutil", "numpy"], "module": "modelscope.pipelines.cv.text_to_head_pipeline"}, "('PIPELINES', 'image-inpainting', 'image-inpainting-sdv2')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_inpainting_sdv2_pipeline.py", "imports": ["tempfile", "torch", "typing", "math", "diffusers", "os", "sys", "cv2", "numpy"], "module": "modelscope.pipelines.cv.image_inpainting_sdv2_pipeline"}, "('PIPELINES', 'ocr-detection', 'resnet18-ocr-detection')": {"filepath": "TEMPLATE_PATH/pipelines/cv/ocr_detection_pipeline.py", "imports": ["typing", "torch", "math", "tensorflow", "os", "cv2", "tf_slim", "numpy"], "module": "modelscope.pipelines.cv.ocr_detection_pipeline"}, "('PIPELINES', 'image-portrait-stylization', 'unet-person-image-cartoon')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_cartoon_pipeline.py", "imports": ["typing", "tensorflow", "os", "cv2", "numpy"], "module": "modelscope.pipelines.cv.image_cartoon_pipeline"}, "('PIPELINES', 'action-recognition', 'TAdaConv_action-recognition')": {"filepath": "TEMPLATE_PATH/pipelines/cv/action_recognition_pipeline.py", "imports": ["typing", "torch", "math", "os"], "module": "modelscope.pipelines.cv.action_recognition_pipeline"}, "('PIPELINES', 'action-recognition', 'patchshift-action-recognition')": {"filepath": "TEMPLATE_PATH/pipelines/cv/action_recognition_pipeline.py", "imports": ["typing", "torch", "math", "os"], "module": "modelscope.pipelines.cv.action_recognition_pipeline"}, "('PIPELINES', 'product-retrieval-embedding', 'resnet50-product-retrieval-embedding')": {"filepath": "TEMPLATE_PATH/pipelines/cv/product_retrieval_embedding_pipeline.py", "imports": ["typing", "torch", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.product_retrieval_embedding_pipeline"}, "('PIPELINES', 'video-text-retrieval', 'vop-video-text-retrieval')": {"filepath": "TEMPLATE_PATH/pipelines/cv/vop_retrieval_pipeline.py", "imports": ["typing", "random", "torch", "math", "collections", "pickle", "tqdm", "os", "gzip", "numpy"], "module": "modelscope.pipelines.cv.vop_retrieval_pipeline"}, "('PIPELINES', 'video-object-detection', 'cspnet_realtime-video-object-detection_streamyolo')": {"filepath": "TEMPLATE_PATH/pipelines/cv/realtime_video_object_detection_pipeline.py", "imports": ["typing", "torch", "json", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.realtime_video_object_detection_pipeline"}, "('PIPELINES', 'video-text-retrieval', 'vop-video-text-retrieval-se')": {"filepath": "TEMPLATE_PATH/pipelines/cv/vop_retrieval_se_pipeline.py", "imports": ["typing", "torch", "os", "gzip", "numpy"], "module": "modelscope.pipelines.cv.vop_retrieval_se_pipeline"}, "('PIPELINES', 'text-driven-segmentation', 'text-driven-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/text_driven_segmentation_pipleline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.text_driven_segmentation_pipleline"}, "('PIPELINES', 'face-detection', 'resnet-face-detection-scrfd10gkps')": {"filepath": "TEMPLATE_PATH/pipelines/cv/face_detection_pipeline.py", "imports": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.face_detection_pipeline"}, "('PIPELINES', 'video-embedding', 'hicossl-s3dg-video_embedding')": {"filepath": "TEMPLATE_PATH/pipelines/cv/hicossl_video_embedding_pipeline.py", "imports": ["typing", "torch", "math", "os"], "module": "modelscope.pipelines.cv.hicossl_video_embedding_pipeline"}, "('PIPELINES', 'face-recognition', 'ir-face-recognition-rts')": {"filepath": "TEMPLATE_PATH/pipelines/cv/face_recognition_ood_pipeline.py", "imports": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.face_recognition_ood_pipeline"}, "('PIPELINES', 'image-paintbyexample', 'stablediffusion-paintbyexample')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_paintbyexample_pipeline.py", "imports": ["typing", "torch", "torchvision", "PIL", "cv2", "einops", "numpy"], "module": "modelscope.pipelines.cv.image_paintbyexample_pipeline"}, "('PIPELINES', 'image-body-reshaping', 'flow-based-body-reshaping')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_body_reshaping_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.image_body_reshaping_pipeline"}, "('PIPELINES', 'image-matching', 'image-matching')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_matching_pipeline.py", "imports": ["typing", "torch", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.image_matching_pipeline"}, "('PIPELINES', 'image-quality-assessment-mos', 'image-quality-assessment-man')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_quality_assessment_man_pipeline.py", "imports": ["tempfile", "torch", "typing", "math", "torchvision", "cv2", "numpy"], "module": "modelscope.pipelines.cv.image_quality_assessment_man_pipeline"}, "('PIPELINES', 'video-embedding', 'cmdssl-r2p1d_video_embedding')": {"filepath": "TEMPLATE_PATH/pipelines/cv/cmdssl_video_embedding_pipeline.py", "imports": ["typing", "torch", "decord", "torchvision", "os", "PIL", "numpy"], "module": "modelscope.pipelines.cv.cmdssl_video_embedding_pipeline"}, "('PIPELINES', 'human3d-render', 'human3d-render')": {"filepath": "TEMPLATE_PATH/pipelines/cv/human3d_render_pipeline.py", "imports": ["typing", "torch", "nvdiffrast", "tqdm", "os", "io", "cv2", "numpy"], "module": "modelscope.pipelines.cv.human3d_render_pipeline"}, "('PIPELINES', 'image-to-image-generation', 'image-to-image-generation')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_to_image_generate_pipeline.py", "imports": ["typing", "torch", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.image_to_image_generate_pipeline"}, "('PIPELINES', 'human-reconstruction', 'human-reconstruction')": {"filepath": "TEMPLATE_PATH/pipelines/cv/human_reconstruction_pipeline.py", "imports": ["typing", "torch", "trimesh", "os", "shutil", "numpy"], "module": "modelscope.pipelines.cv.human_reconstruction_pipeline"}, "('PIPELINES', 'video-inpainting', 'video-inpainting')": {"filepath": "TEMPLATE_PATH/pipelines/cv/video_inpainting_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.cv.video_inpainting_pipeline"}, "('PIPELINES', 'image-colorization', 'ddcolor-image-colorization')": {"filepath": "TEMPLATE_PATH/pipelines/cv/ddcolor_image_colorization_pipeline.py", "imports": ["typing", "torch", "torchvision", "cv2", "numpy"], "module": "modelscope.pipelines.cv.ddcolor_image_colorization_pipeline"}, "('PIPELINES', 'face-liveness', 'manual-face-liveness-flxc')": {"filepath": "TEMPLATE_PATH/pipelines/cv/face_liveness_xc_pipeline.py", "imports": ["typing", "torch", "os", "onnxruntime", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.cv.face_liveness_xc_pipeline"}, "('PIPELINES', 'portrait-matting', 'unet-image-matting')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_matting_pipeline.py", "imports": ["typing", "tensorflow", "os", "cv2", "numpy"], "module": "modelscope.pipelines.cv.image_matting_pipeline"}, "('PIPELINES', 'universal-matting', 'unet-universal-matting')": {"filepath": "TEMPLATE_PATH/pipelines/cv/image_matting_pipeline.py", "imports": ["typing", "tensorflow", "os", "cv2", "numpy"], "module": "modelscope.pipelines.cv.image_matting_pipeline"}, "('PIPELINES', 'text-to-image-synthesis', 'freeu-stable-diffusion-text2image')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/text_to_image_freeu_pipeline.py", "imports": ["typing", "torch", "os", "numpy"], "module": "modelscope.pipelines.multi_modal.text_to_image_freeu_pipeline"}, "('PIPELINES', 'ocr-recognition', 'ofa-ocr-recognition')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/ocr_recognition_pipeline.py", "imports": ["typing", "torch"], "module": "modelscope.pipelines.multi_modal.ocr_recognition_pipeline"}, "('PIPELINES', 'image-to-video', 'image-to-video-task-pipeline')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/image_to_video_pipeline.py", "imports": ["tempfile", "torch", "typing", "subprocess", "os", "cv2", "einops"], "module": "modelscope.pipelines.multi_modal.image_to_video_pipeline"}, "('PIPELINES', 'text-to-image-synthesis', 'diffusers-stable-diffusion')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/diffusers_wrapped/stable_diffusion/stable_diffusion_pipeline.py", "imports": ["typing", "torch", "diffusers", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.multi_modal.diffusers_wrapped.stable_diffusion.stable_diffusion_pipeline"}, "('PIPELINES', 'text-to-image-synthesis', 'chinese-stable-diffusion')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/diffusers_wrapped/stable_diffusion/chinese_stable_diffusion_pipeline.py", "imports": ["typing", "torch", "diffusers", "transformers", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.multi_modal.diffusers_wrapped.stable_diffusion.chinese_stable_diffusion_pipeline"}, "('PIPELINES', 'multi-modal-similarity', 'multi-modal-similarity')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/team_multi_modal_similarity_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.multi_modal.team_multi_modal_similarity_pipeline"}, "('PIPELINES', 'auto-speech-recognition', 'ofa-asr')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/asr_pipeline.py", "imports": ["typing", "torch"], "module": "modelscope.pipelines.multi_modal.asr_pipeline"}, "('PIPELINES', 'video-multi-modal-embedding', 'video-multi-modal-embedding')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/video_multi_modal_embedding_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.multi_modal.video_multi_modal_embedding_pipeline"}, "('PIPELINES', 'document-vl-embedding', 'document-vl-embedding')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/document_vl_embedding_pipeline.py", "imports": ["typing", "torch"], "module": "modelscope.pipelines.multi_modal.document_vl_embedding_pipeline"}, "('PIPELINES', 'video-question-answering', 'video-question-answering')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/video_question_answering_pipeline.py", "imports": ["typing", "torch"], "module": "modelscope.pipelines.multi_modal.video_question_answering_pipeline"}, "('PIPELINES', 'multimodal-dialogue', 'multimodal-dialogue')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/multimodal_dialogue_pipeline.py", "imports": ["typing", "torch"], "module": "modelscope.pipelines.multi_modal.multimodal_dialogue_pipeline"}, "('PIPELINES', 'text-to-video-synthesis', 'latent-text-to-video-synthesis')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/text_to_video_synthesis_pipeline.py", "imports": ["tempfile", "torch", "typing", "torchvision", "os", "cv2", "einops"], "module": "modelscope.pipelines.multi_modal.text_to_video_synthesis_pipeline"}, "('PIPELINES', 'text-to-image-synthesis', 'disco_guided_diffusion')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/disco_guided_diffusion_pipeline/disco_guided_diffusion.py", "imports": ["torch", "math", "gc", "json", "clip", "torchvision", "os", "importlib", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.multi_modal.disco_guided_diffusion_pipeline.disco_guided_diffusion"}, "('PIPELINES', 'sudoku', 'ofa-sudoku')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/sudoku_pipeline.py", "imports": ["typing", "torch"], "module": "modelscope.pipelines.multi_modal.sudoku_pipeline"}, "('PIPELINES', 'text-to-video-synthesis', 'videocomposer')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/videocomposer_pipeline.py", "imports": ["tempfile", "random", "torch", "typing", "mvextractor", "imageio", "subprocess", "time", "functools", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.multi_modal.videocomposer_pipeline"}, "('PIPELINES', 'generative-multi-modal-embedding', 'generative-multi-modal-embedding')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/generative_multi_modal_embedding_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.multi_modal.generative_multi_modal_embedding_pipeline"}, "('PIPELINES', 'video-captioning', 'video-captioning')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/video_captioning_pipeline.py", "imports": ["typing", "torch"], "module": "modelscope.pipelines.multi_modal.video_captioning_pipeline"}, "('PIPELINES', 'image-captioning', 'image-captioning')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/image_captioning_pipeline.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.pipelines.multi_modal.image_captioning_pipeline"}, "('PIPELINES', 'video-to-video', 'video-to-video-pipeline')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/video_to_video_pipeline.py", "imports": ["tempfile", "torch", "typing", "subprocess", "os", "cv2", "einops"], "module": "modelscope.pipelines.multi_modal.video_to_video_pipeline"}, "('PIPELINES', 'visual-question-answering', 'visual-question-answering')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/visual_question_answering_pipeline.py", "imports": ["typing", "torch"], "module": "modelscope.pipelines.multi_modal.visual_question_answering_pipeline"}, "('PIPELINES', 'video-temporal-grounding', 'soonet-video-temporal-grounding')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/soonet_video_temporal_grounding_pipeline.py", "imports": ["typing", "torch", "torchvision", "os", "numpy"], "module": "modelscope.pipelines.multi_modal.soonet_video_temporal_grounding_pipeline"}, "('PIPELINES', 'image-text-retrieval', 'image-text-retrieval')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/image_text_retrieval_pipeline.py", "imports": ["typing", "torch"], "module": "modelscope.pipelines.multi_modal.image_text_retrieval_pipeline"}, "('PIPELINES', 'visual-grounding', 'visual-grounding')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/visual_grounding_pipeline.py", "imports": ["typing", "torch"], "module": "modelscope.pipelines.multi_modal.visual_grounding_pipeline"}, "('PIPELINES', 'text2sql', 'ofa-text2sql')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/text2sql_pipeline.py", "imports": ["typing", "torch"], "module": "modelscope.pipelines.multi_modal.text2sql_pipeline"}, "('PIPELINES', 'visual-question-answering', 'gridvlp-multi-modal-classification')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/gridvlp_pipeline.py", "imports": ["typing", "torch", "json", "time", "transformers", "os", "PIL", "traceback", "numpy"], "module": "modelscope.pipelines.multi_modal.gridvlp_pipeline"}, "('PIPELINES', 'multi-modal-embedding', 'gridvlp-multi-modal-embedding')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/gridvlp_pipeline.py", "imports": ["typing", "torch", "json", "time", "transformers", "os", "PIL", "traceback", "numpy"], "module": "modelscope.pipelines.multi_modal.gridvlp_pipeline"}, "('PIPELINES', 'text-ranking', 'mgeo-ranking')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/mgeo_ranking_pipeline.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.pipelines.multi_modal.mgeo_ranking_pipeline"}, "('PIPELINES', 'text-video-retrieval', 'prost-text-video-retrieval')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/prost_text_video_retrieval_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.multi_modal.prost_text_video_retrieval_pipeline"}, "('PIPELINES', 'visual-entailment', 'visual-entailment')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/visual_entailment_pipeline.py", "imports": ["typing", "torch"], "module": "modelscope.pipelines.multi_modal.visual_entailment_pipeline"}, "('PIPELINES', 'text-to-image-synthesis', 'cones2-inference')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/cone2_pipeline/cones2_inference_pipeline.py", "imports": ["typing", "torch", "math", "diffusers", "tqdm", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.multi_modal.cone2_pipeline.cones2_inference_pipeline"}, "('PIPELINES', 'efficient-diffusion-tuning', 'efficient-diffusion-tuning')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/efficient_diffusion_tuning_pipeline.py", "imports": ["typing", "torch", "torchvision", "PIL", "cv2", "numpy"], "module": "modelscope.pipelines.multi_modal.efficient_diffusion_tuning_pipeline"}, "('PIPELINES', 'text-to-image-synthesis', 'text-to-image-synthesis')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/text_to_image_synthesis_pipeline.py", "imports": ["typing", "torch"], "module": "modelscope.pipelines.multi_modal.text_to_image_synthesis_pipeline"}, "('PIPELINES', 'image-text-retrieval', 'multi-modal-embedding')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/multi_modal_embedding_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.multi_modal.multi_modal_embedding_pipeline"}, "('PIPELINES', 'multi-modal-embedding', 'multi-modal-embedding')": {"filepath": "TEMPLATE_PATH/pipelines/multi_modal/multi_modal_embedding_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.multi_modal.multi_modal_embedding_pipeline"}, "('PIPELINES', 'token-classification', 'token-classification')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/token_classification_pipeline.py", "imports": ["typing", "torch", "math", "numpy"], "module": "modelscope.pipelines.nlp.token_classification_pipeline"}, "('PIPELINES', 'token-classification', 'part-of-speech')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/token_classification_pipeline.py", "imports": ["typing", "torch", "math", "numpy"], "module": "modelscope.pipelines.nlp.token_classification_pipeline"}, "('PIPELINES', 'token-classification', 'word-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/token_classification_pipeline.py", "imports": ["typing", "torch", "math", "numpy"], "module": "modelscope.pipelines.nlp.token_classification_pipeline"}, "('PIPELINES', 'token-classification', 'named-entity-recognition')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/token_classification_pipeline.py", "imports": ["typing", "torch", "math", "numpy"], "module": "modelscope.pipelines.nlp.token_classification_pipeline"}, "('PIPELINES', 'part-of-speech', 'part-of-speech')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/token_classification_pipeline.py", "imports": ["typing", "torch", "math", "numpy"], "module": "modelscope.pipelines.nlp.token_classification_pipeline"}, "('PIPELINES', 'task-oriented-conversation', 'dialog-state-tracking')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/dialog_state_tracking_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.nlp.dialog_state_tracking_pipeline"}, "('PIPELINES', 'fill-mask', 'fill-mask')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/fill_mask_pipeline.py", "imports": ["typing", "numpy"], "module": "modelscope.pipelines.nlp.fill_mask_pipeline"}, "('PIPELINES', 'fill-mask', 'fill-mask-ponet')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/fill_mask_pipeline.py", "imports": ["typing", "numpy"], "module": "modelscope.pipelines.nlp.fill_mask_pipeline"}, "('PIPELINES', 'text-generation', 'text-generation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_generation_pipeline.py", "imports": ["typing", "torch", "transformers", "os"], "module": "modelscope.pipelines.nlp.text_generation_pipeline"}, "('PIPELINES', 'text2text-generation', 'translation_en_to_de')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_generation_pipeline.py", "imports": ["typing", "torch", "transformers", "os"], "module": "modelscope.pipelines.nlp.text_generation_pipeline"}, "('PIPELINES', 'text2text-generation', 'translation_en_to_ro')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_generation_pipeline.py", "imports": ["typing", "torch", "transformers", "os"], "module": "modelscope.pipelines.nlp.text_generation_pipeline"}, "('PIPELINES', 'text2text-generation', 'translation_en_to_fr')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_generation_pipeline.py", "imports": ["typing", "torch", "transformers", "os"], "module": "modelscope.pipelines.nlp.text_generation_pipeline"}, "('PIPELINES', 'text2text-generation', 'text2text-generation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_generation_pipeline.py", "imports": ["typing", "torch", "transformers", "os"], "module": "modelscope.pipelines.nlp.text_generation_pipeline"}, "('PIPELINES', 'chat', 'chatglm6b-text-generation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_generation_pipeline.py", "imports": ["typing", "torch", "transformers", "os"], "module": "modelscope.pipelines.nlp.text_generation_pipeline"}, "('PIPELINES', 'chat', 'chatglm2_6b-text-generation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_generation_pipeline.py", "imports": ["typing", "torch", "transformers", "os"], "module": "modelscope.pipelines.nlp.text_generation_pipeline"}, "('PIPELINES', 'chat', 'qwen-chat')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_generation_pipeline.py", "imports": ["typing", "torch", "transformers", "os"], "module": "modelscope.pipelines.nlp.text_generation_pipeline"}, "('PIPELINES', 'text-generation', 'qwen-text-generation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_generation_pipeline.py", "imports": ["typing", "torch", "transformers", "os"], "module": "modelscope.pipelines.nlp.text_generation_pipeline"}, "('PIPELINES', 'text-generation', 'seqgpt')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_generation_pipeline.py", "imports": ["typing", "torch", "transformers", "os"], "module": "modelscope.pipelines.nlp.text_generation_pipeline"}, "('PIPELINES', 'text-generation', 'llama2-text-generation-pipeline')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_generation_pipeline.py", "imports": ["typing", "torch", "transformers", "os"], "module": "modelscope.pipelines.nlp.text_generation_pipeline"}, "('PIPELINES', 'chat', 'llama2-text-generation-chat-pipeline')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_generation_pipeline.py", "imports": ["typing", "torch", "transformers", "os"], "module": "modelscope.pipelines.nlp.text_generation_pipeline"}, "('PIPELINES', 'text-classification', 'user-satisfaction-estimation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/user_satisfaction_estimation_pipeline.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.pipelines.nlp.user_satisfaction_estimation_pipeline"}, "('PIPELINES', 'chat', 'llm')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/llm_pipeline.py", "imports": ["typing", "torch", "json", "contextlib", "transformers", "os", "threading", "numpy"], "module": "modelscope.pipelines.nlp.llm_pipeline"}, "('PIPELINES', 'text-generation', 'llm')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/llm_pipeline.py", "imports": ["typing", "torch", "json", "contextlib", "transformers", "os", "threading", "numpy"], "module": "modelscope.pipelines.nlp.llm_pipeline"}, "('PIPELINES', 'sentence-similarity', 'translation-quality-estimation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/translation_quality_estimation_pipeline.py", "imports": ["typing", "torch", "transformers", "io", "os"], "module": "modelscope.pipelines.nlp.translation_quality_estimation_pipeline"}, "('PIPELINES', 'text-generation', 'glm130b-text-generation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/glm130b_text_generation_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.nlp.glm130b_text_generation_pipeline"}, "('PIPELINES', 'translation', 'csanmt-translation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/translation_pipeline.py", "imports": ["typing", "jieba", "tensorflow", "subword_nmt", "os", "sacremoses", "numpy"], "module": "modelscope.pipelines.nlp.translation_pipeline"}, "('PIPELINES', 'word-segmentation', 'word-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/word_segmentation_pipeline.py", "imports": ["typing", "torch"], "module": "modelscope.pipelines.nlp.word_segmentation_pipeline"}, "('PIPELINES', 'word-segmentation', 'multilingual-word-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/word_segmentation_pipeline.py", "imports": ["typing", "torch"], "module": "modelscope.pipelines.nlp.word_segmentation_pipeline"}, "('PIPELINES', 'word-segmentation', 'word-segmentation-thai')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/word_segmentation_pipeline.py", "imports": ["typing", "torch"], "module": "modelscope.pipelines.nlp.word_segmentation_pipeline"}, "('PIPELINES', 'information-extraction', 'relation-extraction')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/information_extraction_pipeline.py", "imports": ["typing", "torch"], "module": "modelscope.pipelines.nlp.information_extraction_pipeline"}, "('PIPELINES', 'relation-extraction', 'relation-extraction')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/information_extraction_pipeline.py", "imports": ["typing", "torch"], "module": "modelscope.pipelines.nlp.information_extraction_pipeline"}, "('PIPELINES', 'text-generation', 'gpt3-generation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/distributed_gpt3_pipeline.py", "imports": ["typing", "torch"], "module": "modelscope.pipelines.nlp.distributed_gpt3_pipeline"}, "('PIPELINES', 'word-alignment', 'word-alignment')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/word_alignment_pipeline.py", "imports": ["typing", "numpy"], "module": "modelscope.pipelines.nlp.word_alignment_pipeline"}, "('PIPELINES', 'named-entity-recognition', 'named-entity-recognition')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/named_entity_recognition_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.nlp.named_entity_recognition_pipeline"}, "('PIPELINES', 'named-entity-recognition', 'named-entity-recognition-thai')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/named_entity_recognition_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.nlp.named_entity_recognition_pipeline"}, "('PIPELINES', 'named-entity-recognition', 'named-entity-recognition-viet')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/named_entity_recognition_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.nlp.named_entity_recognition_pipeline"}, "('PIPELINES', 'task-oriented-conversation', 'dialog-intent-prediction')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/dialog_intent_prediction_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.nlp.dialog_intent_prediction_pipeline"}, "('PIPELINES', 'fid-dialogue', 'fid-dialogue')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/fid_dialogue_pipeline.py", "imports": ["typing", "torch", "re"], "module": "modelscope.pipelines.nlp.fid_dialogue_pipeline"}, "('PIPELINES', 'document-grounded-dialog-retrieval', 'document-grounded-dialog-retrieval')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/document_grounded_dialog_retrieval_pipeline.py", "imports": ["typing", "json", "os", "faiss", "numpy"], "module": "modelscope.pipelines.nlp.document_grounded_dialog_retrieval_pipeline"}, "('PIPELINES', 'code-generation', 'codegeex-code-generation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/codegeex_code_generation_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.nlp.codegeex_code_generation_pipeline"}, "('PIPELINES', 'competency-aware-translation', 'canmt-translation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/canmt_translation_pipeline.py", "imports": ["typing", "torch", "sacremoses", "os"], "module": "modelscope.pipelines.nlp.canmt_translation_pipeline"}, "('PIPELINES', 'text-error-correction', 'text-error-correction')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_error_correction_pipeline.py", "imports": ["typing", "torch"], "module": "modelscope.pipelines.nlp.text_error_correction_pipeline"}, "('PIPELINES', 'code-translation', 'codegeex-code-translation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/codegeex_code_translation_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.nlp.codegeex_code_translation_pipeline"}, "('PIPELINES', 'siamese-uie', 'siamese-uie')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/siamese_uie_pipeline.py", "imports": ["typing", "torch", "pathlib", "math", "json", "time", "tqdm", "os", "logging", "copy", "scipy"], "module": "modelscope.pipelines.nlp.siamese_uie_pipeline"}, "('PIPELINES', 'task-oriented-conversation', 'dialog-modeling')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/dialog_modeling_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.nlp.dialog_modeling_pipeline"}, "('PIPELINES', 'zero-shot-classification', 'zero-shot-classification')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/zero_shot_classification_pipeline.py", "imports": ["typing", "torch", "scipy"], "module": "modelscope.pipelines.nlp.zero_shot_classification_pipeline"}, "('PIPELINES', 'translation', 'automatic-post-editing')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/automatic_post_editing_pipeline.py", "imports": ["typing", "html", "jieba", "tensorflow", "sentencepiece", "os", "sacremoses", "numpy"], "module": "modelscope.pipelines.nlp.automatic_post_editing_pipeline"}, "('PIPELINES', 'table-question-answering', 'conversational-text-to-sql')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/conversational_text_to_sql_pipeline.py", "imports": ["typing", "torch", "text2sql_lgesql"], "module": "modelscope.pipelines.nlp.conversational_text_to_sql_pipeline"}, "('PIPELINES', 'machine-reading-comprehension', 'machine-reading-comprehension-for-ner')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/machine_reading_comprehension_pipeline.py", "imports": ["typing", "torch"], "module": "modelscope.pipelines.nlp.machine_reading_comprehension_pipeline"}, "('PIPELINES', 'faq-question-answering', 'faq-question-answering')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/faq_question_answering_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.nlp.faq_question_answering_pipeline"}, "('PIPELINES', 'text-classification', 'domain-classification')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/fasttext_text_classification_pipeline.py", "imports": ["typing", "fasttext", "sentencepiece", "os", "numpy"], "module": "modelscope.pipelines.nlp.fasttext_text_classification_pipeline"}, "('PIPELINES', 'text-generation', 'polylm-text-generation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/polylm_text_generation_pipeline.py", "imports": ["typing", "torch", "os"], "module": "modelscope.pipelines.nlp.polylm_text_generation_pipeline"}, "('PIPELINES', 'translation-evaluation', 'translation-evaluation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/translation_evaluation_pipeline.py", "imports": ["typing", "torch", "enum", "os", "numpy"], "module": "modelscope.pipelines.nlp.translation_evaluation_pipeline"}, "('PIPELINES', 'extractive-summarization', 'extractive-summarization')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/extractive_summarization_pipeline.py", "imports": ["typing", "torch", "re", "datasets", "numpy"], "module": "modelscope.pipelines.nlp.extractive_summarization_pipeline"}, "('PIPELINES', 'text-generation', 'plug-generation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/distributed_plug_pipeline.py", "imports": ["typing", "torch"], "module": "modelscope.pipelines.nlp.distributed_plug_pipeline"}, "('PIPELINES', 'translation', 'interactive-translation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/interactive_translation_pipeline.py", "imports": ["typing", "jieba", "tensorflow", "subword_nmt", "os", "sacremoses", "numpy"], "module": "modelscope.pipelines.nlp.interactive_translation_pipeline"}, "('PIPELINES', 'table-question-answering', 'table-question-answering-pipeline')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/table_question_answering_pipeline.py", "imports": ["typing", "torch", "json", "transformers", "os"], "module": "modelscope.pipelines.nlp.table_question_answering_pipeline"}, "('PIPELINES', 'document-grounded-dialog-generate', 'document-grounded-dialog-generate')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/document_grounded_dialog_generate_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.nlp.document_grounded_dialog_generate_pipeline"}, "('PIPELINES', 'text-summarization', 'mglm-text-summarization')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/mglm_text_summarization_pipeline.py", "imports": ["typing", "os"], "module": "modelscope.pipelines.nlp.mglm_text_summarization_pipeline"}, "('PIPELINES', 'text-generation', 'gpt-moe-generation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/distributed_gpt_moe_pipeline.py", "imports": ["typing", "torch"], "module": "modelscope.pipelines.nlp.distributed_gpt_moe_pipeline"}, "('PIPELINES', 'document-segmentation', 'document-segmentation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/document_segmentation_pipeline.py", "imports": ["typing", "torch", "re", "datasets", "numpy"], "module": "modelscope.pipelines.nlp.document_segmentation_pipeline"}, "('PIPELINES', 'text-classification', 'language_identification')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/language_identification_pipline.py", "imports": ["typing", "re", "tensorflow", "os", "numpy"], "module": "modelscope.pipelines.nlp.language_identification_pipline"}, "('PIPELINES', 'feature-extraction', 'feature-extraction')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/feature_extraction_pipeline.py", "imports": ["typing", "torch", "os"], "module": "modelscope.pipelines.nlp.feature_extraction_pipeline"}, "('PIPELINES', 'text-summarization', 'text-generation')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/summarization_pipeline.py", "imports": ["typing", "torch"], "module": "modelscope.pipelines.nlp.summarization_pipeline"}, "('PIPELINES', 'text-classification', 'sentiment-analysis')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_classification_pipeline.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.pipelines.nlp.text_classification_pipeline"}, "('PIPELINES', 'nli', 'nli')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_classification_pipeline.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.pipelines.nlp.text_classification_pipeline"}, "('PIPELINES', 'sentence-similarity', 'sentence-similarity')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_classification_pipeline.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.pipelines.nlp.text_classification_pipeline"}, "('PIPELINES', 'text-classification', 'text-classification')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_classification_pipeline.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.pipelines.nlp.text_classification_pipeline"}, "('PIPELINES', 'text-classification', 'sentiment-classification')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_classification_pipeline.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.pipelines.nlp.text_classification_pipeline"}, "('PIPELINES', 'text-classification', 'sentence-similarity')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_classification_pipeline.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.pipelines.nlp.text_classification_pipeline"}, "('PIPELINES', 'sentiment-classification', 'sentiment-classification')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_classification_pipeline.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.pipelines.nlp.text_classification_pipeline"}, "('PIPELINES', 'sentence-embedding', 'sentence-embedding')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/sentence_embedding_pipeline.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.pipelines.nlp.sentence_embedding_pipeline"}, "('PIPELINES', 'document-grounded-dialog-rerank', 'document-grounded-dialog-rerank')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/document_grounded_dialog_rerank_pipeline.py", "imports": ["typing", "random", "pprint", "torch", "collections", "re", "time", "transformers", "os", "ujson", "sys", "numpy"], "module": "modelscope.pipelines.nlp.document_grounded_dialog_rerank_pipeline"}, "('PIPELINES', 'text-ranking', 'text-ranking')": {"filepath": "TEMPLATE_PATH/pipelines/nlp/text_ranking_pipeline.py", "imports": ["typing", "numpy"], "module": "modelscope.pipelines.nlp.text_ranking_pipeline"}, "('PIPELINES', 'speaker-diarization', 'speaker-change-locating')": {"filepath": "TEMPLATE_PATH/pipelines/audio/speaker_change_locating_pipeline.py", "imports": ["typing", "torch", "soundfile", "torchaudio", "io", "numpy"], "module": "modelscope.pipelines.audio.speaker_change_locating_pipeline"}, "('PIPELINES', 'speaker-diarization', 'segmentation-clustering')": {"filepath": "TEMPLATE_PATH/pipelines/audio/segmentation_clustering_pipeline.py", "imports": ["typing", "torch", "soundfile", "torchaudio", "ast", "io", "numpy"], "module": "modelscope.pipelines.audio.segmentation_clustering_pipeline"}, "('PIPELINES', 'text-to-speech', 'sambert-hifigan-tts')": {"filepath": "TEMPLATE_PATH/pipelines/audio/text_to_speech_pipeline.py", "imports": ["typing", "numpy"], "module": "modelscope.pipelines.audio.text_to_speech_pipeline"}, "('PIPELINES', 'speaker-verification', 'speaker-verification-eres2net')": {"filepath": "TEMPLATE_PATH/pipelines/audio/speaker_verification_eres2net_pipeline.py", "imports": ["typing", "torch", "soundfile", "torchaudio", "os", "io", "numpy"], "module": "modelscope.pipelines.audio.speaker_verification_eres2net_pipeline"}, "('PIPELINES', 'inverse-text-processing', 'itn-inference')": {"filepath": "TEMPLATE_PATH/pipelines/audio/inverse_text_processing_pipeline.py", "imports": ["typing", "yaml", "os", "shutil"], "module": "modelscope.pipelines.audio.inverse_text_processing_pipeline"}, "('PIPELINES', 'acoustic-noise-suppression', 'speech_frcrn_ans_cirm_16k')": {"filepath": "TEMPLATE_PATH/pipelines/audio/ans_pipeline.py", "imports": ["typing", "torch", "soundfile", "librosa", "io", "numpy"], "module": "modelscope.pipelines.audio.ans_pipeline"}, "('PIPELINES', 'audio-quantization', 'audio-quantization-inference')": {"filepath": "TEMPLATE_PATH/pipelines/audio/audio_quantization_pipeline.py", "imports": ["typing", "yaml", "os", "shutil", "numpy"], "module": "modelscope.pipelines.audio.audio_quantization_pipeline"}, "('PIPELINES', 'speaker-verification', 'speaker-verification-resnet')": {"filepath": "TEMPLATE_PATH/pipelines/audio/speaker_verification_resnet_pipeline.py", "imports": ["typing", "torch", "soundfile", "torchaudio", "os", "io", "numpy"], "module": "modelscope.pipelines.audio.speaker_verification_resnet_pipeline"}, "('PIPELINES', 'keyword-spotting', 'kws-kwsbp')": {"filepath": "TEMPLATE_PATH/pipelines/audio/kws_kwsbp_pipeline.py", "imports": ["json", "typing", "os"], "module": "modelscope.pipelines.audio.kws_kwsbp_pipeline"}, "('PIPELINES', 'speaker-verification', 'speaker-verification-rdino')": {"filepath": "TEMPLATE_PATH/pipelines/audio/speaker_verification_rdino_pipeline.py", "imports": ["typing", "torch", "soundfile", "io"], "module": "modelscope.pipelines.audio.speaker_verification_rdino_pipeline"}, "('PIPELINES', 'speech-language-recognition', 'speech-language-recognition')": {"filepath": "TEMPLATE_PATH/pipelines/audio/language_recognition_pipeline.py", "imports": ["typing", "torch", "soundfile", "torchaudio", "os", "io", "numpy"], "module": "modelscope.pipelines.audio.language_recognition_pipeline"}, "('PIPELINES', 'speech-language-recognition', 'speech-language-recognition-eres2net')": {"filepath": "TEMPLATE_PATH/pipelines/audio/language_recognition_eres2net_pipeline.py", "imports": ["typing", "torch", "soundfile", "torchaudio", "os", "io", "numpy"], "module": "modelscope.pipelines.audio.language_recognition_eres2net_pipeline"}, "('PIPELINES', 'speaker-diarization-semantic-speaker-turn-detection', 'speaker-diarization-semantic-speaker-turn-detection')": {"filepath": "TEMPLATE_PATH/pipelines/audio/speaker_diarization_semantic_speaker_turn_detection_pipeline.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.pipelines.audio.speaker_diarization_semantic_speaker_turn_detection_pipeline"}, "('PIPELINES', 'speaker-verification', 'speaker-verification')": {"filepath": "TEMPLATE_PATH/pipelines/audio/speaker_verification_light_pipeline.py", "imports": ["typing", "torch", "soundfile", "torchaudio", "os", "io", "numpy"], "module": "modelscope.pipelines.audio.speaker_verification_light_pipeline"}, "('PIPELINES', 'speaker-verification', 'speaker-verification-res2net')": {"filepath": "TEMPLATE_PATH/pipelines/audio/speaker_verification_res2net_pipeline.py", "imports": ["typing", "torch", "soundfile", "torchaudio", "os", "io", "numpy"], "module": "modelscope.pipelines.audio.speaker_verification_res2net_pipeline"}, "('PIPELINES', 'acoustic-noise-suppression', 'speech_dfsmn_ans_psm_48k_causal')": {"filepath": "TEMPLATE_PATH/pipelines/audio/ans_dfsmn_pipeline.py", "imports": ["typing", "torch", "collections", "soundfile", "librosa", "os", "io", "sys", "numpy"], "module": "modelscope.pipelines.audio.ans_dfsmn_pipeline"}, "('PIPELINES', 'speaker-verification', 'speaker-verification-tdnn')": {"filepath": "TEMPLATE_PATH/pipelines/audio/speaker_verification_tdnn_pipeline.py", "imports": ["typing", "torch", "soundfile", "torchaudio", "os", "io", "numpy"], "module": "modelscope.pipelines.audio.speaker_verification_tdnn_pipeline"}, "('PIPELINES', 'speaker-diarization-dialogue-detection', 'speaker-diarization-dialogue-detection')": {"filepath": "TEMPLATE_PATH/pipelines/audio/speaker_diarization_dialogue_detection_pipeline.py", "imports": ["typing", "numpy"], "module": "modelscope.pipelines.audio.speaker_diarization_dialogue_detection_pipeline"}, "('PIPELINES', 'speaker-verification', 'speaker-verification-sdpn')": {"filepath": "TEMPLATE_PATH/pipelines/audio/speaker_verification_sdpn_pipeline.py", "imports": ["typing", "torch", "soundfile", "io"], "module": "modelscope.pipelines.audio.speaker_verification_sdpn_pipeline"}, "('PIPELINES', 'acoustic-echo-cancellation', 'speech-dfsmn-aec-psm-16k')": {"filepath": "TEMPLATE_PATH/pipelines/audio/linear_aec_pipeline.py", "imports": ["typing", "torch", "yaml", "os", "importlib", "scipy", "numpy"], "module": "modelscope.pipelines.audio.linear_aec_pipeline"}, "('PIPELINES', 'speech-separation', 'funasr-speech-separation')": {"filepath": "TEMPLATE_PATH/pipelines/audio/speech_separation_pipeline.py", "imports": ["typing", "funasr", "json", "yaml", "os"], "module": "modelscope.pipelines.audio.speech_separation_pipeline"}, "('PIPELINES', 'auto-speech-recognition', 'funasr-pipeline')": {"filepath": "TEMPLATE_PATH/pipelines/audio/funasr_pipeline.py", "imports": ["typing", "yaml", "os", "json"], "module": "modelscope.pipelines.audio.funasr_pipeline"}, "('PIPELINES', 'voice-activity-detection', 'funasr-pipeline')": {"filepath": "TEMPLATE_PATH/pipelines/audio/funasr_pipeline.py", "imports": ["typing", "yaml", "os", "json"], "module": "modelscope.pipelines.audio.funasr_pipeline"}, "('PIPELINES', 'language-score-prediction', 'funasr-pipeline')": {"filepath": "TEMPLATE_PATH/pipelines/audio/funasr_pipeline.py", "imports": ["typing", "yaml", "os", "json"], "module": "modelscope.pipelines.audio.funasr_pipeline"}, "('PIPELINES', 'punctuation', 'funasr-pipeline')": {"filepath": "TEMPLATE_PATH/pipelines/audio/funasr_pipeline.py", "imports": ["typing", "yaml", "os", "json"], "module": "modelscope.pipelines.audio.funasr_pipeline"}, "('PIPELINES', 'speaker-diarization', 'funasr-pipeline')": {"filepath": "TEMPLATE_PATH/pipelines/audio/funasr_pipeline.py", "imports": ["typing", "yaml", "os", "json"], "module": "modelscope.pipelines.audio.funasr_pipeline"}, "('PIPELINES', 'speaker-verification', 'funasr-pipeline')": {"filepath": "TEMPLATE_PATH/pipelines/audio/funasr_pipeline.py", "imports": ["typing", "yaml", "os", "json"], "module": "modelscope.pipelines.audio.funasr_pipeline"}, "('PIPELINES', 'speech-separation', 'funasr-pipeline')": {"filepath": "TEMPLATE_PATH/pipelines/audio/funasr_pipeline.py", "imports": ["typing", "yaml", "os", "json"], "module": "modelscope.pipelines.audio.funasr_pipeline"}, "('PIPELINES', 'speech-timestamp', 'funasr-pipeline')": {"filepath": "TEMPLATE_PATH/pipelines/audio/funasr_pipeline.py", "imports": ["typing", "yaml", "os", "json"], "module": "modelscope.pipelines.audio.funasr_pipeline"}, "('PIPELINES', 'emotion-recognition', 'funasr-pipeline')": {"filepath": "TEMPLATE_PATH/pipelines/audio/funasr_pipeline.py", "imports": ["typing", "yaml", "os", "json"], "module": "modelscope.pipelines.audio.funasr_pipeline"}, "('PIPELINES', 'speaker-verification', 'speaker-verification-eres2netv2')": {"filepath": "TEMPLATE_PATH/pipelines/audio/speaker_verification_eres2netv2_pipeline.py", "imports": ["typing", "torch", "soundfile", "torchaudio", "os", "io", "numpy"], "module": "modelscope.pipelines.audio.speaker_verification_eres2netv2_pipeline"}, "('PIPELINES', 'text-to-speech', 'laura-codec-tts-inference')": {"filepath": "TEMPLATE_PATH/pipelines/audio/codec_based_synthesis_pipeline.py", "imports": ["typing", "numpy", "os", "json"], "module": "modelscope.pipelines.audio.codec_based_synthesis_pipeline"}, "('PIPELINES', 'auto-speech-recognition', 'asr-wenet-inference')": {"filepath": "TEMPLATE_PATH/pipelines/audio/asr_wenet_inference_pipeline.py", "imports": ["typing"], "module": "modelscope.pipelines.audio.asr_wenet_inference_pipeline"}, "('PIPELINES', 'keyword-spotting', 'speech_dfsmn_kws_char_farfield')": {"filepath": "TEMPLATE_PATH/pipelines/audio/kws_farfield_pipeline.py", "imports": ["wave", "typing", "soundfile", "io", "numpy"], "module": "modelscope.pipelines.audio.kws_farfield_pipeline"}, "('PIPELINES', 'speech-separation', 'speech_mossformer_separation_temporal_8k')": {"filepath": "TEMPLATE_PATH/pipelines/audio/separation_pipeline.py", "imports": ["typing", "torch", "soundfile", "io", "numpy"], "module": "modelscope.pipelines.audio.separation_pipeline"}, "('PIPELINES', 'speech-separation', 'speech_mossformer2_separation_temporal_8k')": {"filepath": "TEMPLATE_PATH/pipelines/audio/separation_pipeline.py", "imports": ["typing", "torch", "soundfile", "io", "numpy"], "module": "modelscope.pipelines.audio.separation_pipeline"}, "('PREPROCESSORS', 'cv', 'movie-scene-segmentation-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/video.py", "imports": ["tempfile", "random", "torch", "math", "decord", "uuid", "torchvision", "os", "urllib", "numpy"], "module": "modelscope.preprocessors.video"}, "('PREPROCESSORS', 'multi-modal', 'diffusion-image-generation-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/multi_modal.py", "imports": ["typing", "torch", "re", "decord", "json", "timm", "torchvision", "os", "io", "PIL", "numpy"], "module": "modelscope.preprocessors.multi_modal"}, "('PREPROCESSORS', 'multi-modal', 'ofa-tasks-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/multi_modal.py", "imports": ["typing", "torch", "re", "decord", "json", "timm", "torchvision", "os", "io", "PIL", "numpy"], "module": "modelscope.preprocessors.multi_modal"}, "('PREPROCESSORS', 'multi-modal', 'clip-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/multi_modal.py", "imports": ["typing", "torch", "re", "decord", "json", "timm", "torchvision", "os", "io", "PIL", "numpy"], "module": "modelscope.preprocessors.multi_modal"}, "('PREPROCESSORS', 'multi-modal', 'mplug-tasks-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/multi_modal.py", "imports": ["typing", "torch", "re", "decord", "json", "timm", "torchvision", "os", "io", "PIL", "numpy"], "module": "modelscope.preprocessors.multi_modal"}, "('PREPROCESSORS', 'multi-modal', 'vldoc-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/multi_modal.py", "imports": ["typing", "torch", "re", "decord", "json", "timm", "torchvision", "os", "io", "PIL", "numpy"], "module": "modelscope.preprocessors.multi_modal"}, "('PREPROCESSORS', 'multi-modal', 'hitea-tasks-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/multi_modal.py", "imports": ["typing", "torch", "re", "decord", "json", "timm", "torchvision", "os", "io", "PIL", "numpy"], "module": "modelscope.preprocessors.multi_modal"}, "('PREPROCESSORS', 'multi-modal', 'mplug-owl-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/multi_modal.py", "imports": ["typing", "torch", "re", "decord", "json", "timm", "torchvision", "os", "io", "PIL", "numpy"], "module": "modelscope.preprocessors.multi_modal"}, "('PREPROCESSORS', 'multi-modal', 'image-captioning-clip-interrogator-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/multi_modal.py", "imports": ["typing", "torch", "re", "decord", "json", "timm", "torchvision", "os", "io", "PIL", "numpy"], "module": "modelscope.preprocessors.multi_modal"}, "('PREPROCESSORS', 'audio', 'LinearAECAndFbank')": {"filepath": "TEMPLATE_PATH/preprocessors/audio.py", "imports": ["typing", "torch", "io", "os", "scipy", "numpy"], "module": "modelscope.preprocessors.audio"}, "('PREPROCESSORS', 'audio', 'sen-cls-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/speaker.py", "imports": ["typing", "torch"], "module": "modelscope.preprocessors.speaker"}, "('PREPROCESSORS', 'audio', 'token-cls-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/speaker.py", "imports": ["typing", "torch"], "module": "modelscope.preprocessors.speaker"}, "('PREPROCESSORS', 'science', 'unifold-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/science/uni_fold.py", "imports": ["torch", "unittest", "time", "tqdm", "numpy", "requests", "tarfile", "pathlib", "typing", "random", "re", "json", "pickle", "ipdb", "os", "logging", "gzip", "hashlib"], "module": "modelscope.preprocessors.science.uni_fold"}, "('PREPROCESSORS', 'audio', 'wav-to-lists')": {"filepath": "TEMPLATE_PATH/preprocessors/kws.py", "imports": ["typing", "yaml", "os"], "module": "modelscope.preprocessors.kws"}, "('PREPROCESSORS', 'cv', 'bad-image-detecting-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/bad_image_detecting_preprocessor.py", "imports": ["typing", "torch", "math", "torchvision", "PIL", "numpy"], "module": "modelscope.preprocessors.cv.bad_image_detecting_preprocessor"}, "('PREPROCESSORS', 'cv', 'image-demoire-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/image_restoration_preprocessor.py", "imports": ["typing", "torch", "math", "torchvision", "PIL", "numpy"], "module": "modelscope.preprocessors.cv.image_restoration_preprocessor"}, "('PREPROCESSORS', 'cv', 'controllable-image-generation-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/controllable_image_generation.py", "imports": ["typing", "torch", "math", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.preprocessors.cv.controllable_image_generation"}, "('PREPROCESSORS', 'cv', 'image-quality_assessment-mos-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/image_quality_assessment_mos.py", "imports": ["typing", "math", "torchvision", "cv2", "numpy"], "module": "modelscope.preprocessors.cv.image_quality_assessment_mos"}, "('PREPROCESSORS', 'cv', 'image-quality_assessment-man-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/image_quality_assessment_man.py", "imports": ["typing", "torch", "math", "torchvision", "PIL", "numpy"], "module": "modelscope.preprocessors.cv.image_quality_assessment_man"}, "('PREPROCESSORS', 'cv', 'RandomCrop')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/image_classification_preprocessor.py", "imports": ["typing", "torch", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.preprocessors.cv.image_classification_preprocessor"}, "('PREPROCESSORS', 'cv', 'RandomResizedCrop')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/image_classification_preprocessor.py", "imports": ["typing", "torch", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.preprocessors.cv.image_classification_preprocessor"}, "('PREPROCESSORS', 'cv', 'Resize')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/image_classification_preprocessor.py", "imports": ["typing", "torch", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.preprocessors.cv.image_classification_preprocessor"}, "('PREPROCESSORS', 'cv', 'CenterCrop')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/image_classification_preprocessor.py", "imports": ["typing", "torch", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.preprocessors.cv.image_classification_preprocessor"}, "('PREPROCESSORS', 'cv', 'RandomHorizontalFlip')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/image_classification_preprocessor.py", "imports": ["typing", "torch", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.preprocessors.cv.image_classification_preprocessor"}, "('PREPROCESSORS', 'cv', 'Normalize')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/image_classification_preprocessor.py", "imports": ["typing", "torch", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.preprocessors.cv.image_classification_preprocessor"}, "('PREPROCESSORS', 'cv', 'ImageToTensor')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/image_classification_preprocessor.py", "imports": ["typing", "torch", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.preprocessors.cv.image_classification_preprocessor"}, "('PREPROCESSORS', 'cv', 'image-classification-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/image_classification_preprocessor.py", "imports": ["typing", "torch", "torchvision", "os", "PIL", "cv2", "numpy"], "module": "modelscope.preprocessors.cv.image_classification_preprocessor"}, "('PREPROCESSORS', 'cv', 'image-classification-mmcv-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/cv/mmcls_preprocessor.py", "imports": ["typing", "os", "numpy"], "module": "modelscope.preprocessors.cv.mmcls_preprocessor"}, "('PREPROCESSORS', 'nlp', 'document-segmentation')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/document_segmentation_preprocessor.py", "imports": ["typing"], "module": "modelscope.preprocessors.nlp.document_segmentation_preprocessor"}, "('PREPROCESSORS', 'nlp', 'fill-mask')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/fill_mask_preprocessor.py", "imports": ["typing", "torch", "re", "abc", "os", "numpy"], "module": "modelscope.preprocessors.nlp.fill_mask_preprocessor"}, "('PREPROCESSORS', 'nlp', 'fill-mask-ponet')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/fill_mask_preprocessor.py", "imports": ["typing", "torch", "re", "abc", "os", "numpy"], "module": "modelscope.preprocessors.nlp.fill_mask_preprocessor"}, "('PREPROCESSORS', 'nlp', 'table-question-answering-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/space_T_cn/table_question_answering_preprocessor.py", "imports": ["typing", "torch", "transformers", "os"], "module": "modelscope.preprocessors.nlp.space_T_cn.table_question_answering_preprocessor"}, "('PREPROCESSORS', 'nlp', 'word-alignment')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/word_alignment_preprocessor.py", "imports": ["typing", "torch", "itertools", "os", "numpy"], "module": "modelscope.preprocessors.nlp.word_alignment_preprocessor"}, "('PREPROCESSORS', 'nlp', 'feature-extraction')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/feature_extraction_preprocessor.py", "imports": ["typing", "numpy"], "module": "modelscope.preprocessors.nlp.feature_extraction_preprocessor"}, "('PREPROCESSORS', 'nlp', 'siamese-uie-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/siamese_uie_preprocessor.py", "imports": ["typing", "transformers"], "module": "modelscope.preprocessors.nlp.siamese_uie_preprocessor"}, "('PREPROCESSORS', 'nlp', 'translation-evaluation-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/translation_evaluation_preprocessor.py", "imports": ["typing", "torch", "transformers"], "module": "modelscope.preprocessors.nlp.translation_evaluation_preprocessor"}, "('PREPROCESSORS', 'nlp', 'text-error-correction')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/text_error_correction.py", "imports": ["typing", "torch", "transformers", "os"], "module": "modelscope.preprocessors.nlp.text_error_correction"}, "('PREPROCESSORS', 'nlp', 'Tokenize')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/bert_seq_cls_tokenizer.py", "imports": ["typing", "transformers"], "module": "modelscope.preprocessors.nlp.bert_seq_cls_tokenizer"}, "('PREPROCESSORS', 'nlp', 'dialog-modeling-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/space/dialog_modeling_preprocessor.py", "imports": ["typing", "os"], "module": "modelscope.preprocessors.nlp.space.dialog_modeling_preprocessor"}, "('PREPROCESSORS', 'nlp', 'dialog-state-tracking-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/space/dialog_state_tracking_preprocessor.py", "imports": ["typing"], "module": "modelscope.preprocessors.nlp.space.dialog_state_tracking_preprocessor"}, "('PREPROCESSORS', 'nlp', 'dialog-intent-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/space/dialog_intent_prediction_preprocessor.py", "imports": ["json", "typing", "os"], "module": "modelscope.preprocessors.nlp.space.dialog_intent_prediction_preprocessor"}, "('PREPROCESSORS', 'nlp', 'sentence-embedding')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/sentence_embedding_preprocessor.py", "imports": ["typing", "torch"], "module": "modelscope.preprocessors.nlp.sentence_embedding_preprocessor"}, "('PREPROCESSORS', 'nlp', 'thai-ner-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/token_classification_thai_preprocessor.py", "imports": ["typing"], "module": "modelscope.preprocessors.nlp.token_classification_thai_preprocessor"}, "('PREPROCESSORS', 'nlp', 'thai-wseg-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/token_classification_thai_preprocessor.py", "imports": ["typing"], "module": "modelscope.preprocessors.nlp.token_classification_thai_preprocessor"}, "('PREPROCESSORS', 'nlp', 'text-ranking')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/text_ranking_preprocessor.py", "imports": ["typing", "transformers"], "module": "modelscope.preprocessors.nlp.text_ranking_preprocessor"}, "('PREPROCESSORS', 'nlp', 'document-grounded-dialog-rerank')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/document_grounded_dialog_rerank_preprocessor.py", "imports": ["typing", "torch", "transformers", "os", "copy"], "module": "modelscope.preprocessors.nlp.document_grounded_dialog_rerank_preprocessor"}, "('PREPROCESSORS', 'nlp', 'document-grounded-dialog-generate')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/document_grounded_dialog_generate_preprocessor.py", "imports": ["typing", "torch", "transformers", "os"], "module": "modelscope.preprocessors.nlp.document_grounded_dialog_generate_preprocessor"}, "('PREPROCESSORS', 'nlp', 'text-gen-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/text_generation_preprocessor.py", "imports": ["typing", "torch", "os", "numpy"], "module": "modelscope.preprocessors.nlp.text_generation_preprocessor"}, "('PREPROCESSORS', 'nlp', 'text-gen-jieba-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/text_generation_preprocessor.py", "imports": ["typing", "torch", "os", "numpy"], "module": "modelscope.preprocessors.nlp.text_generation_preprocessor"}, "('PREPROCESSORS', 'nlp', 'sentence-piece')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/text_generation_preprocessor.py", "imports": ["typing", "torch", "os", "numpy"], "module": "modelscope.preprocessors.nlp.text_generation_preprocessor"}, "('PREPROCESSORS', 'nlp', 'text2text-gen-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/text_generation_preprocessor.py", "imports": ["typing", "torch", "os", "numpy"], "module": "modelscope.preprocessors.nlp.text_generation_preprocessor"}, "('PREPROCESSORS', 'nlp', 'nli-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/text_classification_preprocessor.py", "imports": ["typing", "numpy"], "module": "modelscope.preprocessors.nlp.text_classification_preprocessor"}, "('PREPROCESSORS', 'nlp', 'sen-sim-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/text_classification_preprocessor.py", "imports": ["typing", "numpy"], "module": "modelscope.preprocessors.nlp.text_classification_preprocessor"}, "('PREPROCESSORS', 'nlp', 'bert-seq-cls-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/text_classification_preprocessor.py", "imports": ["typing", "numpy"], "module": "modelscope.preprocessors.nlp.text_classification_preprocessor"}, "('PREPROCESSORS', 'nlp', 'sen-cls-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/text_classification_preprocessor.py", "imports": ["typing", "numpy"], "module": "modelscope.preprocessors.nlp.text_classification_preprocessor"}, "('PREPROCESSORS', 'nlp', 're-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/relation_extraction_preprocessor.py", "imports": ["typing", "transformers"], "module": "modelscope.preprocessors.nlp.relation_extraction_preprocessor"}, "('PREPROCESSORS', 'nlp', 'conversational-text-to-sql')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/space_T_en/conversational_text_to_sql_preprocessor.py", "imports": ["typing", "torch", "text2sql_lgesql", "json", "os"], "module": "modelscope.preprocessors.nlp.space_T_en.conversational_text_to_sql_preprocessor"}, "('PREPROCESSORS', 'nlp', 'mgeo-ranking')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/mgeo_ranking_preprocessor.py", "imports": ["typing", "torch", "transformers"], "module": "modelscope.preprocessors.nlp.mgeo_ranking_preprocessor"}, "('PREPROCESSORS', 'nlp', 'document-grounded-dialog-retrieval')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/document_grounded_dialog_retrieval_preprocessor.py", "imports": ["typing", "torch", "transformers", "os"], "module": "modelscope.preprocessors.nlp.document_grounded_dialog_retrieval_preprocessor"}, "('PREPROCESSORS', 'nlp', 'faq-question-answering-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/faq_question_answering_preprocessor.py", "imports": ["typing", "torch"], "module": "modelscope.preprocessors.nlp.faq_question_answering_preprocessor"}, "('PREPROCESSORS', 'nlp', 'mglm-summarization')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/mglm_summarization_preprocessor.py", "imports": ["typing", "os", "re"], "module": "modelscope.preprocessors.nlp.mglm_summarization_preprocessor"}, "('PREPROCESSORS', 'nlp', 'zero-shot-cls-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/zero_shot_classification_preprocessor.py", "imports": ["typing"], "module": "modelscope.preprocessors.nlp.zero_shot_classification_preprocessor"}, "('PREPROCESSORS', 'nlp', 'machine-reading-comprehension-for-ner')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/machine_reading_comprehension_preprocessor.py", "imports": ["transformers", "torch", "os"], "module": "modelscope.preprocessors.nlp.machine_reading_comprehension_preprocessor"}, "('PREPROCESSORS', 'nlp', 'viet-ner-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/token_classification_viet_preprocessor.py", "imports": ["typing", "torch"], "module": "modelscope.preprocessors.nlp.token_classification_viet_preprocessor"}, "('PREPROCESSORS', 'nlp', 'word-segment-text-to-label-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/token_classification_preprocessor.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.preprocessors.nlp.token_classification_preprocessor"}, "('PREPROCESSORS', 'nlp', 'ner-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/token_classification_preprocessor.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.preprocessors.nlp.token_classification_preprocessor"}, "('PREPROCESSORS', 'nlp', 'token-cls-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/token_classification_preprocessor.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.preprocessors.nlp.token_classification_preprocessor"}, "('PREPROCESSORS', 'nlp', 'sequence-labeling-tokenizer')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/token_classification_preprocessor.py", "imports": ["typing", "torch", "numpy"], "module": "modelscope.preprocessors.nlp.token_classification_preprocessor"}, "('PREPROCESSORS', 'nlp', 'dialog-use-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/dialog_classification_use_preprocessor.py", "imports": ["typing", "torch", "transformers"], "module": "modelscope.preprocessors.nlp.dialog_classification_use_preprocessor"}, "('PREPROCESSORS', 'nlp', 'canmt-translation')": {"filepath": "TEMPLATE_PATH/preprocessors/nlp/canmt_translation.py", "imports": ["typing", "torch", "jieba", "subword_nmt", "os", "sacremoses"], "module": "modelscope.preprocessors.nlp.canmt_translation"}, "('PREPROCESSORS', 'text-to-speech', 'kantts-data-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/tts.py", "imports": ["typing", "os", "kantts"], "module": "modelscope.preprocessors.tts"}, "('PREPROCESSORS', 'audio', 'wav-to-scp')": {"filepath": "TEMPLATE_PATH/preprocessors/asr.py", "imports": ["typing", "os"], "module": "modelscope.preprocessors.asr"}, "('PREPROCESSORS', 'default', 'Compose')": {"filepath": "TEMPLATE_PATH/preprocessors/common.py", "imports": ["typing", "torch", "collections", "time", "numpy"], "module": "modelscope.preprocessors.common"}, "('PREPROCESSORS', 'default', 'ToTensor')": {"filepath": "TEMPLATE_PATH/preprocessors/common.py", "imports": ["typing", "torch", "collections", "time", "numpy"], "module": "modelscope.preprocessors.common"}, "('PREPROCESSORS', 'default', 'Filter')": {"filepath": "TEMPLATE_PATH/preprocessors/common.py", "imports": ["typing", "torch", "collections", "time", "numpy"], "module": "modelscope.preprocessors.common"}, "('PREPROCESSORS', 'default', 'ToNumpy')": {"filepath": "TEMPLATE_PATH/preprocessors/common.py", "imports": ["typing", "torch", "collections", "time", "numpy"], "module": "modelscope.preprocessors.common"}, "('PREPROCESSORS', 'default', 'Rename')": {"filepath": "TEMPLATE_PATH/preprocessors/common.py", "imports": ["typing", "torch", "collections", "time", "numpy"], "module": "modelscope.preprocessors.common"}, "('PREPROCESSORS', 'default', 'Identity')": {"filepath": "TEMPLATE_PATH/preprocessors/common.py", "imports": ["typing", "torch", "collections", "time", "numpy"], "module": "modelscope.preprocessors.common"}, "('PREPROCESSORS', 'cv', 'load-image')": {"filepath": "TEMPLATE_PATH/preprocessors/image.py", "imports": ["typing", "io", "PIL", "cv2", "numpy"], "module": "modelscope.preprocessors.image"}, "('PREPROCESSORS', 'cv', 'object-detection-tinynas-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/image.py", "imports": ["typing", "io", "PIL", "cv2", "numpy"], "module": "modelscope.preprocessors.image"}, "('PREPROCESSORS', 'cv', 'image-color-enhance-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/image.py", "imports": ["typing", "io", "PIL", "cv2", "numpy"], "module": "modelscope.preprocessors.image"}, "('PREPROCESSORS', 'cv', 'image-denoise-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/image.py", "imports": ["typing", "io", "PIL", "cv2", "numpy"], "module": "modelscope.preprocessors.image"}, "('PREPROCESSORS', 'cv', 'image-deblur-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/image.py", "imports": ["typing", "io", "PIL", "cv2", "numpy"], "module": "modelscope.preprocessors.image"}, "('PREPROCESSORS', 'cv', 'image-portrait-enhancement-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/image.py", "imports": ["typing", "io", "PIL", "cv2", "numpy"], "module": "modelscope.preprocessors.image"}, "('PREPROCESSORS', 'cv', 'image-instance-segmentation-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/image.py", "imports": ["typing", "io", "PIL", "cv2", "numpy"], "module": "modelscope.preprocessors.image"}, "('PREPROCESSORS', 'cv', 'video-summarization-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/image.py", "imports": ["typing", "io", "PIL", "cv2", "numpy"], "module": "modelscope.preprocessors.image"}, "('PREPROCESSORS', 'cv', 'image-classification-bypass-preprocessor')": {"filepath": "TEMPLATE_PATH/preprocessors/image.py", "imports": ["typing", "io", "PIL", "cv2", "numpy"], "module": "modelscope.preprocessors.image"}, "('TRAINERS', 'default', 'dummy')": {"filepath": "TEMPLATE_PATH/trainers/base.py", "imports": ["typing", "abc", "time", "os"], "module": "modelscope.trainers.base"}, "('TRAINERS', 'default', 'nlp-base-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp_trainer.py", "imports": ["typing", "torch", "os", "numpy"], "module": "modelscope.trainers.nlp_trainer"}, "('TRAINERS', 'default', 'nlp-veco-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp_trainer.py", "imports": ["typing", "torch", "os", "numpy"], "module": "modelscope.trainers.nlp_trainer"}, "('TRAINERS', 'default', 'trainer')": {"filepath": "TEMPLATE_PATH/trainers/trainer.py", "imports": ["typing", "torch", "collections", "json", "functools", "os", "inspect", "copy", "distutils"], "module": "modelscope.trainers.trainer"}, "('LR_SCHEDULER', 'default', 'ConstantWarmup')": {"filepath": "TEMPLATE_PATH/trainers/lrscheduler/warmup/warmup.py", "imports": [], "module": "modelscope.trainers.lrscheduler.warmup.warmup"}, "('LR_SCHEDULER', 'default', 'LinearWarmup')": {"filepath": "TEMPLATE_PATH/trainers/lrscheduler/warmup/warmup.py", "imports": [], "module": "modelscope.trainers.lrscheduler.warmup.warmup"}, "('LR_SCHEDULER', 'default', 'ExponentialWarmup')": {"filepath": "TEMPLATE_PATH/trainers/lrscheduler/warmup/warmup.py", "imports": [], "module": "modelscope.trainers.lrscheduler.warmup.warmup"}, "('TRAINERS', 'default', 'image-classification')": {"filepath": "TEMPLATE_PATH/trainers/cv/image_classifition_trainer.py", "imports": ["typing", "torch", "time", "os", "copy", "numpy"], "module": "modelscope.trainers.cv.image_classifition_trainer"}, "('TRAINERS', 'default', 'card-detection-scrfd')": {"filepath": "TEMPLATE_PATH/trainers/cv/card_detection_scrfd_trainer.py", "imports": [], "module": "modelscope.trainers.cv.card_detection_scrfd_trainer"}, "('TRAINERS', 'default', 'action-detection')": {"filepath": "TEMPLATE_PATH/trainers/cv/action_detection_trainer.py", "imports": ["typing", "torch", "detectron2", "os", "fvcore"], "module": "modelscope.trainers.cv.action_detection_trainer"}, "('TRAINERS', 'default', 'face-detection-scrfd')": {"filepath": "TEMPLATE_PATH/trainers/cv/face_detection_scrfd_trainer.py", "imports": ["typing", "time", "copy", "os"], "module": "modelscope.trainers.cv.face_detection_scrfd_trainer"}, "('TRAINERS', 'default', 'referring-video-object-segmentation')": {"filepath": "TEMPLATE_PATH/trainers/cv/referring_video_object_segmentation_trainer.py", "imports": ["torch", "os"], "module": "modelscope.trainers.cv.referring_video_object_segmentation_trainer"}, "('TRAINERS', 'default', 'image-portrait-enhancement')": {"filepath": "TEMPLATE_PATH/trainers/cv/image_portrait_enhancement_trainer.py", "imports": ["torch", "collections"], "module": "modelscope.trainers.cv.image_portrait_enhancement_trainer"}, "('TRAINERS', 'default', 'movie-scene-segmentation')": {"filepath": "TEMPLATE_PATH/trainers/cv/movie_scene_segmentation_trainer.py", "imports": [], "module": "modelscope.trainers.cv.movie_scene_segmentation_trainer"}, "('TRAINERS', 'default', 'image-fewshot-detection')": {"filepath": "TEMPLATE_PATH/trainers/cv/image_defrcn_fewshot_detection_trainer.py", "imports": ["typing", "torch", "detectron2", "collections", "os"], "module": "modelscope.trainers.cv.image_defrcn_fewshot_detection_trainer"}, "('TRAINERS', 'default', 'vision-efficient-tuning')": {"filepath": "TEMPLATE_PATH/trainers/cv/vision_efficient_tuning_trainer.py", "imports": ["typing", "torch"], "module": "modelscope.trainers.cv.vision_efficient_tuning_trainer"}, "('TRAINERS', 'default', 'tinynas-damoyolo')": {"filepath": "TEMPLATE_PATH/trainers/cv/image_detection_damoyolo_trainer.py", "imports": ["typing", "torch", "easydict", "math", "time", "datetime", "os"], "module": "modelscope.trainers.cv.image_detection_damoyolo_trainer"}, "('TRAINERS', 'default', 'ocr-detection-db')": {"filepath": "TEMPLATE_PATH/trainers/cv/ocr_detection_db_trainer.py", "imports": ["typing", "torch", "easydict", "math", "time", "tqdm", "datetime", "os", "copy", "numpy"], "module": "modelscope.trainers.cv.ocr_detection_db_trainer"}, "('TRAINERS', 'default', 'image-inpainting')": {"filepath": "TEMPLATE_PATH/trainers/cv/image_inpainting_trainer.py", "imports": ["time", "torch", "collections"], "module": "modelscope.trainers.cv.image_inpainting_trainer"}, "('TRAINERS', 'default', 'ocr-recognition')": {"filepath": "TEMPLATE_PATH/trainers/cv/ocr_recognition_trainer.py", "imports": ["time", "torch", "collections"], "module": "modelscope.trainers.cv.ocr_recognition_trainer"}, "('TRAINERS', 'default', 'cartoon-translation')": {"filepath": "TEMPLATE_PATH/trainers/cv/cartoon_translation_trainer.py", "imports": ["typing", "tensorflow", "tqdm", "os", "packaging", "numpy"], "module": "modelscope.trainers.cv.cartoon_translation_trainer"}, "('TRAINERS', 'default', 'nerf-recon-acc')": {"filepath": "TEMPLATE_PATH/trainers/cv/nerf_recon_acc_trainer.py", "imports": ["typing", "glob", "random", "torch", "time", "tqdm", "datetime", "os", "cv2", "numpy"], "module": "modelscope.trainers.cv.nerf_recon_acc_trainer"}, "('TRAINERS', 'default', 'image-instance-segmentation')": {"filepath": "TEMPLATE_PATH/trainers/cv/image_instance_segmentation_trainer.py", "imports": [], "module": "modelscope.trainers.cv.image_instance_segmentation_trainer"}, "('TRAINERS', 'default', 'efficient-diffusion-tuning')": {"filepath": "TEMPLATE_PATH/trainers/multi_modal/efficient_diffusion_tuning/efficient_diffusion_tuning_trainer.py", "imports": ["typing", "torch"], "module": "modelscope.trainers.multi_modal.efficient_diffusion_tuning.efficient_diffusion_tuning_trainer"}, "('TRAINERS', 'default', 'lora-diffusion')": {"filepath": "TEMPLATE_PATH/trainers/multi_modal/lora_diffusion/lora_diffusion_trainer.py", "imports": ["typing", "torch", "diffusers"], "module": "modelscope.trainers.multi_modal.lora_diffusion.lora_diffusion_trainer"}, "('TRAINERS', 'default', 'cones2-inference')": {"filepath": "TEMPLATE_PATH/trainers/multi_modal/cones2/cones_trainer.py", "imports": ["torch", "pathlib", "diffusers", "torchvision", "PIL"], "module": "modelscope.trainers.multi_modal.cones2.cones_trainer"}, "('TRAINERS', 'default', 'lora-diffusion-xl')": {"filepath": "TEMPLATE_PATH/trainers/multi_modal/lora_diffusion_xl/lora_diffusion_xl_trainer.py", "imports": ["typing", "torch", "diffusers"], "module": "modelscope.trainers.multi_modal.lora_diffusion_xl.lora_diffusion_xl_trainer"}, "('TRAINERS', 'default', 'custom-diffusion')": {"filepath": "TEMPLATE_PATH/trainers/multi_modal/custom_diffusion/custom_diffusion_trainer.py", "imports": ["typing", "random", "torch", "pathlib", "diffusers", "itertools", "json", "PIL", "tqdm", "torchvision", "os", "warnings", "hashlib", "numpy"], "module": "modelscope.trainers.multi_modal.custom_diffusion.custom_diffusion_trainer"}, "('TRAINERS', 'default', 'mgeo-ranking-trainer')": {"filepath": "TEMPLATE_PATH/trainers/multi_modal/mgeo_ranking_trainer.py", "imports": ["dataclasses", "torch", "typing"], "module": "modelscope.trainers.multi_modal.mgeo_ranking_trainer"}, "('TRAINERS', 'default', 'dreambooth-diffusion')": {"filepath": "TEMPLATE_PATH/trainers/multi_modal/dreambooth_diffusion/dreambooth_diffusion_trainer.py", "imports": ["typing", "torch", "pathlib", "collections", "diffusers", "itertools", "PIL", "tqdm", "torchvision", "shutil", "hashlib", "warnings"], "module": "modelscope.trainers.multi_modal.dreambooth_diffusion.dreambooth_diffusion_trainer"}, "('TRAINERS', 'default', 'stable-diffusion')": {"filepath": "TEMPLATE_PATH/trainers/multi_modal/stable_diffusion/stable_diffusion_trainer.py", "imports": ["typing", "torch", "os"], "module": "modelscope.trainers.multi_modal.stable_diffusion.stable_diffusion_trainer"}, "('TRAINERS', 'default', 'clip-multi-modal-embedding')": {"filepath": "TEMPLATE_PATH/trainers/multi_modal/clip/clip_trainer.py", "imports": ["typing", "torch", "math", "os"], "module": "modelscope.trainers.multi_modal.clip.clip_trainer"}, "('TRAINERS', 'default', 'mplug')": {"filepath": "TEMPLATE_PATH/trainers/multi_modal/mplug/mplug_trainer.py", "imports": ["typing", "torch", "collections"], "module": "modelscope.trainers.multi_modal.mplug.mplug_trainer"}, "('TRAINERS', 'default', 'image-classification-team')": {"filepath": "TEMPLATE_PATH/trainers/multi_modal/team/team_trainer.py", "imports": ["typing", "torch", "collections", "os", "sklearn", "numpy"], "module": "modelscope.trainers.multi_modal.team.team_trainer"}, "('TRAINERS', 'default', 'ofa')": {"filepath": "TEMPLATE_PATH/trainers/multi_modal/ofa/ofa_trainer.py", "imports": ["tempfile", "torch", "typing", "math", "json", "functools", "os", "shutil"], "module": "modelscope.trainers.multi_modal.ofa.ofa_trainer"}, "('TRAINERS', 'default', 'siamese-uie-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/siamese_uie_trainer.py", "imports": ["typing", "random", "torch", "collections", "math", "json", "time", "os", "numpy"], "module": "modelscope.trainers.nlp.siamese_uie_trainer"}, "('TRAINERS', 'default', 'csanmt-translation')": {"filepath": "TEMPLATE_PATH/trainers/nlp/csanmt_translation_trainer.py", "imports": ["typing", "time", "os", "tensorflow"], "module": "modelscope.trainers.nlp.csanmt_translation_trainer"}, "('TRAINERS', 'default', 'text-generation-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/text_generation_trainer.py", "imports": ["typing", "torch"], "module": "modelscope.trainers.nlp.text_generation_trainer"}, "('TRAINERS', 'default', 'bert-sentiment-analysis')": {"filepath": "TEMPLATE_PATH/trainers/nlp/sequence_classification_trainer.py", "imports": ["time", "typing", "numpy"], "module": "modelscope.trainers.nlp.sequence_classification_trainer"}, "('TRAINERS', 'default', 'document-grounded-dialog-retrieval-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/document_grounded_dialog_retrieval_trainer.py", "imports": ["torch", "json", "transformers", "tqdm", "os", "faiss", "numpy"], "module": "modelscope.trainers.nlp.document_grounded_dialog_retrieval_trainer"}, "('TRAINERS', 'default', 'dialog-intent-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/space/dialog_intent_trainer.py", "imports": ["typing", "os", "numpy"], "module": "modelscope.trainers.nlp.space.dialog_intent_trainer"}, "('TRAINERS', 'default', 'dialog-modeling-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/space/dialog_modeling_trainer.py", "imports": ["typing", "time", "os", "numpy"], "module": "modelscope.trainers.nlp.space.dialog_modeling_trainer"}, "('TRAINERS', 'default', 'document-grounded-dialog-generate-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/document_grounded_dialog_generate_trainer.py", "imports": ["torch", "sacrebleu", "collections", "re", "json", "string", "tqdm", "transformers", "os", "rouge"], "module": "modelscope.trainers.nlp.document_grounded_dialog_generate_trainer"}, "('TRAINERS', 'default', 'table-question-answering-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/table_question_answering_trainer.py", "imports": ["typing", "torch", "json", "time", "tqdm", "os", "numpy"], "module": "modelscope.trainers.nlp.table_question_answering_trainer"}, "('TRAINERS', 'default', 'nlp-plug-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/plug_trainer.py", "imports": ["typing", "torch", "megatron_util", "deepspeed", "os"], "module": "modelscope.trainers.nlp.plug_trainer"}, "('TRAINERS', 'default', 'nlp-gpt-moe-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/gpt_moe_trainer.py", "imports": ["typing", "torch", "collections", "megatron_util", "os"], "module": "modelscope.trainers.nlp.gpt_moe_trainer"}, "('TRAINERS', 'default', 'nlp-sentence-embedding-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/sentence_embedding_trainer.py", "imports": ["typing", "torch", "dataclasses", "time", "tqdm", "transformers", "numpy"], "module": "modelscope.trainers.nlp.sentence_embedding_trainer"}, "('TRAINERS', 'default', 'faq-question-answering-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/faq_question_answering_trainer.py", "imports": ["dataclasses", "torch", "typing", "collections", "contextlib", "functools", "distutils", "numpy"], "module": "modelscope.trainers.nlp.faq_question_answering_trainer"}, "('TRAINERS', 'default', 'nlp-gpt3-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/gpt3_trainer.py", "imports": ["typing", "torch", "copy", "os"], "module": "modelscope.trainers.nlp.gpt3_trainer"}, "('TRAINERS', 'default', 'nlp-text-ranking-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/text_ranking_trainer.py", "imports": ["typing", "torch", "dataclasses", "time", "tqdm", "numpy"], "module": "modelscope.trainers.nlp.text_ranking_trainer"}, "('TRAINERS', 'default', 'document-grounded-dialog-rerank-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/document_grounded_dialog_rerank_trainer.py", "imports": ["typing", "random", "torch", "time", "transformers", "os", "numpy"], "module": "modelscope.trainers.nlp.document_grounded_dialog_rerank_trainer"}, "('TRAINERS', 'default', 'translation-evaluation-trainer')": {"filepath": "TEMPLATE_PATH/trainers/nlp/translation_evaluation_trainer.py", "imports": ["typing", "random", "torch", "math", "transformers", "tqdm", "os", "pandas"], "module": "modelscope.trainers.nlp.translation_evaluation_trainer"}, "('PARALLEL', 'default', 'DistributedDataParallel')": {"filepath": "TEMPLATE_PATH/trainers/parallel/builder.py", "imports": ["torch"], "module": "modelscope.trainers.parallel.builder"}, "('TRAINERS', 'default', 'speech-asr-trainer')": {"filepath": "TEMPLATE_PATH/trainers/audio/asr_trainer.py", "imports": ["tempfile", "typing", "funasr", "json", "os", "shutil"], "module": "modelscope.trainers.audio.asr_trainer"}, "('TRAINERS', 'default', 'speech_frcrn_ans_cirm_16k')": {"filepath": "TEMPLATE_PATH/trainers/audio/ans_trainer.py", "imports": [], "module": "modelscope.trainers.audio.ans_trainer"}, "('TRAINERS', 'default', 'speech_dfsmn_kws_char_farfield')": {"filepath": "TEMPLATE_PATH/trainers/audio/kws_farfield_trainer.py", "imports": ["typing", "glob", "torch", "math", "pickle", "datetime", "os", "numpy"], "module": "modelscope.trainers.audio.kws_farfield_trainer"}, "('TRAINERS', 'default', 'speech-separation')": {"filepath": "TEMPLATE_PATH/trainers/audio/separation_trainer.py", "imports": ["csv", "torch", "speechbrain", "typing", "torchaudio", "tqdm", "os", "numpy"], "module": "modelscope.trainers.audio.separation_trainer"}, "('TRAINERS', 'default', 'speech_kws_fsmn_char_ctc_nearfield')": {"filepath": "TEMPLATE_PATH/trainers/audio/kws_nearfield_trainer.py", "imports": ["typing", "torch", "re", "yaml", "datetime", "os", "copy", "tensorboardX"], "module": "modelscope.trainers.audio.kws_nearfield_trainer"}, "('TRAINERS', 'default', 'speech-kantts-trainer')": {"filepath": "TEMPLATE_PATH/trainers/audio/tts_trainer.py", "imports": ["tempfile", "typing", "json", "os", "zipfile", "shutil"], "module": "modelscope.trainers.audio.tts_trainer"}, "('HOOKS', 'default', 'ClipClampLogitScaleHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/clip_clamp_logit_scale_hook.py", "imports": ["torch"], "module": "modelscope.trainers.hooks.clip_clamp_logit_scale_hook"}, "('HOOKS', 'default', 'IterTimerHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/iter_timer_hook.py", "imports": ["time"], "module": "modelscope.trainers.hooks.iter_timer_hook"}, "('HOOKS', 'default', 'EvaluationHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/evaluation_hook.py", "imports": ["typing", "collections"], "module": "modelscope.trainers.hooks.evaluation_hook"}, "('HOOKS', 'default', 'LrSchedulerHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/lr_scheduler_hook.py", "imports": [], "module": "modelscope.trainers.hooks.lr_scheduler_hook"}, "('HOOKS', 'default', 'PlateauLrSchedulerHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/lr_scheduler_hook.py", "imports": [], "module": "modelscope.trainers.hooks.lr_scheduler_hook"}, "('HOOKS', 'default', 'NoneLrSchedulerHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/lr_scheduler_hook.py", "imports": [], "module": "modelscope.trainers.hooks.lr_scheduler_hook"}, "('HOOKS', 'default', 'TorchAMPOptimizerHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/optimizer/torch_optimizer_hook.py", "imports": ["logging"], "module": "modelscope.trainers.hooks.optimizer.torch_optimizer_hook"}, "('HOOKS', 'default', 'OptimizerHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/optimizer/base.py", "imports": ["torch", "logging"], "module": "modelscope.trainers.hooks.optimizer.base"}, "('HOOKS', 'default', 'NoneOptimizerHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/optimizer/base.py", "imports": ["torch", "logging"], "module": "modelscope.trainers.hooks.optimizer.base"}, "('HOOKS', 'default', 'ApexAMPOptimizerHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/optimizer/apex_optimizer_hook.py", "imports": ["torch", "packaging", "logging"], "module": "modelscope.trainers.hooks.optimizer.apex_optimizer_hook"}, "('HOOKS', 'default', 'CheckpointHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/checkpoint/checkpoint_hook.py", "imports": ["typing", "random", "torch", "json", "os", "shutil", "numpy"], "module": "modelscope.trainers.hooks.checkpoint.checkpoint_hook"}, "('HOOKS', 'default', 'BestCkptSaverHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/checkpoint/checkpoint_hook.py", "imports": ["typing", "random", "torch", "json", "os", "shutil", "numpy"], "module": "modelscope.trainers.hooks.checkpoint.checkpoint_hook"}, "('HOOKS', 'default', 'LoadCheckpointHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/checkpoint/load_checkpoint_hook.py", "imports": ["typing", "random", "torch", "packaging", "numpy"], "module": "modelscope.trainers.hooks.checkpoint.load_checkpoint_hook"}, "('HOOKS', 'default', 'MegatronHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/distributed/megatron_hook.py", "imports": ["torch", "megatron_util", "os", "shutil"], "module": "modelscope.trainers.hooks.distributed.megatron_hook"}, "('HOOKS', 'default', 'DDPHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/distributed/ddp_hook.py", "imports": [], "module": "modelscope.trainers.hooks.distributed.ddp_hook"}, "('HOOKS', 'default', 'DeepspeedHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/distributed/deepspeed_hook.py", "imports": ["torch", "math", "megatron_util", "deepspeed", "transformers", "functools", "os", "shutil"], "module": "modelscope.trainers.hooks.distributed.deepspeed_hook"}, "('HOOKS', 'default', 'SwiftHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/swift/swift_hook.py", "imports": ["os", "shutil"], "module": "modelscope.trainers.hooks.swift.swift_hook"}, "('HOOKS', 'default', 'SparsityHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/compression/sparsity_hook.py", "imports": ["os"], "module": "modelscope.trainers.hooks.compression.sparsity_hook"}, "('HOOKS', 'default', 'EarlyStopHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/early_stop_hook.py", "imports": ["numpy"], "module": "modelscope.trainers.hooks.early_stop_hook"}, "('HOOKS', 'default', 'TensorboardHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/logger/tensorboard_hook.py", "imports": ["torch", "os", "numpy"], "module": "modelscope.trainers.hooks.logger.tensorboard_hook"}, "('HOOKS', 'default', 'TextLoggerHook')": {"filepath": "TEMPLATE_PATH/trainers/hooks/logger/text_logger_hook.py", "imports": ["torch", "collections", "json", "datetime", "os"], "module": "modelscope.trainers.hooks.logger.text_logger_hook"}, "('CUSTOM_DATASETS', 'ocr-recognition', 'OCRRecognition')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_recognition_dataset.py", "imports": ["torch", "six", "json", "lmdb", "os", "PIL", "cv2", "numpy"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_recognition_dataset"}, "('CUSTOM_DATASETS', 'referring-video-object-segmentation', 'swinT-referring-video-object-segmentation')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/referring_video_object_segmentation/referring_video_object_segmentation_dataset.py", "imports": ["torch", "glob", "json", "h5py", "tqdm", "torchvision", "os", "pycocotools", "numpy", "pandas"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.referring_video_object_segmentation.referring_video_object_segmentation_dataset"}, "('CUSTOM_DATASETS', 'image-inpainting', 'FFTInpainting')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_inpainting/image_inpainting_dataset.py", "imports": ["glob", "albumentations", "enum", "os", "cv2", "numpy"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.image_inpainting.image_inpainting_dataset"}, "('CUSTOM_DATASETS', 'image-deblurring', 'RedsDataset')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/reds_image_deblurring_dataset.py", "imports": ["cv2", "numpy"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.reds_image_deblurring_dataset"}, "('CUSTOM_DATASETS', 'video-stabilization', 'video-stabilization')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/video_stabilization/video_stabilization_dataset.py", "imports": [], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.video_stabilization.video_stabilization_dataset"}, "('CUSTOM_DATASETS', 'video-frame-interpolation', 'video-frame-interpolation')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/video_frame_interpolation/video_frame_interpolation_dataset.py", "imports": ["torch", "cv2", "numpy"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.video_frame_interpolation.video_frame_interpolation_dataset"}, "('CUSTOM_DATASETS', 'image-deblurring', 'GoproDataset')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/gopro_image_deblurring_dataset.py", "imports": ["cv2", "numpy"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.gopro_image_deblurring_dataset"}, "('CUSTOM_DATASETS', 'language-guided-video-summarization', 'clip-it-language-guided-video-summarization')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/language_guided_video_summarization_dataset.py", "imports": ["torch", "json", "h5py", "os", "numpy"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.language_guided_video_summarization_dataset"}, "('CUSTOM_DATASETS', 'image-colorization', 'ddcolor')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_colorization/image_colorization_dataset.py", "imports": ["torch", "cv2", "numpy"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.image_colorization.image_colorization_dataset"}, "('CUSTOM_DATASETS', 'image-portrait-enhancement', 'PairedDataset')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_portrait_enhancement/image_portrait_enhancement_dataset.py", "imports": ["cv2", "numpy"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.image_portrait_enhancement.image_portrait_enhancement_dataset"}, "('CUSTOM_DATASETS', 'nli', 'veco')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/veco_dataset.py", "imports": ["typing", "datasets", "numpy"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.veco_dataset"}, "('CUSTOM_DATASETS', 'image-denoising', 'SiddDataset')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/sidd_image_denoising/sidd_image_denoising_dataset.py", "imports": ["cv2", "numpy"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.sidd_image_denoising.sidd_image_denoising_dataset"}, "('CUSTOM_DATASETS', 'image-quality-assessment-mos', 'image-quality-assessment-mos')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_quality_assmessment_mos/image_quality_assessment_mos_dataset.py", "imports": [], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.image_quality_assmessment_mos.image_quality_assessment_mos_dataset"}, "('CUSTOM_DATASETS', 'bad-image-detecting', 'bad-image-detecting')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/bad_image_detecting/bad_image_detecting_dataset.py", "imports": [], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.bad_image_detecting.bad_image_detecting_dataset"}, "('CUSTOM_DATASETS', 'image-segmentation', 'cascade_mask_rcnn_swin')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_instance_segmentation_coco_dataset.py", "imports": ["numpy", "os", "pycocotools"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.image_instance_segmentation_coco_dataset"}, "('CUSTOM_DATASETS', 'text-ranking', 'mgeo')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/mgeo_ranking_dataset.py", "imports": ["typing", "random", "torch", "json"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.mgeo_ranking_dataset"}, "('CUSTOM_DATASETS', 'movie-scene-segmentation', 'resnet50-bert')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/movie_scene_segmentation/movie_scene_segmentation_dataset.py", "imports": ["random", "torch", "json", "torchvision", "os", "copy"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.movie_scene_segmentation.movie_scene_segmentation_dataset"}, "('CUSTOM_DATASETS', 'video-super-resolution', 'real-basicvsr')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/video_super_resolution/video_super_resolution_dataset.py", "imports": ["torch", "collections", "cv2", "numpy"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.video_super_resolution.video_super_resolution_dataset"}, "('CUSTOM_DATASETS', 'image-quality-assessment-degradation', 'image-quality-assessment-degradation')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_quality_assessment_degradation/image_quality_assessment_degradation_dataset.py", "imports": ["torchvision"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.image_quality_assessment_degradation.image_quality_assessment_degradation_dataset"}, "('CUSTOM_DATASETS', 'text-ranking', 'bert')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/text_ranking_dataset.py", "imports": ["typing", "random", "torch"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.text_ranking_dataset"}, "('CUSTOM_DATASETS', 'sentence-embedding', 'bert')": {"filepath": "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/text_ranking_dataset.py", "imports": ["typing", "random", "torch"], "module": "modelscope.msdatasets.dataset_cls.custom_datasets.text_ranking_dataset"}, "('EXPORTERS', 'domain-specific-object-detection', 'tinynas-damoyolo')": {"filepath": "TEMPLATE_PATH/exporters/cv/object_detection_damoyolo_exporter.py", "imports": ["typing", "torch", "onnx", "functools", "os", "numpy"], "module": "modelscope.exporters.cv.object_detection_damoyolo_exporter"}, "('EXPORTERS', 'image-object-detection', 'tinynas-damoyolo')": {"filepath": "TEMPLATE_PATH/exporters/cv/object_detection_damoyolo_exporter.py", "imports": ["typing", "torch", "onnx", "functools", "os", "numpy"], "module": "modelscope.exporters.cv.object_detection_damoyolo_exporter"}, "('EXPORTERS', 'default', 'cartoon-translation')": {"filepath": "TEMPLATE_PATH/exporters/cv/cartoon_translation_exporter.py", "imports": ["typing", "packaging", "os", "tensorflow"], "module": "modelscope.exporters.cv.cartoon_translation_exporter"}, "('EXPORTERS', 'face-detection', 'scrfd')": {"filepath": "TEMPLATE_PATH/exporters/cv/face_detection_scrfd_exporter.py", "imports": ["typing", "torch", "onnx", "functools", "os", "numpy"], "module": "modelscope.exporters.cv.face_detection_scrfd_exporter"}, "('EXPORTERS', 'ocr-detection', 'OCRDetection')": {"filepath": "TEMPLATE_PATH/exporters/cv/ocr_detection_db_exporter.py", "imports": ["typing", "torch", "onnx", "functools", "os", "numpy"], "module": "modelscope.exporters.cv.ocr_detection_db_exporter"}, "('EXPORTERS', 'ocr-recognition', 'OCRRecognition')": {"filepath": "TEMPLATE_PATH/exporters/cv/ocr_recognition_exporter.py", "imports": ["typing", "torch", "onnx", "functools", "os", "numpy"], "module": "modelscope.exporters.cv.ocr_recognition_exporter"}, "('EXPORTERS', 'text-to-image-synthesis', 'stable-diffusion')": {"filepath": "TEMPLATE_PATH/exporters/multi_modal/stable_diffusion_exporter.py", "imports": ["typing", "torch", "pathlib", "collections", "diffusers", "argparse", "onnx", "os", "shutil", "packaging"], "module": "modelscope.exporters.multi_modal.stable_diffusion_exporter"}, "('EXPORTERS', 'zero-shot-classification', 'bert')": {"filepath": "TEMPLATE_PATH/exporters/nlp/sbert_for_zero_shot_classification_exporter.py", "imports": ["typing", "collections"], "module": "modelscope.exporters.nlp.sbert_for_zero_shot_classification_exporter"}, "('EXPORTERS', 'zero-shot-classification', 'structbert')": {"filepath": "TEMPLATE_PATH/exporters/nlp/sbert_for_zero_shot_classification_exporter.py", "imports": ["typing", "collections"], "module": "modelscope.exporters.nlp.sbert_for_zero_shot_classification_exporter"}, "('EXPORTERS', 'text-classification', 'bert')": {"filepath": "TEMPLATE_PATH/exporters/nlp/sbert_for_sequence_classification_exporter.py", "imports": ["typing", "torch", "collections"], "module": "modelscope.exporters.nlp.sbert_for_sequence_classification_exporter"}, "('EXPORTERS', 'text-classification', 'structbert')": {"filepath": "TEMPLATE_PATH/exporters/nlp/sbert_for_sequence_classification_exporter.py", "imports": ["typing", "torch", "collections"], "module": "modelscope.exporters.nlp.sbert_for_sequence_classification_exporter"}, "('EXPORTERS', 'sentence-similarity', 'bert')": {"filepath": "TEMPLATE_PATH/exporters/nlp/sbert_for_sequence_classification_exporter.py", "imports": ["typing", "torch", "collections"], "module": "modelscope.exporters.nlp.sbert_for_sequence_classification_exporter"}, "('EXPORTERS', 'sentiment-classification', 'bert')": {"filepath": "TEMPLATE_PATH/exporters/nlp/sbert_for_sequence_classification_exporter.py", "imports": ["typing", "torch", "collections"], "module": "modelscope.exporters.nlp.sbert_for_sequence_classification_exporter"}, "('EXPORTERS', 'nli', 'bert')": {"filepath": "TEMPLATE_PATH/exporters/nlp/sbert_for_sequence_classification_exporter.py", "imports": ["typing", "torch", "collections"], "module": "modelscope.exporters.nlp.sbert_for_sequence_classification_exporter"}, "('EXPORTERS', 'sentence-similarity', 'structbert')": {"filepath": "TEMPLATE_PATH/exporters/nlp/sbert_for_sequence_classification_exporter.py", "imports": ["typing", "torch", "collections"], "module": "modelscope.exporters.nlp.sbert_for_sequence_classification_exporter"}, "('EXPORTERS', 'sentiment-classification', 'structbert')": {"filepath": "TEMPLATE_PATH/exporters/nlp/sbert_for_sequence_classification_exporter.py", "imports": ["typing", "torch", "collections"], "module": "modelscope.exporters.nlp.sbert_for_sequence_classification_exporter"}, "('EXPORTERS', 'nli', 'structbert')": {"filepath": "TEMPLATE_PATH/exporters/nlp/sbert_for_sequence_classification_exporter.py", "imports": ["typing", "torch", "collections"], "module": "modelscope.exporters.nlp.sbert_for_sequence_classification_exporter"}, "('EXPORTERS', 'transformer-crf', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/exporters/nlp/model_for_token_classification_exporter.py", "imports": ["typing", "torch", "collections"], "module": "modelscope.exporters.nlp.model_for_token_classification_exporter"}, "('EXPORTERS', 'token-classification', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/exporters/nlp/model_for_token_classification_exporter.py", "imports": ["typing", "torch", "collections"], "module": "modelscope.exporters.nlp.model_for_token_classification_exporter"}, "('EXPORTERS', 'named-entity-recognition', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/exporters/nlp/model_for_token_classification_exporter.py", "imports": ["typing", "torch", "collections"], "module": "modelscope.exporters.nlp.model_for_token_classification_exporter"}, "('EXPORTERS', 'part-of-speech', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/exporters/nlp/model_for_token_classification_exporter.py", "imports": ["typing", "torch", "collections"], "module": "modelscope.exporters.nlp.model_for_token_classification_exporter"}, "('EXPORTERS', 'word-segmentation', 'transformer-crf')": {"filepath": "TEMPLATE_PATH/exporters/nlp/model_for_token_classification_exporter.py", "imports": ["typing", "torch", "collections"], "module": "modelscope.exporters.nlp.model_for_token_classification_exporter"}, "('EXPORTERS', 'translation', 'csanmt-translation')": {"filepath": "TEMPLATE_PATH/exporters/nlp/csanmt_for_translation_exporter.py", "imports": ["typing", "os", "tensorflow"], "module": "modelscope.exporters.nlp.csanmt_for_translation_exporter"}, "('EXPORTERS', 'acoustic-noise-suppression', 'speech_dfsmn_ans')": {"filepath": "TEMPLATE_PATH/exporters/audio/ans_dfsmn_exporter.py", "imports": ["torch", "os"], "module": "modelscope.exporters.audio.ans_dfsmn_exporter"}}, "requirements": {"modelscope.models.builder": [], "modelscope.models.science.unifold.modules.embedders": ["typing", "torch", "unicore"], "modelscope.models.science.unifold.modules.template": ["typing", "torch", "math", "functools", "unicore"], "modelscope.models.science.unifold.modules.structure_module": ["typing", "torch", "math", "unicore"], "modelscope.models.science.unifold.modules.evoformer": ["typing", "torch", "functools", "unicore"], "modelscope.models.science.unifold.modules.confidence": ["typing", "torch"], "modelscope.models.science.unifold.modules.featurization": ["typing", "torch", "unicore"], "modelscope.models.science.unifold.modules.frame": ["typing", "torch", "__future__", "numpy"], "modelscope.models.science.unifold.modules.alphafold": ["torch", "unicore"], "modelscope.models.science.unifold.modules.attentions": ["typing", "torch", "functools", "unicore"], "modelscope.models.science.unifold.modules.common": ["typing", "torch", "functools", "unicore"], "modelscope.models.science.unifold.modules.triangle_multiplication": ["typing", "torch", "functools", "unicore"], "modelscope.models.science.unifold.modules.auxillary_heads": ["typing", "torch", "unicore"], "modelscope.models.science.unifold.config": ["copy", "ml_collections", "typing"], "modelscope.models.science.unifold.data.msa_pairing": ["typing", "collections", "numpy", "scipy", "pandas"], "modelscope.models.science.unifold.data.utils": ["typing", "json", "pickle", "functools", "gzip", "copy", "scipy", "numpy"], "modelscope.models.science.unifold.data.process_multimer": ["typing", "collections", "numpy"], "modelscope.models.science.unifold.data.process": ["typing", "torch", "numpy"], "modelscope.models.science.unifold.data.data_ops": ["typing", "torch", "operator", "itertools", "functools", "unicore", "numpy"], "modelscope.models.science.unifold.data.residue_constants": ["typing", "functools", "collections", "os", "unicore", "numpy"], "modelscope.models.science.unifold.data.protein": ["dataclasses", "Bio", "typing", "io", "numpy"], "modelscope.models.science.unifold.model": ["typing", "torch", "argparse", "os"], "modelscope.models.science.unifold.dataset": ["typing", "torch", "json", "ml_collections", "os", "logging", "unicore", "copy", "numpy"], "modelscope.models.science.unifold.msa.tools.hmmsearch": ["typing", "os", "subprocess", "absl"], "modelscope.models.science.unifold.msa.tools.hmmbuild": ["absl", "os", "re", "subprocess"], "modelscope.models.science.unifold.msa.tools.utils": ["tempfile", "typing", "contextlib", "time", "absl", "shutil"], "modelscope.models.science.unifold.msa.tools.hhsearch": ["typing", "glob", "subprocess", "os", "absl"], "modelscope.models.science.unifold.msa.tools.jackhmmer": ["typing", "glob", "subprocess", "concurrent", "os", "absl", "urllib"], "modelscope.models.science.unifold.msa.tools.kalign": ["typing", "os", "subprocess", "absl"], "modelscope.models.science.unifold.msa.tools.hhblits": ["typing", "glob", "subprocess", "os", "absl"], "modelscope.models.science.unifold.msa.templates": ["dataclasses", "glob", "typing", "re", "datetime", "abc", "functools", "os", "absl", "numpy"], "modelscope.models.science.unifold.msa.utils": ["typing", "os", "absl", "json"], "modelscope.models.science.unifold.msa.msa_identifiers": ["dataclasses", "typing", "re"], "modelscope.models.science.unifold.msa.pipeline": ["typing", "os", "absl", "numpy"], "modelscope.models.science.unifold.msa.mmcif": ["dataclasses", "typing", "Bio", "collections", "functools", "io", "absl"], "modelscope.models.science.unifold.msa.parsers": ["dataclasses", "typing", "string", "collections", "re", "itertools"], "modelscope.models.base.base_torch_head": ["typing", "torch"], "modelscope.models.base.base_head": ["typing", "abc"], "modelscope.models.base.base_torch_model": ["typing", "torch", "functools", "os", "copy", "packaging"], "modelscope.models.base.base_model": ["typing", "abc", "os"], "modelscope.models.cv.body_3d_keypoints.hdformer.backbone": ["torch"], "modelscope.models.cv.body_3d_keypoints.hdformer.block": ["torch", "math", "einops"], "modelscope.models.cv.body_3d_keypoints.hdformer.skeleton": ["numpy"], "modelscope.models.cv.body_3d_keypoints.hdformer.hdformer_detector": ["typing", "torch", "os", "numpy"], "modelscope.models.cv.body_3d_keypoints.hdformer.hdformer": ["torch"], "modelscope.models.cv.body_3d_keypoints.hdformer.directed_graph": ["typing", "sys", "numpy"], "modelscope.models.cv.body_3d_keypoints.canonical_pose.body_3d_pose": ["typing", "torch", "os", "logging", "numpy"], "modelscope.models.cv.body_3d_keypoints.canonical_pose.canonical_pose_modules": ["torch"], "modelscope.models.cv.video_summarization.pgl_sum": ["torch", "math"], "modelscope.models.cv.video_summarization.summarizer": ["typing", "torch", "os", "numpy"], "modelscope.models.cv.video_summarization.kts.cpd_nonlin": ["numpy"], "modelscope.models.cv.video_summarization.kts.cpd_auto": ["numpy"], "modelscope.models.cv.video_summarization.base_model": ["torch", "cv2", "numpy"], "modelscope.models.cv.controllable_image_generation.controlnet": ["tempfile", "random", "torch", "math", "typing", "os", "sys", "PIL", "control_ldm", "cv2", "einops", "numpy"], "modelscope.models.cv.controllable_image_generation.annotator.annotator": ["torch", "mmcv", "mmseg", "os", "cv2", "einops", "numpy"], "modelscope.models.cv.controllable_image_generation.annotator.openpose.body": ["torch", "math", "matplotlib", "time", "torchvision", "scipy", "cv2", "numpy"], "modelscope.models.cv.controllable_image_generation.annotator.openpose.util": ["numpy", "math", "cv2", "matplotlib"], "modelscope.models.cv.controllable_image_generation.annotator.openpose.model": ["torch", "collections"], "modelscope.models.cv.controllable_image_generation.annotator.openpose.hand": ["torch", "math", "json", "matplotlib", "time", "skimage", "scipy", "cv2", "numpy"], "modelscope.models.cv.controllable_image_generation.annotator.midas.midas.dpt_depth": ["torch"], "modelscope.models.cv.controllable_image_generation.annotator.midas.midas.transforms": ["math", "cv2", "numpy"], "modelscope.models.cv.controllable_image_generation.annotator.midas.midas.vit": ["timm", "torch", "types", "math"], "modelscope.models.cv.controllable_image_generation.annotator.midas.midas.blocks": ["torch"], "modelscope.models.cv.controllable_image_generation.annotator.midas.midas.midas_net": ["torch"], "modelscope.models.cv.controllable_image_generation.annotator.midas.midas.midas_net_custom": ["torch"], "modelscope.models.cv.controllable_image_generation.annotator.midas.midas.base_model": ["torch"], "modelscope.models.cv.controllable_image_generation.annotator.midas.utils": ["torch", "re", "sys", "cv2", "numpy"], "modelscope.models.cv.controllable_image_generation.annotator.midas.api": ["torch", "torchvision", "cv2", "os"], "modelscope.models.cv.controllable_image_generation.annotator.mlsd.mbv2_mlsd_large": ["sys", "os", "torch"], "modelscope.models.cv.controllable_image_generation.annotator.mlsd.utils": ["torch", "cv2", "os", "numpy"], "modelscope.models.cv.image_editing.masactrl_utils": ["torch", "einops"], "modelscope.models.cv.image_editing.masactrl": ["torch", "einops"], "modelscope.models.cv.image_super_resolution_pasd.transformer_2d": ["dataclasses", "torch", "diffusers", "typing"], "modelscope.models.cv.image_super_resolution_pasd.controlnet": ["typing", "torch", "dataclasses", "diffusers", "torchvision", "copy"], "modelscope.models.cv.image_super_resolution_pasd.attention": ["typing", "torch", "math", "diffusers"], "modelscope.models.cv.image_super_resolution_pasd.unet_2d_condition": ["dataclasses", "torch", "typing", "diffusers", "json", "os"], "modelscope.models.cv.image_super_resolution_pasd.misc": ["torch", "torchvision", "diffusers", "PIL", "safetensors"], "modelscope.models.cv.image_super_resolution_pasd.unet_2d_blocks": ["typing", "torch", "diffusers", "numpy"], "modelscope.models.cv.vision_efficient_tuning.backbone": ["torch", "functools"], "modelscope.models.cv.vision_efficient_tuning.vision_efficient_tuning": ["torch", "collections", "os"], "modelscope.models.cv.vision_efficient_tuning.timm_weight_init": ["torch", "math", "warnings"], "modelscope.models.cv.vision_efficient_tuning.petl": ["torch", "math", "torchvision", "collections"], "modelscope.models.cv.vision_efficient_tuning.timm_helpers": ["typing", "torch", "math", "itertools"], "modelscope.models.cv.vision_efficient_tuning.model": ["typing", "torch"], "modelscope.models.cv.vision_efficient_tuning.head": ["torch"], "modelscope.models.cv.vision_efficient_tuning.timm_vision_transformer": ["torch", "collections", "math", "itertools", "functools", "logging"], "modelscope.models.cv.image_paintbyexample.model": ["typing", "torch", "paint_ldm", "omegaconf", "os"], "modelscope.models.cv.human_normal_estimation.networks.nnet": ["sys", "os", "torch"], "modelscope.models.cv.human_normal_estimation.networks.config": ["argparse"], "modelscope.models.cv.human_normal_estimation.networks.submodules": ["torch", "geffnet", "numpy"], "modelscope.models.cv.human_normal_estimation.human_nnet": ["torch", "torchvision", "os", "numpy"], "modelscope.models.cv.surface_recon_common.surface_recon_common": ["trimesh", "torch", "os", "numpy"], "modelscope.models.cv.surface_recon_common.renderer": ["torch"], "modelscope.models.cv.surface_recon_common.utils": ["torch", "mcubes", "numpy"], "modelscope.models.cv.surface_recon_common.dataset": ["torch", "glob", "os", "scipy", "cv2", "numpy"], "modelscope.models.cv.surface_recon_common.fields": ["torch", "numpy"], "modelscope.models.cv.robust_image_classification.easyrobust_model": ["torch", "os"], "modelscope.models.cv.abnormal_object_detection.mmdet_ms.roi_head.roi_extractors.single_level_roi_extractor": ["torch", "mmcv", "mmdet"], "modelscope.models.cv.abnormal_object_detection.mmdet_ms.roi_head.mask_scoring_roi_head": ["torch", "mmdet"], "modelscope.models.cv.abnormal_object_detection.mmdet_model": ["torch", "os", "numpy"], "modelscope.models.cv.image_mvs_depth_estimation.depth_filter": ["os", "plyfile", "PIL", "cv2", "numpy"], "modelscope.models.cv.image_mvs_depth_estimation.utils": ["random", "torchvision", "torch", "numpy"], "modelscope.models.cv.image_mvs_depth_estimation.general_eval_dataset": ["torch", "re", "os", "sys", "PIL", "cv2", "numpy"], "modelscope.models.cv.image_mvs_depth_estimation.colmap2mvsnet": ["multiprocessing", "collections", "functools", "os", "__future__", "shutil", "struct", "cv2", "numpy"], "modelscope.models.cv.image_mvs_depth_estimation.casmvs_model": ["easydict", "torch", "os", "cv2", "numpy"], "modelscope.models.cv.image_mvs_depth_estimation.cas_mvsnet": ["torch"], "modelscope.models.cv.image_mvs_depth_estimation.module": ["torch"], "modelscope.models.cv.text_to_head.text_to_head_model": ["torch", "collections", "diffusers", "os", "cv2", "numpy"], "modelscope.models.cv.image_depth_estimation_marigold.marigold_utils": ["torch", "math", "numpy", "scipy", "PIL", "matplotlib"], "modelscope.models.cv.image_depth_estimation_marigold.marigold": ["typing", "PIL", "diffusers", "numpy"], "modelscope.models.cv.motion_generation.modules.mdm": ["torch", "clip", "numpy"], "modelscope.models.cv.motion_generation.modules.smpl": ["contextlib", "torch", "smplx", "os", "numpy"], "modelscope.models.cv.motion_generation.modules.rotation2xyz": ["torch"], "modelscope.models.cv.motion_generation.modules.cfg_sampler": ["copy", "torch"], "modelscope.models.cv.motion_generation.modules.gaussian_diffusion": ["enum", "torch", "math", "copy", "numpy"], "modelscope.models.cv.motion_generation.modules.respace": ["torch", "numpy"], "modelscope.models.cv.motion_generation.model": [], "modelscope.models.cv.table_recognition.modules.lore_detector": ["torch", "math", "os", "copy", "numpy"], "modelscope.models.cv.table_recognition.modules.lore_processor": ["torch", "math", "os", "copy", "numpy"], "modelscope.models.cv.table_recognition.lineless_table_process": ["torch", "cv2", "shapely", "numpy"], "modelscope.models.cv.table_recognition.model_lore": ["typing", "torch", "math", "os", "copy", "numpy"], "modelscope.models.cv.image_local_feature_matching.src.loftr.loftr": ["torch", "einops"], "modelscope.models.cv.image_local_feature_matching.src.loftr.utils.coarse_matching": ["torch", "einops"], "modelscope.models.cv.image_local_feature_matching.src.loftr.utils.fine_matching": ["torch", "math"], "modelscope.models.cv.image_local_feature_matching.src.loftr.utils.supervision": ["torch", "math", "loguru", "kornia", "einops"], "modelscope.models.cv.image_local_feature_matching.src.loftr.utils.position_encoding": ["torch", "math"], "modelscope.models.cv.image_local_feature_matching.src.loftr.utils.cvpr_ds_config": ["yacs"], "modelscope.models.cv.image_local_feature_matching.src.loftr.utils.geometry": ["torch"], "modelscope.models.cv.image_local_feature_matching.src.loftr.backbone.resnet_fpn": ["torch"], "modelscope.models.cv.image_local_feature_matching.src.loftr.loftr_module.transformer": ["copy", "torch"], "modelscope.models.cv.image_local_feature_matching.src.loftr.loftr_module.linear_attention": ["torch"], "modelscope.models.cv.image_local_feature_matching.src.loftr.loftr_module.fine_preprocess": ["torch", "einops"], "modelscope.models.cv.image_local_feature_matching.src.utils.plotting": ["matplotlib", "bisect", "numpy"], "modelscope.models.cv.image_local_feature_matching.loftr_model": ["torch", "matplotlib", "os", "io", "copy", "cv2", "numpy"], "modelscope.models.cv.image_mvs_depth_estimation_geomvsnet.depth_filter": ["os", "plyfile", "PIL", "cv2", "numpy"], "modelscope.models.cv.image_mvs_depth_estimation_geomvsnet.utils": ["random", "torchvision", "torch", "numpy"], "modelscope.models.cv.image_mvs_depth_estimation_geomvsnet.general_eval_dataset": ["torch", "re", "torchvision", "os", "sys", "PIL", "cv2", "numpy"], "modelscope.models.cv.image_mvs_depth_estimation_geomvsnet.colmap2mvsnet": ["multiprocessing", "collections", "functools", "os", "__future__", "shutil", "struct", "cv2", "numpy"], "modelscope.models.cv.image_mvs_depth_estimation_geomvsnet.models.loss": ["torch"], "modelscope.models.cv.image_mvs_depth_estimation_geomvsnet.models.filter": ["torch", "matplotlib", "numpy"], "modelscope.models.cv.image_mvs_depth_estimation_geomvsnet.models.submodules": ["torch"], "modelscope.models.cv.image_mvs_depth_estimation_geomvsnet.models.utils.opts": ["argparse"], "modelscope.models.cv.image_mvs_depth_estimation_geomvsnet.models.utils.utils": ["random", "torch", "torchvision", "bisect", "numpy"], "modelscope.models.cv.image_mvs_depth_estimation_geomvsnet.models.geometry": ["torch", "math", "numpy"], "modelscope.models.cv.image_mvs_depth_estimation_geomvsnet.models.geomvsnet": ["torch", "math"], "modelscope.models.cv.image_mvs_depth_estimation_geomvsnet.geomvsnet_model": ["easydict", "torch", "time", "os", "cv2", "numpy"], "modelscope.models.cv.image_mvs_depth_estimation_geomvsnet.module": ["torch"], "modelscope.models.cv.image_skychange.ptsemseg.hrnet_super_and_ocr": ["torch", "__future__", "numpy"], "modelscope.models.cv.image_skychange.ptsemseg.BlockModules": ["torch"], "modelscope.models.cv.image_skychange.ptsemseg.hrnet_backnone": ["torch", "os", "logging", "numpy"], "modelscope.models.cv.image_skychange.ptsemseg.unet": ["torch"], "modelscope.models.cv.image_skychange.skychange": ["torch", "collections", "json", "pdb", "numbers", "torchvision", "os", "PIL", "cv2", "numpy"], "modelscope.models.cv.image_skychange.skychange_model": ["typing", "torch", "math", "collections", "json", "pdb", "time", "os", "cv2"], "modelscope.models.cv.image_skychange.preprocessor": ["typing", "torch", "json", "numbers", "pdb", "torchvision", "cv2", "numpy"], "modelscope.models.cv.s2net_panorama_depth_estimation.networks.swin_transformer": ["timm", "torch", "numpy"], "modelscope.models.cv.s2net_panorama_depth_estimation.networks.config": ["yaml", "yacs", "os"], "modelscope.models.cv.s2net_panorama_depth_estimation.networks.util_helper": ["torch", "pkgutil", "apex", "torchvision", "os", "warnings", "importlib", "healpy", "numpy"], "modelscope.models.cv.s2net_panorama_depth_estimation.networks.model": ["torch", "numpy"], "modelscope.models.cv.s2net_panorama_depth_estimation.networks.decoder": ["torch", "einops", "numpy"], "modelscope.models.cv.s2net_panorama_depth_estimation.networks.resnet": ["torch"], "modelscope.models.cv.s2net_panorama_depth_estimation.s2net_model": ["torch", "torchvision", "os", "numpy"], "modelscope.models.cv.body_2d_keypoints.hrnet_v2": ["torch", "os", "numpy"], "modelscope.models.cv.body_2d_keypoints.w48": [], "modelscope.models.cv.body_2d_keypoints.hrnet_basic_modules": ["torch"], "modelscope.models.cv.language_guided_video_summarization.transformer.modules": ["torch"], "modelscope.models.cv.language_guided_video_summarization.transformer.models": ["torch", "numpy"], "modelscope.models.cv.language_guided_video_summarization.transformer.layers": ["torch"], "modelscope.models.cv.language_guided_video_summarization.transformer.sub_layers": ["torch", "numpy"], "modelscope.models.cv.language_guided_video_summarization.summarizer": ["typing", "torch", "argparse", "bmt_clipit", "videofeatures_clipit", "os", "numpy"], "modelscope.models.cv.image_instance_segmentation.fastinst.fastinst_encoder": ["typing", "torch", "logging"], "modelscope.models.cv.image_instance_segmentation.fastinst.fastinst_decoder": ["torch", "math"], "modelscope.models.cv.image_instance_segmentation.datasets.transforms": ["os", "numpy"], "modelscope.models.cv.image_instance_segmentation.cascade_mask_rcnn_swin": ["torch", "collections", "os"], "modelscope.models.cv.image_instance_segmentation.backbones.swin_transformer": ["timm", "torch", "numpy"], "modelscope.models.cv.image_instance_segmentation.backbones.resnet": ["torch"], "modelscope.models.cv.image_instance_segmentation.maskdino.maskdino_encoder": ["typing", "torch", "numpy"], "modelscope.models.cv.image_instance_segmentation.maskdino.maskdino_decoder": ["torch"], "modelscope.models.cv.image_instance_segmentation.maskdino.utils": ["copy", "torch", "math"], "modelscope.models.cv.image_instance_segmentation.maskdino.position_encoding": ["torch", "math"], "modelscope.models.cv.image_instance_segmentation.maskdino.dino_decoder": ["typing", "torch"], "modelscope.models.cv.image_instance_segmentation.maskdino.ms_deform_attn": ["torch", "math", "mmcv", "__future__", "warnings"], "modelscope.models.cv.image_instance_segmentation.model": ["typing", "torch", "os"], "modelscope.models.cv.image_instance_segmentation.maskdino_swin": ["torch", "os"], "modelscope.models.cv.image_instance_segmentation.fastinst_model": ["typing", "torch", "os"], "modelscope.models.cv.image_instance_segmentation.postprocess_utils": ["torch", "itertools", "pycocotools", "cv2", "numpy"], "modelscope.models.cv.image_instance_segmentation.maskdino_model": ["typing", "torch", "os"], "modelscope.models.cv.action_recognition.models": ["torch"], "modelscope.models.cv.action_recognition.temporal_patch_shift_transformer": ["torch", "operator", "timm", "functools", "torchvision", "abc", "einops", "numpy"], "modelscope.models.cv.action_recognition.tada_convnext": ["torch", "math"], "modelscope.models.cv.action_recognition.s3dg": ["torch"], "modelscope.models.cv.self_supervised_depth_completion.vis_utils": ["os", "numpy", "PIL", "cv2", "matplotlib"], "modelscope.models.cv.self_supervised_depth_completion.self_supervised_depth_completion": ["torch", "argparse", "time", "tqdm", "os", "sys", "cv2", "numpy"], "modelscope.models.cv.self_supervised_depth_completion.criteria": ["torch"], "modelscope.models.cv.self_supervised_depth_completion.model": ["torch", "torchvision"], "modelscope.models.cv.self_supervised_depth_completion.dataloaders.transforms": ["torch", "types", "accimage", "numbers", "PIL", "skimage", "__future__", "scipy", "numpy"], "modelscope.models.cv.self_supervised_depth_completion.dataloaders.kitti_loader": ["glob", "torch", "random", "os", "PIL", "cv2", "numpy"], "modelscope.models.cv.self_supervised_depth_completion.dataloaders.pose_estimator": ["cv2", "numpy"], "modelscope.models.cv.self_supervised_depth_completion.inverse_warp": ["torch"], "modelscope.models.cv.self_supervised_depth_completion.metrics": ["torch", "math", "numpy"], "modelscope.models.cv.self_supervised_depth_completion.helper": ["csv", "torch", "time", "os", "shutil"], "modelscope.models.cv.salient_detection.salient_model": ["torch", "torchvision", "os", "PIL", "cv2"], "modelscope.models.cv.salient_detection.models.modules": ["torch"], "modelscope.models.cv.salient_detection.models.u2net": ["torch"], "modelscope.models.cv.salient_detection.models.utils": ["torch"], "modelscope.models.cv.salient_detection.models.senet": ["torch"], "modelscope.models.cv.salient_detection.models.backbone.Res2Net_v1b": ["torch", "math"], "modelscope.models.cv.human3d_animation.transforms": ["torch", "numpy"], "modelscope.models.cv.human3d_animation.bvh_writer": ["torch", "numpy"], "modelscope.models.cv.human3d_animation.utils": ["torch", "nvdiffrast", "os", "cv2", "numpy"], "modelscope.models.cv.human3d_animation.generate_skeleton": ["torch", "pickle", "os", "numpy"], "modelscope.models.cv.face_generation.stylegan2": ["random", "torch", "math", "operator", "functools"], "modelscope.models.cv.face_generation.op.upfirdn2d": ["torch", "collections", "os"], "modelscope.models.cv.face_generation.op.fused_act": ["torch", "os"], "modelscope.models.cv.face_generation.op.conv2d_gradfix": ["contextlib", "torch", "warnings"], "modelscope.models.cv.tinynas_classfication.super_res_k1kxk1": ["uuid", "torch"], "modelscope.models.cv.tinynas_classfication.model_zoo": [], "modelscope.models.cv.tinynas_classfication.basic_blocks": ["uuid", "torch", "numpy"], "modelscope.models.cv.tinynas_classfication.super_blocks": ["uuid", "torch"], "modelscope.models.cv.tinynas_classfication.super_res_idwexkx": ["uuid", "torch"], "modelscope.models.cv.tinynas_classfication.master_net": ["torch"], "modelscope.models.cv.tinynas_classfication.super_res_kxkx": ["uuid", "torch"], "modelscope.models.cv.tinynas_classfication.plain_net_utils": ["torch"], "modelscope.models.cv.tinynas_classfication.global_utils": [], "modelscope.models.cv.video_object_segmentation.modules": ["torch", "torchvision"], "modelscope.models.cv.video_object_segmentation.network": ["torch", "math"], "modelscope.models.cv.video_object_segmentation.inference_memory_bank": ["torch", "math"], "modelscope.models.cv.video_object_segmentation.cbam": ["torch"], "modelscope.models.cv.video_object_segmentation.eval_network": ["torch"], "modelscope.models.cv.video_object_segmentation.model": ["typing", "torch", "os"], "modelscope.models.cv.video_object_segmentation.inference_core": ["torch"], "modelscope.models.cv.video_object_segmentation.mod_resnet": ["torch", "math", "collections"], "modelscope.models.cv.video_object_segmentation.aggregate": ["torch"], "modelscope.models.cv.face_emotion.emotion_infer": ["torch", "PIL", "torchvision"], "modelscope.models.cv.face_emotion.face_alignment.face": ["cv2", "os", "tensorflow", "numpy"], "modelscope.models.cv.face_emotion.face_alignment.face_align": ["os", "sys", "PIL", "cv2", "numpy"], "modelscope.models.cv.face_emotion.emotion_model": ["sys", "os", "torch"], "modelscope.models.cv.face_emotion.efficient.utils": ["torch", "functools", "collections", "math", "re"], "modelscope.models.cv.face_emotion.efficient.model": ["torch"], "modelscope.models.cv.panorama_depth_estimation.networks.util": ["scipy", "cv2", "numpy"], "modelscope.models.cv.panorama_depth_estimation.networks.equi": ["torch", "collections", "__future__", "numpy"], "modelscope.models.cv.panorama_depth_estimation.networks.layers": ["torch", "numpy"], "modelscope.models.cv.panorama_depth_estimation.networks.mobilenet": ["torch"], "modelscope.models.cv.panorama_depth_estimation.networks.unifuse": ["torch", "collections", "__future__", "numpy"], "modelscope.models.cv.panorama_depth_estimation.networks.resnet": ["torch"], "modelscope.models.cv.panorama_depth_estimation.unifuse_model": ["torch", "torchvision", "os", "numpy"], "modelscope.models.cv.cartoon.facelib.facer": ["time", "cv2", "numpy"], "modelscope.models.cv.cartoon.facelib.config": ["easydict", "os", "numpy"], "modelscope.models.cv.cartoon.facelib.LK.lk": ["numpy"], "modelscope.models.cv.cartoon.facelib.face_landmark": ["cv2", "tensorflow", "numpy"], "modelscope.models.cv.cartoon.facelib.face_detector": ["time", "cv2", "tensorflow", "numpy"], "modelscope.models.cv.cartoon.network": ["tensorflow"], "modelscope.models.cv.cartoon.mtcnn_pytorch.src.matlab_cp2tform": ["numpy"], "modelscope.models.cv.cartoon.mtcnn_pytorch.src.align_trans": ["cv2", "numpy"], "modelscope.models.cv.cartoon.loss": ["joblib", "tensorflow", "skimage", "os", "scipy", "numpy"], "modelscope.models.cv.cartoon.utils": ["random", "os", "cv2", "tensorflow", "numpy"], "modelscope.models.cv.cartoon.model_tf": ["typing", "tensorflow"], "modelscope.models.cv.vidt.backbone": ["torch", "math", "os", "timm", "numpy"], "modelscope.models.cv.vidt.fpn_fusion": ["torch"], "modelscope.models.cv.vidt.model": ["torch", "os"], "modelscope.models.cv.vidt.head": ["copy", "torch", "math"], "modelscope.models.cv.vidt.deformable_transformer": ["torch", "math", "warnings", "timm", "copy"], "modelscope.models.cv.product_segmentation.seg_infer": ["torch", "PIL", "cv2", "numpy"], "modelscope.models.cv.product_segmentation.net": ["torch"], "modelscope.models.cv.image_panoptic_segmentation.panseg_model": ["torch", "os"], "modelscope.models.cv.stream_yolo.data.data_augment": ["random", "math", "cv2", "numpy"], "modelscope.models.cv.stream_yolo.exp.build": ["sys", "os"], "modelscope.models.cv.stream_yolo.exp.yolox_base": ["random", "os", "torch"], "modelscope.models.cv.stream_yolo.exp.default.streamyolo": ["sys", "os", "torch"], "modelscope.models.cv.stream_yolo.exp.base_exp": ["torch", "abc"], "modelscope.models.cv.stream_yolo.realtime_video_detector": ["torch", "json", "argparse", "time", "tqdm", "os", "logging", "cv2", "numpy"], "modelscope.models.cv.stream_yolo.models.tal_head": ["torch"], "modelscope.models.cv.stream_yolo.models.streamyolo": ["torch"], "modelscope.models.cv.stream_yolo.models.network_blocks": ["torch"], "modelscope.models.cv.stream_yolo.models.darknet": ["torch"], "modelscope.models.cv.stream_yolo.models.dfp_pafpn": ["torch"], "modelscope.models.cv.stream_yolo.utils.format": ["math"], "modelscope.models.cv.stream_yolo.utils.boxes": ["torch", "torchvision"], "modelscope.models.cv.image_body_reshaping.slim_utils": ["random", "torch", "math", "os", "cv2", "numba", "numpy"], "modelscope.models.cv.image_body_reshaping.image_body_reshaping": ["typing", "torch", "os", "cv2", "numpy"], "modelscope.models.cv.image_body_reshaping.pose_estimator.body": ["torch", "math", "scipy", "cv2", "numpy"], "modelscope.models.cv.image_body_reshaping.pose_estimator.util": ["numpy"], "modelscope.models.cv.image_body_reshaping.pose_estimator.model": ["torch", "collections"], "modelscope.models.cv.image_body_reshaping.model": ["torch"], "modelscope.models.cv.image_body_reshaping.person_info": ["copy", "torch", "cv2", "numpy"], "modelscope.models.cv.image_quality_assessment_man.swin": ["einops", "torch", "collections", "math", "itertools", "warnings"], "modelscope.models.cv.image_quality_assessment_man.maniqa": ["timm", "torch", "einops"], "modelscope.models.cv.image_quality_assessment_man.image_quality_assessment_man": ["typing", "torch", "os"], "modelscope.models.cv.image_to_image_translation.data.transforms": ["random", "PIL", "math", "torchvision"], "modelscope.models.cv.image_to_image_translation.ops.utils": ["multiprocessing", "torch", "math", "json", "PIL", "base64", "os", "binascii", "zipfile", "io", "hashlib", "cv2", "numpy"], "modelscope.models.cv.image_to_image_translation.ops.losses": ["torch", "math"], "modelscope.models.cv.image_to_image_translation.ops.svd": ["torch"], "modelscope.models.cv.image_to_image_translation.ops.apps": ["torch", "torchvision", "os", "PIL", "artist", "numpy"], "modelscope.models.cv.image_to_image_translation.ops.degradation": ["random", "torch", "math", "os", "scipy", "cv2", "numpy"], "modelscope.models.cv.image_to_image_translation.ops.random_color": ["random", "colorsys"], "modelscope.models.cv.image_to_image_translation.ops.random_mask": ["cv2", "numpy"], "modelscope.models.cv.image_to_image_translation.ops.metrics": ["torch", "scipy", "numpy"], "modelscope.models.cv.image_to_image_translation.ops.diffusion": ["torch", "math"], "modelscope.models.cv.image_to_image_translation.model_translation": ["torch", "math"], "modelscope.models.cv.image_to_image_translation.models.autoencoder": ["torch", "math"], "modelscope.models.cv.image_to_image_translation.models.clip": ["torch", "math"], "modelscope.models.cv.face_attribute_recognition.fair_face.face_attribute_recognition": ["torch", "torchvision", "os", "PIL", "cv2", "numpy"], "modelscope.models.cv.image_probing_model.backbone": ["torch", "math", "collections", "operator", "functools", "torchvision", "sys", "PIL", "numpy"], "modelscope.models.cv.image_probing_model.utils": ["torch", "re"], "modelscope.models.cv.image_probing_model.model": ["typing", "torch", "os", "json"], "modelscope.models.cv.tinynas_detection.detector": ["torch", "torchvision", "pickle", "os"], "modelscope.models.cv.tinynas_detection.tinynas_detector": [], "modelscope.models.cv.tinynas_detection.utils": ["tempfile", "easydict", "os", "shutil", "importlib", "sys"], "modelscope.models.cv.tinynas_detection.tinynas_damoyolo": [], "modelscope.models.cv.tinynas_detection.damo.structures.bounding_box": ["torch"], "modelscope.models.cv.tinynas_detection.damo.structures.boxlist_ops": ["torch"], "modelscope.models.cv.tinynas_detection.damo.structures.image_list": ["torch", "__future__"], "modelscope.models.cv.tinynas_detection.damo.base_models.heads.gfocal_v2_tiny": ["torch", "functools", "numpy"], "modelscope.models.cv.tinynas_detection.damo.base_models.heads.zero_head": ["torch"], "modelscope.models.cv.tinynas_detection.damo.base_models.backbones.tinynas_csp": ["torch"], "modelscope.models.cv.tinynas_detection.damo.base_models.backbones.tinynas_res": ["torch"], "modelscope.models.cv.tinynas_detection.damo.base_models.backbones.darknet": ["torch"], "modelscope.models.cv.tinynas_detection.damo.base_models.core.ops": ["torch", "numpy"], "modelscope.models.cv.tinynas_detection.damo.base_models.core.utils": ["torch", "functools"], "modelscope.models.cv.tinynas_detection.damo.base_models.core.base_ops": ["torch", "math"], "modelscope.models.cv.tinynas_detection.damo.base_models.core.repvgg_block": ["torch", "numpy"], "modelscope.models.cv.tinynas_detection.damo.base_models.core.ota_assigner": ["torch", "warnings"], "modelscope.models.cv.tinynas_detection.damo.base_models.core.weight_init": ["torch", "numpy"], "modelscope.models.cv.tinynas_detection.damo.base_models.core.neck_ops": ["torch", "numpy"], "modelscope.models.cv.tinynas_detection.damo.base_models.necks.giraffe_fpn_btn": ["torch"], "modelscope.models.cv.tinynas_detection.damo.base_models.necks.giraffe_fpn": ["typing", "torch", "math", "collections", "timm", "functools", "numpy"], "modelscope.models.cv.tinynas_detection.damo.base_models.necks.giraffe_config": ["collections", "networkx"], "modelscope.models.cv.tinynas_detection.damo.base_models.losses.gfocal_loss": ["torch", "functools"], "modelscope.models.cv.tinynas_detection.damo.base_models.losses.distill_loss": ["torch"], "modelscope.models.cv.tinynas_detection.damo.augmentations.scale_aware_aug": ["copy"], "modelscope.models.cv.tinynas_detection.damo.augmentations.box_level_augs.box_level_augs": ["random", "numpy"], "modelscope.models.cv.tinynas_detection.damo.augmentations.box_level_augs.color_augs": ["random", "torch"], "modelscope.models.cv.tinynas_detection.damo.augmentations.box_level_augs.gaussian_maps": ["torch", "math"], "modelscope.models.cv.tinynas_detection.damo.augmentations.box_level_augs.geometric_augs": ["copy", "random", "torchvision", "torch"], "modelscope.models.cv.tinynas_detection.damo.detectors.detector": ["torch"], "modelscope.models.cv.tinynas_detection.damo.utils.model_utils": ["time", "torch", "math", "thop", "copy"], "modelscope.models.cv.tinynas_detection.damo.utils.boxes": ["torch", "torchvision", "numpy"], "modelscope.models.cv.tinynas_detection.damo.utils.scheduler": ["math"], "modelscope.models.cv.tinynas_detection.damo.apis.detector_inference": ["torch", "tqdm", "os"], "modelscope.models.cv.tinynas_detection.damo.apis.detector_evaluater": ["torch", "os"], "modelscope.models.cv.super_resolution.arch_util": ["torch", "collections", "math", "torchvision", "itertools", "warnings"], "modelscope.models.cv.super_resolution.ecb": ["torch"], "modelscope.models.cv.super_resolution.rrdbnet_arch": ["torch"], "modelscope.models.cv.super_resolution.ecbsr_model": ["typing", "torch", "os"], "modelscope.models.cv.referring_video_object_segmentation.model": ["typing", "torch", "os"], "modelscope.models.cv.referring_video_object_segmentation.utils.backbone": ["torch", "torchvision", "einops"], "modelscope.models.cv.referring_video_object_segmentation.utils.segmentation": ["typing", "torch"], "modelscope.models.cv.referring_video_object_segmentation.utils.swin_transformer": ["torch", "functools", "operator", "timm", "einops", "numpy"], "modelscope.models.cv.referring_video_object_segmentation.utils.position_encoding_2d": ["torch", "math"], "modelscope.models.cv.referring_video_object_segmentation.utils.mttr": ["torch", "einops"], "modelscope.models.cv.referring_video_object_segmentation.utils.postprocessing": ["torch", "pycocotools", "einops", "numpy"], "modelscope.models.cv.referring_video_object_segmentation.utils.multimodal_transformer": ["typing", "torch", "transformers", "os", "copy", "einops"], "modelscope.models.cv.referring_video_object_segmentation.utils.misc": ["typing", "torch", "torchvision", "pickle"], "modelscope.models.cv.referring_video_object_segmentation.utils.criterion": ["torch"], "modelscope.models.cv.referring_video_object_segmentation.utils.matcher": ["torch", "scipy"], "modelscope.models.cv.cmdssl_video_embedding.resnet3d": ["torch"], "modelscope.models.cv.cmdssl_video_embedding.resnet2p1d": ["torch"], "modelscope.models.cv.cmdssl_video_embedding.c3d": ["torch"], "modelscope.models.cv.face_recognition.align_face": ["cv2", "skimage", "numpy"], "modelscope.models.cv.face_recognition.torchkit.rts_backbone": ["torch", "os", "collections", "math"], "modelscope.models.cv.face_recognition.torchkit.backbone.facemask_backbone": ["torch", "collections"], "modelscope.models.cv.face_recognition.torchkit.backbone.arcface_backbone": ["torch"], "modelscope.models.cv.face_recognition.torchkit.backbone.model_irse": ["torch", "collections"], "modelscope.models.cv.face_recognition.torchkit.backbone.model_resnet": ["torch"], "modelscope.models.cv.face_recognition.torchkit.backbone.common": ["torch"], "modelscope.models.cv.ocr_detection.modules.seg_detector_loss": ["sys", "torch"], "modelscope.models.cv.ocr_detection.modules.dbnet": ["torch", "collections", "math", "os", "sys"], "modelscope.models.cv.ocr_detection.modules.proxyless": ["torch", "re", "sys", "numpy"], "modelscope.models.cv.ocr_detection.modules.layers": ["torch", "collections", "numpy"], "modelscope.models.cv.ocr_detection.modules.mix_ops": ["torch", "math", "numpy"], "modelscope.models.cv.ocr_detection.utils": ["pyclipper", "cv2", "shapely", "numpy"], "modelscope.models.cv.ocr_detection.model": ["typing", "torch", "os", "numpy"], "modelscope.models.cv.ocr_detection.preprocessor": ["typing", "torch", "math", "os", "PIL", "cv2", "numpy"], "modelscope.models.cv.action_detection.modules.action_detection_pytorch": ["typing", "torch", "detectron2", "logging", "fvcore"], "modelscope.models.cv.action_detection.modules.resnet": ["torch", "detectron2"], "modelscope.models.cv.action_detection.action_detection_onnx": ["tempfile", "subprocess", "uuid", "urllib", "os", "shutil", "onnxruntime", "cv2", "numpy"], "modelscope.models.cv.image_inpainting.refinement": ["torch", "tqdm", "cv2", "kornia", "numpy"], "modelscope.models.cv.image_inpainting.default": ["torch", "bisect"], "modelscope.models.cv.image_inpainting.base": ["typing", "torch"], "modelscope.models.cv.image_inpainting.modules.ade20k.base": ["torch", "os"], "modelscope.models.cv.image_inpainting.modules.ade20k.resnet": ["torch", "math", "os"], "modelscope.models.cv.image_inpainting.modules.ffc": ["torch", "kornia", "numpy"], "modelscope.models.cv.image_inpainting.modules.inception": ["torch", "torchvision"], "modelscope.models.cv.image_inpainting.modules.perceptual": ["torch", "torchvision"], "modelscope.models.cv.image_inpainting.modules.feature_matching": ["typing", "torch"], "modelscope.models.cv.image_inpainting.modules.pix2pixhd": ["torch", "functools", "collections", "logging", "numpy"], "modelscope.models.cv.image_inpainting.modules.adversarial": ["typing", "torch"], "modelscope.models.cv.image_inpainting.model": ["typing", "torch", "os"], "modelscope.models.cv.video_stabilization.DUTRAFTStabilizer": ["tempfile", "torch", "typing", "math", "os", "sys", "cv2", "numpy"], "modelscope.models.cv.video_stabilization.DUT.config": ["easydict", "__future__"], "modelscope.models.cv.video_stabilization.DUT.DUT_raft": ["torch", "cv2", "sys", "numpy"], "modelscope.models.cv.video_stabilization.DUT.RAFT.raft": ["torch", "numpy"], "modelscope.models.cv.video_stabilization.DUT.RAFT.corr": ["torch", "alt_cuda_corr"], "modelscope.models.cv.video_stabilization.DUT.RAFT.extractor": ["torch"], "modelscope.models.cv.video_stabilization.DUT.RAFT.update": ["torch"], "modelscope.models.cv.video_stabilization.DUT.MotionPro": ["torch", "math", "os", "cv2", "numpy"], "modelscope.models.cv.video_stabilization.DUT.rf_det_so": ["torch"], "modelscope.models.cv.video_stabilization.DUT.rf_det_module": ["torch"], "modelscope.models.cv.video_stabilization.DUT.Smoother": ["torch", "math", "numpy"], "modelscope.models.cv.video_stabilization.utils.RAFTUtils": ["torch", "scipy", "numpy"], "modelscope.models.cv.video_stabilization.utils.ProjectionUtils": ["torch", "math", "cv2", "numpy"], "modelscope.models.cv.video_stabilization.utils.MedianFilter": ["torch", "math", "cv2", "numpy"], "modelscope.models.cv.video_stabilization.utils.WarpUtils": ["torch", "tqdm", "numpy"], "modelscope.models.cv.video_stabilization.utils.math_utils": ["torch", "numpy"], "modelscope.models.cv.video_stabilization.utils.IterativeSmooth": ["torch", "math", "os", "numpy"], "modelscope.models.cv.video_stabilization.utils.image_utils": ["torch", "skimage"], "modelscope.models.cv.image_matching.config.default": ["yacs"], "modelscope.models.cv.image_matching.quadtree_attention_model": ["torch", "pathlib", "os", "cv2", "numpy"], "modelscope.models.cv.image_matching.loftr_quadtree.loftr": ["torch", "einops"], "modelscope.models.cv.image_matching.loftr_quadtree.utils.coarse_matching": ["torch", "einops"], "modelscope.models.cv.image_matching.loftr_quadtree.utils.fine_matching": ["torch", "math", "kornia"], "modelscope.models.cv.image_matching.loftr_quadtree.utils.position_encoding": ["torch", "math"], "modelscope.models.cv.image_matching.loftr_quadtree.backbone.resnet_fpn": ["torch"], "modelscope.models.cv.image_matching.loftr_quadtree.loftr_module.transformer": ["torch", "math", "timm", "copy", "einops"], "modelscope.models.cv.image_matching.loftr_quadtree.loftr_module.linear_attention": ["torch"], "modelscope.models.cv.image_matching.loftr_quadtree.loftr_module.quadtree_attention": ["timm", "torch"], "modelscope.models.cv.image_matching.loftr_quadtree.loftr_module.fine_preprocess": ["torch", "einops"], "modelscope.models.cv.image_matching.utils.misc": ["yacs"], "modelscope.models.cv.image_reid_person.pass_model": ["enum", "torch", "os"], "modelscope.models.cv.image_reid_person.transreid_model": ["torch", "functools", "collections", "itertools"], "modelscope.models.cv.animal_recognition.splat": ["torch"], "modelscope.models.cv.animal_recognition.resnet": ["torch", "math"], "modelscope.models.cv.face_reconstruction.utils": ["torch", "math", "scipy", "argparse", "numba", "array", "os", "PIL", "cv2", "numpy"], "modelscope.models.cv.face_reconstruction.models.renderer": ["skimage", "torch", "imageio", "numpy"], "modelscope.models.cv.face_reconstruction.models.facelandmark.nets.large_eyeball_net": ["torch"], "modelscope.models.cv.face_reconstruction.models.facelandmark.nets.large_base_lmks_net": ["torch"], "modelscope.models.cv.face_reconstruction.models.facelandmark.large_base_lmks_infer": ["torch", "numpy"], "modelscope.models.cv.face_reconstruction.models.networks": ["typing", "torch", "kornia", "os"], "modelscope.models.cv.face_reconstruction.models.bfm": ["torch", "scipy", "os", "numpy"], "modelscope.models.cv.face_reconstruction.models.losses": ["torch", "kornia", "numpy"], "modelscope.models.cv.face_reconstruction.models.nv_diffrast": ["typing", "torch", "nvdiffrast", "warnings", "numpy"], "modelscope.models.cv.face_reconstruction.models.de_retouching_module": ["torch"], "modelscope.models.cv.face_reconstruction.models.unet": ["torch", "warnings"], "modelscope.models.cv.face_reconstruction.models.opt": [], "modelscope.models.cv.face_reconstruction.models.pix2pix.networks": ["torch", "functools"], "modelscope.models.cv.face_reconstruction.models.pix2pix.pix2pix_options": [], "modelscope.models.cv.face_reconstruction.models.pix2pix.pix2pix_model": ["torch"], "modelscope.models.cv.face_reconstruction.models.facerecon_model": ["torch", "collections", "os", "cv2", "numpy"], "modelscope.models.cv.video_frame_interpolation.VFINet_for_video_frame_interpolation": ["typing", "torch", "copy", "os"], "modelscope.models.cv.video_frame_interpolation.VFINet_arch": ["torch"], "modelscope.models.cv.video_frame_interpolation.rife.warplayer": ["torch"], "modelscope.models.cv.video_frame_interpolation.rife.RIFE_HDv3": ["numpy", "torch", "itertools"], "modelscope.models.cv.video_frame_interpolation.rife.loss": ["torch", "torchvision", "numpy"], "modelscope.models.cv.video_frame_interpolation.rife.IFNet_HDv3": ["torch"], "modelscope.models.cv.video_frame_interpolation.interp_model.UNet": ["torch"], "modelscope.models.cv.video_frame_interpolation.interp_model.refinenet_arch": ["torch", "numpy"], "modelscope.models.cv.video_frame_interpolation.interp_model.IFNet_swin": ["timm", "torch", "numpy"], "modelscope.models.cv.video_frame_interpolation.interp_model.transformer_layers": ["torch", "functools", "math", "timm", "sys"], "modelscope.models.cv.video_frame_interpolation.interp_model.flow_reversal": ["torch"], "modelscope.models.cv.video_frame_interpolation.flow_model.raft": ["torch", "numpy"], "modelscope.models.cv.video_frame_interpolation.flow_model.corr": ["torch"], "modelscope.models.cv.video_frame_interpolation.flow_model.extractor": ["torch"], "modelscope.models.cv.video_frame_interpolation.flow_model.update": ["torch"], "modelscope.models.cv.video_frame_interpolation.utils.scene_change_detection": ["torch", "numpy"], "modelscope.models.cv.video_frame_interpolation.utils.utils": ["torch", "scipy", "numpy"], "modelscope.models.cv.image_color_enhance.deeplpf.deeplpf_image_color_enhance": ["typing", "torch", "os"], "modelscope.models.cv.image_color_enhance.deeplpf.deeplpfnet": ["torch", "math", "matplotlib"], "modelscope.models.cv.image_color_enhance.adaint.adaint": ["typing", "torch", "numbers", "torchvision", "os"], "modelscope.models.cv.image_color_enhance.image_color_enhance": ["typing", "torch", "os"], "modelscope.models.cv.image_color_enhance.csrnet": ["torch", "functools", "math"], "modelscope.models.cv.image_deblur.nafnet_for_image_deblur": ["typing", "torch", "os"], "modelscope.models.cv.pedestrian_attribute_recognition.model": ["torch", "torchvision", "os", "numpy"], "modelscope.models.cv.image_debanding.rrdb.rrdb_image_debanding": ["typing", "torch", "os"], "modelscope.models.cv.vop_retrieval.backbone": ["typing", "torch", "collections", "tqdm", "os", "warnings", "hashlib", "urllib", "numpy"], "modelscope.models.cv.vop_retrieval.tokenization_clip": ["torch", "functools", "html", "os", "gzip", "ftfy", "regex"], "modelscope.models.cv.vop_retrieval.basic_utils": ["random", "torch", "collections", "pickle", "torchvision", "zipfile", "os", "shutil", "ujson", "PIL", "cv2", "numpy"], "modelscope.models.cv.vop_retrieval.model": ["torch", "os"], "modelscope.models.cv.vop_retrieval.model_se": ["torch", "os"], "modelscope.models.cv.facial_landmark_confidence.flc.facial_landmark_confidence": ["torch", "os", "PIL", "cv2", "numpy"], "modelscope.models.cv.facial_landmark_confidence.flc.manual_landmark_net": ["torch", "math"], "modelscope.models.cv.human_reconstruction.utils": ["mcubes", "os", "torch", "numpy"], "modelscope.models.cv.human_reconstruction.models.human_segmenter": ["cv2", "tensorflow", "numpy"], "modelscope.models.cv.human_reconstruction.models.networks": ["torch", "functools", "numpy"], "modelscope.models.cv.human_reconstruction.models.PixToMesh": ["torch"], "modelscope.models.cv.human_reconstruction.models.Embedding": ["torch"], "modelscope.models.cv.human_reconstruction.models.Res_backbone": ["torch", "numpy"], "modelscope.models.cv.human_reconstruction.models.Surface_head": ["torch"], "modelscope.models.cv.human_reconstruction.models.detectors": ["torch", "numpy"], "modelscope.models.cv.human_reconstruction.models.geometry": ["torch"], "modelscope.models.cv.human_reconstruction.Reconstruction": ["typing", "torch", "torchvision", "os", "skimage", "PIL", "cv2", "numpy"], "modelscope.models.cv.video_streaming_perception.longshortnet.longshortnet": ["torch", "json", "argparse", "time", "tqdm", "os", "logging", "cv2", "numpy"], "modelscope.models.cv.video_streaming_perception.longshortnet.exp.longshortnet_base": [], "modelscope.models.cv.video_streaming_perception.longshortnet.models.dfp_pafpn_long": ["torch", "collections"], "modelscope.models.cv.video_streaming_perception.longshortnet.models.longshort": ["torch"], "modelscope.models.cv.video_streaming_perception.longshortnet.models.dfp_pafpn_short": ["torch", "collections"], "modelscope.models.cv.video_streaming_perception.longshortnet.models.longshort_backbone_neck": ["torch"], "modelscope.models.cv.face_human_hand_detection.shufflenetv2": ["torch"], "modelscope.models.cv.face_human_hand_detection.nanodet_plus_head": ["torch", "math", "torchvision", "cv2", "numpy"], "modelscope.models.cv.face_human_hand_detection.one_stage_detector": ["torch"], "modelscope.models.cv.face_human_hand_detection.utils": ["torch"], "modelscope.models.cv.face_human_hand_detection.det_infer": ["torch", "cv2", "numpy"], "modelscope.models.cv.face_human_hand_detection.ghost_pan": ["torch", "math"], "modelscope.models.cv.virual_tryon.sdafnet": ["random", "torch", "numpy"], "modelscope.models.cv.human_image_generation.generators.extraction_distribution_model_flow25": ["torch", "collections", "os", "sys"], "modelscope.models.cv.human_image_generation.generators.base_function": ["torch", "collections", "math", "pytorch_wavelets", "sys"], "modelscope.models.cv.human_image_generation.generators.base_module": ["torch", "collections", "math", "tkinter", "functools", "numpy"], "modelscope.models.cv.human_image_generation.generators.conv2d_gradfix": ["contextlib", "torch", "warnings"], "modelscope.models.cv.human_image_generation.generators.flow_module": ["torch", "math"], "modelscope.models.cv.human_image_generation.generators.wavelet_module": ["torch", "numpy"], "modelscope.models.cv.human_image_generation.generators.tps": ["torch"], "modelscope.models.cv.human_image_generation.human_image_generation_infer": ["random", "torch", "math", "pickle", "ast", "torchvision", "PIL", "cv2", "numpy"], "modelscope.models.cv.dense_optical_flow_estimation.raft_model": ["torch", "argparse", "os"], "modelscope.models.cv.dense_optical_flow_estimation.core.datasets": ["random", "torch", "math", "glob", "utils", "os", "numpy"], "modelscope.models.cv.dense_optical_flow_estimation.core.raft": ["torch", "numpy"], "modelscope.models.cv.dense_optical_flow_estimation.core.corr": ["torch", "alt_cuda_corr"], "modelscope.models.cv.dense_optical_flow_estimation.core.utils.augmentor": ["random", "torch", "math", "torchvision", "PIL", "cv2", "numpy"], "modelscope.models.cv.dense_optical_flow_estimation.core.utils.utils": ["torch", "scipy", "numpy"], "modelscope.models.cv.dense_optical_flow_estimation.core.utils.frame_utils": ["re", "os", "PIL", "cv2", "numpy"], "modelscope.models.cv.dense_optical_flow_estimation.core.utils.flow_viz": ["numpy"], "modelscope.models.cv.dense_optical_flow_estimation.core.extractor": ["torch"], "modelscope.models.cv.dense_optical_flow_estimation.core.update": ["torch"], "modelscope.models.cv.shop_segmentation.head_fpn": ["timm", "torch", "mmcv", "numpy"], "modelscope.models.cv.shop_segmentation.shop_seg_model": ["typing", "torch", "json", "os", "PIL", "numpy"], "modelscope.models.cv.shop_segmentation.neck_fpn": ["timm", "torch", "mmcv"], "modelscope.models.cv.shop_segmentation.utils": ["typing", "torch", "html", "regex", "functools", "os", "gzip", "ftfy"], "modelscope.models.cv.shop_segmentation.shop_seg_base": ["torch"], "modelscope.models.cv.shop_segmentation.models": ["timm", "torch", "math", "collections"], "modelscope.models.cv.shop_segmentation.common": ["torch", "warnings"], "modelscope.models.cv.image_face_fusion.facelib.matlab_cp2tform": ["numpy"], "modelscope.models.cv.image_face_fusion.facelib.align_trans": ["cv2", "numpy"], "modelscope.models.cv.image_face_fusion.network.aei_flow_net": ["torch"], "modelscope.models.cv.image_face_fusion.network.bfm": ["torch", "scipy", "os", "numpy"], "modelscope.models.cv.image_face_fusion.network.ops": ["torch"], "modelscope.models.cv.image_face_fusion.network.dense_motion": ["torch"], "modelscope.models.cv.image_face_fusion.network.model_irse": ["torch", "collections"], "modelscope.models.cv.image_face_fusion.network.aad_layer": ["torch"], "modelscope.models.cv.image_face_fusion.network.facerecon_model": ["typing", "torch", "os"], "modelscope.models.cv.image_face_fusion.image_face_fusion": ["typing", "torch", "collections", "torchvision", "os", "PIL", "cv2", "numpy"], "modelscope.models.cv.image_face_fusion.facegan.op.upfirdn2d": ["torch", "collections"], "modelscope.models.cv.image_face_fusion.facegan.op.fused_act": ["torch"], "modelscope.models.cv.image_face_fusion.facegan.op.conv2d_gradfix": ["contextlib", "torch", "warnings"], "modelscope.models.cv.image_face_fusion.facegan.gpen_model": ["random", "torch", "math", "operator", "itertools", "functools"], "modelscope.models.cv.image_face_fusion.facegan.face_gan": ["torch", "os", "numpy"], "modelscope.models.cv.face_detection.peppa_pig_face.facer": ["cv2", "numpy"], "modelscope.models.cv.face_detection.peppa_pig_face.LK.lk": ["numpy"], "modelscope.models.cv.face_detection.peppa_pig_face.face_landmark": ["cv2", "tensorflow", "numpy"], "modelscope.models.cv.face_detection.peppa_pig_face.face_detector": ["cv2", "tensorflow", "numpy"], "modelscope.models.cv.face_detection.mtcnn.models.get_nets": ["torch", "collections", "numpy"], "modelscope.models.cv.face_detection.mtcnn.models.detector": ["torch", "PIL", "os", "numpy"], "modelscope.models.cv.face_detection.mtcnn.models.first_stage": ["torch", "PIL", "math", "numpy"], "modelscope.models.cv.face_detection.mtcnn.models.box_utils": ["PIL", "numpy"], "modelscope.models.cv.face_detection.scrfd.tinymog_detect": ["typing", "torch", "copy", "os"], "modelscope.models.cv.face_detection.scrfd.damofd_detect": ["typing", "torch", "copy", "os"], "modelscope.models.cv.face_detection.scrfd.scrfd_detect": ["typing", "torch", "os", "copy", "numpy"], "modelscope.models.cv.face_detection.scrfd.preprocessor": ["typing", "PIL", "numpy"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.datasets.pipelines.transforms": ["mmcv", "mmdet", "numpy"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.datasets.pipelines.loading": ["mmdet", "pycocotools", "os", "numpy"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.datasets.pipelines.auto_augment": ["mmcv", "mmdet", "copy", "cv2", "numpy"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.datasets.pipelines.formating": ["torch", "mmcv", "mmdet", "numpy"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.datasets.retinaface": ["mmdet", "numpy"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.core.post_processing.bbox_nms": ["torch"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.core.bbox.transforms": ["torch", "numpy"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.backbones.master_net": ["torch", "mmdet"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.backbones.mobilenet": ["torch", "mmcv", "mmdet"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.backbones.resnet": ["torch", "mmcv", "mmdet"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.dense_heads.scrfd_head": ["torch", "mmcv", "mmdet", "numpy"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.detectors.base": ["torch", "collections", "mmcv", "mmdet", "abc", "numpy"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.detectors.scrfd": ["torch", "mmdet"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.detectors.single_stage": ["torch", "mmdet"], "modelscope.models.cv.face_detection.scrfd.mmdet_patch.models.detectors.tinymog": ["torch", "mmdet"], "modelscope.models.cv.face_detection.mogface.models.utils": ["itertools", "torch", "math", "numpy"], "modelscope.models.cv.face_detection.mogface.models.detectors": ["torch", "cv2", "os", "numpy"], "modelscope.models.cv.face_detection.mogface.models.mogface": ["torch"], "modelscope.models.cv.face_detection.mogface.models.mogprednet": ["torch", "math"], "modelscope.models.cv.face_detection.mogface.models.resnet": ["torch"], "modelscope.models.cv.face_detection.retinaface.utils": ["itertools", "torch", "math", "numpy"], "modelscope.models.cv.face_detection.retinaface.models.retinaface": ["torch", "torchvision", "collections"], "modelscope.models.cv.face_detection.retinaface.models.net": ["time", "torch", "torchvision"], "modelscope.models.cv.face_detection.retinaface.detection": ["torch", "cv2", "numpy"], "modelscope.models.cv.face_detection.ulfd_slim.detection": ["torch", "cv2", "os", "numpy"], "modelscope.models.cv.face_detection.ulfd_slim.vision.transforms": ["torch", "types", "cv2", "numpy"], "modelscope.models.cv.face_detection.ulfd_slim.vision.ssd.fd_config": ["numpy"], "modelscope.models.cv.face_detection.ulfd_slim.vision.ssd.data_preprocessing": [], "modelscope.models.cv.face_detection.ulfd_slim.vision.ssd.mb_tiny_fd": ["torch"], "modelscope.models.cv.face_detection.ulfd_slim.vision.ssd.ssd": ["typing", "torch", "collections", "numpy"], "modelscope.models.cv.face_detection.ulfd_slim.vision.ssd.predictor": ["torch"], "modelscope.models.cv.face_detection.ulfd_slim.vision.mb_tiny": ["torch"], "modelscope.models.cv.face_detection.ulfd_slim.vision.box_utils": ["torch", "math"], "modelscope.models.cv.image_depth_estimation_bts.networks.encoder": ["torch", "torchvision"], "modelscope.models.cv.image_depth_estimation_bts.networks.utils": ["torch", "math"], "modelscope.models.cv.image_depth_estimation_bts.networks.bts_model": ["torch"], "modelscope.models.cv.image_depth_estimation_bts.networks.decoder": ["torch"], "modelscope.models.cv.image_depth_estimation_bts.depth_estimation_bts_model": ["torch", "os"], "modelscope.models.cv.head_reconstruction.models.head_segmentation": ["os", "json", "cv2", "tensorflow", "numpy"], "modelscope.models.cv.head_reconstruction.models.networks": ["typing", "torch", "kornia", "os"], "modelscope.models.cv.head_reconstruction.models.bfm": ["torch", "scipy", "os", "numpy"], "modelscope.models.cv.head_reconstruction.models.losses": ["torch", "kornia", "numpy"], "modelscope.models.cv.head_reconstruction.models.nv_diffrast": ["typing", "torch", "nvdiffrast", "warnings", "numpy"], "modelscope.models.cv.head_reconstruction.models.opt": [], "modelscope.models.cv.head_reconstruction.models.tex_processor": ["cv2", "os", "numpy"], "modelscope.models.cv.head_reconstruction.models.headrecon_model": ["torch", "collections", "os", "cv2", "numpy"], "modelscope.models.cv.video_multi_object_tracking.tracker.matching": ["scipy", "lap", "numpy"], "modelscope.models.cv.video_multi_object_tracking.tracker.multitracker": ["torch", "collections", "numpy"], "modelscope.models.cv.video_multi_object_tracking.tracker.basetrack": ["collections", "numpy"], "modelscope.models.cv.video_multi_object_tracking.models.yolo": ["copy", "torch", "math"], "modelscope.models.cv.video_multi_object_tracking.models.model": ["torch"], "modelscope.models.cv.video_multi_object_tracking.models.decode": ["torch"], "modelscope.models.cv.video_multi_object_tracking.models.common": ["torch"], "modelscope.models.cv.video_multi_object_tracking.utils.kalman_filter": ["scipy", "numpy"], "modelscope.models.cv.video_multi_object_tracking.utils.utils": ["torch", "cv2", "numpy"], "modelscope.models.cv.video_multi_object_tracking.utils.visualization": ["cv2", "numpy"], "modelscope.models.cv.video_multi_object_tracking.utils.image": ["cv2", "numpy"], "modelscope.models.cv.image_human_parsing.parsing_utils": ["copy", "torch", "PIL", "numpy"], "modelscope.models.cv.image_human_parsing.m2fp_net": ["typing", "torch", "os"], "modelscope.models.cv.image_human_parsing.m2fp.m2fp_encoder": ["typing", "torch", "numpy"], "modelscope.models.cv.image_human_parsing.m2fp.m2fp_decoder": ["torch"], "modelscope.models.cv.image_human_parsing.backbone.deeplab_resnet": ["torch", "numpy"], "modelscope.models.cv.video_instance_segmentation.track.mask_hungarian_assigner": ["torch", "scipy", "mmdet", "numpy"], "modelscope.models.cv.video_instance_segmentation.track.kernel_update_head": ["torch", "mmcv", "mmdet", "numpy"], "modelscope.models.cv.video_instance_segmentation.neck.msdeformattn_decoder": ["torch", "mmcv", "mmdet"], "modelscope.models.cv.video_instance_segmentation.utils": ["torch", "mmdet", "numpy"], "modelscope.models.cv.video_instance_segmentation.head.kernel_updator": ["torch", "mmcv"], "modelscope.models.cv.video_instance_segmentation.head.kernel_iter_head": ["torch", "mmdet"], "modelscope.models.cv.video_instance_segmentation.head.kernel_head": ["torch", "mmcv", "mmdet"], "modelscope.models.cv.video_instance_segmentation.head.kernel_frame_iter_head": ["torch", "mmcv", "mmdet"], "modelscope.models.cv.video_instance_segmentation.head.kernel_update_head": ["torch", "mmcv", "mmdet", "numpy"], "modelscope.models.cv.video_instance_segmentation.video_knet": ["torch", "mmdet"], "modelscope.models.cv.hand_static.networks": ["torch", "torchvision", "os"], "modelscope.models.cv.hand_static.hand_model": ["torch", "torchvision", "os", "sys", "PIL", "cv2", "numpy"], "modelscope.models.cv.nerf_recon_4k.network.utils": ["tinycudann", "torch", "collections", "gc", "mcubes", "numpy"], "modelscope.models.cv.nerf_recon_4k.network.dvgo": ["torch", "math", "torch_scatter", "time", "functools", "os", "copy", "numpy"], "modelscope.models.cv.nerf_recon_4k.nerf_preprocess": ["typing", "glob", "subprocess", "tensorflow", "os", "cv2", "numpy"], "modelscope.models.cv.nerf_recon_4k.dataloader.read_write_model": ["collections", "os", "struct", "argparse", "numpy"], "modelscope.models.cv.nerf_recon_4k.dataloader.load_data": ["numpy"], "modelscope.models.cv.nerf_recon_4k.dataloader.load_tankstemple": ["imageio", "glob", "os", "numpy"], "modelscope.models.cv.nerf_recon_4k.dataloader.load_blender": ["torch", "os", "json", "cv2", "imageio", "numpy"], "modelscope.models.cv.nerf_recon_4k.dataloader.load_llff": ["torch", "os", "scipy", "imageio", "numpy"], "modelscope.models.cv.nerf_recon_4k.nerf_recon_4k": ["random", "torch", "mmcv", "argparse", "imageio", "time", "tqdm", "os", "numpy"], "modelscope.models.cv.image_semantic_segmentation.vit_adapter.models.decode_heads.mask2former_head_from_mmseg": ["copy", "torch", "mmcv", "mmdet"], "modelscope.models.cv.image_semantic_segmentation.vit_adapter.models.decode_heads.base_decode_head": ["torch", "abc", "mmcv", "mmdet"], "modelscope.models.cv.image_semantic_segmentation.vit_adapter.models.segmentors.base_segmentor": ["torch", "collections", "mmcv", "abc", "warnings", "numpy"], "modelscope.models.cv.image_semantic_segmentation.vit_adapter.models.segmentors.encoder_decoder_mask2former": ["torch", "mmdet"], "modelscope.models.cv.image_semantic_segmentation.vit_adapter.models.backbone.beit_adapter": ["torch", "math", "mmdet", "timm", "logging"], "modelscope.models.cv.image_semantic_segmentation.vit_adapter.models.backbone.adapter_modules": ["torch", "functools", "mmdet", "logging", "timm"], "modelscope.models.cv.image_semantic_segmentation.vit_adapter.models.backbone.base.beit": ["torch", "functools", "math", "mmcv", "mmdet", "timm"], "modelscope.models.cv.image_semantic_segmentation.vit_adapter.utils.builder": ["mmcv"], "modelscope.models.cv.image_semantic_segmentation.vit_adapter.utils.seg_func": ["torch", "warnings"], "modelscope.models.cv.image_semantic_segmentation.vit_adapter.utils.data_process_func": ["mmcv", "mmdet"], "modelscope.models.cv.image_semantic_segmentation.ddpm_seg.feature_extractors": ["typing", "torch"], "modelscope.models.cv.image_semantic_segmentation.ddpm_seg.utils": ["random", "PIL", "torch", "numpy"], "modelscope.models.cv.image_semantic_segmentation.ddpm_seg.pixel_classifier": ["torch", "collections", "os", "PIL", "numpy"], "modelscope.models.cv.image_semantic_segmentation.ddpm_seg.data_util": [], "modelscope.models.cv.image_semantic_segmentation.semantic_seg_model": ["torch", "os", "numpy"], "modelscope.models.cv.image_semantic_segmentation.ddpm_segmentation_model": ["typing", "torch", "ddpm_guided_diffusion", "os"], "modelscope.models.cv.image_semantic_segmentation.pan_merge.base_panoptic_fusion_head": ["abc", "mmcv", "mmdet"], "modelscope.models.cv.image_semantic_segmentation.pan_merge.maskformer_semantic_head": ["torch", "mmdet"], "modelscope.models.cv.image_binary_quant_classification.bnext": ["torch", "numpy"], "modelscope.models.cv.image_binary_quant_classification.binary_quant_model": ["torch", "collections", "os"], "modelscope.models.cv.nerf_recon_vq_compression.renderer": ["torch", "imageio", "tqdm", "os", "sys", "numpy"], "modelscope.models.cv.nerf_recon_vq_compression.network.tensoRF_VQ": ["typing", "random", "torch", "tqdm", "os"], "modelscope.models.cv.nerf_recon_vq_compression.network.weighted_vq": ["contextlib", "torch", "einops"], "modelscope.models.cv.nerf_recon_vq_compression.network.tensorBase": ["time", "torch", "numpy"], "modelscope.models.cv.nerf_recon_vq_compression.network.tensoRF": [], "modelscope.models.cv.nerf_recon_vq_compression.utils": ["torch", "PIL", "torchvision", "skimage", "plyfile", "scipy", "cv2", "numpy"], "modelscope.models.cv.nerf_recon_vq_compression.nerf_recon_vq_compression": ["glob", "torch", "time", "tqdm", "functools", "os", "cv2", "numpy"], "modelscope.models.cv.nerf_recon_vq_compression.dataloader.tankstemple": ["torch", "tqdm", "torchvision", "os", "PIL"], "modelscope.models.cv.nerf_recon_vq_compression.dataloader.llff": ["glob", "torch", "torchvision", "os", "PIL", "numpy"], "modelscope.models.cv.nerf_recon_vq_compression.dataloader.blender": ["torch", "json", "tqdm", "torchvision", "os", "PIL", "cv2", "numpy"], "modelscope.models.cv.nerf_recon_vq_compression.dataloader.nsvf": ["torch", "tqdm", "torchvision", "os", "PIL"], "modelscope.models.cv.nerf_recon_vq_compression.dataloader.ray_utils": ["kornia", "torch", "re", "numpy"], "modelscope.models.cv.object_detection_3d.depe.depe_detect": ["typing", "torch", "os", "numpy"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.datasets.nuscenes_dataset": ["mmdet3d", "mmdet", "numpy"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.datasets.pipelines.loading": ["mmcv", "mmdet", "numpy"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.datasets.pipelines.transform_3d": ["mmdet3d", "torch", "mmcv", "mmdet", "copy", "PIL", "numpy"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.core.bbox.coders.nms_free_coder": ["torch", "mmdet"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.core.bbox.util": ["mmdet3d", "torch", "numpy"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.core.bbox.match_costs.match_cost": ["torch", "mmdet"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.core.bbox.assigners.hungarian_assigner_3d": ["torch", "scipy", "mmdet"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.backbones.vovnet": ["torch", "collections", "mmcv", "mmdet"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.dense_heads.depth_net": ["torch", "mmcv", "mmdet"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.dense_heads.petrv2_dednhead": ["mmdet3d", "torch", "math", "mmcv", "mmdet", "copy", "numpy"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.detectors.petr3d": ["mmdet3d", "torch", "mmcv", "mmdet", "numpy"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.utils.petr_transformer": ["typing", "torch", "math", "mmcv", "mmdet", "warnings", "copy"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.utils.positional_encoding": ["torch", "math", "mmcv"], "modelscope.models.cv.object_detection_3d.depe.mmdet3d_plugin.models.necks.cp_fpn": ["torch", "mmcv", "mmdet"], "modelscope.models.cv.object_detection_3d.depe.result_vis": ["mmdet3d", "json", "argparse", "pickle", "os", "pyquaternion", "cv2", "numpy"], "modelscope.models.cv.video_single_object_tracking.config.ostrack": ["easydict"], "modelscope.models.cv.video_single_object_tracking.tracker.procontext": ["copy", "torch"], "modelscope.models.cv.video_single_object_tracking.tracker.ostrack": ["torch"], "modelscope.models.cv.video_single_object_tracking.models.layers.patch_embed": ["timm", "torch"], "modelscope.models.cv.video_single_object_tracking.models.layers.attn_blocks": ["timm", "torch", "math"], "modelscope.models.cv.video_single_object_tracking.models.layers.attn": ["torch"], "modelscope.models.cv.video_single_object_tracking.models.layers.head": ["torch"], "modelscope.models.cv.video_single_object_tracking.models.ostrack.vit_ce": ["timm", "torch", "functools"], "modelscope.models.cv.video_single_object_tracking.models.ostrack.utils": ["torch"], "modelscope.models.cv.video_single_object_tracking.models.ostrack.ostrack": ["torch"], "modelscope.models.cv.video_single_object_tracking.models.ostrack.base_backbone": ["timm", "torch"], "modelscope.models.cv.video_single_object_tracking.models.procontext.vit_ce": ["timm", "torch", "functools"], "modelscope.models.cv.video_single_object_tracking.models.procontext.utils": ["torch"], "modelscope.models.cv.video_single_object_tracking.models.procontext.procontext": ["torch"], "modelscope.models.cv.video_single_object_tracking.utils.utils": ["typing", "torch", "math", "cv2", "numpy"], "modelscope.models.cv.image_colorization.ddcolor.ddcolor_for_image_colorization": ["typing", "torch", "os", "copy", "numpy"], "modelscope.models.cv.image_colorization.ddcolor.loss": ["torch"], "modelscope.models.cv.image_colorization.ddcolor.ddcolor": ["torch"], "modelscope.models.cv.image_colorization.ddcolor.utils.position_encoding": ["torch", "math"], "modelscope.models.cv.image_colorization.ddcolor.utils.vgg": ["torch", "collections", "torchvision", "os"], "modelscope.models.cv.image_colorization.ddcolor.utils.unet": ["enum", "torch", "collections"], "modelscope.models.cv.image_colorization.ddcolor.utils.transformer_utils": ["typing", "torch"], "modelscope.models.cv.image_colorization.ddcolor.utils.convnext": ["timm", "torch"], "modelscope.models.cv.image_colorization.unet.utils": ["enum", "torch", "functools"], "modelscope.models.cv.image_colorization.unet.unet": ["torch", "numpy"], "modelscope.models.cv.ocr_recognition.modules.LightweightEdge.nas_block.proxyless": ["torch", "re", "queue", "sys", "numpy"], "modelscope.models.cv.ocr_recognition.modules.LightweightEdge.nas_block.layers": ["torch", "collections", "numpy"], "modelscope.models.cv.ocr_recognition.modules.LightweightEdge.nas_block.mix_ops": ["torch", "numpy"], "modelscope.models.cv.ocr_recognition.modules.LightweightEdge.main_model": ["torch", "collections"], "modelscope.models.cv.ocr_recognition.modules.CRNN.main_model": ["torch"], "modelscope.models.cv.ocr_recognition.modules.ConvNextViT.vitstr": ["torch", "functools", "logging", "__future__", "copy"], "modelscope.models.cv.ocr_recognition.modules.ConvNextViT.timm_tinyc": ["torch", "functools", "collections", "math", "logging", "itertools", "copy"], "modelscope.models.cv.ocr_recognition.modules.ConvNextViT.main_model": ["torch"], "modelscope.models.cv.ocr_recognition.modules.ConvNextViT.convnext": ["torch"], "modelscope.models.cv.ocr_recognition.model": ["torch", "os"], "modelscope.models.cv.ocr_recognition.preprocessor": ["torch", "os", "PIL", "cv2", "numpy"], "modelscope.models.cv.video_human_matting.model": ["typing", "torch", "torchvision", "os", "numpy"], "modelscope.models.cv.video_human_matting.models.deep_guided_filter": ["torch"], "modelscope.models.cv.video_human_matting.models.lraspp": ["torch"], "modelscope.models.cv.video_human_matting.models.effv2": ["torch"], "modelscope.models.cv.video_human_matting.models.matting": ["typing", "torch"], "modelscope.models.cv.video_human_matting.models.decoder": ["typing", "torch"], "modelscope.models.cv.image_driving_perception.image_driving_percetion_model": ["typing", "torch", "os", "cv2", "numpy"], "modelscope.models.cv.image_driving_perception.utils": ["time", "torch", "torchvision", "numpy"], "modelscope.models.cv.image_driving_perception.preprocessor": ["typing", "torch", "cv2", "numpy"], "modelscope.models.cv.image_portrait_enhancement.gpen": ["random", "torch", "math", "operator", "itertools", "functools"], "modelscope.models.cv.image_portrait_enhancement.retinaface.utils": ["itertools", "torch", "math", "numpy"], "modelscope.models.cv.image_portrait_enhancement.retinaface.models.retinaface": ["torch", "torchvision", "collections"], "modelscope.models.cv.image_portrait_enhancement.retinaface.models.net": ["time", "torch", "torchvision"], "modelscope.models.cv.image_portrait_enhancement.retinaface.detection": ["torch", "cv2", "os", "numpy"], "modelscope.models.cv.image_portrait_enhancement.eqface.model_resnet": ["torch"], "modelscope.models.cv.image_portrait_enhancement.eqface.fqa": ["torch", "cv2", "os", "numpy"], "modelscope.models.cv.image_portrait_enhancement.align_faces": ["cv2", "skimage", "numpy"], "modelscope.models.cv.image_portrait_enhancement.losses.helpers": ["torch", "collections"], "modelscope.models.cv.image_portrait_enhancement.losses.losses": ["torch"], "modelscope.models.cv.image_portrait_enhancement.losses.model_irse": ["torch"], "modelscope.models.cv.image_portrait_enhancement.image_portrait_enhancement": ["typing", "torch", "math", "os"], "modelscope.models.cv.facial_expression_recognition.fer.facial_expression_recognition": ["torch", "os", "PIL", "cv2", "numpy"], "modelscope.models.cv.facial_expression_recognition.fer.transforms": ["torch", "types", "PIL", "numbers", "numpy"], "modelscope.models.cv.facial_expression_recognition.fer.vgg": ["torch"], "modelscope.models.cv.text_driven_segmentation.lseg_base": ["torch"], "modelscope.models.cv.text_driven_segmentation.clip": ["typing", "torch", "PIL", "tqdm", "torchvision", "os", "warnings", "packaging", "hashlib", "urllib"], "modelscope.models.cv.text_driven_segmentation.lseg_blocks": ["torch"], "modelscope.models.cv.text_driven_segmentation.lseg_vit": ["timm", "torch", "types", "math"], "modelscope.models.cv.text_driven_segmentation.lseg_net": ["torch", "numpy"], "modelscope.models.cv.text_driven_segmentation.model": ["typing", "torch", "collections", "numpy"], "modelscope.models.cv.text_driven_segmentation.lseg_model": ["typing", "torch", "json", "os", "PIL", "numpy"], "modelscope.models.cv.text_driven_segmentation.simple_tokenizer": ["functools", "html", "os", "gzip", "ftfy", "regex"], "modelscope.models.cv.object_detection.mmdet_ms.roi_heads.bbox_heads.convfc_bbox_head": ["torch", "mmdet"], "modelscope.models.cv.object_detection.mmdet_ms.roi_heads.mask_heads.fcn_mask_head": ["torch", "mmcv", "mmdet", "warnings", "numpy"], "modelscope.models.cv.object_detection.mmdet_ms.backbones.vit": ["torch", "math", "mmdet", "timm", "functools"], "modelscope.models.cv.object_detection.mmdet_ms.dense_heads.anchor_head": ["mmdet"], "modelscope.models.cv.object_detection.mmdet_ms.dense_heads.rpn_head": ["copy", "torch", "mmcv", "mmdet"], "modelscope.models.cv.object_detection.mmdet_ms.utils.convModule_norm": ["mmcv"], "modelscope.models.cv.object_detection.mmdet_ms.utils.checkpoint": ["tempfile", "torch", "collections", "mmcv", "pkgutil", "time", "torchvision", "os", "io", "warnings", "importlib"], "modelscope.models.cv.object_detection.mmdet_ms.necks.fpn": ["torch", "mmcv", "mmdet"], "modelscope.models.cv.object_detection.mmdet_model": ["torch", "os", "numpy"], "modelscope.models.cv.vision_middleware.backbone": ["typing", "torch", "math", "collections", "os", "numpy"], "modelscope.models.cv.vision_middleware.vim": ["torch", "math", "einops"], "modelscope.models.cv.vision_middleware.model": ["typing", "torch", "os", "json"], "modelscope.models.cv.vision_middleware.head": ["torch", "abc", "mmcv", "numpy"], "modelscope.models.cv.text_to_360panorama_image.pipeline_sr": ["typing", "torch", "diffusers", "re", "transformers", "os", "inspect", "warnings", "copy", "PIL", "numpy"], "modelscope.models.cv.text_to_360panorama_image.pipeline_base": ["typing", "torch", "diffusers", "re", "transformers", "inspect", "warnings", "packaging"], "modelscope.models.cv.bad_image_detecting.bad_image_detecting": ["typing", "torch", "torchvision", "os", "numpy"], "modelscope.models.cv.image_normal_estimation.modules.midas.dpt_depth": ["torch"], "modelscope.models.cv.image_normal_estimation.modules.midas.vit": ["timm", "torch", "types", "math"], "modelscope.models.cv.image_normal_estimation.modules.midas.blocks": ["torch"], "modelscope.models.cv.image_normal_estimation.modules.midas.base_model": ["torch"], "modelscope.models.cv.image_normal_estimation.omnidata_model": ["torch", "os"], "modelscope.models.cv.text_texture_generation.utils": ["torch", "tqdm", "torchvision", "os", "imageio", "pytorch3d"], "modelscope.models.cv.text_texture_generation.lib2.projection": ["typing", "random", "torch", "pytorch3d", "tqdm", "torchvision", "os", "sys", "PIL", "cv2", "numpy"], "modelscope.models.cv.text_texture_generation.lib2.init_view": [], "modelscope.models.cv.text_texture_generation.lib2.viusel": ["torch", "imageio", "matplotlib", "os", "sys", "PIL", "numpy"], "modelscope.models.cv.text_texture_generation.lib2.camera": ["torch", "numpy", "sys", "sklearn", "pytorch3d"], "modelscope.models.cv.text_texture_generation.Tex2Texture": ["typing", "torch", "diffusers", "pytorch3d", "torchvision", "os", "PIL", "cv2", "numpy"], "modelscope.models.cv.image_restoration.image_restoration_model": ["torch", "cv2", "os", "numpy"], "modelscope.models.cv.image_restoration.demoire_models.nets": ["torch"], "modelscope.models.cv.image_depth_estimation.networks.newcrf_depth": ["torch"], "modelscope.models.cv.image_depth_estimation.networks.swin_transformer": ["timm", "torch", "numpy"], "modelscope.models.cv.image_depth_estimation.networks.newcrf_utils": ["torch", "collections", "torchvision", "pkgutil", "os", "warnings", "importlib"], "modelscope.models.cv.image_depth_estimation.networks.uper_crf_head": ["torch", "mmcv"], "modelscope.models.cv.image_depth_estimation.networks.newcrf_layers": ["timm", "torch", "numpy"], "modelscope.models.cv.image_depth_estimation.newcrfs_model": ["torch", "os", "numpy"], "modelscope.models.cv.facial_68ldk_detection.conf.base": ["uuid", "argparse", "os", "logging"], "modelscope.models.cv.facial_68ldk_detection.conf.alignment": ["os"], "modelscope.models.cv.facial_68ldk_detection.lib.dataset.encoder.encoder_default": ["copy", "torch", "numpy"], "modelscope.models.cv.facial_68ldk_detection.lib.dataset.decoder.decoder_default": ["torch"], "modelscope.models.cv.facial_68ldk_detection.lib.dataset.alignmentDataset": ["torch", "math", "scipy", "pandas", "PIL", "imageio", "os", "copy", "sys", "hashlib", "cv2", "numpy"], "modelscope.models.cv.facial_68ldk_detection.lib.utility": ["torch", "json", "time", "os", "numpy"], "modelscope.models.cv.facial_68ldk_detection.lib.backbone.core.coord_conv": ["torch"], "modelscope.models.cv.facial_68ldk_detection.lib.backbone.stackedHGNetV1": ["torch", "numpy"], "modelscope.models.cv.facial_68ldk_detection.star_model": ["torch", "matplotlib", "os", "cv2", "numpy"], "modelscope.models.cv.facial_68ldk_detection.infer": ["torch", "math", "argparse", "copy", "cv2", "numpy"], "modelscope.models.cv.image_classification.mmcls_model": ["os"], "modelscope.models.cv.image_classification.backbones.beit_v2": ["typing", "torch", "collections", "math", "mmcv", "itertools", "mmcls", "functools", "os", "warnings", "einops"], "modelscope.models.cv.image_classification.backbones.nextvit": ["typing", "torch", "collections", "math", "mmcv", "itertools", "mmcls", "functools", "os", "warnings", "einops"], "modelscope.models.cv.image_classification.utils": ["torch", "collections", "math", "mmcls", "os", "itertools", "numpy"], "modelscope.models.cv.image_classification.resnet50_cc": ["torch", "collections", "math", "torchvision", "os"], "modelscope.models.cv.image_matching_fast.lightglue_model": ["torch", "pathlib", "os", "cv2", "numpy"], "modelscope.models.cv.image_matching_fast.lightglue.viz2d": ["torch", "matplotlib", "numpy"], "modelscope.models.cv.image_matching_fast.lightglue.superpoint": ["torch", "os", "kornia"], "modelscope.models.cv.image_matching_fast.lightglue.sift": ["torch", "pycolmap", "warnings", "packaging", "cv2", "kornia", "numpy"], "modelscope.models.cv.image_matching_fast.lightglue.utils": ["typing", "torch", "pathlib", "collections", "types", "cv2", "kornia", "numpy"], "modelscope.models.cv.image_matching_fast.lightglue.disk": ["torch", "kornia"], "modelscope.models.cv.image_matching_fast.lightglue.lightglue": ["typing", "torch", "pathlib", "types", "os", "flash_attn", "warnings", "numpy"], "modelscope.models.cv.image_matching_fast.lightglue.aliked": ["typing", "torch", "torchvision", "kornia"], "modelscope.models.cv.image_matching_fast.config.default": [], "modelscope.models.cv.video_panoptic_segmentation.track.quasi_dense_embed_tracker": ["torch", "mmcv", "mmdet"], "modelscope.models.cv.video_panoptic_segmentation.neck.fpn": ["torch", "mmcv"], "modelscope.models.cv.video_panoptic_segmentation.video_k_net": ["torch", "mmcv", "mmdet", "numpy"], "modelscope.models.cv.video_panoptic_segmentation.head.kernel_updator": ["torch", "mmcv"], "modelscope.models.cv.video_panoptic_segmentation.head.track_heads": ["torch", "mmcv", "numpy"], "modelscope.models.cv.video_panoptic_segmentation.head.semantic_fpn_wrapper": ["torch", "mmcv", "mmdet"], "modelscope.models.cv.video_panoptic_segmentation.head.mask": ["torch", "__future__", "pycocotools", "cv2", "numpy"], "modelscope.models.cv.video_panoptic_segmentation.head.kernel_iter_head": ["torch", "mmdet"], "modelscope.models.cv.video_panoptic_segmentation.head.kernel_head": ["torch", "mmcv"], "modelscope.models.cv.video_panoptic_segmentation.head.kernel_update_head": ["torch", "mmcv", "mmdet", "numpy"], "modelscope.models.cv.video_panoptic_segmentation.backbone.swin_transformer": ["timm", "torch", "mmdet", "numpy"], "modelscope.models.cv.video_panoptic_segmentation.backbone.swin_checkpoint": ["torch", "collections", "torchvision", "pkgutil", "os", "importlib"], "modelscope.models.cv.video_panoptic_segmentation.visualizer": ["hashlib", "cv2", "numpy"], "modelscope.models.cv.video_deinterlace.deinterlace_arch": ["torch"], "modelscope.models.cv.video_deinterlace.UNet_for_video_deinterlace": ["typing", "torch", "copy", "os"], "modelscope.models.cv.video_deinterlace.models.fre": ["torch"], "modelscope.models.cv.video_deinterlace.models.deep_fourier_upsampling": ["torch", "numpy"], "modelscope.models.cv.video_deinterlace.models.enh": ["torch"], "modelscope.models.cv.video_deinterlace.models.utils": ["torch"], "modelscope.models.cv.video_deinterlace.models.archs": ["torch", "numpy"], "modelscope.models.cv.pointcloud_sceneflow_estimation.rcp_model": ["torch", "os", "numpy"], "modelscope.models.cv.pointcloud_sceneflow_estimation.pointnet2_utils": ["typing", "pointnet2_cuda", "torch"], "modelscope.models.cv.pointcloud_sceneflow_estimation.sf_rcp": ["torch"], "modelscope.models.cv.pointcloud_sceneflow_estimation.common": ["torch", "math"], "modelscope.models.cv.nerf_recon_acc.network.utils": ["tinycudann", "torch", "collections", "gc", "mcubes", "numpy"], "modelscope.models.cv.nerf_recon_acc.network.nerf": ["tinycudann", "torch", "nerfacc", "numpy"], "modelscope.models.cv.nerf_recon_acc.network.segmenter": ["tensorflow", "numpy"], "modelscope.models.cv.nerf_recon_acc.nerf_preprocess": ["typing", "glob", "subprocess", "tensorflow", "os", "cv2", "numpy"], "modelscope.models.cv.nerf_recon_acc.dataloader.read_write_model": ["collections", "os", "struct", "argparse", "numpy"], "modelscope.models.cv.nerf_recon_acc.dataloader.nerf_dataset": ["torch", "math", "json", "torchvision", "os", "PIL", "numpy"], "modelscope.models.cv.nerf_recon_acc.nerf_recon_acc": ["glob", "torch", "time", "tqdm", "os", "cv2", "numpy"], "modelscope.models.cv.image_defrcn_fewshot.evaluation.evaluator": ["torch", "detectron2", "time", "datetime", "logging"], "modelscope.models.cv.image_defrcn_fewshot.evaluation.pascal_voc_evaluation": ["tempfile", "detectron2", "collections", "os", "numpy"], "modelscope.models.cv.image_defrcn_fewshot.evaluation.coco_evaluation": ["torch", "detectron2", "collections", "pycocotools", "itertools", "json", "contextlib", "io", "logging", "os", "copy", "tabulate", "fvcore", "numpy"], "modelscope.models.cv.image_defrcn_fewshot.models.fast_rcnn": ["torch", "detectron2", "fvcore", "numpy"], "modelscope.models.cv.image_defrcn_fewshot.models.calibration_layer": ["torch", "detectron2", "cv2", "sklearn"], "modelscope.models.cv.image_defrcn_fewshot.models.roi_heads": ["torch", "detectron2"], "modelscope.models.cv.image_defrcn_fewshot.models.gdl": ["torch"], "modelscope.models.cv.image_defrcn_fewshot.models.defrcn": ["typing", "torch", "detectron2", "os"], "modelscope.models.cv.image_defrcn_fewshot.models.resnet": ["torch", "torchvision"], "modelscope.models.cv.image_defrcn_fewshot.utils.coco_register": ["contextlib", "detectron2", "os", "io", "pycocotools", "fvcore"], "modelscope.models.cv.image_defrcn_fewshot.utils.register_data": [], "modelscope.models.cv.image_defrcn_fewshot.utils.model_surgery_op": ["torch", "argparse", "os"], "modelscope.models.cv.image_defrcn_fewshot.utils.requirements_check": ["collections", "importlib", "packaging", "importlib_metadata", "sys"], "modelscope.models.cv.image_defrcn_fewshot.utils.voc_register": ["detectron2", "xml", "os", "fvcore", "numpy"], "modelscope.models.cv.image_defrcn_fewshot.utils.configuration_mapper": ["detectron2"], "modelscope.models.cv.image_defrcn_fewshot.defrcn_for_fewshot": ["typing", "torch", "os"], "modelscope.models.cv.anydoor.datasets.data_utils": ["torch", "cv2", "numpy"], "modelscope.models.cv.anydoor.ldm.util": ["torch", "inspect", "importlib", "PIL", "numpy"], "modelscope.models.cv.anydoor.ldm.modules.distributions.distributions": ["torch", "numpy"], "modelscope.models.cv.anydoor.ldm.modules.ema": ["torch"], "modelscope.models.cv.anydoor.ldm.modules.encoders.modules": ["transformers", "torch", "open_clip", "os"], "modelscope.models.cv.anydoor.ldm.modules.attention": ["typing", "torch", "math", "xformers", "os", "inspect", "einops"], "modelscope.models.cv.anydoor.ldm.modules.diffusionmodules.openaimodel": ["numpy", "torch", "math", "abc"], "modelscope.models.cv.anydoor.ldm.modules.diffusionmodules.util": ["torch", "math", "os", "einops", "numpy"], "modelscope.models.cv.anydoor.ldm.modules.diffusionmodules.model": ["typing", "torch", "math", "xformers", "einops", "numpy"], "modelscope.models.cv.anydoor.ldm.modules.diffusionmodules.upscaling": ["torch", "functools", "numpy"], "modelscope.models.cv.anydoor.ldm.models.autoencoder": ["contextlib", "torch", "pytorch_lightning"], "modelscope.models.cv.anydoor.ldm.models.diffusion.ddpm": ["torch", "omegaconf", "itertools", "contextlib", "tqdm", "functools", "torchvision", "os", "pytorch_lightning", "einops", "numpy"], "modelscope.models.cv.anydoor.ldm.models.diffusion.ddim": ["torch", "tqdm", "numpy"], "modelscope.models.cv.anydoor.ldm.models.diffusion.plms": ["torch", "tqdm", "functools", "numpy"], "modelscope.models.cv.anydoor.ldm.models.diffusion.sampling_util": ["torch", "numpy"], "modelscope.models.cv.anydoor.cldm.ddim_hacked": ["torch", "tqdm", "numpy"], "modelscope.models.cv.anydoor.dinov2.hubconf": ["torch"], "modelscope.models.cv.anydoor.dinov2.dinov2.layers.layer_scale": ["typing", "torch"], "modelscope.models.cv.anydoor.dinov2.dinov2.layers.patch_embed": ["typing", "torch"], "modelscope.models.cv.anydoor.dinov2.dinov2.layers.mlp": ["typing", "torch"], "modelscope.models.cv.anydoor.dinov2.dinov2.layers.block": ["typing", "torch", "xformers", "logging"], "modelscope.models.cv.anydoor.dinov2.dinov2.layers.attention": ["torch", "xformers", "logging"], "modelscope.models.cv.anydoor.dinov2.dinov2.layers.swiglu_ffn": ["typing", "torch", "xformers"], "modelscope.models.cv.anydoor.dinov2.dinov2.layers.drop_path": ["torch"], "modelscope.models.cv.anydoor.dinov2.dinov2.layers.dino_head": ["torch"], "modelscope.models.cv.anydoor.dinov2.dinov2.models.vision_transformer": ["typing", "torch", "math", "functools", "logging"], "modelscope.models.cv.anydoor.anydoor_model": ["torch", "torchvision", "einops"], "modelscope.models.cv.image_super_resolution_pasd_v2.controlnet": ["dataclasses", "torch", "diffusers", "typing"], "modelscope.models.cv.image_super_resolution_pasd_v2.unet_2d_condition": ["dataclasses", "torch", "typing", "diffusers", "json", "os"], "modelscope.models.cv.image_super_resolution_pasd_v2.unet_2d_blocks": ["typing", "torch", "diffusers", "einops", "numpy"], "modelscope.models.cv.crowd_counting.cc_model": ["typing", "torch", "os"], "modelscope.models.cv.crowd_counting.hrnet_aspp_relu": ["torch", "functools", "os", "logging", "numpy"], "modelscope.models.cv.image_try_on.generator": ["torch", "functools", "torchvision", "os"], "modelscope.models.cv.image_try_on.warping": ["torch", "collections", "math", "cv2", "numpy"], "modelscope.models.cv.image_try_on.landmark": ["torch", "os", "logging"], "modelscope.models.cv.image_try_on.try_on_infer": ["torch", "yaml", "argparse", "torchvision", "os", "PIL", "cv2", "numpy"], "modelscope.models.cv.image_control_3d_portrait.network.triplane": ["torch"], "modelscope.models.cv.image_control_3d_portrait.network.camera_utils": ["torch", "math"], "modelscope.models.cv.image_control_3d_portrait.network.shape_utils": ["plyfile", "skimage", "numpy"], "modelscope.models.cv.image_control_3d_portrait.network.volumetric_rendering.renderer": ["torch", "math"], "modelscope.models.cv.image_control_3d_portrait.network.volumetric_rendering.ray_sampler": ["torch"], "modelscope.models.cv.image_control_3d_portrait.network.volumetric_rendering.math_utils": ["torch"], "modelscope.models.cv.image_control_3d_portrait.network.volumetric_rendering.ray_marcher": ["torch"], "modelscope.models.cv.image_control_3d_portrait.network.networks_stylegan2": ["torch", "numpy"], "modelscope.models.cv.image_control_3d_portrait.network.superresolution": ["torch", "numpy"], "modelscope.models.cv.image_control_3d_portrait.network.triplane_encoder": ["torch", "math", "timm", "segmentation_models_pytorch", "functools"], "modelscope.models.cv.image_control_3d_portrait.image_control_3d_portrait": ["typing", "torch", "math", "collections", "scipy", "json", "torchvision", "os", "PIL", "cv2", "numpy"], "modelscope.models.cv.image_to_image_generation.data.transforms": ["random", "PIL", "math", "torchvision"], "modelscope.models.cv.image_to_image_generation.ops.losses": ["torch", "math"], "modelscope.models.cv.image_to_image_generation.ops.diffusion": ["torch", "math"], "modelscope.models.cv.image_to_image_generation.model": ["torch", "math"], "modelscope.models.cv.image_to_image_generation.models.autoencoder": ["torch", "math"], "modelscope.models.cv.image_to_image_generation.models.clip": ["torch", "math"], "modelscope.models.cv.movie_scene_segmentation.get_model": [], "modelscope.models.cv.movie_scene_segmentation.model": ["typing", "torch", "math", "shotdetect_scenedetect_lgss", "tqdm", "torchvision", "os", "PIL", "einops", "numpy"], "modelscope.models.cv.movie_scene_segmentation.utils.trn": ["transformers", "torch"], "modelscope.models.cv.movie_scene_segmentation.utils.save_op": ["tqdm", "os", "cv2", "subprocess", "numpy"], "modelscope.models.cv.movie_scene_segmentation.utils.head": ["torch"], "modelscope.models.cv.movie_scene_segmentation.utils.shot_encoder": ["typing", "torch"], "modelscope.models.cv.image_quality_assessment_mos.heads.simple_head": ["torch"], "modelscope.models.cv.image_quality_assessment_mos.backbones.resnet": ["torch", "os"], "modelscope.models.cv.image_quality_assessment_mos.image_quality_assessment_mos": ["typing", "torch", "os"], "modelscope.models.cv.image_quality_assessment_mos.censeo_ivqa_model": ["torch"], "modelscope.models.cv.image_view_transform.image_view_transform_infer": ["torch", "omegaconf", "time", "contextlib", "einops", "sys", "PIL", "fire", "numpy", "math", "diffusers", "rich", "functools", "torchvision", "os", "cv2"], "modelscope.models.cv.image_view_transform.ldm.modules": ["random", "torch", "transformers", "functools", "clip", "torchvision", "kornia", "numpy"], "modelscope.models.cv.image_view_transform.ldm.helpers": ["torch", "collections"], "modelscope.models.cv.image_view_transform.ldm.autoencoder": ["contextlib", "torch", "pytorch_lightning", "taming"], "modelscope.models.cv.image_view_transform.ldm.openaimodel": ["typing", "torch", "math", "functools", "abc", "numpy"], "modelscope.models.cv.image_view_transform.ldm.x_transformer": ["torch", "functools", "collections", "inspect", "einops"], "modelscope.models.cv.image_view_transform.ldm.util_diffusion": ["torch", "math", "os", "einops", "numpy"], "modelscope.models.cv.image_view_transform.ldm.ddpm": ["torch", "omegaconf", "itertools", "contextlib", "tqdm", "functools", "torchvision", "pytorch_lightning", "einops", "numpy"], "modelscope.models.cv.image_view_transform.ldm.id_loss": ["torch"], "modelscope.models.cv.image_view_transform.ldm.ema": ["torch"], "modelscope.models.cv.image_view_transform.ldm.attention": ["einops", "torch", "math", "inspect"], "modelscope.models.cv.image_view_transform.ldm.model": ["torch", "math", "einops", "numpy"], "modelscope.models.cv.image_view_transform.ldm.ddim": ["torch", "tqdm", "functools", "einops", "numpy"], "modelscope.models.cv.image_view_transform.ldm.plms": ["torch", "tqdm", "functools", "numpy"], "modelscope.models.cv.image_view_transform.ldm.model_irse": ["torch"], "modelscope.models.cv.image_view_transform.ldm.sampling_util": ["torch", "numpy"], "modelscope.models.cv.image_view_transform.ldm.distributions": ["torch", "numpy"], "modelscope.models.cv.image_view_transform.util": ["torch", "matplotlib", "time", "torchvision", "os", "inspect", "importlib", "PIL", "cv2", "numpy"], "modelscope.models.cv.video_super_resolution.basicvsr_net": ["torch"], "modelscope.models.cv.video_super_resolution.real_basicvsr_for_video_super_resolution": ["typing", "torch", "os"], "modelscope.models.cv.video_super_resolution.real_basicvsr_net": ["torch"], "modelscope.models.cv.video_super_resolution.msrresnet_lite_model": ["typing", "torch", "functools", "os"], "modelscope.models.cv.video_super_resolution.common": ["torch"], "modelscope.models.cv.skin_retouching.unet_deploy": ["torch", "warnings"], "modelscope.models.cv.skin_retouching.utils": ["typing", "torch", "time", "cv2", "einops", "numpy"], "modelscope.models.cv.skin_retouching.detection_model.detection_unet_in": ["torch"], "modelscope.models.cv.skin_retouching.detection_model.detection_module": ["torch"], "modelscope.models.cv.skin_retouching.weights_init": ["torch"], "modelscope.models.cv.skin_retouching.retinaface.network": ["typing", "torch", "torchvision"], "modelscope.models.cv.skin_retouching.retinaface.utils": ["typing", "torch", "pathlib", "re", "cv2", "numpy"], "modelscope.models.cv.skin_retouching.retinaface.prior_box": ["torch", "math", "itertools"], "modelscope.models.cv.skin_retouching.retinaface.net": ["typing", "torch"], "modelscope.models.cv.skin_retouching.retinaface.box_utils": ["typing", "torch", "numpy"], "modelscope.models.cv.skin_retouching.retinaface.predict_single": ["typing", "torch", "albumentations", "torchvision", "numpy"], "modelscope.models.cv.skin_retouching.inpainting_model.inpainting_unet": ["torch"], "modelscope.models.cv.skin_retouching.inpainting_model.gconv": ["torch"], "modelscope.models.cv.image_quality_assessment_degradation.degradation_model": ["time", "torch", "collections", "torchvision", "json", "cv2", "numpy"], "modelscope.models.cv.image_quality_assessment_degradation.image_quality_assessment_degradation": ["typing", "torch", "os"], "modelscope.models.cv.video_inpainting.inpainting": ["time", "torch", "torchvision", "os", "PIL", "cv2", "numpy"], "modelscope.models.cv.video_inpainting.inpainting_model": ["torch", "math", "torchvision", "numpy"], "modelscope.models.cv.open_vocabulary_detection_vild.vild": ["typing", "torch", "tensorflow", "clip", "os", "scipy", "numpy"], "modelscope.models.cv.video_depth_estimation.networks.layers.resnet.pose_decoder": ["torch", "collections", "__future__"], "modelscope.models.cv.video_depth_estimation.networks.layers.resnet.depth_decoder": ["torch", "collections", "__future__", "numpy"], "modelscope.models.cv.video_depth_estimation.networks.layers.resnet.resnet_encoder": ["torch", "torchvision", "__future__", "numpy"], "modelscope.models.cv.video_depth_estimation.networks.layers.resnet.layers": ["torch", "__future__"], "modelscope.models.cv.video_depth_estimation.networks.optim.extractor": ["torch", "torchvision"], "modelscope.models.cv.video_depth_estimation.networks.optim.update": ["torch"], "modelscope.models.cv.video_depth_estimation.networks.depth_pose.depth_pose_net": ["torch", "functools"], "modelscope.models.cv.video_depth_estimation.configs.default_config": ["yacs", "os"], "modelscope.models.cv.video_depth_estimation.dro_model": ["torch", "glob", "tqdm", "os", "cv2", "numpy"], "modelscope.models.cv.video_depth_estimation.geometry.pose_utils": ["torch", "numpy"], "modelscope.models.cv.video_depth_estimation.geometry.camera_utils": ["torch"], "modelscope.models.cv.video_depth_estimation.geometry.camera": ["torch", "functools"], "modelscope.models.cv.video_depth_estimation.geometry.pose": ["torch"], "modelscope.models.cv.video_depth_estimation.models.model_wrapper": ["random", "torch", "collections", "importlib", "numpy"], "modelscope.models.cv.video_depth_estimation.models.model_checkpoint": ["numpy", "torch", "os", "re"], "modelscope.models.cv.video_depth_estimation.models.sup_model_mf": [], "modelscope.models.cv.video_depth_estimation.models.model_utils": [], "modelscope.models.cv.video_depth_estimation.models.sfm_model_mf": ["random", "torch"], "modelscope.models.cv.video_depth_estimation.utils.config": ["torch", "datetime", "yacs", "os"], "modelscope.models.cv.video_depth_estimation.utils.augmentations": ["random", "torchvision", "PIL", "cv2", "numpy"], "modelscope.models.cv.video_depth_estimation.utils.image_gt": ["torch", "functools", "PIL", "cv2"], "modelscope.models.cv.video_depth_estimation.utils.depth": ["numpy", "torch", "torchvision", "matplotlib"], "modelscope.models.cv.video_depth_estimation.utils.misc": ["termcolor"], "modelscope.models.cv.video_depth_estimation.utils.load": ["torch", "collections", "os", "logging", "warnings", "importlib", "inspect"], "modelscope.models.cv.video_depth_estimation.utils.horovod": ["horovod"], "modelscope.models.cv.video_depth_estimation.utils.image": ["torch", "functools", "os", "PIL", "cv2", "numpy"], "modelscope.models.cv.video_depth_estimation.utils.types": ["torch", "yacs", "numpy"], "modelscope.models.cv.product_retrieval_embedding.item_embedding": ["torch", "cv2", "numpy"], "modelscope.models.cv.product_retrieval_embedding.item_detection": ["cv2", "numpy"], "modelscope.models.cv.product_retrieval_embedding.item_model": ["typing", "torch", "os", "numpy"], "modelscope.models.cv.indoor_layout_estimation.networks.utils": ["torch", "numpy"], "modelscope.models.cv.indoor_layout_estimation.networks.modality.layout": ["torch", "math", "shapely", "scipy", "numpy"], "modelscope.models.cv.indoor_layout_estimation.networks.panovit": ["torch", "numpy"], "modelscope.models.cv.indoor_layout_estimation.networks.misc.post_proc": ["scipy", "sklearn", "numpy"], "modelscope.models.cv.indoor_layout_estimation.networks.misc.panostretch": ["numpy", "functools", "scipy"], "modelscope.models.cv.indoor_layout_estimation.networks.misc.fourier": ["numpy", "PIL", "scipy"], "modelscope.models.cv.indoor_layout_estimation.networks.backbone.vit_horizon_pry_image": ["timm", "torch", "numpy"], "modelscope.models.cv.indoor_layout_estimation.networks.backbone.resnet_DA": ["torch", "torchvision"], "modelscope.models.cv.indoor_layout_estimation.panovit": ["torch", "yacs", "os", "numpy"], "modelscope.models.cv.image_to_3d.ldm.util": ["torch", "matplotlib", "time", "torchvision", "os", "inspect", "importlib", "PIL", "cv2", "numpy"], "modelscope.models.cv.image_to_3d.ldm.modules.x_transformer": ["torch", "functools", "collections", "inspect", "einops"], "modelscope.models.cv.image_to_3d.ldm.modules.distributions.distributions": ["torch", "numpy"], "modelscope.models.cv.image_to_3d.ldm.modules.encoders.modules": ["random", "torch", "transformers", "functools", "torchvision", "ldm", "kornia", "numpy"], "modelscope.models.cv.image_to_3d.ldm.modules.encoders.clip.clip": ["typing", "torch", "PIL", "tqdm", "torchvision", "os", "warnings", "packaging", "hashlib", "urllib"], "modelscope.models.cv.image_to_3d.ldm.modules.encoders.clip.model": ["typing", "torch", "collections", "numpy"], "modelscope.models.cv.image_to_3d.ldm.modules.encoders.clip.simple_tokenizer": ["functools", "html", "os", "gzip", "ftfy", "regex"], "modelscope.models.cv.image_to_3d.ldm.modules.attention": ["einops", "torch", "math", "inspect"], "modelscope.models.cv.image_to_3d.ldm.modules.diffusionmodules.openaimodel": ["typing", "torch", "math", "functools", "abc", "numpy"], "modelscope.models.cv.image_to_3d.ldm.modules.diffusionmodules.util": ["torch", "math", "os", "einops", "numpy"], "modelscope.models.cv.image_to_3d.ldm.modules.diffusionmodules.model": ["torch", "math", "einops", "numpy"], "modelscope.models.cv.image_to_3d.ldm.models.autoencoder": ["contextlib", "torch", "pytorch_lightning", "taming"], "modelscope.models.cv.image_to_3d.ldm.models.diffusion.sync_dreamer": ["torch", "pathlib", "tqdm", "skimage", "pytorch_lightning", "numpy"], "modelscope.models.cv.image_to_3d.ldm.models.diffusion.sync_dreamer_utils": ["torch", "kornia"], "modelscope.models.cv.image_to_3d.ldm.models.diffusion.sync_dreamer_attention": ["torch"], "modelscope.models.cv.image_to_3d.ldm.models.diffusion.sync_dreamer_network": ["torch"], "modelscope.models.cv.image_to_3d.ldm.thirdp.psp.helpers": ["torch", "collections"], "modelscope.models.cv.image_to_3d.ldm.thirdp.psp.id_loss": ["torch"], "modelscope.models.cv.image_to_3d.ldm.thirdp.psp.model_irse": ["torch"], "modelscope.models.cv.image_to_3d.ldm.base_utils": ["cv2", "pickle", "skimage", "numpy"], "modelscope.models.cv.image_denoise.nafnet.arch_util": ["torch"], "modelscope.models.cv.image_denoise.nafnet.NAFNet_arch": ["torch", "numpy"], "modelscope.models.cv.image_denoise.nafnet_for_image_denoise": ["typing", "torch", "os"], "modelscope.models.multi_modal.prost.dataloaders.rawvideo_util": ["torch", "torchvision", "PIL", "cv2", "numpy"], "modelscope.models.multi_modal.prost.models.modeling": ["torch", "types", "collections", "os", "platform"], "modelscope.models.multi_modal.prost.models.prost_model": ["tempfile", "random", "torch", "typing", "decord", "json", "uuid", "os", "PIL", "urllib", "numpy"], "modelscope.models.multi_modal.prost.models.until_module": ["torch", "math", "logging", "copy", "numpy"], "modelscope.models.multi_modal.prost.models.tokenization_clip": ["functools", "html", "os", "gzip", "ftfy", "regex"], "modelscope.models.multi_modal.prost.models.module_cross": ["tempfile", "tarfile", "torch", "math", "collections", "json", "os", "logging", "shutil", "copy", "__future__"], "modelscope.models.multi_modal.prost.models.module_clip": ["typing", "torch", "collections", "tqdm", "os", "warnings", "hashlib", "urllib"], "modelscope.models.multi_modal.prost.models.until_config": ["tempfile", "tarfile", "torch", "json", "os", "logging", "shutil", "copy", "__future__"], "modelscope.models.multi_modal.efficient_diffusion_tuning.control_sd_lora": ["dataclasses", "torch", "typing", "diffusers", "os"], "modelscope.models.multi_modal.efficient_diffusion_tuning.sd_lora": ["dataclasses", "torch", "typing", "diffusers", "os"], "modelscope.models.multi_modal.efficient_diffusion_tuning.efficient_stable_diffusion": ["typing", "torch", "diffusers", "swift", "transformers", "functools", "os"], "modelscope.models.multi_modal.ofa_for_all_tasks": ["typing", "torch", "math", "re", "json", "string", "functools", "os"], "modelscope.models.multi_modal.dpm_solver_pytorch": ["torch", "math"], "modelscope.models.multi_modal.gemm.gemm_model": ["typing", "torch", "json", "torchvision", "os", "PIL", "numpy"], "modelscope.models.multi_modal.gemm.gemm_base": ["typing", "torch", "collections", "json", "os", "numpy"], "modelscope.models.multi_modal.gemm.tokenizer": ["torch", "functools", "html", "os", "gzip", "ftfy", "regex"], "modelscope.models.multi_modal.guided_diffusion.script": [], "modelscope.models.multi_modal.guided_diffusion.gaussian_diffusion": ["enum", "torch", "math", "numpy"], "modelscope.models.multi_modal.guided_diffusion.unet": ["transformers", "torch", "math", "abc", "numpy"], "modelscope.models.multi_modal.guided_diffusion.respace": ["torch", "numpy"], "modelscope.models.multi_modal.video_to_video.video_to_video_model": ["typing", "random", "torch", "os", "copy"], "modelscope.models.multi_modal.video_to_video.modules.autoencoder": ["torch", "collections", "numpy"], "modelscope.models.multi_modal.video_to_video.modules.unet_v2v": ["torch", "fairscale", "math", "xformers", "os", "einops", "rotary_embedding_torch"], "modelscope.models.multi_modal.video_to_video.modules.embedder": ["torch", "open_clip", "torchvision", "os", "numpy"], "modelscope.models.multi_modal.video_to_video.utils.diffusion_sdedit": ["random", "torch"], "modelscope.models.multi_modal.video_to_video.utils.transforms": ["random", "torch", "math", "torchvision", "PIL", "numpy"], "modelscope.models.multi_modal.video_to_video.utils.solvers_sdedit": ["torch", "tqdm", "torchsde"], "modelscope.models.multi_modal.video_to_video.utils.config": ["easydict", "torch", "datetime", "os", "logging"], "modelscope.models.multi_modal.video_to_video.utils.seed": ["random", "torch", "numpy"], "modelscope.models.multi_modal.video_to_video.utils.schedules_sdedit": ["torch", "math"], "modelscope.models.multi_modal.mmr.dataloaders.rawvideo_util": ["torch", "torchvision", "PIL", "cv2", "numpy"], "modelscope.models.multi_modal.mmr.models.modeling": ["torch", "types", "collections", "os", "platform"], "modelscope.models.multi_modal.mmr.models.until_module": ["torch", "math", "logging", "numpy"], "modelscope.models.multi_modal.mmr.models.clip_for_mm_video_embedding": ["tempfile", "random", "torch", "typing", "decord", "json", "uuid", "os", "PIL", "urllib", "numpy"], "modelscope.models.multi_modal.mmr.models.tokenization_clip": ["functools", "html", "os", "gzip", "ftfy", "regex"], "modelscope.models.multi_modal.mmr.models.module_cross": ["torch", "collections", "json", "logging", "__future__"], "modelscope.models.multi_modal.mmr.models.dynamic_inverted_softmax": ["numpy"], "modelscope.models.multi_modal.mmr.models.module_clip": ["typing", "torch", "collections", "tqdm", "os", "warnings", "hashlib", "urllib"], "modelscope.models.multi_modal.mplug_owl.configuration_mplug_owl": ["typing", "transformers", "copy", "os"], "modelscope.models.multi_modal.mplug_owl.modeling_mplug_owl": ["dataclasses", "random", "torch", "math", "typing", "transformers", "os", "logging", "io", "copy"], "modelscope.models.multi_modal.diffusion.unet_upsampler_1024": ["torch", "math"], "modelscope.models.multi_modal.diffusion.structbert": ["torch", "math", "six", "__future__", "json", "copy", "numpy"], "modelscope.models.multi_modal.diffusion.model": ["typing", "torch", "json", "os", "numpy"], "modelscope.models.multi_modal.diffusion.unet_upsampler_256": ["torch", "functools", "math"], "modelscope.models.multi_modal.diffusion.diffusion": ["torch", "math"], "modelscope.models.multi_modal.diffusion.tokenizer": ["collections", "six", "unicodedata", "__future__"], "modelscope.models.multi_modal.diffusion.unet_generator": ["torch", "math"], "modelscope.models.multi_modal.image_to_video.modules.autoencoder": ["torch", "collections", "numpy"], "modelscope.models.multi_modal.image_to_video.modules.unet_i2v": ["torch", "fairscale", "math", "xformers", "os", "einops", "rotary_embedding_torch"], "modelscope.models.multi_modal.image_to_video.modules.embedder": ["torch", "open_clip", "torchvision", "os", "numpy"], "modelscope.models.multi_modal.image_to_video.image_to_video_model": ["typing", "random", "torch", "os", "copy"], "modelscope.models.multi_modal.image_to_video.utils.shedule": ["torch", "math"], "modelscope.models.multi_modal.image_to_video.utils.transforms": ["random", "torch", "math", "torchvision", "PIL", "numpy"], "modelscope.models.multi_modal.image_to_video.utils.config": ["easydict", "torch", "datetime", "os", "logging"], "modelscope.models.multi_modal.image_to_video.utils.seed": ["random", "torch", "numpy"], "modelscope.models.multi_modal.image_to_video.utils.diffusion": ["torch", "math"], "modelscope.models.multi_modal.stable_diffusion.stable_diffusion": ["typing", "torch", "diffusers", "transformers", "functools", "os", "packaging"], "modelscope.models.multi_modal.stable_diffusion.stable_diffusion_xl": ["typing", "random", "torch", "diffusers", "transformers", "functools", "torchvision", "os", "packaging"], "modelscope.models.multi_modal.ofa_for_text_to_image_synthesis_model": ["typing", "torch", "json", "torchvision", "taming", "os", "packaging", "PIL", "numpy"], "modelscope.models.multi_modal.clip.modeling_bert": ["torch", "math", "json", "os", "logging", "__future__", "io", "sys"], "modelscope.models.multi_modal.clip.configuration_bert": ["logging", "__future__"], "modelscope.models.multi_modal.clip.model": ["typing", "torch", "collections", "json", "os", "numpy"], "modelscope.models.multi_modal.clip.bert_tokenizer": ["collections", "six", "re", "os", "__future__", "unicodedata"], "modelscope.models.multi_modal.mplug.configuration_mplug": ["typing", "yaml", "transformers", "os"], "modelscope.models.multi_modal.mplug.mvit": ["torch", "functools", "collections", "fairscale", "timm", "numpy"], "modelscope.models.multi_modal.mplug.predictor": ["torch", "__future__"], "modelscope.models.multi_modal.mplug.clip.clip": ["typing", "torch", "collections"], "modelscope.models.multi_modal.mplug.modeling_mplug": ["typing", "torch", "math", "transformers", "os"], "modelscope.models.multi_modal.freeu.free_lunch_utils": ["typing", "torch", "diffusers"], "modelscope.models.multi_modal.team.utils": ["typing", "torch", "collections", "transformers", "numpy"], "modelscope.models.multi_modal.team.team_model": ["typing", "torch", "tokenizers", "torchvision", "PIL", "cv2", "numpy"], "modelscope.models.multi_modal.multi_stage_diffusion.clip": ["torch", "math"], "modelscope.models.multi_modal.multi_stage_diffusion.prior": ["torch", "math"], "modelscope.models.multi_modal.multi_stage_diffusion.model": ["typing", "torch", "math", "json", "os", "PIL", "numpy"], "modelscope.models.multi_modal.multi_stage_diffusion.xglm": ["torch", "math"], "modelscope.models.multi_modal.multi_stage_diffusion.gaussian_diffusion": ["torch", "math"], "modelscope.models.multi_modal.multi_stage_diffusion.decoder": ["torch", "math"], "modelscope.models.multi_modal.multi_stage_diffusion.tokenizer": ["transformers", "torch", "functools", "html", "gzip", "ftfy", "regex"], "modelscope.models.multi_modal.multi_stage_diffusion.upsampler": ["torch", "math"], "modelscope.models.multi_modal.vldoc.tokenization": ["transformers", "os"], "modelscope.models.multi_modal.vldoc.modeling_layout_roberta": ["transformers", "torch", "math", "os", "packaging"], "modelscope.models.multi_modal.vldoc.model": ["torch", "math", "re", "json", "torchvision", "os", "logging", "copy", "sys"], "modelscope.models.multi_modal.vldoc.transformer_local": ["copy", "torch"], "modelscope.models.multi_modal.vldoc.processing": ["typing", "torch", "collections", "timm", "torchvision", "PIL", "cv2", "numpy"], "modelscope.models.multi_modal.vldoc.convnext": ["timm", "torch", "os"], "modelscope.models.multi_modal.vldoc.conv_fpn_trans": ["random", "torch", "collections", "timm", "apex"], "modelscope.models.multi_modal.videocomposer.autoencoder": ["torch", "numpy"], "modelscope.models.multi_modal.videocomposer.clip": ["torch", "open_clip", "torchvision", "numpy"], "modelscope.models.multi_modal.videocomposer.config": ["easydict", "torch", "datetime", "os", "logging"], "modelscope.models.multi_modal.videocomposer.annotator.histogram.palette": ["skimage", "os", "sklearn", "numpy"], "modelscope.models.multi_modal.videocomposer.annotator.util": ["cv2", "os", "numpy"], "modelscope.models.multi_modal.videocomposer.annotator.sketch.pidinet": ["torch", "math", "os"], "modelscope.models.multi_modal.videocomposer.annotator.sketch.sketch_simplification": ["torch", "math", "os"], "modelscope.models.multi_modal.videocomposer.data.samplers": ["json", "torch", "os", "numpy"], "modelscope.models.multi_modal.videocomposer.data.transforms": ["random", "torch", "math", "torchvision", "PIL", "numpy"], "modelscope.models.multi_modal.videocomposer.data.tokenizers": ["torch", "html", "tokenizers", "regex", "functools", "os", "gzip", "ftfy"], "modelscope.models.multi_modal.videocomposer.unet_sd": ["torch", "math", "config", "functools", "fairscale", "os", "einops", "rotary_embedding_torch"], "modelscope.models.multi_modal.videocomposer.ops.distributed": ["torch", "functools", "collections", "pickle", "numpy"], "modelscope.models.multi_modal.videocomposer.ops.utils": ["oss2", "torch", "multiprocessing", "imageio", "skvideo", "base64", "time", "io", "zipfile", "binascii", "sys", "PIL", "numpy", "requests", "glob", "math", "json", "pickle", "torchvision", "os", "gzip", "logging", "copy", "hashlib", "urllib", "einops"], "modelscope.models.multi_modal.videocomposer.ops.losses": ["torch", "math"], "modelscope.models.multi_modal.videocomposer.ops.random_mask": ["cv2", "numpy"], "modelscope.models.multi_modal.videocomposer.ops.degration": ["random", "torch", "math", "datetime", "torchvision", "os", "scipy", "numpy"], "modelscope.models.multi_modal.videocomposer.models.clip": ["torch", "math", "os"], "modelscope.models.multi_modal.videocomposer.models.midas": ["torch", "math", "os"], "modelscope.models.multi_modal.videocomposer.videocomposer_model": ["typing", "torch", "pynvml", "open_clip", "os", "copy", "einops"], "modelscope.models.multi_modal.videocomposer.utils.config": ["json", "yaml", "argparse", "os", "copy"], "modelscope.models.multi_modal.videocomposer.utils.distributed": ["torch", "functools", "pickle", "logging"], "modelscope.models.multi_modal.videocomposer.utils.utils": ["multiprocessing", "oss2", "torch", "imageio", "skvideo", "base64", "time", "io", "zipfile", "binascii", "sys", "PIL", "numpy", "requests", "glob", "random", "math", "json", "pickle", "torchvision", "os", "gzip", "logging", "copy", "hashlib", "urllib", "einops"], "modelscope.models.multi_modal.videocomposer.mha_flash": ["time", "random", "torch", "math", "os", "flash_attn", "numpy"], "modelscope.models.multi_modal.videocomposer.dpm_solver": ["torch", "math"], "modelscope.models.multi_modal.videocomposer.diffusion": ["torch", "math"], "modelscope.models.multi_modal.soonet.swin_transformer": ["torch", "numpy"], "modelscope.models.multi_modal.soonet.clip": ["typing", "torch", "collections", "warnings", "numpy"], "modelscope.models.multi_modal.soonet.utils": ["copy", "tqdm", "numpy", "decord"], "modelscope.models.multi_modal.soonet.blocks": ["torch", "math"], "modelscope.models.multi_modal.soonet.model": ["torch", "os"], "modelscope.models.multi_modal.soonet.tokenizer": ["torch", "functools", "html", "gzip", "ftfy", "regex"], "modelscope.models.multi_modal.mgeo.text_classification": ["torch"], "modelscope.models.multi_modal.mgeo.backbone": ["dataclasses", "random", "torch", "math", "typing", "transformers", "os", "warnings"], "modelscope.models.multi_modal.mgeo.token_classification": ["torch"], "modelscope.models.multi_modal.mgeo.text_ranking": ["torch"], "modelscope.models.multi_modal.mplug_for_all_tasks": ["typing", "os"], "modelscope.models.multi_modal.clip_interrogator.model": ["dataclasses", "torch", "time", "tqdm", "transformers", "PIL", "safetensors", "requests", "typing", "numpy", "math", "open_clip", "torchvision", "os", "hashlib"], "modelscope.models.multi_modal.video_synthesis.autoencoder": ["torch", "numpy"], "modelscope.models.multi_modal.video_synthesis.unet_sd": ["torch", "math", "einops"], "modelscope.models.multi_modal.video_synthesis.text_to_video_synthesis_model": ["typing", "torch", "open_clip", "os", "einops"], "modelscope.models.multi_modal.video_synthesis.diffusion": ["torch"], "modelscope.models.multi_modal.rleg.model": ["json", "torch", "os"], "modelscope.models.multi_modal.rleg.rleg": ["typing", "torch", "torchvision"], "modelscope.models.multi_modal.ofa.generate.token_generation_constraints": ["typing", "torch", "collections"], "modelscope.models.multi_modal.ofa.generate.ngram_repeat_block": ["typing", "torch", "fairseq", "math", "warnings"], "modelscope.models.multi_modal.ofa.generate.sequence_generator": ["typing", "torch", "math", "sys"], "modelscope.models.multi_modal.ofa.generate.utils": ["torch", "collections", "torch_xla", "itertools", "amp_C"], "modelscope.models.multi_modal.ofa.generate.search": ["typing", "torch", "math"], "modelscope.models.multi_modal.ofa.generate.multihead_attention": ["typing", "torch", "math", "fairseq"], "modelscope.models.multi_modal.ofa.generate.incremental_decoding_utils": ["uuid", "torch", "typing"], "modelscope.models.multi_modal.ofa.tokenization_ofa_fast": ["typing", "transformers", "tokenizers", "json"], "modelscope.models.multi_modal.ofa.vit": ["fairseq", "collections", "torch"], "modelscope.models.multi_modal.ofa.modeling_ofa": ["dataclasses", "random", "typing", "math", "torch", "transformers", "apex", "packaging"], "modelscope.models.multi_modal.ofa.configuration_mmspeech": ["transformers", "warnings"], "modelscope.models.multi_modal.ofa.utils.utils": ["typing", "torch"], "modelscope.models.multi_modal.ofa.utils.constant": [], "modelscope.models.multi_modal.ofa.modeling_mmspeech": ["dataclasses", "torch", "typing", "math", "fairseq", "transformers", "apex", "packaging", "numpy"], "modelscope.models.multi_modal.ofa.tokenization_ofa": ["typing", "transformers", "collections", "os"], "modelscope.models.multi_modal.ofa.resnet": ["torch"], "modelscope.models.multi_modal.ofa.configuration_ofa": ["transformers", "warnings"], "modelscope.models.nlp.ponet.configuration": ["transformers"], "modelscope.models.nlp.ponet.backbone": ["torch", "math", "transformers", "packaging", "distutils"], "modelscope.models.nlp.ponet.tokenization": ["typing", "transformers"], "modelscope.models.nlp.ponet.document_segmentation": ["typing", "torch"], "modelscope.models.nlp.ponet.fill_mask": ["transformers", "torch"], "modelscope.models.nlp.fid_plug.configuration": ["transformers"], "modelscope.models.nlp.fid_plug.backbone": ["dataclasses", "torch", "typing", "math", "transformers", "os", "copy", "numpy"], "modelscope.models.nlp.fid_plug.text_generation": ["transformers", "torch", "io", "os"], "modelscope.models.nlp.lstm.backbone": ["torch"], "modelscope.models.nlp.lstm.token_classification": [], "modelscope.models.nlp.gpt2.backbone": ["transformers"], "modelscope.models.nlp.qwen.configuration": ["transformers"], "modelscope.models.nlp.qwen.backbone": ["typing", "torch", "math", "transformers", "flash_attn", "importlib", "einops"], "modelscope.models.nlp.qwen.text_generation": ["typing", "torch", "transformers", "warnings"], "modelscope.models.nlp.qwen.tokenization": ["typing", "json", "base64", "transformers", "os", "logging", "tiktoken", "__future__", "io", "unicodedata"], "modelscope.models.nlp.qwen.qwen_generation_utils": ["typing", "torch", "transformers", "numpy"], "modelscope.models.nlp.heads.text_ranking_head": ["typing", "torch"], "modelscope.models.nlp.heads.token_classification_head": ["typing", "torch"], "modelscope.models.nlp.heads.infromation_extraction_head": ["torch"], "modelscope.models.nlp.heads.fill_mask_head": ["typing", "torch", "transformers"], "modelscope.models.nlp.heads.torch_pretrain_head": ["typing", "torch", "transformers"], "modelscope.models.nlp.heads.crf_head": ["typing", "torch", "transformers"], "modelscope.models.nlp.heads.text_generation_head": ["typing", "torch"], "modelscope.models.nlp.heads.text_classification_head": ["typing", "torch"], "modelscope.models.nlp.unite.configuration": ["enum"], "modelscope.models.nlp.unite.translation_evaluation": ["dataclasses", "torch", "typing", "math", "transformers", "warnings", "packaging", "numpy"], "modelscope.models.nlp.peer.configuration": ["transformers"], "modelscope.models.nlp.peer.text_classification": ["copy", "torch"], "modelscope.models.nlp.peer.backbone": ["dataclasses", "torch", "typing", "math", "transformers"], "modelscope.models.nlp.peer.sas_utils": ["random", "nltk", "torch", "numpy"], "modelscope.models.nlp.space_T_cn.configuration": ["copy", "__future__", "logging", "json"], "modelscope.models.nlp.space_T_cn.backbone": ["tempfile", "tarfile", "torch", "math", "os", "__future__", "shutil", "copy", "numpy"], "modelscope.models.nlp.space_T_cn.table_question_answering": ["typing", "torch", "transformers", "os", "numpy"], "modelscope.models.nlp.glm_130b.quantization.functional": ["torch"], "modelscope.models.nlp.glm_130b.quantization.layers": ["torch", "SwissArmyTransformer"], "modelscope.models.nlp.glm_130b.text_generation": ["typing", "random", "torch", "re", "SwissArmyTransformer", "time", "functools", "stat", "os", "copy", "sys"], "modelscope.models.nlp.glm_130b.generation.strategies": ["torch", "SwissArmyTransformer", "numpy"], "modelscope.models.nlp.glm_130b.initialize": ["time", "torch", "argparse", "SwissArmyTransformer"], "modelscope.models.nlp.bloom.backbone": ["transformers"], "modelscope.models.nlp.bloom.text_generation": ["transformers"], "modelscope.models.nlp.bloom.sentence_embedding": ["transformers", "torch"], "modelscope.models.nlp.gpt_neo.backbone": ["transformers"], "modelscope.models.nlp.gpt_moe.configuration": ["transformers", "torch"], "modelscope.models.nlp.gpt_moe.backbone": ["typing", "torch", "addict", "math", "transformers", "os"], "modelscope.models.nlp.gpt_moe.text_generation": ["typing", "transformers"], "modelscope.models.nlp.gpt_moe.distributed_gpt_moe": ["transformers", "torch", "megatron_util", "math"], "modelscope.models.nlp.gpt_moe.checkpointing": ["torch", "megatron_util", "os"], "modelscope.models.nlp.gpt_moe.moe.layer": ["typing", "torch", "megatron_util"], "modelscope.models.nlp.gpt_moe.moe.utils": ["typing", "torch"], "modelscope.models.nlp.gpt_moe.moe.experts": ["copy", "torch"], "modelscope.models.nlp.gpt_moe.moe.sharded_moe": ["typing", "torch", "math", "tutel", "megatron_util", "apex", "scipy"], "modelscope.models.nlp.gpt_moe.moe.mappings": ["torch", "megatron_util"], "modelscope.models.nlp.gpt_moe.tokenizer": ["tokenizers"], "modelscope.models.nlp.use.user_satisfaction_estimation": ["typing", "torch", "transformers", "os", "numpy"], "modelscope.models.nlp.use.transformer": ["torch", "math"], "modelscope.models.nlp.veco.configuration": ["transformers"], "modelscope.models.nlp.veco.text_classification": ["transformers"], "modelscope.models.nlp.veco.backbone": ["transformers"], "modelscope.models.nlp.veco.token_classification": ["transformers", "torch"], "modelscope.models.nlp.veco.fill_mask": ["transformers"], "modelscope.models.nlp.csanmt.translation": ["typing", "math", "collections", "tensorflow"], "modelscope.models.nlp.bart.text_error_correction": ["typing", "torch", "os"], "modelscope.models.nlp.gpt3.configuration": ["transformers", "torch"], "modelscope.models.nlp.gpt3.backbone": ["typing", "torch", "addict", "math", "transformers", "os"], "modelscope.models.nlp.gpt3.text_generation": ["typing", "torch", "collections", "transformers"], "modelscope.models.nlp.gpt3.distributed_gpt3": ["typing", "torch", "math", "collections", "megatron_util", "transformers", "os"], "modelscope.models.nlp.gpt3.tokenizer": ["typing", "tokenizers"], "modelscope.models.nlp.structbert.configuration": ["transformers"], "modelscope.models.nlp.structbert.text_classification": ["torch"], "modelscope.models.nlp.structbert.backbone": ["dataclasses", "torch", "typing", "math", "transformers", "packaging"], "modelscope.models.nlp.structbert.token_classification": ["torch"], "modelscope.models.nlp.structbert.faq_question_answering": ["typing", "torch", "math", "collections", "os"], "modelscope.models.nlp.structbert.adv_utils": ["torch"], "modelscope.models.nlp.structbert.fill_mask": ["transformers", "torch"], "modelscope.models.nlp.chatglm2.configuration": ["transformers"], "modelscope.models.nlp.chatglm2.quantization": ["bz2", "torch", "typing", "ctypes", "base64", "cpm_kernels"], "modelscope.models.nlp.chatglm2.text_generation": ["typing", "torch", "math", "transformers", "warnings", "copy", "sys"], "modelscope.models.nlp.chatglm2.tokenization": ["typing", "transformers", "sentencepiece", "os"], "modelscope.models.nlp.dgds.backbone": ["transformers", "torch", "os", "__future__"], "modelscope.models.nlp.dgds.document_grounded_dialog_rerank": ["typing", "torch", "os"], "modelscope.models.nlp.dgds.document_grounded_dialog_generate": ["typing", "torch", "os"], "modelscope.models.nlp.dgds.document_grounded_dialog_retrieval": ["typing", "torch", "os"], "modelscope.models.nlp.space.configuration": [], "modelscope.models.nlp.space.dialog_intent_prediction": ["typing", "os"], "modelscope.models.nlp.space.modules.transformer_block": ["torch"], "modelscope.models.nlp.space.modules.multihead_attention": ["torch"], "modelscope.models.nlp.space.modules.embedder": ["torch"], "modelscope.models.nlp.space.modules.functions": ["torch", "numpy"], "modelscope.models.nlp.space.modules.feedforward": ["torch"], "modelscope.models.nlp.space.model.generator": ["torch", "math", "numpy"], "modelscope.models.nlp.space.model.unified_transformer": ["torch", "numpy"], "modelscope.models.nlp.space.model.model_base": ["torch", "os"], "modelscope.models.nlp.space.model.tokenization_space": ["transformers"], "modelscope.models.nlp.space.model.intent_unified_transformer": ["torch"], "modelscope.models.nlp.space.model.gen_unified_transformer": ["torch"], "modelscope.models.nlp.space.dialog_state_tracking": ["typing", "torch", "transformers"], "modelscope.models.nlp.space.dialog_modeling": ["typing", "os"], "modelscope.models.nlp.bert.configuration": ["typing", "transformers", "collections"], "modelscope.models.nlp.bert.text_classification": [], "modelscope.models.nlp.bert.backbone": ["transformers", "torch", "math", "packaging"], "modelscope.models.nlp.bert.token_classification": [], "modelscope.models.nlp.bert.siamese_uie": ["copy", "torch"], "modelscope.models.nlp.bert.text_ranking": [], "modelscope.models.nlp.bert.document_segmentation": ["typing", "torch"], "modelscope.models.nlp.bert.sentence_embedding": ["torch"], "modelscope.models.nlp.bert.fill_mask": [], "modelscope.models.nlp.bert.word_alignment": ["torch"], "modelscope.models.nlp.xlm_roberta.configuration": ["typing", "transformers", "collections"], "modelscope.models.nlp.xlm_roberta.backbone": ["transformers", "torch", "math", "packaging"], "modelscope.models.nlp.mglm.arguments": ["torch", "json", "argparse", "deepspeed", "os"], "modelscope.models.nlp.mglm.tasks.data_utils": ["typing", "torch", "re", "json", "megatron_util", "pickle", "copy", "numpy"], "modelscope.models.nlp.mglm.tasks.superglue.pvp": ["typing", "random", "tasks", "math", "collections", "string", "utils", "abc", "copy", "numpy"], "modelscope.models.nlp.mglm.tasks.superglue.evaluate": ["typing", "string", "tasks", "collections", "functools", "re", "__future__"], "modelscope.models.nlp.mglm.tasks.superglue.dataset": ["csv", "torch", "tqdm", "pandas", "typing", "glob", "random", "collections", "numpy", "re", "json", "utils", "abc", "os", "copy", "data_utils"], "modelscope.models.nlp.mglm.tasks.superglue.finetune": ["finetune_glm", "tasks", "collections"], "modelscope.models.nlp.mglm.tasks.language_model.detokenizer": ["re"], "modelscope.models.nlp.mglm.tasks.language_model.dataset": ["torch", "tasks", "math", "itertools", "json", "bisect", "utils", "numpy"], "modelscope.models.nlp.mglm.tasks.language_model.finetune": ["finetune_glm", "torch", "tasks", "math", "functools", "megatron_util", "pretrain_glm"], "modelscope.models.nlp.mglm.tasks.seq2seq.evaluate": ["string", "random", "torch", "datetime", "rouge_score", "megatron_util", "generation_utils"], "modelscope.models.nlp.mglm.tasks.seq2seq.dataset": ["random", "torch", "tasks", "json", "tqdm", "utils", "os", "data_utils", "numpy"], "modelscope.models.nlp.mglm.tasks.seq2seq.finetune": ["finetune_glm", "torch", "tasks", "collections", "functools", "megatron_util", "pretrain_glm"], "modelscope.models.nlp.mglm.tasks.eval_utils": ["typing", "random", "torch", "collections", "tasks", "megatron_util", "time", "finetune_glm", "datetime", "utils", "os", "sklearn"], "modelscope.models.nlp.mglm.data_utils.samplers": ["torch", "math", "os", "sys", "numpy"], "modelscope.models.nlp.mglm.data_utils.sp_tokenizer": ["os"], "modelscope.models.nlp.mglm.data_utils.datasets": ["csv", "torch", "itertools", "bisect", "time", "tqdm", "pandas", "numpy", "random", "math", "operator", "json", "os", "nltk"], "modelscope.models.nlp.mglm.data_utils.corpora": ["multiprocessing", "random", "torch", "collections", "json", "queue", "tqdm", "os"], "modelscope.models.nlp.mglm.data_utils.tokenization": ["csv", "random", "torch", "collections", "itertools", "regex", "sentencepiece", "os", "nltk"], "modelscope.models.nlp.mglm.data_utils.lazy_loader": ["time", "torch", "mmap", "os", "itertools", "pickle", "numpy"], "modelscope.models.nlp.mglm.data_utils.file_utils": ["tempfile", "tqdm", "io", "__future__", "botocore", "shutil", "sys", "boto3", "requests", "pathlib", "json", "functools", "os", "logging", "hashlib", "urllib"], "modelscope.models.nlp.mglm.data_utils.tokenization_gpt2": ["json", "regex", "functools", "os", "logging", "__future__", "io", "sys"], "modelscope.models.nlp.mglm.data_utils.extraction": ["json", "glob", "nltk", "os"], "modelscope.models.nlp.mglm.data_utils.wordpiece": ["collections", "io", "os", "logging", "__future__", "unicodedata"], "modelscope.models.nlp.mglm.train_utils": ["torch", "megatron_util", "deepspeed", "apex"], "modelscope.models.nlp.mglm.run_test": ["sys", "test"], "modelscope.models.nlp.mglm.utils": ["random", "torch", "json", "megatron_util", "subprocess", "time", "os", "numpy"], "modelscope.models.nlp.mglm.blocklm_utils": ["random", "torch", "math", "numpy", "copy", "megatron_util", "scipy"], "modelscope.models.nlp.mglm.generation_utils": ["typing", "torch", "abc", "collections"], "modelscope.models.nlp.mglm.configure_data": ["random", "torch", "itertools", "megatron_util", "bisect", "os", "copy", "numpy"], "modelscope.models.nlp.mglm.process_grid": ["glob", "os", "json", "sys", "statistics"], "modelscope.models.nlp.mglm.test.test_block": ["random", "argparse", "blocklm_utils", "numpy"], "modelscope.models.nlp.mglm.test.test_rel_shift": ["numpy", "torch", "learning_rates", "matplotlib"], "modelscope.models.nlp.mglm.mglm_for_text_summarization": ["typing", "random", "torch", "megatron_util", "os", "numpy"], "modelscope.models.nlp.mglm.model.modeling_glm": ["torch", "megatron_util"], "modelscope.models.nlp.mglm.model.downstream": ["torch"], "modelscope.models.nlp.mglm.model.modeling_bert": ["tempfile", "tarfile", "torch", "math", "json", "megatron_util", "apex", "os", "logging", "shutil", "copy", "__future__", "data_utils"], "modelscope.models.nlp.mglm.model.distributed": ["torch", "megatron_util"], "modelscope.models.nlp.mglm.model.prompt": ["random", "torch"], "modelscope.models.nlp.mglm.model.transformer": ["torch", "math", "deepspeed", "megatron_util", "apex"], "modelscope.models.nlp.task_models.task_model": ["typing", "torch", "collections", "re", "abc", "os"], "modelscope.models.nlp.task_models.text_classification": ["typing", "numpy"], "modelscope.models.nlp.task_models.text_generation": ["typing", "torch", "transformers", "numpy"], "modelscope.models.nlp.task_models.token_classification": ["typing", "torch"], "modelscope.models.nlp.task_models.machine_reading_comprehension": ["dataclasses", "torch", "typing", "transformers", "os"], "modelscope.models.nlp.task_models.text_ranking": ["typing", "numpy"], "modelscope.models.nlp.task_models.information_extraction": ["typing", "numpy"], "modelscope.models.nlp.task_models.feature_extraction": ["typing", "numpy"], "modelscope.models.nlp.task_models.fill_mask": ["typing", "torch", "numpy"], "modelscope.models.nlp.plug_mental.configuration": ["transformers"], "modelscope.models.nlp.plug_mental.text_classification": ["torch"], "modelscope.models.nlp.plug_mental.backbone": ["dataclasses", "torch", "typing", "math", "transformers", "packaging"], "modelscope.models.nlp.plug_mental.adv_utils": ["torch"], "modelscope.models.nlp.palm_v2.configuration": ["transformers"], "modelscope.models.nlp.palm_v2.dureader_eval": ["math", "collections", "re", "json", "argparse", "zipfile", "copy", "sys", "rouge", "numpy"], "modelscope.models.nlp.palm_v2.text_generation": ["dataclasses", "torch", "typing", "math", "json", "subprocess", "transformers", "codecs", "os", "copy", "numpy"], "modelscope.models.nlp.chatglm.configuration": ["transformers"], "modelscope.models.nlp.chatglm.quantization": ["bz2", "torch", "typing", "ctypes", "base64", "cpm_kernels"], "modelscope.models.nlp.chatglm.text_generation": ["typing", "torch", "math", "re", "transformers", "os", "warnings", "copy", "sys"], "modelscope.models.nlp.chatglm.tokenization": ["typing", "transformers", "sentencepiece", "os", "numpy"], "modelscope.models.nlp.plug.configuration": ["copy", "transformers", "json"], "modelscope.models.nlp.plug.AnnealingLR": ["torch", "math"], "modelscope.models.nlp.plug.backbone": ["torch", "math", "megatron_util", "logging", "__future__"], "modelscope.models.nlp.plug.generator": ["torch"], "modelscope.models.nlp.plug.distributed_plug": ["typing", "torch", "megatron_util"], "modelscope.models.nlp.llama.backbone": ["transformers"], "modelscope.models.nlp.llama.text_generation": ["typing", "torch", "transformers"], "modelscope.models.nlp.llama.convert_llama_weights_to_hf": ["torch", "math", "gc", "json", "argparse", "transformers", "os", "shutil"], "modelscope.models.nlp.llama2.backbone": [], "modelscope.models.nlp.llama2.text_generation": [], "modelscope.models.nlp.space_T_en.text_to_sql": ["typing", "torch", "os", "text2sql_lgesql"], "modelscope.models.nlp.megatron_bert.configuration": ["typing", "transformers", "collections"], "modelscope.models.nlp.megatron_bert.backbone": ["transformers", "torch", "math"], "modelscope.models.nlp.megatron_bert.fill_mask": ["transformers", "torch"], "modelscope.models.nlp.fid_T5.text_generation": ["transformers", "torch", "io", "os"], "modelscope.models.nlp.codegeex.inference": ["typing", "torch"], "modelscope.models.nlp.codegeex.codegeex_for_code_translation": ["typing", "torch", "copy"], "modelscope.models.nlp.codegeex.codegeex": ["torch", "math"], "modelscope.models.nlp.codegeex.codegeex_for_code_generation": ["typing", "torch", "copy"], "modelscope.models.nlp.codegeex.tokenizer": ["typing", "torch", "transformers"], "modelscope.models.nlp.deberta_v2.configuration": ["transformers"], "modelscope.models.nlp.deberta_v2.backbone": ["typing", "torch", "collections", "transformers"], "modelscope.models.nlp.deberta_v2.tokenization": ["typing", "transformers", "sentencepiece", "os", "unicodedata"], "modelscope.models.nlp.deberta_v2.tokenization_fast": ["typing", "transformers", "os", "shutil"], "modelscope.models.nlp.deberta_v2.fill_mask": ["typing", "torch", "transformers"], "modelscope.models.nlp.canmt.sequence_generator": ["typing", "torch", "fairseq", "math", "sys", "numpy"], "modelscope.models.nlp.canmt.canmt_model": ["typing", "torch", "fairseq", "math", "numpy"], "modelscope.models.nlp.canmt.canmt_translation": ["typing", "torch", "math", "os", "numpy"], "modelscope.models.nlp.T5.configuration": ["typing", "transformers"], "modelscope.models.nlp.T5.backbone": ["typing", "torch", "math", "transformers", "os", "warnings", "copy"], "modelscope.models.nlp.T5.text2text_generation": ["typing", "torch", "transformers", "warnings", "copy"], "modelscope.models.nlp.hf_transformers.backbone": ["transformers"], "modelscope.models.nlp.polylm.text_generation": ["typing", "torch", "collections", "transformers"], "modelscope.models.audio.separation.layer_norm": ["torch", "__future__"], "modelscope.models.audio.separation.mossformer": ["typing", "torch", "copy", "os"], "modelscope.models.audio.separation.mossformer_conv_module": ["torch"], "modelscope.models.audio.separation.m2.layer_norm": ["torch", "__future__"], "modelscope.models.audio.separation.m2.mossformer": ["torch", "os"], "modelscope.models.audio.separation.m2.fsmn": ["torch"], "modelscope.models.audio.separation.m2.conv_module": ["torch"], "modelscope.models.audio.separation.m2.mossformer_block": ["torch", "einops", "rotary_embedding_torch"], "modelscope.models.audio.separation.mossformer_block": ["torch"], "modelscope.models.audio.quantization.generic_audio_quantization": ["typing", "os"], "modelscope.models.audio.aec.network.loss": ["torch"], "modelscope.models.audio.aec.network.modulation_loss": ["torchaudio", "torch", "math"], "modelscope.models.audio.aec.network.se_net": ["torch"], "modelscope.models.audio.aec.layers.layer_base": ["torch", "abc", "re", "numpy"], "modelscope.models.audio.aec.layers.uni_deep_fsmn": ["torch", "numpy"], "modelscope.models.audio.aec.layers.activations": ["torch"], "modelscope.models.audio.aec.layers.deep_fsmn": ["torch", "numpy"], "modelscope.models.audio.aec.layers.affine_transform": ["torch", "numpy"], "modelscope.models.audio.itn.generic_inverse_text_processing": ["typing", "os"], "modelscope.models.audio.funasr.model": ["typing", "funasr", "os", "json"], "modelscope.models.audio.sv.ERes2Net_aug": ["typing", "torch", "math", "torchaudio", "os", "numpy"], "modelscope.models.audio.sv.fusion": ["torch"], "modelscope.models.audio.sv.Res2Net": ["typing", "torch", "math", "torchaudio", "os", "numpy"], "modelscope.models.audio.sv.ResNet": ["typing", "torch", "math", "torchaudio", "os", "numpy"], "modelscope.models.audio.sv.ecapa_tdnn": ["typing", "torch", "math", "torchaudio", "os", "numpy"], "modelscope.models.audio.sv.ERes2Net": ["typing", "torch", "math", "torchaudio", "os", "numpy"], "modelscope.models.audio.sv.speaker_change_locator": ["typing", "torch", "collections", "torchaudio", "os", "numpy"], "modelscope.models.audio.sv.speaker_diarization_semantic_speaker_turn_detection": ["torch"], "modelscope.models.audio.sv.speaker_change_locator_xvector": ["typing", "torch", "collections", "torchaudio", "os", "numpy"], "modelscope.models.audio.sv.TDNN": ["torch", "numpy"], "modelscope.models.audio.sv.lanuage_recognition_eres2net": ["typing", "torch", "torchaudio", "os", "numpy"], "modelscope.models.audio.sv.DTDNN_layers": ["torch"], "modelscope.models.audio.sv.cluster_backend": ["typing", "hdbscan", "umap", "scipy", "sklearn", "numpy"], "modelscope.models.audio.sv.sdpn": ["typing", "torch", "math", "torchaudio", "os"], "modelscope.models.audio.sv.speaker_diarization_dialogue_detection": ["torch"], "modelscope.models.audio.sv.xvector": ["typing", "torch", "math", "torchaudio", "os", "numpy"], "modelscope.models.audio.sv.lanuage_recognition_model": ["typing", "torch", "torchaudio", "os", "numpy"], "modelscope.models.audio.sv.rdino": ["typing", "torch", "math", "torchaudio", "os"], "modelscope.models.audio.sv.pooling_layers": ["torch"], "modelscope.models.audio.sv.ERes2NetV2": ["typing", "torch", "math", "torchaudio", "os", "numpy"], "modelscope.models.audio.sv.DTDNN": ["typing", "torch", "collections", "torchaudio", "os", "numpy"], "modelscope.models.audio.kws.farfield.fsmn_sele_v3": ["torch"], "modelscope.models.audio.kws.farfield.model": ["tempfile", "typing", "os"], "modelscope.models.audio.kws.farfield.model_def": ["struct", "math", "enum"], "modelscope.models.audio.kws.farfield.fsmn": ["torch", "numpy"], "modelscope.models.audio.kws.farfield.fsmn_sele_v2": ["torch"], "modelscope.models.audio.kws.generic_key_word_spotting": ["typing", "os"], "modelscope.models.audio.kws.nearfield.model": ["tempfile", "torch", "typing", "os", "sys"], "modelscope.models.audio.kws.nearfield.cmvn": ["torch", "re", "numpy"], "modelscope.models.audio.kws.nearfield.fsmn": ["typing", "torch", "numpy"], "modelscope.models.audio.tts.laura_codec": ["typing", "os"], "modelscope.models.audio.tts.voice": ["torch", "collections", "json", "yaml", "pickle", "kantts", "time", "os", "threading", "numpy"], "modelscope.models.audio.tts.sambert_hifi": ["wave", "json", "yaml", "matplotlib", "datetime", "os", "zipfile", "shutil", "__future__", "numpy"], "modelscope.models.audio.asr.wenet_automatic_speech_recognition": ["typing", "wenetruntime", "os", "json"], "modelscope.models.audio.ans.complex_nn": ["torch"], "modelscope.models.audio.ans.se_module_complex": ["torch"], "modelscope.models.audio.ans.layers.layer_base": ["torch", "abc", "six", "numpy"], "modelscope.models.audio.ans.layers.uni_deep_fsmn": ["torch", "numpy"], "modelscope.models.audio.ans.layers.activations": ["torch"], "modelscope.models.audio.ans.layers.affine_transform": ["torch"], "modelscope.models.audio.ans.frcrn": ["typing", "torch", "os"], "modelscope.models.audio.ans.denoise_net": ["torch"], "modelscope.models.audio.ans.unet": ["torch"], "modelscope.models.audio.ans.conv_stft": ["torch", "scipy", "numpy"], "modelscope.metrics.builder": ["typing"], "modelscope.metrics.image_quality_assessment_mos_metric": ["tempfile", "torch", "typing", "tqdm", "os", "sys", "scipy", "cv2", "numpy"], "modelscope.metrics.image_inpainting_metric": ["typing", "torch", "scipy", "numpy"], "modelscope.metrics.video_summarization_metric": ["typing", "numpy"], "modelscope.metrics.loss_metric": ["typing", "sklearn", "numpy"], "modelscope.metrics.ned_metric": ["typing", "numpy"], "modelscope.metrics.image_denoise_metric": ["typing", "torch", "cv2", "numpy"], "modelscope.metrics.token_classification_metric": ["typing", "numpy", "importlib"], "modelscope.metrics.ocr_recognition_metric": ["typing", "torch", "edit_distance", "numpy"], "modelscope.metrics.text_ranking_metric": ["typing", "numpy"], "modelscope.metrics.base": ["typing", "abc"], "modelscope.metrics.prediction_saving_wrapper": ["typing"], "modelscope.metrics.video_frame_interpolation_metric": ["typing", "torch", "math", "lpips", "numpy"], "modelscope.metrics.bleu_metric": ["typing", "sacrebleu", "itertools"], "modelscope.metrics.map_metric": ["typing", "numpy"], "modelscope.metrics.referring_video_object_segmentation_metric": ["typing", "torch", "tqdm", "pycocotools", "numpy"], "modelscope.metrics.image_portrait_enhancement_metric": ["typing", "cv2", "numpy"], "modelscope.metrics.inbatch_recall_metric": ["typing", "torch", "numpy"], "modelscope.metrics.ciderD.ciderD": ["__future__"], "modelscope.metrics.ciderD.ciderD_scorer": ["math", "six", "collections", "pdb", "os", "__future__", "copy", "numpy"], "modelscope.metrics.image_color_enhance_metric": ["typing", "cv2", "numpy"], "modelscope.metrics.image_quality_assessment_degradation_metric": ["tempfile", "torch", "typing", "collections", "tqdm", "os", "sys", "scipy", "cv2", "numpy"], "modelscope.metrics.video_stabilization_metric": ["tempfile", "typing", "tqdm", "os", "sys", "cv2", "numpy"], "modelscope.metrics.ppl_metric": ["typing", "torch", "math", "numpy"], "modelscope.metrics.sequence_classification_metric": ["typing", "sklearn", "numpy"], "modelscope.metrics.image_colorization_metric": ["typing", "torch", "torchvision", "scipy", "cv2", "numpy"], "modelscope.metrics.translation_evaluation_metric": ["importlib", "typing", "pandas"], "modelscope.metrics.action_detection_evaluator": ["detectron2", "collections", "scipy", "os", "logging", "copy", "numpy", "pandas"], "modelscope.metrics.audio_noise_metric": ["typing"], "modelscope.metrics.text_generation_metric": ["typing", "contextlib", "sys", "rouge", "nltk"], "modelscope.metrics.image_instance_segmentation_metric": ["tempfile", "typing", "collections", "os", "pycocotools", "numpy"], "modelscope.metrics.accuracy_metric": ["typing", "numpy"], "modelscope.metrics.movie_scene_segmentation_metric": ["typing", "numpy"], "modelscope.metrics.video_super_resolution_metric.video_super_resolution_metric": ["typing", "numpy"], "modelscope.metrics.video_super_resolution_metric.matlab_functions": ["torch", "math", "numpy"], "modelscope.metrics.video_super_resolution_metric.metric_util": ["numpy"], "modelscope.metrics.video_super_resolution_metric.niqe": ["scipy", "math", "cv2", "numpy"], "modelscope.pipelines.builder": ["typing", "os"], "modelscope.pipelines.util": ["typing", "os"], "modelscope.pipelines.pipeline_template": ["typing", "numpy"], "modelscope.pipelines.base": ["multiprocessing", "random", "torch", "typing", "functools", "abc", "os", "packaging", "threading", "numpy"], "modelscope.pipelines.science.protein_structure_pipeline": ["typing", "torch", "json", "time", "os", "unicore", "numpy"], "modelscope.pipelines.accelerate.base": ["typing", "torch", "abc", "os"], "modelscope.pipelines.accelerate.vllm": ["typing"], "modelscope.pipelines.cv.mtcnn_face_detection_pipeline": ["typing", "torch", "os"], "modelscope.pipelines.cv.image_try_on_pipeline": ["typing", "torch", "numpy"], "modelscope.pipelines.cv.image_face_fusion_pipeline": ["typing", "numpy"], "modelscope.pipelines.cv.shop_segmentation_pipleline": ["typing"], "modelscope.pipelines.cv.image_control_3D_portrait_pipeline": ["typing", "numpy"], "modelscope.pipelines.cv.face_attribute_recognition_pipeline": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.controllable_image_generation_pipeline": ["tempfile", "glob", "torch", "math", "typing", "subprocess", "os", "cv2", "numpy"], "modelscope.pipelines.cv.ocr_recognition_pipeline": [], "modelscope.pipelines.cv.panorama_depth_estimation_pipeline": ["typing", "torch", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.video_deinterlace_pipeline": ["tempfile", "torch", "typing", "math", "subprocess", "torchvision", "os", "cv2", "numpy"], "modelscope.pipelines.cv.image_classification_pipeline": ["typing", "torch", "numpy"], "modelscope.pipelines.cv.image_style_transfer_pipeline": ["typing", "cv2", "os", "numpy"], "modelscope.pipelines.cv.image_debanding_pipeline": ["typing", "torch", "torchvision"], "modelscope.pipelines.cv.face_image_generation_pipeline": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.body_2d_keypoints_pipeline": ["typing", "torch", "json", "torchvision", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.video_depth_estimation_pipeline": ["typing"], "modelscope.pipelines.cv.body_3d_keypoints_pipeline": ["tempfile", "torch", "typing", "mpl_toolkits", "matplotlib", "datetime", "os", "cv2", "numpy"], "modelscope.pipelines.cv.content_check_pipeline": ["typing", "torch", "torchvision", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.face_quality_assessment_pipeline": ["typing", "torch", "os", "onnxruntime", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.video_single_object_tracking_pipeline": ["typing", "cv2", "os"], "modelscope.pipelines.cv.image_color_enhance_pipeline": ["typing", "torch", "torchvision"], "modelscope.pipelines.cv.skin_retouching_pipeline": ["typing", "torch", "tensorflow", "torchvision", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.live_category_pipeline": ["typing", "torch", "decord", "torchvision", "os", "PIL", "numpy"], "modelscope.pipelines.cv.video_colorization_pipeline": ["tempfile", "torch", "typing", "subprocess", "torchvision", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.video_category_pipeline": ["typing", "torch", "decord", "json", "torchvision", "os", "PIL", "numpy"], "modelscope.pipelines.cv.arc_face_recognition_pipeline": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.image_denoise_pipeline": ["typing", "torch", "torchvision"], "modelscope.pipelines.cv.face_liveness_ir_pipeline": ["typing", "torch", "os", "onnxruntime", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.ulfd_face_detection_pipeline": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.tinynas_detection_pipeline": ["typing"], "modelscope.pipelines.cv.virtual_try_on_pipeline": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.lineless_table_recognition_pipeline": ["typing", "torch", "math", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.nerf_recon_vq_compression_pipeline": ["typing"], "modelscope.pipelines.cv.image_super_resolution_pasd_pipeline": ["tempfile", "torch", "typing", "diffusers", "transformers", "torchvision", "os", "PIL", "numpy"], "modelscope.pipelines.cv.bad_image_detecting_pipeline": ["typing", "torch", "numpy"], "modelscope.pipelines.cv.vision_efficient_tuning_pipeline": ["typing", "torch", "torchvision", "numpy"], "modelscope.pipelines.cv.language_guided_video_summarization_pipeline": ["tempfile", "random", "torch", "typing", "clip", "os", "shutil", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.general_recognition_pipeline": ["typing", "torch", "torchvision", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.image_depth_estimation_pipeline": ["typing", "torch", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.image_matching_fast_pipeline": ["typing", "torch", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.video_object_segmentation_pipeline": ["typing", "torch", "torchvision", "os", "PIL", "numpy"], "modelscope.pipelines.cv.image_view_transform_pipeline": ["typing", "torch", "numpy"], "modelscope.pipelines.cv.tbs_detection_utils.utils": ["torch", "matplotlib", "torchvision", "os", "__future__", "numpy", "PIL", "colorsys", "pandas"], "modelscope.pipelines.cv.image_quality_assessment_mos_pipeline": ["tempfile", "torch", "typing", "math", "torchvision", "cv2", "numpy"], "modelscope.pipelines.cv.indoor_layout_estimation_pipeline": ["typing", "cv2", "numpy"], "modelscope.pipelines.cv.action_detection_pipeline": ["typing", "math", "os"], "modelscope.pipelines.cv.video_multi_object_tracking_pipeline": ["typing", "torch", "os"], "modelscope.pipelines.cv.anydoor_pipeline": ["typing", "torch", "os", "numpy", "PIL", "cv2", "einops", "requests"], "modelscope.pipelines.cv.image_deblur_pipeline": ["typing", "torch", "torchvision"], "modelscope.pipelines.cv.image_quality_assessment_degradation_pipeline": ["tempfile", "torch", "typing", "math", "torchvision", "cv2", "numpy"], "modelscope.pipelines.cv.human_normal_estimation_pipeline": ["typing", "PIL", "numpy"], "modelscope.pipelines.cv.image_normal_estimation_pipeline": ["typing", "torch", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.rife_video_frame_interpolation_pipeline": ["tempfile", "glob", "torch", "math", "typing", "subprocess", "torchvision", "os", "cv2", "numpy"], "modelscope.pipelines.cv.image_skychange_pipeline": ["typing", "pdb", "time", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.face_human_hand_detection_pipeline": ["typing", "numpy"], "modelscope.pipelines.cv.image_reid_person_pipeline": ["typing", "torch", "math", "torchvision", "os", "PIL"], "modelscope.pipelines.cv.video_frame_interpolation_pipeline": ["tempfile", "glob", "torch", "math", "typing", "subprocess", "torchvision", "os", "cv2", "numpy"], "modelscope.pipelines.cv.video_stabilization_pipeline": ["tempfile", "glob", "torch", "math", "typing", "subprocess", "os", "cv2", "numpy"], "modelscope.pipelines.cv.face_processing_base_pipeline": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.tbs_detection_pipeline": ["typing", "torch", "os", "PIL", "cv2", "colorsys", "numpy"], "modelscope.pipelines.cv.object_detection_3d_pipeline": ["tempfile", "torch", "typing", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.image_instance_segmentation_pipeline": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.video_panoptic_segmentation_pipeline": ["typing", "torch", "mmcv", "tqdm", "os", "cv2", "numpy"], "modelscope.pipelines.cv.self_supervised_depth_completion_pipeline": ["typing"], "modelscope.pipelines.cv.face_recognition_onnx_fm_pipeline": ["typing", "torch", "os", "onnxruntime", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.text_texture_generation_pipeline": ["typing", "random", "torch", "diffusers", "pytorch3d", "torchvision", "os", "PIL", "numpy"], "modelscope.pipelines.cv.crowd_counting_pipeline": ["typing", "torch", "math", "torchvision", "PIL", "numpy"], "modelscope.pipelines.cv.animal_recognition_pipeline": ["typing", "torch", "torchvision", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.video_human_matting_pipeline": ["typing", "torch", "os", "moviepy", "cv2", "numpy"], "modelscope.pipelines.cv.facial_68ldk_detection_pipeline": ["typing", "torch", "argparse", "os", "cv2", "numpy"], "modelscope.pipelines.cv.nerf_recon_acc_pipeline": ["typing"], "modelscope.pipelines.cv.nerf_recon_4k_pipeline": ["typing"], "modelscope.pipelines.cv.motion_generation_pipeline": ["tempfile", "torch", "typing", "os", "numpy"], "modelscope.pipelines.cv.image_inpainting_pipeline": ["typing", "torch", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.face_recognition_pipeline": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.surface_recon_common_pipeline": ["typing"], "modelscope.pipelines.cv.pointcloud_sceneflow_estimation_pipeline": ["typing", "torch", "plyfile", "numpy"], "modelscope.pipelines.cv.video_instance_segmentation_pipeline": ["typing", "torch", "mmcv", "tqdm", "os", "cv2", "numpy"], "modelscope.pipelines.cv.referring_video_object_segmentation_pipeline": ["tempfile", "torch", "typing", "tqdm", "torchvision", "moviepy", "PIL", "einops", "numpy"], "modelscope.pipelines.cv.face_emotion_pipeline": ["typing", "numpy"], "modelscope.pipelines.cv.image_super_resolution_pipeline": ["typing", "torch", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.image_to_image_translation_pipeline": ["typing", "torch", "torchvision", "os", "io", "sys", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.image_structured_model_probing_pipeline": ["typing", "torch", "math", "mmcv", "torchvision", "os", "numpy"], "modelscope.pipelines.cv.human_image_generation_pipeline": ["typing", "torch", "numpy"], "modelscope.pipelines.cv.mobile_image_super_resolution_pipeline": ["typing", "torch", "torchvision", "skimage", "numpy"], "modelscope.pipelines.cv.retina_face_detection_pipeline": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.text_to_360panorama_image_pipeline": ["typing", "random", "basicsr", "torch", "diffusers", "realesrgan", "PIL", "numpy"], "modelscope.pipelines.cv.license_plate_detection_pipeline": ["typing", "torch", "math", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.human3d_animation_pipeline": ["typing", "cv2", "os"], "modelscope.pipelines.cv.pedestrian_attribute_recognition_pipeline": ["typing", "torch", "json", "torchvision", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.facial_expression_recognition_pipeline": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.card_detection_pipeline": ["typing"], "modelscope.pipelines.cv.head_reconstruction_pipeline": ["typing", "torch", "scipy", "tensorflow", "shutil", "os", "io", "face_alignment", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.card_detection_correction_pipeline": ["typing", "torch", "math", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.dense_optical_flow_estimation_pipeline": ["typing", "torch", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.image_depth_estimation_marigold_pipeline": ["typing", "torch", "diffusers", "transformers", "tqdm", "os", "PIL", "numpy"], "modelscope.pipelines.cv.image_open_vocabulary_detection_pipeline": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.image_salient_detection_pipeline": ["typing"], "modelscope.pipelines.cv.image_restoration_pipeline": ["typing"], "modelscope.pipelines.cv.image_local_feature_matching_pipeline": ["typing", "torch", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.video_summarization_pipeline": ["typing", "torch", "tqdm", "os", "cv2", "numpy"], "modelscope.pipelines.cv.mask_face_recognition_pipeline": ["typing", "torch", "collections", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.product_segmentation_pipeline": ["typing", "numpy"], "modelscope.pipelines.cv.image_mvs_depth_estimation_pipeline": ["tempfile", "typing", "os", "shutil"], "modelscope.pipelines.cv.image_semantic_segmentation_pipeline": ["typing", "torch", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.image_to_3d_pipeline": ["typing", "torch", "omegaconf", "rembg", "torchvision", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.hand_static_pipeline": ["typing", "numpy"], "modelscope.pipelines.cv.image_driving_perception_pipeline": ["typing", "cv2", "os", "numpy"], "modelscope.pipelines.cv.image_bts_depth_estimation_pipeline": ["typing", "torch", "albumentations", "cv2", "numpy"], "modelscope.pipelines.cv.panorama_depth_estimation_s2net_pipeline": ["typing", "torch", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.image_editing_pipeline": ["typing", "torch", "diffusers", "tqdm", "torchvision", "os", "PIL", "numpy"], "modelscope.pipelines.cv.face_recognition_onnx_ir_pipeline": ["typing", "torch", "os", "onnxruntime", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.image_colorization_pipeline": ["typing", "torch", "torchvision", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.movie_scene_segmentation_pipeline": ["typing", "torch"], "modelscope.pipelines.cv.image_defrcn_fewshot_pipeline": ["typing", "torch", "os", "numpy"], "modelscope.pipelines.cv.vision_middleware_pipeline": ["typing", "torch", "math", "mmcv", "torchvision", "os", "numpy"], "modelscope.pipelines.cv.vidt_pipeline": ["typing", "torch", "torchvision"], "modelscope.pipelines.cv.image_portrait_enhancement_pipeline": ["typing", "torch", "math", "scipy", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.image_human_parsing_pipeline": ["typing", "torch", "torchvision", "numpy"], "modelscope.pipelines.cv.video_super_resolution_pipeline": ["tempfile", "torch", "typing", "math", "subprocess", "torchvision", "os", "cv2", "numpy"], "modelscope.pipelines.cv.mog_face_detection_pipeline": ["typing", "os", "numpy"], "modelscope.pipelines.cv.tinynas_classification_pipeline": ["typing", "torch", "math", "torchvision", "os"], "modelscope.pipelines.cv.fast_instance_segmentation_pipeline": ["typing", "torch", "torchvision", "numpy"], "modelscope.pipelines.cv.table_recognition_pipeline": ["typing", "torch", "math", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.maskdino_instance_segmentation_pipeline": ["typing", "torch", "torchvision"], "modelscope.pipelines.cv.ddpm_semantic_segmentation_pipeline": ["typing", "torch", "torchvision"], "modelscope.pipelines.cv.face_reconstruction_pipeline": ["typing", "torch", "scipy", "tensorflow", "shutil", "os", "io", "face_alignment", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.image_detection_pipeline": ["typing", "numpy"], "modelscope.pipelines.cv.image_panoptic_segmentation_pipeline": ["typing", "torch", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.facial_landmark_confidence_pipeline": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.text_to_head_pipeline": ["typing", "io", "os", "shutil", "numpy"], "modelscope.pipelines.cv.image_inpainting_sdv2_pipeline": ["tempfile", "torch", "typing", "math", "diffusers", "os", "sys", "cv2", "numpy"], "modelscope.pipelines.cv.ocr_detection_pipeline": ["typing", "torch", "math", "tensorflow", "os", "cv2", "tf_slim", "numpy"], "modelscope.pipelines.cv.image_cartoon_pipeline": ["typing", "tensorflow", "os", "cv2", "numpy"], "modelscope.pipelines.cv.action_recognition_pipeline": ["typing", "torch", "math", "os"], "modelscope.pipelines.cv.product_retrieval_embedding_pipeline": ["typing", "torch", "torchvision", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.vop_retrieval_pipeline": ["typing", "random", "torch", "math", "collections", "pickle", "tqdm", "os", "gzip", "numpy"], "modelscope.pipelines.cv.realtime_video_object_detection_pipeline": ["typing", "torch", "json", "torchvision", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.vop_retrieval_se_pipeline": ["typing", "torch", "os", "gzip", "numpy"], "modelscope.pipelines.cv.text_driven_segmentation_pipleline": ["typing"], "modelscope.pipelines.cv.face_detection_pipeline": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.hicossl_video_embedding_pipeline": ["typing", "torch", "math", "os"], "modelscope.pipelines.cv.face_recognition_ood_pipeline": ["typing", "torch", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.image_paintbyexample_pipeline": ["typing", "torch", "torchvision", "PIL", "cv2", "einops", "numpy"], "modelscope.pipelines.cv.image_body_reshaping_pipeline": ["typing"], "modelscope.pipelines.cv.image_matching_pipeline": ["typing", "torch", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.image_quality_assessment_man_pipeline": ["tempfile", "torch", "typing", "math", "torchvision", "cv2", "numpy"], "modelscope.pipelines.cv.cmdssl_video_embedding_pipeline": ["typing", "torch", "decord", "torchvision", "os", "PIL", "numpy"], "modelscope.pipelines.cv.ocr_utils.model_resnet18_half": ["torch", "os"], "modelscope.pipelines.cv.ocr_utils.table_process": ["random", "torch", "math", "copy", "cv2", "numpy"], "modelscope.pipelines.cv.ocr_utils.ops": ["math", "tensorflow", "uuid", "os", "absl", "shutil", "sys", "cv2", "numpy"], "modelscope.pipelines.cv.ocr_utils.utils": ["pyclipper", "cv2", "shapely", "numpy"], "modelscope.pipelines.cv.ocr_utils.model_vlpt": ["sys", "math", "os", "torch"], "modelscope.pipelines.cv.ocr_utils.model_dla34": ["torch", "math", "os", "numpy"], "modelscope.pipelines.cv.ocr_utils.resnet_utils": ["collections", "tf_slim", "tensorflow"], "modelscope.pipelines.cv.ocr_utils.model_convnext_transformer": ["torch"], "modelscope.pipelines.cv.ocr_utils.model_resnet_mutex_v4_linewithchar": ["tf_slim", "tensorflow"], "modelscope.pipelines.cv.ocr_utils.resnet18_v1": ["tf_slim", "tensorflow"], "modelscope.pipelines.cv.ocr_utils.ocr_modules.vitstr": ["torch", "functools", "logging", "__future__", "copy"], "modelscope.pipelines.cv.ocr_utils.ocr_modules.timm_tinyc": ["torch", "functools", "collections", "math", "logging", "itertools", "copy"], "modelscope.pipelines.cv.ocr_utils.ocr_modules.convnext": ["torch"], "modelscope.pipelines.cv.human3d_render_pipeline": ["typing", "torch", "nvdiffrast", "tqdm", "os", "io", "cv2", "numpy"], "modelscope.pipelines.cv.image_to_image_generate_pipeline": ["typing", "torch", "torchvision", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.human_reconstruction_pipeline": ["typing", "torch", "trimesh", "os", "shutil", "numpy"], "modelscope.pipelines.cv.video_inpainting_pipeline": ["typing"], "modelscope.pipelines.cv.ddcolor_image_colorization_pipeline": ["typing", "torch", "torchvision", "cv2", "numpy"], "modelscope.pipelines.cv.face_liveness_xc_pipeline": ["typing", "torch", "os", "onnxruntime", "PIL", "cv2", "numpy"], "modelscope.pipelines.cv.image_matting_pipeline": ["typing", "tensorflow", "os", "cv2", "numpy"], "modelscope.pipelines.multi_modal.text_to_image_freeu_pipeline": ["typing", "torch", "os", "numpy"], "modelscope.pipelines.multi_modal.ocr_recognition_pipeline": ["typing", "torch"], "modelscope.pipelines.multi_modal.image_to_video_pipeline": ["tempfile", "torch", "typing", "subprocess", "os", "cv2", "einops"], "modelscope.pipelines.multi_modal.diffusers_wrapped.vaehook": ["torch", "math", "gc", "time", "tqdm"], "modelscope.pipelines.multi_modal.diffusers_wrapped.devices": ["contextlib", "sys", "modules", "torch"], "modelscope.pipelines.multi_modal.diffusers_wrapped.stable_diffusion.stable_diffusion_pipeline": ["typing", "torch", "diffusers", "torchvision", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.multi_modal.diffusers_wrapped.stable_diffusion.chinese_stable_diffusion_pipeline": ["typing", "torch", "diffusers", "transformers", "PIL", "cv2", "numpy"], "modelscope.pipelines.multi_modal.diffusers_wrapped.diffusers_pipeline": ["typing", "os"], "modelscope.pipelines.multi_modal.diffusers_wrapped.pasd_pipeline": ["typing", "torch", "diffusers", "transformers", "torchvision", "os", "inspect", "warnings", "PIL", "numpy"], "modelscope.pipelines.multi_modal.team_multi_modal_similarity_pipeline": ["typing"], "modelscope.pipelines.multi_modal.asr_pipeline": ["typing", "torch"], "modelscope.pipelines.multi_modal.video_multi_modal_embedding_pipeline": ["typing"], "modelscope.pipelines.multi_modal.document_vl_embedding_pipeline": ["typing", "torch"], "modelscope.pipelines.multi_modal.video_question_answering_pipeline": ["typing", "torch"], "modelscope.pipelines.multi_modal.multimodal_dialogue_pipeline": ["typing", "torch"], "modelscope.pipelines.multi_modal.text_to_video_synthesis_pipeline": ["tempfile", "torch", "typing", "torchvision", "os", "cv2", "einops"], "modelscope.pipelines.multi_modal.disco_guided_diffusion_pipeline.disco_guided_diffusion": ["torch", "math", "gc", "json", "clip", "torchvision", "os", "importlib", "PIL", "cv2", "numpy"], "modelscope.pipelines.multi_modal.disco_guided_diffusion_pipeline.utils": ["torch", "fractions", "math", "warnings", "numpy"], "modelscope.pipelines.multi_modal.sudoku_pipeline": ["typing", "torch"], "modelscope.pipelines.multi_modal.videocomposer_pipeline": ["tempfile", "random", "torch", "typing", "mvextractor", "imageio", "subprocess", "time", "functools", "torchvision", "os", "PIL", "cv2", "numpy"], "modelscope.pipelines.multi_modal.generative_multi_modal_embedding_pipeline": ["typing"], "modelscope.pipelines.multi_modal.video_captioning_pipeline": ["typing", "torch"], "modelscope.pipelines.multi_modal.image_captioning_pipeline": ["typing", "torch", "numpy"], "modelscope.pipelines.multi_modal.video_to_video_pipeline": ["tempfile", "torch", "typing", "subprocess", "os", "cv2", "einops"], "modelscope.pipelines.multi_modal.visual_question_answering_pipeline": ["typing", "torch"], "modelscope.pipelines.multi_modal.soonet_video_temporal_grounding_pipeline": ["typing", "torch", "torchvision", "os", "numpy"], "modelscope.pipelines.multi_modal.image_text_retrieval_pipeline": ["typing", "torch"], "modelscope.pipelines.multi_modal.visual_grounding_pipeline": ["typing", "torch"], "modelscope.pipelines.multi_modal.text2sql_pipeline": ["typing", "torch"], "modelscope.pipelines.multi_modal.gridvlp_pipeline": ["typing", "torch", "json", "time", "transformers", "os", "PIL", "traceback", "numpy"], "modelscope.pipelines.multi_modal.mgeo_ranking_pipeline": ["typing", "torch", "numpy"], "modelscope.pipelines.multi_modal.prost_text_video_retrieval_pipeline": ["typing"], "modelscope.pipelines.multi_modal.visual_entailment_pipeline": ["typing", "torch"], "modelscope.pipelines.multi_modal.cone2_pipeline.cones2_inference_pipeline": ["typing", "torch", "math", "diffusers", "tqdm", "PIL", "cv2", "numpy"], "modelscope.pipelines.multi_modal.efficient_diffusion_tuning_pipeline": ["typing", "torch", "torchvision", "PIL", "cv2", "numpy"], "modelscope.pipelines.multi_modal.text_to_image_synthesis_pipeline": ["typing", "torch"], "modelscope.pipelines.multi_modal.multi_modal_embedding_pipeline": ["typing"], "modelscope.pipelines.nlp.token_classification_pipeline": ["typing", "torch", "math", "numpy"], "modelscope.pipelines.nlp.dialog_state_tracking_pipeline": ["typing"], "modelscope.pipelines.nlp.fill_mask_pipeline": ["typing", "numpy"], "modelscope.pipelines.nlp.text_generation_pipeline": ["typing", "torch", "transformers", "os"], "modelscope.pipelines.nlp.user_satisfaction_estimation_pipeline": ["typing", "torch", "numpy"], "modelscope.pipelines.nlp.llm_pipeline": ["typing", "torch", "json", "contextlib", "transformers", "os", "threading", "numpy"], "modelscope.pipelines.nlp.translation_quality_estimation_pipeline": ["typing", "torch", "transformers", "io", "os"], "modelscope.pipelines.nlp.glm130b_text_generation_pipeline": ["typing"], "modelscope.pipelines.nlp.translation_pipeline": ["typing", "jieba", "tensorflow", "subword_nmt", "os", "sacremoses", "numpy"], "modelscope.pipelines.nlp.word_segmentation_pipeline": ["typing", "torch"], "modelscope.pipelines.nlp.information_extraction_pipeline": ["typing", "torch"], "modelscope.pipelines.nlp.distributed_gpt3_pipeline": ["typing", "torch"], "modelscope.pipelines.nlp.word_alignment_pipeline": ["typing", "numpy"], "modelscope.pipelines.nlp.named_entity_recognition_pipeline": ["typing"], "modelscope.pipelines.nlp.dialog_intent_prediction_pipeline": ["typing"], "modelscope.pipelines.nlp.fid_dialogue_pipeline": ["typing", "torch", "re"], "modelscope.pipelines.nlp.document_grounded_dialog_retrieval_pipeline": ["typing", "json", "os", "faiss", "numpy"], "modelscope.pipelines.nlp.codegeex_code_generation_pipeline": ["typing"], "modelscope.pipelines.nlp.canmt_translation_pipeline": ["typing", "torch", "sacremoses", "os"], "modelscope.pipelines.nlp.text_error_correction_pipeline": ["typing", "torch"], "modelscope.pipelines.nlp.codegeex_code_translation_pipeline": ["typing"], "modelscope.pipelines.nlp.siamese_uie_pipeline": ["typing", "torch", "pathlib", "math", "json", "time", "tqdm", "os", "logging", "copy", "scipy"], "modelscope.pipelines.nlp.dialog_modeling_pipeline": ["typing"], "modelscope.pipelines.nlp.zero_shot_classification_pipeline": ["typing", "torch", "scipy"], "modelscope.pipelines.nlp.automatic_post_editing_pipeline": ["typing", "html", "jieba", "tensorflow", "sentencepiece", "os", "sacremoses", "numpy"], "modelscope.pipelines.nlp.conversational_text_to_sql_pipeline": ["typing", "torch", "text2sql_lgesql"], "modelscope.pipelines.nlp.machine_reading_comprehension_pipeline": ["typing", "torch"], "modelscope.pipelines.nlp.faq_question_answering_pipeline": ["typing"], "modelscope.pipelines.nlp.fasttext_text_classification_pipeline": ["typing", "fasttext", "sentencepiece", "os", "numpy"], "modelscope.pipelines.nlp.polylm_text_generation_pipeline": ["typing", "torch", "os"], "modelscope.pipelines.nlp.translation_evaluation_pipeline": ["typing", "torch", "enum", "os", "numpy"], "modelscope.pipelines.nlp.extractive_summarization_pipeline": ["typing", "torch", "re", "datasets", "numpy"], "modelscope.pipelines.nlp.distributed_plug_pipeline": ["typing", "torch"], "modelscope.pipelines.nlp.interactive_translation_pipeline": ["typing", "jieba", "tensorflow", "subword_nmt", "os", "sacremoses", "numpy"], "modelscope.pipelines.nlp.table_question_answering_pipeline": ["typing", "torch", "json", "transformers", "os"], "modelscope.pipelines.nlp.document_grounded_dialog_generate_pipeline": ["typing"], "modelscope.pipelines.nlp.mglm_text_summarization_pipeline": ["typing", "os"], "modelscope.pipelines.nlp.distributed_gpt_moe_pipeline": ["typing", "torch"], "modelscope.pipelines.nlp.document_segmentation_pipeline": ["typing", "torch", "re", "datasets", "numpy"], "modelscope.pipelines.nlp.language_identification_pipline": ["typing", "re", "tensorflow", "os", "numpy"], "modelscope.pipelines.nlp.feature_extraction_pipeline": ["typing", "torch", "os"], "modelscope.pipelines.nlp.summarization_pipeline": ["typing", "torch"], "modelscope.pipelines.nlp.text_classification_pipeline": ["typing", "torch", "numpy"], "modelscope.pipelines.nlp.sentence_embedding_pipeline": ["typing", "torch", "numpy"], "modelscope.pipelines.nlp.document_grounded_dialog_rerank_pipeline": ["typing", "random", "pprint", "torch", "collections", "re", "time", "transformers", "os", "ujson", "sys", "numpy"], "modelscope.pipelines.nlp.text_ranking_pipeline": ["typing", "numpy"], "modelscope.pipelines.audio.speaker_change_locating_pipeline": ["typing", "torch", "soundfile", "torchaudio", "io", "numpy"], "modelscope.pipelines.audio.segmentation_clustering_pipeline": ["typing", "torch", "soundfile", "torchaudio", "ast", "io", "numpy"], "modelscope.pipelines.audio.text_to_speech_pipeline": ["typing", "numpy"], "modelscope.pipelines.audio.speaker_verification_eres2net_pipeline": ["typing", "torch", "soundfile", "torchaudio", "os", "io", "numpy"], "modelscope.pipelines.audio.inverse_text_processing_pipeline": ["typing", "yaml", "os", "shutil"], "modelscope.pipelines.audio.ans_pipeline": ["typing", "torch", "soundfile", "librosa", "io", "numpy"], "modelscope.pipelines.audio.audio_quantization_pipeline": ["typing", "yaml", "os", "shutil", "numpy"], "modelscope.pipelines.audio.speaker_verification_resnet_pipeline": ["typing", "torch", "soundfile", "torchaudio", "os", "io", "numpy"], "modelscope.pipelines.audio.kws_kwsbp_pipeline": ["json", "typing", "os"], "modelscope.pipelines.audio.speaker_verification_rdino_pipeline": ["typing", "torch", "soundfile", "io"], "modelscope.pipelines.audio.language_recognition_pipeline": ["typing", "torch", "soundfile", "torchaudio", "os", "io", "numpy"], "modelscope.pipelines.audio.language_recognition_eres2net_pipeline": ["typing", "torch", "soundfile", "torchaudio", "os", "io", "numpy"], "modelscope.pipelines.audio.speaker_diarization_semantic_speaker_turn_detection_pipeline": ["typing", "torch", "numpy"], "modelscope.pipelines.audio.speaker_verification_light_pipeline": ["typing", "torch", "soundfile", "torchaudio", "os", "io", "numpy"], "modelscope.pipelines.audio.speaker_verification_res2net_pipeline": ["typing", "torch", "soundfile", "torchaudio", "os", "io", "numpy"], "modelscope.pipelines.audio.ans_dfsmn_pipeline": ["typing", "torch", "collections", "soundfile", "librosa", "os", "io", "sys", "numpy"], "modelscope.pipelines.audio.speaker_verification_tdnn_pipeline": ["typing", "torch", "soundfile", "torchaudio", "os", "io", "numpy"], "modelscope.pipelines.audio.speaker_diarization_dialogue_detection_pipeline": ["typing", "numpy"], "modelscope.pipelines.audio.speaker_verification_sdpn_pipeline": ["typing", "torch", "soundfile", "io"], "modelscope.pipelines.audio.linear_aec_pipeline": ["typing", "torch", "yaml", "os", "importlib", "scipy", "numpy"], "modelscope.pipelines.audio.speech_separation_pipeline": ["typing", "funasr", "json", "yaml", "os"], "modelscope.pipelines.audio.funasr_pipeline": ["typing", "yaml", "os", "json"], "modelscope.pipelines.audio.speaker_verification_eres2netv2_pipeline": ["typing", "torch", "soundfile", "torchaudio", "os", "io", "numpy"], "modelscope.pipelines.audio.codec_based_synthesis_pipeline": ["typing", "numpy", "os", "json"], "modelscope.pipelines.audio.asr_wenet_inference_pipeline": ["typing"], "modelscope.pipelines.audio.kws_farfield_pipeline": ["wave", "typing", "soundfile", "io", "numpy"], "modelscope.pipelines.audio.separation_pipeline": ["typing", "torch", "soundfile", "io", "numpy"], "modelscope.preprocessors.builder": [], "modelscope.preprocessors.video": ["tempfile", "random", "torch", "math", "decord", "uuid", "torchvision", "os", "urllib", "numpy"], "modelscope.preprocessors.multi_modal": ["typing", "torch", "re", "decord", "json", "timm", "torchvision", "os", "io", "PIL", "numpy"], "modelscope.preprocessors.audio": ["typing", "torch", "io", "os", "scipy", "numpy"], "modelscope.preprocessors.base": ["typing", "abc", "os"], "modelscope.preprocessors.speaker": ["typing", "torch"], "modelscope.preprocessors.science.uni_fold": ["torch", "unittest", "time", "tqdm", "numpy", "requests", "tarfile", "pathlib", "typing", "random", "re", "json", "pickle", "ipdb", "os", "logging", "gzip", "hashlib"], "modelscope.preprocessors.kws": ["typing", "yaml", "os"], "modelscope.preprocessors.cv.bad_image_detecting_preprocessor": ["typing", "torch", "math", "torchvision", "PIL", "numpy"], "modelscope.preprocessors.cv.action_detection_mapper": ["random", "torch", "detectron2", "decord", "copy", "scipy", "numpy"], "modelscope.preprocessors.cv.util": ["sys", "collections", "os", "shutil"], "modelscope.preprocessors.cv.image_restoration_preprocessor": ["typing", "torch", "math", "torchvision", "PIL", "numpy"], "modelscope.preprocessors.cv.video_stabilization": ["torch", "cv2", "numpy"], "modelscope.preprocessors.cv.controllable_image_generation": ["typing", "torch", "math", "torchvision", "os", "PIL", "cv2", "numpy"], "modelscope.preprocessors.cv.image_quality_assessment_mos": ["typing", "math", "torchvision", "cv2", "numpy"], "modelscope.preprocessors.cv.cv2_transforms": ["random", "torch", "collections", "math", "numbers", "cv2", "numpy"], "modelscope.preprocessors.cv.image_quality_assessment_man": ["typing", "torch", "math", "torchvision", "PIL", "numpy"], "modelscope.preprocessors.cv.image_classification_preprocessor": ["typing", "torch", "torchvision", "os", "PIL", "cv2", "numpy"], "modelscope.preprocessors.cv.timer": ["time"], "modelscope.preprocessors.cv.video_super_resolution": ["collections", "cv2", "os"], "modelscope.preprocessors.cv.mmcls_preprocessor": ["typing", "os", "numpy"], "modelscope.preprocessors.nlp.document_segmentation_preprocessor": ["typing"], "modelscope.preprocessors.nlp.text_clean": ["sys", "codecs", "re"], "modelscope.preprocessors.nlp.transformers_tokenizer": ["json", "transformers", "collections", "os"], "modelscope.preprocessors.nlp.fill_mask_preprocessor": ["typing", "torch", "re", "abc", "os", "numpy"], "modelscope.preprocessors.nlp.space_T_cn.fields.database": ["json", "sqlite3", "tqdm"], "modelscope.preprocessors.nlp.space_T_cn.fields.struct": [], "modelscope.preprocessors.nlp.space_T_cn.fields.schema_link": ["re"], "modelscope.preprocessors.nlp.space_T_cn.table_question_answering_preprocessor": ["typing", "torch", "transformers", "os"], "modelscope.preprocessors.nlp.word_alignment_preprocessor": ["typing", "torch", "itertools", "os", "numpy"], "modelscope.preprocessors.nlp.feature_extraction_preprocessor": ["typing", "numpy"], "modelscope.preprocessors.nlp.utils": ["typing", "collections", "json", "transformers", "os", "numpy"], "modelscope.preprocessors.nlp.siamese_uie_preprocessor": ["typing", "transformers"], "modelscope.preprocessors.nlp.translation_evaluation_preprocessor": ["typing", "torch", "transformers"], "modelscope.preprocessors.nlp.text_error_correction": ["typing", "torch", "transformers", "os"], "modelscope.preprocessors.nlp.bert_seq_cls_tokenizer": ["typing", "transformers"], "modelscope.preprocessors.nlp.space.dialog_modeling_preprocessor": ["typing", "os"], "modelscope.preprocessors.nlp.space.dialog_state_tracking_preprocessor": ["typing"], "modelscope.preprocessors.nlp.space.data_loader": ["math", "os", "numpy"], "modelscope.preprocessors.nlp.space.preprocess": ["glob", "os"], "modelscope.preprocessors.nlp.space.batch": [], "modelscope.preprocessors.nlp.space.fields.gen_field": ["random", "collections", "itertools", "json", "os", "asyncio", "numpy"], "modelscope.preprocessors.nlp.space.fields.intent_field": ["multiprocessing", "glob", "random", "collections", "re", "itertools", "json", "time", "tqdm", "os", "numpy"], "modelscope.preprocessors.nlp.space.sampler": ["numpy"], "modelscope.preprocessors.nlp.space.args": ["json", "argparse"], "modelscope.preprocessors.nlp.space.tensorlistdataset": ["torch"], "modelscope.preprocessors.nlp.space.dialog_intent_prediction_preprocessor": ["json", "typing", "os"], "modelscope.preprocessors.nlp.space.dst_processors": ["tqdm", "six", "re", "logging", "json", "numpy"], "modelscope.preprocessors.nlp.space.tokenizer": ["collections", "json", "regex", "functools", "os", "logging", "__future__", "sys", "unicodedata"], "modelscope.preprocessors.nlp.space.lazy_dataset": ["json"], "modelscope.preprocessors.nlp.sentence_embedding_preprocessor": ["typing", "torch"], "modelscope.preprocessors.nlp.token_classification_thai_preprocessor": ["typing"], "modelscope.preprocessors.nlp.text_ranking_preprocessor": ["typing", "transformers"], "modelscope.preprocessors.nlp.document_grounded_dialog_rerank_preprocessor": ["typing", "torch", "transformers", "os", "copy"], "modelscope.preprocessors.nlp.document_grounded_dialog_generate_preprocessor": ["typing", "torch", "transformers", "os"], "modelscope.preprocessors.nlp.text_generation_preprocessor": ["typing", "torch", "os", "numpy"], "modelscope.preprocessors.nlp.text_classification_preprocessor": ["typing", "numpy"], "modelscope.preprocessors.nlp.relation_extraction_preprocessor": ["typing", "transformers"], "modelscope.preprocessors.nlp.space_T_en.fields.common_utils": ["text2sql_lgesql", "itertools", "sqlite3", "os", "nltk", "numpy"], "modelscope.preprocessors.nlp.space_T_en.fields.process_dataset": ["sys", "pickle", "os", "text2sql_lgesql"], "modelscope.preprocessors.nlp.space_T_en.fields.parse": [], "modelscope.preprocessors.nlp.space_T_en.fields.preprocess_dataset": ["text2sql_lgesql"], "modelscope.preprocessors.nlp.space_T_en.conversational_text_to_sql_preprocessor": ["typing", "torch", "text2sql_lgesql", "json", "os"], "modelscope.preprocessors.nlp.mgeo_ranking_preprocessor": ["typing", "torch", "transformers"], "modelscope.preprocessors.nlp.document_grounded_dialog_retrieval_preprocessor": ["typing", "torch", "transformers", "os"], "modelscope.preprocessors.nlp.faq_question_answering_preprocessor": ["typing", "torch"], "modelscope.preprocessors.nlp.mglm_summarization_preprocessor": ["typing", "os", "re"], "modelscope.preprocessors.nlp.zero_shot_classification_preprocessor": ["typing"], "modelscope.preprocessors.nlp.machine_reading_comprehension_preprocessor": ["transformers", "torch", "os"], "modelscope.preprocessors.nlp.token_classification_viet_preprocessor": ["typing", "torch"], "modelscope.preprocessors.nlp.token_classification_preprocessor": ["typing", "torch", "numpy"], "modelscope.preprocessors.nlp.dialog_classification_use_preprocessor": ["typing", "torch", "transformers"], "modelscope.preprocessors.nlp.canmt_translation": ["typing", "torch", "jieba", "subword_nmt", "os", "sacremoses"], "modelscope.preprocessors.tts": ["typing", "os", "kantts"], "modelscope.preprocessors.templates.template": ["typing", "torch", "re", "json", "transformers", "functools", "os", "packaging"], "modelscope.preprocessors.templates.base": ["typing", "torch", "re", "json", "transformers", "copy"], "modelscope.preprocessors.templates.utils": ["typing", "torch", "math", "collections", "re", "requests", "base64", "os", "io", "copy", "packaging", "hashlib", "numpy"], "modelscope.preprocessors.templates.tools_prompt": ["typing"], "modelscope.preprocessors.templates.loader": ["dataclasses", "typing", "re", "requests"], "modelscope.preprocessors.templates.loss_scale": ["json", "typing", "os"], "modelscope.preprocessors.asr": ["typing", "os"], "modelscope.preprocessors.movie_scene_segmentation.transforms": ["typing", "random", "torch", "numbers", "torchvision", "os", "PIL", "numpy"], "modelscope.preprocessors.ofa.ocr_recognition": ["typing", "torch", "torchvision", "zhconv", "unicodedata2"], "modelscope.preprocessors.ofa.text_classification": ["typing", "torch"], "modelscope.preprocessors.ofa.visual_question_answering": ["typing", "torch", "PIL", "torchvision"], "modelscope.preprocessors.ofa.visual_grounding": ["typing", "torch", "torchvision", "PIL", "numpy"], "modelscope.preprocessors.ofa.base": ["torch", "re", "json", "torchaudio", "string", "os", "io", "PIL", "numpy"], "modelscope.preprocessors.ofa.sudoku": ["typing", "torch", "numpy"], "modelscope.preprocessors.ofa.image_captioning": ["typing", "torch", "torchvision"], "modelscope.preprocessors.ofa.image_classification": ["typing", "torch", "timm", "functools", "torchvision", "PIL"], "modelscope.preprocessors.ofa.summarization": ["typing", "torch"], "modelscope.preprocessors.ofa.visual_entailment": ["typing", "torch", "PIL", "torchvision"], "modelscope.preprocessors.ofa.text_to_image_synthesis": ["typing", "torch"], "modelscope.preprocessors.ofa.utils.transforms": ["random", "torch", "torchvision", "PIL", "numpy"], "modelscope.preprocessors.ofa.utils.get_tables": ["sqlite3", "traceback", "sys"], "modelscope.preprocessors.ofa.utils.collate": ["typing", "torch", "numpy"], "modelscope.preprocessors.ofa.utils.random_help": ["torch", "torch_xla"], "modelscope.preprocessors.ofa.utils.constant": [], "modelscope.preprocessors.ofa.utils.text2phone": [], "modelscope.preprocessors.ofa.utils.audio_helper": ["typing", "torch", "numpy"], "modelscope.preprocessors.ofa.utils.vision_helper": ["cv2", "numpy"], "modelscope.preprocessors.ofa.utils.bridge_content_encoder": ["typing", "sqlite3", "functools", "difflib", "rapidfuzz"], "modelscope.preprocessors.ofa.text2sql": ["typing", "random", "torch", "re", "os"], "modelscope.preprocessors.ofa.asr": ["typing", "random", "pathlib", "soundfile", "torch", "fairseq", "librosa", "os"], "modelscope.preprocessors.common": ["typing", "torch", "collections", "time", "numpy"], "modelscope.preprocessors.image": ["typing", "io", "PIL", "cv2", "numpy"], "modelscope.trainers.builder": [], "modelscope.trainers.base": ["typing", "abc", "time", "os"], "modelscope.trainers.training_args": ["dataclasses", "typing", "addict", "re", "json", "copy"], "modelscope.trainers.nlp_trainer": ["typing", "torch", "os", "numpy"], "modelscope.trainers.optimizer.builder": ["typing", "torch", "inspect"], "modelscope.trainers.optimizer.child_tuning_adamw_optimizer": ["typing", "torch", "math", "numpy"], "modelscope.trainers.trainer": ["typing", "torch", "collections", "json", "functools", "os", "inspect", "copy", "distutils"], "modelscope.trainers.lrscheduler.builder": ["torch", "inspect", "packaging"], "modelscope.trainers.lrscheduler.warmup.base": ["torch"], "modelscope.trainers.lrscheduler.warmup.warmup": [], "modelscope.trainers.cv.image_classifition_trainer": ["typing", "torch", "time", "os", "copy", "numpy"], "modelscope.trainers.cv.card_detection_scrfd_trainer": [], "modelscope.trainers.cv.action_detection_trainer": ["typing", "torch", "detectron2", "os", "fvcore"], "modelscope.trainers.cv.face_detection_scrfd_trainer": ["typing", "time", "copy", "os"], "modelscope.trainers.cv.referring_video_object_segmentation_trainer": ["torch", "os"], "modelscope.trainers.cv.image_portrait_enhancement_trainer": ["torch", "collections"], "modelscope.trainers.cv.movie_scene_segmentation_trainer": [], "modelscope.trainers.cv.image_defrcn_fewshot_detection_trainer": ["typing", "torch", "detectron2", "collections", "os"], "modelscope.trainers.cv.vision_efficient_tuning_trainer": ["typing", "torch"], "modelscope.trainers.cv.image_detection_damoyolo_trainer": ["typing", "torch", "easydict", "math", "time", "datetime", "os"], "modelscope.trainers.cv.ocr_detection_db_trainer": ["typing", "torch", "easydict", "math", "time", "tqdm", "datetime", "os", "copy", "numpy"], "modelscope.trainers.cv.image_inpainting_trainer": ["time", "torch", "collections"], "modelscope.trainers.cv.ocr_recognition_trainer": ["time", "torch", "collections"], "modelscope.trainers.cv.cartoon_translation_trainer": ["typing", "tensorflow", "tqdm", "os", "packaging", "numpy"], "modelscope.trainers.cv.nerf_recon_acc_trainer": ["typing", "glob", "random", "torch", "time", "tqdm", "datetime", "os", "cv2", "numpy"], "modelscope.trainers.cv.image_instance_segmentation_trainer": [], "modelscope.trainers.multi_modal.efficient_diffusion_tuning.efficient_diffusion_tuning_trainer": ["typing", "torch"], "modelscope.trainers.multi_modal.lora_diffusion.lora_diffusion_trainer": ["typing", "torch", "diffusers"], "modelscope.trainers.multi_modal.cones2.cones_trainer": ["torch", "pathlib", "diffusers", "torchvision", "PIL"], "modelscope.trainers.multi_modal.lora_diffusion_xl.lora_diffusion_xl_trainer": ["typing", "torch", "diffusers"], "modelscope.trainers.multi_modal.custom_diffusion.custom_diffusion_trainer": ["typing", "random", "torch", "pathlib", "diffusers", "itertools", "json", "PIL", "tqdm", "torchvision", "os", "warnings", "hashlib", "numpy"], "modelscope.trainers.multi_modal.mgeo_ranking_trainer": ["dataclasses", "torch", "typing"], "modelscope.trainers.multi_modal.dreambooth_diffusion.dreambooth_diffusion_trainer": ["typing", "torch", "pathlib", "collections", "diffusers", "itertools", "PIL", "tqdm", "torchvision", "shutil", "hashlib", "warnings"], "modelscope.trainers.multi_modal.stable_diffusion.stable_diffusion_trainer": ["typing", "torch", "os"], "modelscope.trainers.multi_modal.clip.clip_trainer": ["typing", "torch", "math", "os"], "modelscope.trainers.multi_modal.clip.clip_trainer_utils": ["torch", "math", "functools", "os", "inspect"], "modelscope.trainers.multi_modal.mplug.mplug_trainer": ["typing", "torch", "collections"], "modelscope.trainers.multi_modal.team.team_trainer_utils": ["torch", "PIL", "torchvision"], "modelscope.trainers.multi_modal.team.team_trainer": ["typing", "torch", "collections", "os", "sklearn", "numpy"], "modelscope.trainers.multi_modal.ofa.ofa_trainer": ["tempfile", "torch", "typing", "math", "json", "functools", "os", "shutil"], "modelscope.trainers.multi_modal.ofa.ofa_trainer_utils": ["transformers", "torch", "math", "os", "shutil", "numpy"], "modelscope.trainers.nlp.siamese_uie_trainer": ["typing", "random", "torch", "collections", "math", "json", "time", "os", "numpy"], "modelscope.trainers.nlp.csanmt_translation_trainer": ["typing", "time", "os", "tensorflow"], "modelscope.trainers.nlp.text_generation_trainer": ["typing", "torch"], "modelscope.trainers.nlp.sequence_classification_trainer": ["time", "typing", "numpy"], "modelscope.trainers.nlp.document_grounded_dialog_retrieval_trainer": ["torch", "json", "transformers", "tqdm", "os", "faiss", "numpy"], "modelscope.trainers.nlp.space.metrics.metrics_tracker": ["math", "collections"], "modelscope.trainers.nlp.space.dialog_intent_trainer": ["typing", "os", "numpy"], "modelscope.trainers.nlp.space.trainer.gen_trainer": ["torch", "collections", "json", "time", "tqdm", "transformers", "os", "numpy"], "modelscope.trainers.nlp.space.trainer.intent_trainer": ["torch", "collections", "json", "time", "tqdm", "transformers", "os", "numpy"], "modelscope.trainers.nlp.space.eval": ["math", "collections", "json", "nltk", "sklearn", "numpy"], "modelscope.trainers.nlp.space.dialog_modeling_trainer": ["typing", "time", "os", "numpy"], "modelscope.trainers.nlp.document_grounded_dialog_generate_trainer": ["torch", "sacrebleu", "collections", "re", "json", "string", "tqdm", "transformers", "os", "rouge"], "modelscope.trainers.nlp.table_question_answering_trainer": ["typing", "torch", "json", "time", "tqdm", "os", "numpy"], "modelscope.trainers.nlp.plug_trainer": ["typing", "torch", "megatron_util", "deepspeed", "os"], "modelscope.trainers.nlp.gpt_moe_trainer": ["typing", "torch", "collections", "megatron_util", "os"], "modelscope.trainers.nlp.sentence_embedding_trainer": ["typing", "torch", "dataclasses", "time", "tqdm", "transformers", "numpy"], "modelscope.trainers.nlp.faq_question_answering_trainer": ["dataclasses", "torch", "typing", "collections", "contextlib", "functools", "distutils", "numpy"], "modelscope.trainers.nlp.gpt3_trainer": ["typing", "torch", "copy", "os"], "modelscope.trainers.nlp.text_ranking_trainer": ["typing", "torch", "dataclasses", "time", "tqdm", "numpy"], "modelscope.trainers.nlp.document_grounded_dialog_rerank_trainer": ["typing", "random", "torch", "time", "transformers", "os", "numpy"], "modelscope.trainers.nlp.translation_evaluation_trainer": ["typing", "random", "torch", "math", "transformers", "tqdm", "os", "pandas"], "modelscope.trainers.utils.inference": ["torch", "collections", "pickle", "tqdm", "os", "logging", "shutil"], "modelscope.trainers.utils.log_buffer": ["collections", "numpy"], "modelscope.trainers.parallel.builder": ["torch"], "modelscope.trainers.parallel.utils": [], "modelscope.trainers.audio.asr_trainer": ["tempfile", "typing", "funasr", "json", "os", "shutil"], "modelscope.trainers.audio.ans_trainer": [], "modelscope.trainers.audio.kws_farfield_trainer": ["typing", "glob", "torch", "math", "pickle", "datetime", "os", "numpy"], "modelscope.trainers.audio.kws_utils.model_utils": ["glob", "torch", "re", "yaml", "os", "shutil", "numpy"], "modelscope.trainers.audio.kws_utils.det_utils": ["glob", "torch", "json", "matplotlib", "kaldiio", "os", "threading", "numpy"], "modelscope.trainers.audio.kws_utils.file_utils": ["re"], "modelscope.trainers.audio.kws_utils.batch_utils": ["typing", "torch", "math", "collections", "datetime", "os", "sys", "numpy"], "modelscope.trainers.audio.kws_utils.runtime_utils": ["collections", "re", "json", "stat", "codecs", "os", "shutil", "sys"], "modelscope.trainers.audio.separation_trainer": ["csv", "torch", "speechbrain", "typing", "torchaudio", "tqdm", "os", "numpy"], "modelscope.trainers.audio.kws_nearfield_trainer": ["typing", "torch", "re", "yaml", "datetime", "os", "copy", "tensorboardX"], "modelscope.trainers.audio.tts_trainer": ["tempfile", "typing", "json", "os", "zipfile", "shutil"], "modelscope.trainers.default_config": ["typing"], "modelscope.trainers.hooks.builder": [], "modelscope.trainers.hooks.clip_clamp_logit_scale_hook": ["torch"], "modelscope.trainers.hooks.iter_timer_hook": ["time"], "modelscope.trainers.hooks.evaluation_hook": ["typing", "collections"], "modelscope.trainers.hooks.lr_scheduler_hook": [], "modelscope.trainers.hooks.optimizer.torch_optimizer_hook": ["logging"], "modelscope.trainers.hooks.optimizer.base": ["torch", "logging"], "modelscope.trainers.hooks.optimizer.apex_optimizer_hook": ["torch", "packaging", "logging"], "modelscope.trainers.hooks.checkpoint.checkpoint_processor": ["re", "os", "shutil"], "modelscope.trainers.hooks.checkpoint.checkpoint_hook": ["typing", "random", "torch", "json", "os", "shutil", "numpy"], "modelscope.trainers.hooks.checkpoint.load_checkpoint_hook": ["typing", "random", "torch", "packaging", "numpy"], "modelscope.trainers.hooks.distributed.megatron_hook": ["torch", "megatron_util", "os", "shutil"], "modelscope.trainers.hooks.distributed.ddp_hook": [], "modelscope.trainers.hooks.distributed.deepspeed_hook": ["torch", "math", "megatron_util", "deepspeed", "transformers", "functools", "os", "shutil"], "modelscope.trainers.hooks.swift.swift_hook": ["os", "shutil"], "modelscope.trainers.hooks.compression.sparsity_hook": ["os"], "modelscope.trainers.hooks.compression.utils": ["torch"], "modelscope.trainers.hooks.early_stop_hook": ["numpy"], "modelscope.trainers.hooks.priority": ["enum", "typing"], "modelscope.trainers.hooks.hook": ["functools"], "modelscope.trainers.hooks.logger.base": ["numpy", "torch", "numbers", "abc"], "modelscope.trainers.hooks.logger.tensorboard_hook": ["torch", "os", "numpy"], "modelscope.trainers.hooks.logger.text_logger_hook": ["torch", "collections", "json", "datetime", "os"], "modelscope.trainers.cli_argument_parser": ["dataclasses", "argparse", "typing"], "modelscope.msdatasets.data_files.data_files_manager": ["typing", "datasets", "os"], "modelscope.msdatasets.context.dataset_context_config": ["typing"], "modelscope.msdatasets.ms_dataset": ["typing", "datasets", "os", "warnings", "numpy"], "modelscope.msdatasets.auth.auth_config": ["typing", "http"], "modelscope.msdatasets.meta.data_meta_config": [], "modelscope.msdatasets.meta.data_meta_manager": ["collections", "json", "datasets", "os", "shutil"], "modelscope.msdatasets.data_loader.data_loader": ["typing", "abc", "datasets", "os"], "modelscope.msdatasets.data_loader.data_loader_manager": ["enum", "abc", "datasets", "os"], "modelscope.msdatasets.download.download_manager": ["datasets"], "modelscope.msdatasets.download.dataset_builder": ["typing", "datasets", "pyarrow", "os", "pandas"], "modelscope.msdatasets.download.download_config": ["typing", "datasets"], "modelscope.msdatasets.utils.delete_utils": [], "modelscope.msdatasets.utils.hf_datasets_util": ["typing", "pathlib", "fsspec", "datasets", "huggingface_hub", "contextlib", "functools", "os", "warnings", "importlib", "packaging", "urllib", "requests"], "modelscope.msdatasets.utils.hf_file_utils": ["time", "contextlib", "tqdm", "filelock", "shutil", "warnings", "requests", "typing", "pathlib", "re", "json", "datasets", "functools", "os", "copy", "urllib"], "modelscope.msdatasets.utils.upload_utils": ["multiprocessing", "tqdm", "os"], "modelscope.msdatasets.utils.oss_utils": ["multiprocessing", "oss2", "datasets", "os", "__future__"], "modelscope.msdatasets.utils.maxcompute_utils": ["math", "pandas"], "modelscope.msdatasets.utils.dataset_utils": ["typing", "collections", "os", "pandas"], "modelscope.msdatasets.task_datasets.video_summarization_dataset": [], "modelscope.msdatasets.task_datasets.sidd_image_denoising": [], "modelscope.msdatasets.task_datasets.torch_base_dataset": [], "modelscope.msdatasets.task_datasets.reds_image_deblurring_dataset": [], "modelscope.msdatasets.task_datasets.gopro_image_deblurring_dataset": [], "modelscope.msdatasets.audio.asr_dataset": [], "modelscope.msdatasets.dataset_cls.custom_datasets.builder": [], "modelscope.msdatasets.dataset_cls.custom_datasets.damoyolo.datasets.coco": ["torch", "torchvision", "cv2", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.damoyolo.datasets.mosaic_wrapper": ["random", "torch", "math", "cv2", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.damoyolo.evaluation.coco.coco_eval": ["tempfile", "torch", "collections", "os"], "modelscope.msdatasets.dataset_cls.custom_datasets.damoyolo.build": ["copy", "torch", "math", "bisect"], "modelscope.msdatasets.dataset_cls.custom_datasets.damoyolo.samplers.grouped_batch_sampler": ["torch", "itertools"], "modelscope.msdatasets.dataset_cls.custom_datasets.damoyolo.samplers.distributed": ["torch", "math"], "modelscope.msdatasets.dataset_cls.custom_datasets.damoyolo.samplers.iteration_based_batch_sampler": ["torch"], "modelscope.msdatasets.dataset_cls.custom_datasets.damoyolo.collate_batch": [], "modelscope.msdatasets.dataset_cls.custom_datasets.damoyolo.transforms.transforms": ["random", "torch", "torchvision", "cv2", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.damoyolo.transforms.build": [], "modelscope.msdatasets.dataset_cls.custom_datasets.video_summarization_dataset": ["torch", "json", "h5py", "os", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_recognition_dataset": ["torch", "six", "json", "lmdb", "os", "PIL", "cv2", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.referring_video_object_segmentation.transformers": ["random", "PIL", "torchvision", "torch"], "modelscope.msdatasets.dataset_cls.custom_datasets.referring_video_object_segmentation.referring_video_object_segmentation_dataset": ["torch", "glob", "json", "h5py", "tqdm", "torchvision", "os", "pycocotools", "numpy", "pandas"], "modelscope.msdatasets.dataset_cls.custom_datasets.easycv_base": ["os"], "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_detection.data_loader": ["torch", "math", "bisect", "imgaug", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_detection.augmenter": ["imgaug"], "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_detection.processes.make_icdar_data": ["torch", "collections", "cv2", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_detection.processes.data_process": [], "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_detection.processes.make_seg_detection_data": ["cv2", "pyclipper", "shapely", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_detection.processes.normalize_image": ["torch", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_detection.processes.make_border_map": ["cv2", "pyclipper", "shapely", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_detection.processes.random_crop_data": ["cv2", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_detection.processes.augment_data": ["imgaug", "math", "cv2", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_detection.measures.quad_measurer": ["numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_detection.measures.iou_evaluator": ["collections", "shapely", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.ocr_detection.image_dataset": ["glob", "torch", "math", "bisect", "functools", "os", "logging", "cv2", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.image_inpainting.aug": ["imgaug", "albumentations"], "modelscope.msdatasets.dataset_cls.custom_datasets.image_inpainting.image_inpainting_dataset": ["glob", "albumentations", "enum", "os", "cv2", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.reds_image_deblurring_dataset": ["cv2", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.video_stabilization.video_stabilization_dataset": [], "modelscope.msdatasets.dataset_cls.custom_datasets.video_frame_interpolation.video_frame_interpolation_dataset": ["torch", "cv2", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.video_frame_interpolation.data_utils": ["torch", "cv2"], "modelscope.msdatasets.dataset_cls.custom_datasets.gopro_image_deblurring_dataset": ["cv2", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.language_guided_video_summarization_dataset": ["torch", "json", "h5py", "os", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.torch_custom_dataset": ["typing", "torch"], "modelscope.msdatasets.dataset_cls.custom_datasets.image_colorization.image_colorization_dataset": ["torch", "cv2", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.image_portrait_enhancement.image_portrait_enhancement_dataset": ["cv2", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.image_portrait_enhancement.data_utils": ["torch", "cv2"], "modelscope.msdatasets.dataset_cls.custom_datasets.veco_dataset": ["typing", "datasets", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.sidd_image_denoising.transforms": ["random"], "modelscope.msdatasets.dataset_cls.custom_datasets.sidd_image_denoising.data_utils": ["torch", "cv2"], "modelscope.msdatasets.dataset_cls.custom_datasets.sidd_image_denoising.sidd_image_denoising_dataset": ["cv2", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.image_quality_assmessment_mos.image_quality_assessment_mos_dataset": [], "modelscope.msdatasets.dataset_cls.custom_datasets.bad_image_detecting.bad_image_detecting_dataset": [], "modelscope.msdatasets.dataset_cls.custom_datasets.image_instance_segmentation_coco_dataset": ["numpy", "os", "pycocotools"], "modelscope.msdatasets.dataset_cls.custom_datasets.audio.asr_dataset": ["os"], "modelscope.msdatasets.dataset_cls.custom_datasets.audio.kws_farfield_dataset": ["torch", "math", "queue", "os", "threading", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.audio.kws_nearfield_processor": ["random", "torch", "json", "torchaudio", "kaldiio", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.audio.kws_nearfield_dataset": ["random", "torch"], "modelscope.msdatasets.dataset_cls.custom_datasets.mgeo_ranking_dataset": ["typing", "random", "torch", "json"], "modelscope.msdatasets.dataset_cls.custom_datasets.movie_scene_segmentation.movie_scene_segmentation_dataset": ["random", "torch", "json", "torchvision", "os", "copy"], "modelscope.msdatasets.dataset_cls.custom_datasets.movie_scene_segmentation.sampler": ["random", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.video_super_resolution.video_super_resolution_dataset": ["torch", "collections", "cv2", "numpy"], "modelscope.msdatasets.dataset_cls.custom_datasets.image_quality_assessment_degradation.image_quality_assessment_degradation_dataset": ["torchvision"], "modelscope.msdatasets.dataset_cls.custom_datasets.text_ranking_dataset": ["typing", "random", "torch"], "modelscope.msdatasets.dataset_cls.dataset": ["math", "itertools", "datasets", "tqdm", "os", "copy", "pandas"], "modelscope.exporters.builder": [], "modelscope.exporters.base": ["typing", "abc", "os"], "modelscope.exporters.tf_model_exporter": ["typing", "os", "tensorflow"], "modelscope.exporters.cv.object_detection_damoyolo_exporter": ["typing", "torch", "onnx", "functools", "os", "numpy"], "modelscope.exporters.cv.cartoon_translation_exporter": ["typing", "packaging", "os", "tensorflow"], "modelscope.exporters.cv.face_detection_scrfd_exporter": ["typing", "torch", "onnx", "functools", "os", "numpy"], "modelscope.exporters.cv.ocr_detection_db_exporter": ["typing", "torch", "onnx", "functools", "os", "numpy"], "modelscope.exporters.cv.ocr_recognition_exporter": ["typing", "torch", "onnx", "functools", "os", "numpy"], "modelscope.exporters.multi_modal.stable_diffusion_exporter": ["typing", "torch", "pathlib", "collections", "diffusers", "argparse", "onnx", "os", "shutil", "packaging"], "modelscope.exporters.nlp.sbert_for_zero_shot_classification_exporter": ["typing", "collections"], "modelscope.exporters.nlp.sbert_for_sequence_classification_exporter": ["typing", "torch", "collections"], "modelscope.exporters.nlp.model_for_token_classification_exporter": ["typing", "torch", "collections"], "modelscope.exporters.nlp.csanmt_for_translation_exporter": ["typing", "os", "tensorflow"], "modelscope.exporters.torch_model_exporter": ["typing", "torch", "itertools", "contextlib", "os"], "modelscope.exporters.audio.ans_dfsmn_exporter": ["torch", "os"]}, "version": "1.19.1", "md5": "981b0f987ff62a0e2a33fc233df2f7b4", "files_mtime": {"TEMPLATE_PATH/models/builder.py": 1729589057.7173066, "TEMPLATE_PATH/models/science/unifold/modules/embedders.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/modules/template.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/modules/structure_module.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/modules/evoformer.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/modules/confidence.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/modules/featurization.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/modules/frame.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/modules/alphafold.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/modules/attentions.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/modules/common.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/modules/triangle_multiplication.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/modules/auxillary_heads.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/config.py": 1729589057.8413079, "TEMPLATE_PATH/models/science/unifold/data/msa_pairing.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/data/utils.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/data/process_multimer.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/data/process.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/data/data_ops.py": 1729589057.8413079, "TEMPLATE_PATH/models/science/unifold/data/residue_constants.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/data/protein.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/model.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/dataset.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/msa/tools/hmmsearch.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/msa/tools/hmmbuild.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/msa/tools/utils.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/msa/tools/hhsearch.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/msa/tools/jackhmmer.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/msa/tools/kalign.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/msa/tools/hhblits.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/msa/templates.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/msa/utils.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/msa/msa_identifiers.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/msa/pipeline.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/msa/mmcif.py": 1729589057.845308, "TEMPLATE_PATH/models/science/unifold/msa/parsers.py": 1729589057.845308, "TEMPLATE_PATH/models/base/base_torch_head.py": 1729589057.7173066, "TEMPLATE_PATH/models/base/base_head.py": 1729589057.7173066, "TEMPLATE_PATH/models/base/base_torch_model.py": 1729589057.7173066, "TEMPLATE_PATH/models/base/base_model.py": 1729589057.7173066, "TEMPLATE_PATH/models/cv/body_3d_keypoints/hdformer/backbone.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/body_3d_keypoints/hdformer/block.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/body_3d_keypoints/hdformer/skeleton.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/body_3d_keypoints/hdformer/hdformer_detector.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/body_3d_keypoints/hdformer/hdformer.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/body_3d_keypoints/hdformer/directed_graph.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/body_3d_keypoints/canonical_pose/body_3d_pose.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/body_3d_keypoints/canonical_pose/canonical_pose_modules.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/video_summarization/pgl_sum.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/video_summarization/summarizer.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/video_summarization/kts/cpd_nonlin.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/video_summarization/kts/cpd_auto.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/video_summarization/base_model.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/controllable_image_generation/controlnet.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/annotator.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/openpose/body.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/openpose/util.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/openpose/model.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/openpose/hand.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/midas/midas/dpt_depth.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/midas/midas/transforms.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/midas/midas/vit.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/midas/midas/blocks.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/midas/midas/midas_net.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/midas/midas/midas_net_custom.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/midas/midas/base_model.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/midas/utils.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/midas/api.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/mlsd/mbv2_mlsd_large.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/controllable_image_generation/annotator/mlsd/utils.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/image_editing/masactrl_utils.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_editing/masactrl.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_super_resolution_pasd/transformer_2d.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_super_resolution_pasd/controlnet.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_super_resolution_pasd/attention.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_super_resolution_pasd/unet_2d_condition.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_super_resolution_pasd/misc.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_super_resolution_pasd/unet_2d_blocks.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/vision_efficient_tuning/backbone.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/vision_efficient_tuning/vision_efficient_tuning.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/vision_efficient_tuning/timm_weight_init.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/vision_efficient_tuning/petl.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/vision_efficient_tuning/timm_helpers.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/vision_efficient_tuning/model.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/vision_efficient_tuning/head.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/vision_efficient_tuning/timm_vision_transformer.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/image_paintbyexample/model.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/human_normal_estimation/networks/nnet.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/human_normal_estimation/networks/config.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/human_normal_estimation/networks/submodules.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/human_normal_estimation/human_nnet.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/surface_recon_common/surface_recon_common.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/surface_recon_common/renderer.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/surface_recon_common/utils.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/surface_recon_common/dataset.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/surface_recon_common/fields.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/robust_image_classification/easyrobust_model.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/abnormal_object_detection/mmdet_ms/roi_head/roi_extractors/single_level_roi_extractor.py": 1729589057.7173066, "TEMPLATE_PATH/models/cv/abnormal_object_detection/mmdet_ms/roi_head/mask_scoring_roi_head.py": 1729589057.7173066, "TEMPLATE_PATH/models/cv/abnormal_object_detection/mmdet_model.py": 1729589057.7173066, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation/depth_filter.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation/utils.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation/general_eval_dataset.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation/colmap2mvsnet.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation/casmvs_model.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation/cas_mvsnet.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation/module.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/text_to_head/text_to_head_model.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/image_depth_estimation_marigold/marigold_utils.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_depth_estimation_marigold/marigold.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/motion_generation/modules/mdm.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/motion_generation/modules/smpl.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/motion_generation/modules/rotation2xyz.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/motion_generation/modules/cfg_sampler.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/motion_generation/modules/gaussian_diffusion.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/motion_generation/modules/respace.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/motion_generation/model.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/table_recognition/modules/lore_detector.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/table_recognition/modules/lore_processor.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/table_recognition/lineless_table_process.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/table_recognition/model_lore.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/image_local_feature_matching/src/loftr/loftr.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_local_feature_matching/src/loftr/utils/coarse_matching.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_local_feature_matching/src/loftr/utils/fine_matching.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_local_feature_matching/src/loftr/utils/supervision.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_local_feature_matching/src/loftr/utils/position_encoding.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_local_feature_matching/src/loftr/utils/cvpr_ds_config.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_local_feature_matching/src/loftr/utils/geometry.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_local_feature_matching/src/loftr/backbone/resnet_fpn.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_local_feature_matching/src/loftr/loftr_module/transformer.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_local_feature_matching/src/loftr/loftr_module/linear_attention.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_local_feature_matching/src/loftr/loftr_module/fine_preprocess.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_local_feature_matching/src/utils/plotting.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_local_feature_matching/loftr_model.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation_geomvsnet/depth_filter.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation_geomvsnet/utils.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation_geomvsnet/general_eval_dataset.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation_geomvsnet/colmap2mvsnet.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation_geomvsnet/models/loss.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation_geomvsnet/models/filter.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation_geomvsnet/models/submodules.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation_geomvsnet/models/utils/opts.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation_geomvsnet/models/utils/utils.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation_geomvsnet/models/geometry.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation_geomvsnet/models/geomvsnet.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation_geomvsnet/geomvsnet_model.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_mvs_depth_estimation_geomvsnet/module.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_skychange/ptsemseg/hrnet_super_and_ocr.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_skychange/ptsemseg/BlockModules.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_skychange/ptsemseg/hrnet_backnone.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_skychange/ptsemseg/unet.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_skychange/skychange.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_skychange/skychange_model.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_skychange/preprocessor.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/s2net_panorama_depth_estimation/networks/swin_transformer.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/s2net_panorama_depth_estimation/networks/config.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/s2net_panorama_depth_estimation/networks/util_helper.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/s2net_panorama_depth_estimation/networks/model.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/s2net_panorama_depth_estimation/networks/decoder.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/s2net_panorama_depth_estimation/networks/resnet.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/s2net_panorama_depth_estimation/s2net_model.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/body_2d_keypoints/hrnet_v2.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/body_2d_keypoints/w48.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/body_2d_keypoints/hrnet_basic_modules.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/language_guided_video_summarization/transformer/modules.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/language_guided_video_summarization/transformer/models.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/language_guided_video_summarization/transformer/layers.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/language_guided_video_summarization/transformer/sub_layers.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/language_guided_video_summarization/summarizer.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/image_instance_segmentation/fastinst/fastinst_encoder.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_instance_segmentation/fastinst/fastinst_decoder.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_instance_segmentation/datasets/transforms.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_instance_segmentation/cascade_mask_rcnn_swin.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_instance_segmentation/backbones/swin_transformer.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_instance_segmentation/backbones/resnet.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_instance_segmentation/maskdino/maskdino_encoder.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_instance_segmentation/maskdino/maskdino_decoder.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_instance_segmentation/maskdino/utils.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_instance_segmentation/maskdino/position_encoding.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_instance_segmentation/maskdino/dino_decoder.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_instance_segmentation/maskdino/ms_deform_attn.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_instance_segmentation/model.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_instance_segmentation/maskdino_swin.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_instance_segmentation/fastinst_model.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_instance_segmentation/postprocess_utils.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_instance_segmentation/maskdino_model.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/action_recognition/models.py": 1729589057.7173066, "TEMPLATE_PATH/models/cv/action_recognition/temporal_patch_shift_transformer.py": 1729589057.7173066, "TEMPLATE_PATH/models/cv/action_recognition/tada_convnext.py": 1729589057.7173066, "TEMPLATE_PATH/models/cv/action_recognition/s3dg.py": 1729589057.7173066, "TEMPLATE_PATH/models/cv/self_supervised_depth_completion/vis_utils.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/self_supervised_depth_completion/self_supervised_depth_completion.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/self_supervised_depth_completion/criteria.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/self_supervised_depth_completion/model.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/self_supervised_depth_completion/dataloaders/transforms.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/self_supervised_depth_completion/dataloaders/kitti_loader.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/self_supervised_depth_completion/dataloaders/pose_estimator.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/self_supervised_depth_completion/inverse_warp.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/self_supervised_depth_completion/metrics.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/self_supervised_depth_completion/helper.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/salient_detection/salient_model.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/salient_detection/models/modules.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/salient_detection/models/u2net.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/salient_detection/models/utils.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/salient_detection/models/senet.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/salient_detection/models/backbone/Res2Net_v1b.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/human3d_animation/transforms.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/human3d_animation/bvh_writer.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/human3d_animation/utils.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/human3d_animation/generate_skeleton.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/face_generation/stylegan2.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_generation/op/upfirdn2d.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_generation/op/fused_act.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_generation/op/conv2d_gradfix.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/tinynas_classfication/super_res_k1kxk1.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/tinynas_classfication/model_zoo.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/tinynas_classfication/basic_blocks.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/tinynas_classfication/super_blocks.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/tinynas_classfication/super_res_idwexkx.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/tinynas_classfication/master_net.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/tinynas_classfication/super_res_kxkx.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/tinynas_classfication/plain_net_utils.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/tinynas_classfication/global_utils.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/video_object_segmentation/modules.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_object_segmentation/network.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_object_segmentation/inference_memory_bank.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_object_segmentation/cbam.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_object_segmentation/eval_network.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_object_segmentation/model.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_object_segmentation/inference_core.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_object_segmentation/mod_resnet.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_object_segmentation/aggregate.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/face_emotion/emotion_infer.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_emotion/face_alignment/face.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_emotion/face_alignment/face_align.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_emotion/emotion_model.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_emotion/efficient/utils.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_emotion/efficient/model.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/panorama_depth_estimation/networks/util.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/panorama_depth_estimation/networks/equi.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/panorama_depth_estimation/networks/layers.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/panorama_depth_estimation/networks/mobilenet.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/panorama_depth_estimation/networks/unifuse.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/panorama_depth_estimation/networks/resnet.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/panorama_depth_estimation/unifuse_model.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/cartoon/facelib/facer.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/cartoon/facelib/config.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/cartoon/facelib/LK/lk.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/cartoon/facelib/face_landmark.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/cartoon/facelib/face_detector.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/cartoon/network.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/cartoon/mtcnn_pytorch/src/matlab_cp2tform.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/cartoon/mtcnn_pytorch/src/align_trans.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/cartoon/loss.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/cartoon/utils.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/cartoon/model_tf.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/vidt/backbone.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/vidt/fpn_fusion.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/vidt/model.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/vidt/head.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/vidt/deformable_transformer.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/product_segmentation/seg_infer.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/product_segmentation/net.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/image_panoptic_segmentation/panseg_model.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/stream_yolo/data/data_augment.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/stream_yolo/exp/build.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/stream_yolo/exp/yolox_base.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/stream_yolo/exp/default/streamyolo.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/stream_yolo/exp/base_exp.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/stream_yolo/realtime_video_detector.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/stream_yolo/models/tal_head.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/stream_yolo/models/streamyolo.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/stream_yolo/models/network_blocks.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/stream_yolo/models/darknet.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/stream_yolo/models/dfp_pafpn.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/stream_yolo/utils/format.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/stream_yolo/utils/boxes.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/image_body_reshaping/slim_utils.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_body_reshaping/image_body_reshaping.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_body_reshaping/pose_estimator/body.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_body_reshaping/pose_estimator/util.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_body_reshaping/pose_estimator/model.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_body_reshaping/model.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_body_reshaping/person_info.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_quality_assessment_man/swin.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_quality_assessment_man/maniqa.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_quality_assessment_man/image_quality_assessment_man.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_to_image_translation/data/transforms.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_image_translation/ops/utils.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_image_translation/ops/losses.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_image_translation/ops/svd.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_image_translation/ops/apps.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_image_translation/ops/degradation.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_image_translation/ops/random_color.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_image_translation/ops/random_mask.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_image_translation/ops/metrics.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_image_translation/ops/diffusion.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_image_translation/model_translation.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_image_translation/models/autoencoder.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_image_translation/models/clip.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/face_attribute_recognition/fair_face/face_attribute_recognition.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/image_probing_model/backbone.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_probing_model/utils.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_probing_model/model.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/tinynas_detection/detector.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/tinynas_detection/tinynas_detector.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/tinynas_detection/utils.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/tinynas_detection/tinynas_damoyolo.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/structures/bounding_box.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/structures/boxlist_ops.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/structures/image_list.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/heads/gfocal_v2_tiny.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/heads/zero_head.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/backbones/tinynas_csp.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/backbones/tinynas_res.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/backbones/darknet.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/core/ops.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/core/utils.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/core/base_ops.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/core/repvgg_block.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/core/ota_assigner.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/core/weight_init.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/core/neck_ops.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/necks/giraffe_fpn_btn.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/necks/giraffe_fpn.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/necks/giraffe_config.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/losses/gfocal_loss.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/base_models/losses/distill_loss.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/augmentations/scale_aware_aug.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/augmentations/box_level_augs/box_level_augs.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/augmentations/box_level_augs/color_augs.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/augmentations/box_level_augs/gaussian_maps.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/augmentations/box_level_augs/geometric_augs.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/detectors/detector.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/utils/model_utils.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/utils/boxes.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/utils/scheduler.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/apis/detector_inference.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/tinynas_detection/damo/apis/detector_evaluater.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/super_resolution/arch_util.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/super_resolution/ecb.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/super_resolution/rrdbnet_arch.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/super_resolution/ecbsr_model.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/referring_video_object_segmentation/model.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/referring_video_object_segmentation/utils/backbone.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/referring_video_object_segmentation/utils/segmentation.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/referring_video_object_segmentation/utils/swin_transformer.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/referring_video_object_segmentation/utils/position_encoding_2d.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/referring_video_object_segmentation/utils/mttr.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/referring_video_object_segmentation/utils/postprocessing.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/referring_video_object_segmentation/utils/multimodal_transformer.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/referring_video_object_segmentation/utils/misc.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/referring_video_object_segmentation/utils/criterion.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/referring_video_object_segmentation/utils/matcher.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/cmdssl_video_embedding/resnet3d.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/cmdssl_video_embedding/resnet2p1d.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/cmdssl_video_embedding/c3d.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/face_recognition/align_face.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_recognition/torchkit/rts_backbone.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_recognition/torchkit/backbone/facemask_backbone.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_recognition/torchkit/backbone/arcface_backbone.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_recognition/torchkit/backbone/model_irse.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_recognition/torchkit/backbone/model_resnet.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_recognition/torchkit/backbone/common.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/ocr_detection/modules/seg_detector_loss.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/ocr_detection/modules/dbnet.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/ocr_detection/modules/proxyless.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/ocr_detection/modules/layers.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/ocr_detection/modules/mix_ops.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/ocr_detection/utils.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/ocr_detection/model.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/ocr_detection/preprocessor.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/action_detection/modules/action_detection_pytorch.py": 1729589057.7173066, "TEMPLATE_PATH/models/cv/action_detection/modules/resnet.py": 1729589057.7173066, "TEMPLATE_PATH/models/cv/action_detection/action_detection_onnx.py": 1729589057.7173066, "TEMPLATE_PATH/models/cv/image_inpainting/refinement.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_inpainting/default.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_inpainting/base.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_inpainting/modules/ade20k/base.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_inpainting/modules/ade20k/resnet.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_inpainting/modules/ffc.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_inpainting/modules/inception.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_inpainting/modules/perceptual.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_inpainting/modules/feature_matching.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_inpainting/modules/pix2pixhd.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_inpainting/modules/adversarial.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_inpainting/model.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/video_stabilization/DUTRAFTStabilizer.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_stabilization/DUT/config.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_stabilization/DUT/DUT_raft.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_stabilization/DUT/RAFT/raft.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_stabilization/DUT/RAFT/corr.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_stabilization/DUT/RAFT/extractor.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_stabilization/DUT/RAFT/update.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_stabilization/DUT/MotionPro.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_stabilization/DUT/rf_det_so.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_stabilization/DUT/rf_det_module.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_stabilization/DUT/Smoother.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_stabilization/utils/RAFTUtils.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_stabilization/utils/ProjectionUtils.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_stabilization/utils/MedianFilter.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_stabilization/utils/WarpUtils.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_stabilization/utils/math_utils.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_stabilization/utils/IterativeSmooth.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_stabilization/utils/image_utils.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/image_matching/config/default.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_matching/quadtree_attention_model.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_matching/loftr_quadtree/loftr.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_matching/loftr_quadtree/utils/coarse_matching.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_matching/loftr_quadtree/utils/fine_matching.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_matching/loftr_quadtree/utils/position_encoding.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_matching/loftr_quadtree/backbone/resnet_fpn.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_matching/loftr_quadtree/loftr_module/transformer.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_matching/loftr_quadtree/loftr_module/linear_attention.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_matching/loftr_quadtree/loftr_module/quadtree_attention.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_matching/loftr_quadtree/loftr_module/fine_preprocess.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_matching/utils/misc.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_reid_person/pass_model.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_reid_person/transreid_model.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/animal_recognition/splat.py": 1729589057.7173066, "TEMPLATE_PATH/models/cv/animal_recognition/resnet.py": 1729589057.7173066, "TEMPLATE_PATH/models/cv/face_reconstruction/utils.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_reconstruction/models/renderer.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_reconstruction/models/facelandmark/nets/large_eyeball_net.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_reconstruction/models/facelandmark/nets/large_base_lmks_net.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_reconstruction/models/facelandmark/large_base_lmks_infer.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_reconstruction/models/networks.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_reconstruction/models/bfm.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_reconstruction/models/losses.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_reconstruction/models/nv_diffrast.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_reconstruction/models/de_retouching_module.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_reconstruction/models/unet.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_reconstruction/models/opt.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_reconstruction/models/pix2pix/networks.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_reconstruction/models/pix2pix/pix2pix_options.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_reconstruction/models/pix2pix/pix2pix_model.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_reconstruction/models/facerecon_model.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/video_frame_interpolation/VFINet_for_video_frame_interpolation.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_frame_interpolation/VFINet_arch.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_frame_interpolation/rife/warplayer.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_frame_interpolation/rife/RIFE_HDv3.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_frame_interpolation/rife/loss.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_frame_interpolation/rife/IFNet_HDv3.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_frame_interpolation/interp_model/UNet.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_frame_interpolation/interp_model/refinenet_arch.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_frame_interpolation/interp_model/IFNet_swin.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_frame_interpolation/interp_model/transformer_layers.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_frame_interpolation/interp_model/flow_reversal.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_frame_interpolation/flow_model/raft.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_frame_interpolation/flow_model/corr.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_frame_interpolation/flow_model/extractor.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_frame_interpolation/flow_model/update.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_frame_interpolation/utils/scene_change_detection.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_frame_interpolation/utils/utils.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/image_color_enhance/deeplpf/deeplpf_image_color_enhance.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_color_enhance/deeplpf/deeplpfnet.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_color_enhance/adaint/adaint.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_color_enhance/image_color_enhance.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_color_enhance/csrnet.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_deblur/nafnet_for_image_deblur.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/pedestrian_attribute_recognition/model.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/image_debanding/rrdb/rrdb_image_debanding.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/vop_retrieval/backbone.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/vop_retrieval/tokenization_clip.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/vop_retrieval/basic_utils.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/vop_retrieval/model.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/vop_retrieval/model_se.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/facial_landmark_confidence/flc/facial_landmark_confidence.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/facial_landmark_confidence/flc/manual_landmark_net.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/human_reconstruction/utils.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/human_reconstruction/models/human_segmenter.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/human_reconstruction/models/networks.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/human_reconstruction/models/PixToMesh.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/human_reconstruction/models/Embedding.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/human_reconstruction/models/Res_backbone.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/human_reconstruction/models/Surface_head.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/human_reconstruction/models/detectors.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/human_reconstruction/models/geometry.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/human_reconstruction/Reconstruction.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/video_streaming_perception/longshortnet/longshortnet.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/video_streaming_perception/longshortnet/exp/longshortnet_base.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/video_streaming_perception/longshortnet/models/dfp_pafpn_long.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/video_streaming_perception/longshortnet/models/longshort.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/video_streaming_perception/longshortnet/models/dfp_pafpn_short.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/video_streaming_perception/longshortnet/models/longshort_backbone_neck.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/face_human_hand_detection/shufflenetv2.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_human_hand_detection/nanodet_plus_head.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_human_hand_detection/one_stage_detector.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_human_hand_detection/utils.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_human_hand_detection/det_infer.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_human_hand_detection/ghost_pan.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/virual_tryon/sdafnet.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/human_image_generation/generators/extraction_distribution_model_flow25.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/human_image_generation/generators/base_function.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/human_image_generation/generators/base_module.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/human_image_generation/generators/conv2d_gradfix.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/human_image_generation/generators/flow_module.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/human_image_generation/generators/wavelet_module.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/human_image_generation/generators/tps.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/human_image_generation/human_image_generation_infer.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/dense_optical_flow_estimation/raft_model.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/dense_optical_flow_estimation/core/datasets.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/dense_optical_flow_estimation/core/raft.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/dense_optical_flow_estimation/core/corr.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/dense_optical_flow_estimation/core/utils/augmentor.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/dense_optical_flow_estimation/core/utils/utils.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/dense_optical_flow_estimation/core/utils/frame_utils.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/dense_optical_flow_estimation/core/utils/flow_viz.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/dense_optical_flow_estimation/core/extractor.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/dense_optical_flow_estimation/core/update.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/shop_segmentation/head_fpn.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/shop_segmentation/shop_seg_model.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/shop_segmentation/neck_fpn.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/shop_segmentation/utils.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/shop_segmentation/shop_seg_base.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/shop_segmentation/models.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/shop_segmentation/common.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/image_face_fusion/facelib/matlab_cp2tform.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_face_fusion/facelib/align_trans.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_face_fusion/network/aei_flow_net.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_face_fusion/network/bfm.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_face_fusion/network/ops.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_face_fusion/network/dense_motion.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_face_fusion/network/model_irse.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_face_fusion/network/aad_layer.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_face_fusion/network/facerecon_model.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_face_fusion/image_face_fusion.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_face_fusion/facegan/op/upfirdn2d.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_face_fusion/facegan/op/fused_act.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_face_fusion/facegan/op/conv2d_gradfix.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_face_fusion/facegan/gpen_model.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_face_fusion/facegan/face_gan.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/face_detection/peppa_pig_face/facer.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/peppa_pig_face/LK/lk.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/peppa_pig_face/face_landmark.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/peppa_pig_face/face_detector.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/mtcnn/models/get_nets.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/mtcnn/models/detector.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/mtcnn/models/first_stage.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/mtcnn/models/box_utils.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/scrfd/tinymog_detect.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/scrfd/damofd_detect.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/scrfd/scrfd_detect.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/scrfd/preprocessor.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/datasets/pipelines/transforms.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/datasets/pipelines/loading.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/datasets/pipelines/auto_augment.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/datasets/pipelines/formating.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/datasets/retinaface.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/core/post_processing/bbox_nms.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/core/bbox/transforms.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/backbones/master_net.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/backbones/mobilenet.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/backbones/resnet.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/dense_heads/scrfd_head.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/detectors/base.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/detectors/scrfd.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/detectors/single_stage.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/scrfd/mmdet_patch/models/detectors/tinymog.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/mogface/models/utils.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/mogface/models/detectors.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/mogface/models/mogface.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/mogface/models/mogprednet.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/mogface/models/resnet.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/retinaface/utils.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/retinaface/models/retinaface.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/retinaface/models/net.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/retinaface/detection.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/ulfd_slim/detection.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/ulfd_slim/vision/transforms.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_detection/ulfd_slim/vision/ssd/fd_config.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_detection/ulfd_slim/vision/ssd/data_preprocessing.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_detection/ulfd_slim/vision/ssd/mb_tiny_fd.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_detection/ulfd_slim/vision/ssd/ssd.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_detection/ulfd_slim/vision/ssd/predictor.py": 1729589057.733307, "TEMPLATE_PATH/models/cv/face_detection/ulfd_slim/vision/mb_tiny.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/face_detection/ulfd_slim/vision/box_utils.py": 1729589057.7293067, "TEMPLATE_PATH/models/cv/image_depth_estimation_bts/networks/encoder.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_depth_estimation_bts/networks/utils.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_depth_estimation_bts/networks/bts_model.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_depth_estimation_bts/networks/decoder.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_depth_estimation_bts/depth_estimation_bts_model.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/head_reconstruction/models/head_segmentation.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/head_reconstruction/models/networks.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/head_reconstruction/models/bfm.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/head_reconstruction/models/losses.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/head_reconstruction/models/nv_diffrast.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/head_reconstruction/models/opt.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/head_reconstruction/models/tex_processor.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/head_reconstruction/models/headrecon_model.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/video_multi_object_tracking/tracker/matching.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_multi_object_tracking/tracker/multitracker.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_multi_object_tracking/tracker/basetrack.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_multi_object_tracking/models/yolo.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_multi_object_tracking/models/model.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_multi_object_tracking/models/decode.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_multi_object_tracking/models/common.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_multi_object_tracking/utils/kalman_filter.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_multi_object_tracking/utils/utils.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_multi_object_tracking/utils/visualization.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_multi_object_tracking/utils/image.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/image_human_parsing/parsing_utils.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_human_parsing/m2fp_net.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_human_parsing/m2fp/m2fp_encoder.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_human_parsing/m2fp/m2fp_decoder.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/image_human_parsing/backbone/deeplab_resnet.py": 1729589057.749307, "TEMPLATE_PATH/models/cv/video_instance_segmentation/track/mask_hungarian_assigner.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_instance_segmentation/track/kernel_update_head.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_instance_segmentation/neck/msdeformattn_decoder.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_instance_segmentation/utils.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_instance_segmentation/head/kernel_updator.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_instance_segmentation/head/kernel_iter_head.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_instance_segmentation/head/kernel_head.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_instance_segmentation/head/kernel_frame_iter_head.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_instance_segmentation/head/kernel_update_head.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_instance_segmentation/video_knet.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/hand_static/networks.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/hand_static/hand_model.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/nerf_recon_4k/network/utils.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/nerf_recon_4k/network/dvgo.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/nerf_recon_4k/nerf_preprocess.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/nerf_recon_4k/dataloader/read_write_model.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/nerf_recon_4k/dataloader/load_data.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/nerf_recon_4k/dataloader/load_tankstemple.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/nerf_recon_4k/dataloader/load_blender.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/nerf_recon_4k/dataloader/load_llff.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/nerf_recon_4k/nerf_recon_4k.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/models/decode_heads/mask2former_head_from_mmseg.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/models/decode_heads/base_decode_head.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/models/segmentors/base_segmentor.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/models/segmentors/encoder_decoder_mask2former.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/models/backbone/beit_adapter.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/models/backbone/adapter_modules.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/models/backbone/base/beit.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/utils/builder.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/utils/seg_func.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/vit_adapter/utils/data_process_func.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/ddpm_seg/feature_extractors.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/ddpm_seg/utils.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/ddpm_seg/pixel_classifier.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/ddpm_seg/data_util.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/semantic_seg_model.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/ddpm_segmentation_model.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/pan_merge/base_panoptic_fusion_head.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_semantic_segmentation/pan_merge/maskformer_semantic_head.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_binary_quant_classification/bnext.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_binary_quant_classification/binary_quant_model.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/nerf_recon_vq_compression/renderer.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/nerf_recon_vq_compression/network/tensoRF_VQ.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/nerf_recon_vq_compression/network/weighted_vq.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/nerf_recon_vq_compression/network/tensorBase.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/nerf_recon_vq_compression/network/tensoRF.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/nerf_recon_vq_compression/utils.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/nerf_recon_vq_compression/nerf_recon_vq_compression.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/nerf_recon_vq_compression/dataloader/tankstemple.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/nerf_recon_vq_compression/dataloader/llff.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/nerf_recon_vq_compression/dataloader/blender.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/nerf_recon_vq_compression/dataloader/nsvf.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/nerf_recon_vq_compression/dataloader/ray_utils.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/depe_detect.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/datasets/nuscenes_dataset.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/datasets/pipelines/loading.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/datasets/pipelines/transform_3d.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/core/bbox/coders/nms_free_coder.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/core/bbox/util.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/core/bbox/match_costs/match_cost.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/core/bbox/assigners/hungarian_assigner_3d.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/backbones/vovnet.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/dense_heads/depth_net.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/dense_heads/petrv2_dednhead.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/detectors/petr3d.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/utils/petr_transformer.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/utils/positional_encoding.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/mmdet3d_plugin/models/necks/cp_fpn.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/object_detection_3d/depe/result_vis.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/video_single_object_tracking/config/ostrack.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_single_object_tracking/tracker/procontext.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_single_object_tracking/tracker/ostrack.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_single_object_tracking/models/layers/patch_embed.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_single_object_tracking/models/layers/attn_blocks.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_single_object_tracking/models/layers/attn.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_single_object_tracking/models/layers/head.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_single_object_tracking/models/ostrack/vit_ce.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_single_object_tracking/models/ostrack/utils.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_single_object_tracking/models/ostrack/ostrack.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_single_object_tracking/models/ostrack/base_backbone.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_single_object_tracking/models/procontext/vit_ce.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_single_object_tracking/models/procontext/utils.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_single_object_tracking/models/procontext/procontext.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_single_object_tracking/utils/utils.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/image_colorization/ddcolor/ddcolor_for_image_colorization.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_colorization/ddcolor/loss.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_colorization/ddcolor/ddcolor.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_colorization/ddcolor/utils/position_encoding.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_colorization/ddcolor/utils/vgg.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_colorization/ddcolor/utils/unet.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_colorization/ddcolor/utils/transformer_utils.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_colorization/ddcolor/utils/convnext.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_colorization/unet/utils.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_colorization/unet/unet.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/ocr_recognition/modules/LightweightEdge/nas_block/proxyless.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/ocr_recognition/modules/LightweightEdge/nas_block/layers.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/ocr_recognition/modules/LightweightEdge/nas_block/mix_ops.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/ocr_recognition/modules/LightweightEdge/main_model.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/ocr_recognition/modules/CRNN/main_model.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/ocr_recognition/modules/ConvNextViT/vitstr.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/ocr_recognition/modules/ConvNextViT/timm_tinyc.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/ocr_recognition/modules/ConvNextViT/main_model.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/ocr_recognition/modules/ConvNextViT/convnext.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/ocr_recognition/model.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/ocr_recognition/preprocessor.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/video_human_matting/model.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_human_matting/models/deep_guided_filter.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_human_matting/models/lraspp.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_human_matting/models/effv2.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_human_matting/models/matting.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_human_matting/models/decoder.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/image_driving_perception/image_driving_percetion_model.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_driving_perception/utils.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_driving_perception/preprocessor.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_portrait_enhancement/gpen.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_portrait_enhancement/retinaface/utils.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_portrait_enhancement/retinaface/models/retinaface.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_portrait_enhancement/retinaface/models/net.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_portrait_enhancement/retinaface/detection.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_portrait_enhancement/eqface/model_resnet.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_portrait_enhancement/eqface/fqa.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_portrait_enhancement/align_faces.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_portrait_enhancement/losses/helpers.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_portrait_enhancement/losses/losses.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_portrait_enhancement/losses/model_irse.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_portrait_enhancement/image_portrait_enhancement.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/facial_expression_recognition/fer/facial_expression_recognition.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/facial_expression_recognition/fer/transforms.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/facial_expression_recognition/fer/vgg.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/text_driven_segmentation/lseg_base.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/text_driven_segmentation/clip.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/text_driven_segmentation/lseg_blocks.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/text_driven_segmentation/lseg_vit.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/text_driven_segmentation/lseg_net.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/text_driven_segmentation/model.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/text_driven_segmentation/lseg_model.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/text_driven_segmentation/simple_tokenizer.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/roi_heads/bbox_heads/convfc_bbox_head.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/roi_heads/mask_heads/fcn_mask_head.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/backbones/vit.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/dense_heads/anchor_head.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/dense_heads/rpn_head.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/utils/convModule_norm.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/utils/checkpoint.py": 1729589057.7773073, "TEMPLATE_PATH/models/cv/object_detection/mmdet_ms/necks/fpn.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/object_detection/mmdet_model.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/vision_middleware/backbone.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/vision_middleware/vim.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/vision_middleware/model.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/vision_middleware/head.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/text_to_360panorama_image/pipeline_sr.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/text_to_360panorama_image/pipeline_base.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/bad_image_detecting/bad_image_detecting.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/image_normal_estimation/modules/midas/dpt_depth.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_normal_estimation/modules/midas/vit.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_normal_estimation/modules/midas/blocks.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_normal_estimation/modules/midas/base_model.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_normal_estimation/omnidata_model.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/text_texture_generation/utils.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/text_texture_generation/lib2/projection.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/text_texture_generation/lib2/init_view.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/text_texture_generation/lib2/viusel.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/text_texture_generation/lib2/camera.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/text_texture_generation/Tex2Texture.py": 1729589057.7893074, "TEMPLATE_PATH/models/cv/image_restoration/image_restoration_model.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_restoration/demoire_models/nets.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_depth_estimation/networks/newcrf_depth.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_depth_estimation/networks/swin_transformer.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_depth_estimation/networks/newcrf_utils.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_depth_estimation/networks/uper_crf_head.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_depth_estimation/networks/newcrf_layers.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_depth_estimation/newcrfs_model.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/facial_68ldk_detection/conf/base.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/facial_68ldk_detection/conf/alignment.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/facial_68ldk_detection/lib/dataset/encoder/encoder_default.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/facial_68ldk_detection/lib/dataset/decoder/decoder_default.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/facial_68ldk_detection/lib/dataset/alignmentDataset.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/facial_68ldk_detection/lib/utility.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/facial_68ldk_detection/lib/backbone/core/coord_conv.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/facial_68ldk_detection/lib/backbone/stackedHGNetV1.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/facial_68ldk_detection/star_model.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/facial_68ldk_detection/infer.py": 1729589057.7373068, "TEMPLATE_PATH/models/cv/image_classification/mmcls_model.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_classification/backbones/beit_v2.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_classification/backbones/nextvit.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_classification/utils.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_classification/resnet50_cc.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_matching_fast/lightglue_model.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_matching_fast/lightglue/viz2d.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_matching_fast/lightglue/superpoint.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_matching_fast/lightglue/sift.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_matching_fast/lightglue/utils.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_matching_fast/lightglue/disk.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_matching_fast/lightglue/lightglue.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_matching_fast/lightglue/aliked.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/image_matching_fast/config/default.py": 1729589057.753307, "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/track/quasi_dense_embed_tracker.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/neck/fpn.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/video_k_net.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/head/kernel_updator.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/head/track_heads.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/head/semantic_fpn_wrapper.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/head/mask.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/head/kernel_iter_head.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/head/kernel_head.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/head/kernel_update_head.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/backbone/swin_transformer.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/backbone/swin_checkpoint.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_panoptic_segmentation/visualizer.py": 1729589057.8013074, "TEMPLATE_PATH/models/cv/video_deinterlace/deinterlace_arch.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_deinterlace/UNet_for_video_deinterlace.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_deinterlace/models/fre.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_deinterlace/models/deep_fourier_upsampling.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_deinterlace/models/enh.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_deinterlace/models/utils.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_deinterlace/models/archs.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/pointcloud_sceneflow_estimation/rcp_model.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/pointcloud_sceneflow_estimation/pointnet2_utils.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/pointcloud_sceneflow_estimation/sf_rcp.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/pointcloud_sceneflow_estimation/common.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/nerf_recon_acc/network/utils.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/nerf_recon_acc/network/nerf.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/nerf_recon_acc/network/segmenter.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/nerf_recon_acc/nerf_preprocess.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/nerf_recon_acc/dataloader/read_write_model.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/nerf_recon_acc/dataloader/nerf_dataset.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/nerf_recon_acc/nerf_recon_acc.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/evaluation/evaluator.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/evaluation/pascal_voc_evaluation.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/evaluation/coco_evaluation.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/models/fast_rcnn.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/models/calibration_layer.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/models/roi_heads.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/models/gdl.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/models/defrcn.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/models/resnet.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/utils/coco_register.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/utils/register_data.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/utils/model_surgery_op.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/utils/requirements_check.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/utils/voc_register.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/utils/configuration_mapper.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_defrcn_fewshot/defrcn_for_fewshot.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/anydoor/datasets/data_utils.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/anydoor/ldm/util.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/anydoor/ldm/modules/distributions/distributions.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/anydoor/ldm/modules/ema.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/anydoor/ldm/modules/encoders/modules.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/anydoor/ldm/modules/attention.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/anydoor/ldm/modules/diffusionmodules/openaimodel.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/anydoor/ldm/modules/diffusionmodules/util.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/anydoor/ldm/modules/diffusionmodules/model.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/anydoor/ldm/modules/diffusionmodules/upscaling.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/anydoor/ldm/models/autoencoder.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/anydoor/ldm/models/diffusion/ddpm.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/anydoor/ldm/models/diffusion/ddim.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/anydoor/ldm/models/diffusion/plms.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/anydoor/ldm/models/diffusion/sampling_util.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/anydoor/cldm/ddim_hacked.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/anydoor/dinov2/hubconf.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/anydoor/dinov2/dinov2/layers/layer_scale.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/anydoor/dinov2/dinov2/layers/patch_embed.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/anydoor/dinov2/dinov2/layers/mlp.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/anydoor/dinov2/dinov2/layers/block.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/anydoor/dinov2/dinov2/layers/attention.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/anydoor/dinov2/dinov2/layers/swiglu_ffn.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/anydoor/dinov2/dinov2/layers/drop_path.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/anydoor/dinov2/dinov2/layers/dino_head.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/anydoor/dinov2/dinov2/models/vision_transformer.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/anydoor/anydoor_model.py": 1729589057.7213068, "TEMPLATE_PATH/models/cv/image_super_resolution_pasd_v2/controlnet.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_super_resolution_pasd_v2/unet_2d_condition.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_super_resolution_pasd_v2/unet_2d_blocks.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/crowd_counting/cc_model.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/crowd_counting/hrnet_aspp_relu.py": 1729589057.7253067, "TEMPLATE_PATH/models/cv/image_try_on/generator.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_try_on/warping.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/image_try_on/landmark.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/image_try_on/try_on_infer.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/image_control_3d_portrait/network/triplane.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_control_3d_portrait/network/camera_utils.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_control_3d_portrait/network/shape_utils.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_control_3d_portrait/network/volumetric_rendering/renderer.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_control_3d_portrait/network/volumetric_rendering/ray_sampler.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_control_3d_portrait/network/volumetric_rendering/math_utils.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_control_3d_portrait/network/volumetric_rendering/ray_marcher.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_control_3d_portrait/network/networks_stylegan2.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_control_3d_portrait/network/superresolution.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_control_3d_portrait/network/triplane_encoder.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_control_3d_portrait/image_control_3d_portrait.py": 1729589057.741307, "TEMPLATE_PATH/models/cv/image_to_image_generation/data/transforms.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_image_generation/ops/losses.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_image_generation/ops/diffusion.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_image_generation/model.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_image_generation/models/autoencoder.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_image_generation/models/clip.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/movie_scene_segmentation/get_model.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/movie_scene_segmentation/model.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/movie_scene_segmentation/utils/trn.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/movie_scene_segmentation/utils/save_op.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/movie_scene_segmentation/utils/head.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/movie_scene_segmentation/utils/shot_encoder.py": 1729589057.7733073, "TEMPLATE_PATH/models/cv/image_quality_assessment_mos/heads/simple_head.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_quality_assessment_mos/backbones/resnet.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_quality_assessment_mos/image_quality_assessment_mos.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_quality_assessment_mos/censeo_ivqa_model.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_view_transform/image_view_transform_infer.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/image_view_transform/ldm/modules.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/image_view_transform/ldm/helpers.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/image_view_transform/ldm/autoencoder.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/image_view_transform/ldm/openaimodel.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/image_view_transform/ldm/x_transformer.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/image_view_transform/ldm/util_diffusion.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/image_view_transform/ldm/ddpm.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/image_view_transform/ldm/id_loss.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/image_view_transform/ldm/ema.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/image_view_transform/ldm/attention.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/image_view_transform/ldm/model.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/image_view_transform/ldm/ddim.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/image_view_transform/ldm/plms.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/image_view_transform/ldm/model_irse.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/image_view_transform/ldm/sampling_util.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/image_view_transform/ldm/distributions.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/image_view_transform/util.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/video_super_resolution/basicvsr_net.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/video_super_resolution/real_basicvsr_for_video_super_resolution.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/video_super_resolution/real_basicvsr_net.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/video_super_resolution/msrresnet_lite_model.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/video_super_resolution/common.py": 1729589057.8053076, "TEMPLATE_PATH/models/cv/skin_retouching/unet_deploy.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/skin_retouching/utils.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/skin_retouching/detection_model/detection_unet_in.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/skin_retouching/detection_model/detection_module.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/skin_retouching/weights_init.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/skin_retouching/retinaface/network.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/skin_retouching/retinaface/utils.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/skin_retouching/retinaface/prior_box.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/skin_retouching/retinaface/net.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/skin_retouching/retinaface/box_utils.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/skin_retouching/retinaface/predict_single.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/skin_retouching/inpainting_model/inpainting_unet.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/skin_retouching/inpainting_model/gconv.py": 1729589057.7853074, "TEMPLATE_PATH/models/cv/image_quality_assessment_degradation/degradation_model.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/image_quality_assessment_degradation/image_quality_assessment_degradation.py": 1729589057.757307, "TEMPLATE_PATH/models/cv/video_inpainting/inpainting.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/video_inpainting/inpainting_model.py": 1729589057.7973075, "TEMPLATE_PATH/models/cv/open_vocabulary_detection_vild/vild.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/video_depth_estimation/networks/layers/resnet/pose_decoder.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_depth_estimation/networks/layers/resnet/depth_decoder.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_depth_estimation/networks/layers/resnet/resnet_encoder.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_depth_estimation/networks/layers/resnet/layers.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_depth_estimation/networks/optim/extractor.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_depth_estimation/networks/optim/update.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_depth_estimation/networks/depth_pose/depth_pose_net.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_depth_estimation/configs/default_config.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_depth_estimation/dro_model.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_depth_estimation/geometry/pose_utils.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_depth_estimation/geometry/camera_utils.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_depth_estimation/geometry/camera.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_depth_estimation/geometry/pose.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_depth_estimation/models/model_wrapper.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_depth_estimation/models/model_checkpoint.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_depth_estimation/models/sup_model_mf.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_depth_estimation/models/model_utils.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_depth_estimation/models/sfm_model_mf.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_depth_estimation/utils/config.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_depth_estimation/utils/augmentations.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_depth_estimation/utils/image_gt.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_depth_estimation/utils/depth.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_depth_estimation/utils/misc.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_depth_estimation/utils/load.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_depth_estimation/utils/horovod.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_depth_estimation/utils/image.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/video_depth_estimation/utils/types.py": 1729589057.7933075, "TEMPLATE_PATH/models/cv/product_retrieval_embedding/item_embedding.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/product_retrieval_embedding/item_detection.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/product_retrieval_embedding/item_model.py": 1729589057.7813072, "TEMPLATE_PATH/models/cv/indoor_layout_estimation/networks/utils.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/indoor_layout_estimation/networks/modality/layout.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/indoor_layout_estimation/networks/panovit.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/indoor_layout_estimation/networks/misc/post_proc.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/indoor_layout_estimation/networks/misc/panostretch.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/indoor_layout_estimation/networks/misc/fourier.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/indoor_layout_estimation/networks/backbone/vit_horizon_pry_image.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/indoor_layout_estimation/networks/backbone/resnet_DA.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/indoor_layout_estimation/panovit.py": 1729589057.7693071, "TEMPLATE_PATH/models/cv/image_to_3d/ldm/util.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_3d/ldm/modules/x_transformer.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_3d/ldm/modules/distributions/distributions.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_3d/ldm/modules/encoders/modules.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_3d/ldm/modules/encoders/clip/clip.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_3d/ldm/modules/encoders/clip/model.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_3d/ldm/modules/encoders/clip/simple_tokenizer.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_3d/ldm/modules/attention.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_3d/ldm/modules/diffusionmodules/openaimodel.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_3d/ldm/modules/diffusionmodules/util.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_3d/ldm/modules/diffusionmodules/model.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_3d/ldm/models/autoencoder.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_3d/ldm/models/diffusion/sync_dreamer.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_3d/ldm/models/diffusion/sync_dreamer_utils.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_3d/ldm/models/diffusion/sync_dreamer_attention.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_3d/ldm/models/diffusion/sync_dreamer_network.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_3d/ldm/thirdp/psp/helpers.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_3d/ldm/thirdp/psp/id_loss.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_3d/ldm/thirdp/psp/model_irse.py": 1729589057.7653072, "TEMPLATE_PATH/models/cv/image_to_3d/ldm/base_utils.py": 1729589057.7613072, "TEMPLATE_PATH/models/cv/image_denoise/nafnet/arch_util.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_denoise/nafnet/NAFNet_arch.py": 1729589057.745307, "TEMPLATE_PATH/models/cv/image_denoise/nafnet_for_image_denoise.py": 1729589057.745307, "TEMPLATE_PATH/models/multi_modal/prost/dataloaders/rawvideo_util.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/prost/models/modeling.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/prost/models/prost_model.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/prost/models/until_module.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/prost/models/tokenization_clip.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/prost/models/module_cross.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/prost/models/module_clip.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/prost/models/until_config.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/efficient_diffusion_tuning/control_sd_lora.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/efficient_diffusion_tuning/sd_lora.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/efficient_diffusion_tuning/efficient_stable_diffusion.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/ofa_for_all_tasks.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/dpm_solver_pytorch.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/gemm/gemm_model.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/gemm/gemm_base.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/gemm/tokenizer.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/guided_diffusion/script.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/guided_diffusion/gaussian_diffusion.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/guided_diffusion/unet.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/guided_diffusion/respace.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/video_to_video/video_to_video_model.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/video_to_video/modules/autoencoder.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/video_to_video/modules/unet_v2v.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/video_to_video/modules/embedder.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/video_to_video/utils/diffusion_sdedit.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/video_to_video/utils/transforms.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/video_to_video/utils/solvers_sdedit.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/video_to_video/utils/config.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/video_to_video/utils/seed.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/video_to_video/utils/schedules_sdedit.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/mmr/dataloaders/rawvideo_util.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/mmr/models/modeling.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/mmr/models/until_module.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/mmr/models/clip_for_mm_video_embedding.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/mmr/models/tokenization_clip.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/mmr/models/module_cross.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/mmr/models/dynamic_inverted_softmax.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/mmr/models/module_clip.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/mplug_owl/configuration_mplug_owl.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/mplug_owl/modeling_mplug_owl.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/diffusion/unet_upsampler_1024.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/diffusion/structbert.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/diffusion/model.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/diffusion/unet_upsampler_256.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/diffusion/diffusion.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/diffusion/tokenizer.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/diffusion/unet_generator.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/image_to_video/modules/autoencoder.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/image_to_video/modules/unet_i2v.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/image_to_video/modules/embedder.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/image_to_video/image_to_video_model.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/image_to_video/utils/shedule.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/image_to_video/utils/transforms.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/image_to_video/utils/config.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/image_to_video/utils/seed.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/image_to_video/utils/diffusion.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/stable_diffusion/stable_diffusion.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/stable_diffusion/stable_diffusion_xl.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/ofa_for_text_to_image_synthesis_model.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/clip/modeling_bert.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/clip/configuration_bert.py": 1729589057.8053076, "TEMPLATE_PATH/models/multi_modal/clip/model.py": 1729589057.8053076, "TEMPLATE_PATH/models/multi_modal/clip/bert_tokenizer.py": 1729589057.8053076, "TEMPLATE_PATH/models/multi_modal/mplug/configuration_mplug.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/mplug/mvit.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/mplug/predictor.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/mplug/clip/clip.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/mplug/modeling_mplug.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/freeu/free_lunch_utils.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/team/utils.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/team/team_model.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/multi_stage_diffusion/clip.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/multi_stage_diffusion/prior.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/multi_stage_diffusion/model.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/multi_stage_diffusion/xglm.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/multi_stage_diffusion/gaussian_diffusion.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/multi_stage_diffusion/decoder.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/multi_stage_diffusion/tokenizer.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/multi_stage_diffusion/upsampler.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/vldoc/tokenization.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/vldoc/modeling_layout_roberta.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/vldoc/model.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/vldoc/transformer_local.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/vldoc/processing.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/vldoc/convnext.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/vldoc/conv_fpn_trans.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/videocomposer/autoencoder.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/videocomposer/clip.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/videocomposer/config.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/videocomposer/annotator/histogram/palette.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/videocomposer/annotator/util.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/videocomposer/annotator/sketch/pidinet.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/videocomposer/annotator/sketch/sketch_simplification.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/videocomposer/data/samplers.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/videocomposer/data/transforms.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/videocomposer/data/tokenizers.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/videocomposer/unet_sd.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/videocomposer/ops/distributed.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/videocomposer/ops/utils.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/videocomposer/ops/losses.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/videocomposer/ops/random_mask.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/videocomposer/ops/degration.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/videocomposer/models/clip.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/videocomposer/models/midas.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/videocomposer/videocomposer_model.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/videocomposer/utils/config.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/videocomposer/utils/distributed.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/videocomposer/utils/utils.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/videocomposer/mha_flash.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/videocomposer/dpm_solver.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/videocomposer/diffusion.py": 1729589057.8213077, "TEMPLATE_PATH/models/multi_modal/soonet/swin_transformer.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/soonet/clip.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/soonet/utils.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/soonet/blocks.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/soonet/model.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/soonet/tokenizer.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/mgeo/text_classification.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/mgeo/backbone.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/mgeo/token_classification.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/mgeo/text_ranking.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/mplug_for_all_tasks.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/clip_interrogator/model.py": 1729589057.8093076, "TEMPLATE_PATH/models/multi_modal/video_synthesis/autoencoder.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/video_synthesis/unet_sd.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/video_synthesis/text_to_video_synthesis_model.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/video_synthesis/diffusion.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/rleg/model.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/rleg/rleg.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/ofa/generate/token_generation_constraints.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/ofa/generate/ngram_repeat_block.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/ofa/generate/sequence_generator.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/ofa/generate/utils.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/ofa/generate/search.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/ofa/generate/multihead_attention.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/ofa/generate/incremental_decoding_utils.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/ofa/tokenization_ofa_fast.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/ofa/vit.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/ofa/modeling_ofa.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/ofa/configuration_mmspeech.py": 1729589057.8133078, "TEMPLATE_PATH/models/multi_modal/ofa/utils/utils.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/ofa/utils/constant.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/ofa/modeling_mmspeech.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/ofa/tokenization_ofa.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/ofa/resnet.py": 1729589057.8173077, "TEMPLATE_PATH/models/multi_modal/ofa/configuration_ofa.py": 1729589057.8133078, "TEMPLATE_PATH/models/nlp/ponet/configuration.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/ponet/backbone.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/ponet/tokenization.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/ponet/document_segmentation.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/ponet/fill_mask.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/fid_plug/configuration.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/fid_plug/backbone.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/fid_plug/text_generation.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/lstm/backbone.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/lstm/token_classification.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/gpt2/backbone.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/qwen/configuration.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/qwen/backbone.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/qwen/text_generation.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/qwen/tokenization.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/qwen/qwen_generation_utils.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/heads/text_ranking_head.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/heads/token_classification_head.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/heads/infromation_extraction_head.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/heads/fill_mask_head.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/heads/torch_pretrain_head.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/heads/crf_head.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/heads/text_generation_head.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/heads/text_classification_head.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/unite/configuration.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/unite/translation_evaluation.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/peer/configuration.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/peer/text_classification.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/peer/backbone.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/peer/sas_utils.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/space_T_cn/configuration.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/space_T_cn/backbone.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/space_T_cn/table_question_answering.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/glm_130b/quantization/functional.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/glm_130b/quantization/layers.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/glm_130b/text_generation.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/glm_130b/generation/strategies.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/glm_130b/initialize.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/bloom/backbone.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/bloom/text_generation.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/bloom/sentence_embedding.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/gpt_neo/backbone.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/gpt_moe/configuration.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/gpt_moe/backbone.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/gpt_moe/text_generation.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/gpt_moe/distributed_gpt_moe.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/gpt_moe/checkpointing.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/gpt_moe/moe/layer.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/gpt_moe/moe/utils.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/gpt_moe/moe/experts.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/gpt_moe/moe/sharded_moe.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/gpt_moe/moe/mappings.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/gpt_moe/tokenizer.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/use/user_satisfaction_estimation.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/use/transformer.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/veco/configuration.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/veco/text_classification.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/veco/backbone.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/veco/token_classification.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/veco/fill_mask.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/csanmt/translation.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/bart/text_error_correction.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/gpt3/configuration.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/gpt3/backbone.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/gpt3/text_generation.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/gpt3/distributed_gpt3.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/gpt3/tokenizer.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/structbert/configuration.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/structbert/text_classification.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/structbert/backbone.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/structbert/token_classification.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/structbert/faq_question_answering.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/structbert/adv_utils.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/structbert/fill_mask.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/chatglm2/configuration.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/chatglm2/quantization.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/chatglm2/text_generation.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/chatglm2/tokenization.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/dgds/backbone.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/dgds/document_grounded_dialog_rerank.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/dgds/document_grounded_dialog_generate.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/dgds/document_grounded_dialog_retrieval.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/space/configuration.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/space/dialog_intent_prediction.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/space/modules/transformer_block.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/space/modules/multihead_attention.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/space/modules/embedder.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/space/modules/functions.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/space/modules/feedforward.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/space/model/generator.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/space/model/unified_transformer.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/space/model/model_base.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/space/model/tokenization_space.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/space/model/intent_unified_transformer.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/space/model/gen_unified_transformer.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/space/dialog_state_tracking.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/space/dialog_modeling.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/bert/configuration.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/bert/text_classification.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/bert/backbone.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/bert/token_classification.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/bert/siamese_uie.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/bert/text_ranking.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/bert/document_segmentation.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/bert/sentence_embedding.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/bert/fill_mask.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/bert/word_alignment.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/xlm_roberta/configuration.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/xlm_roberta/backbone.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/mglm/arguments.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/mglm/tasks/data_utils.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/mglm/tasks/superglue/pvp.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/mglm/tasks/superglue/evaluate.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/mglm/tasks/superglue/dataset.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/mglm/tasks/superglue/finetune.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/mglm/tasks/language_model/detokenizer.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/mglm/tasks/language_model/dataset.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/mglm/tasks/language_model/finetune.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/mglm/tasks/seq2seq/evaluate.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/mglm/tasks/seq2seq/dataset.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/mglm/tasks/seq2seq/finetune.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/mglm/tasks/eval_utils.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/mglm/data_utils/samplers.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/mglm/data_utils/sp_tokenizer.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/mglm/data_utils/datasets.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/mglm/data_utils/corpora.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/mglm/data_utils/tokenization.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/mglm/data_utils/lazy_loader.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/mglm/data_utils/file_utils.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/mglm/data_utils/tokenization_gpt2.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/mglm/data_utils/extraction.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/mglm/data_utils/wordpiece.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/mglm/train_utils.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/mglm/run_test.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/mglm/utils.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/mglm/blocklm_utils.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/mglm/generation_utils.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/mglm/configure_data.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/mglm/process_grid.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/mglm/test/test_block.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/mglm/test/test_rel_shift.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/mglm/mglm_for_text_summarization.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/mglm/model/modeling_glm.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/mglm/model/downstream.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/mglm/model/modeling_bert.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/mglm/model/distributed.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/mglm/model/prompt.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/mglm/model/transformer.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/task_models/task_model.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/task_models/text_classification.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/task_models/text_generation.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/task_models/token_classification.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/task_models/machine_reading_comprehension.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/task_models/text_ranking.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/task_models/information_extraction.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/task_models/feature_extraction.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/task_models/fill_mask.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/plug_mental/configuration.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/plug_mental/text_classification.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/plug_mental/backbone.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/plug_mental/adv_utils.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/palm_v2/configuration.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/palm_v2/dureader_eval.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/palm_v2/text_generation.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/chatglm/configuration.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/chatglm/quantization.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/chatglm/text_generation.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/chatglm/tokenization.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/plug/configuration.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/plug/AnnealingLR.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/plug/backbone.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/plug/generator.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/plug/distributed_plug.py": 1729589057.837308, "TEMPLATE_PATH/models/nlp/llama/backbone.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/llama/text_generation.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/llama/convert_llama_weights_to_hf.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/llama2/backbone.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/llama2/text_generation.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/space_T_en/text_to_sql.py": 1729589057.8413079, "TEMPLATE_PATH/models/nlp/megatron_bert/configuration.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/megatron_bert/backbone.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/megatron_bert/fill_mask.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/fid_T5/text_generation.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/codegeex/inference.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/codegeex/codegeex_for_code_translation.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/codegeex/codegeex.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/codegeex/codegeex_for_code_generation.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/codegeex/tokenizer.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/deberta_v2/configuration.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/deberta_v2/backbone.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/deberta_v2/tokenization.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/deberta_v2/tokenization_fast.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/deberta_v2/fill_mask.py": 1729589057.8293078, "TEMPLATE_PATH/models/nlp/canmt/sequence_generator.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/canmt/canmt_model.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/canmt/canmt_translation.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/T5/configuration.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/T5/backbone.py": 1729589057.8213077, "TEMPLATE_PATH/models/nlp/T5/text2text_generation.py": 1729589057.8253078, "TEMPLATE_PATH/models/nlp/hf_transformers/backbone.py": 1729589057.8333077, "TEMPLATE_PATH/models/nlp/polylm/text_generation.py": 1729589057.837308, "TEMPLATE_PATH/models/audio/separation/layer_norm.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/separation/mossformer.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/separation/mossformer_conv_module.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/separation/m2/layer_norm.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/separation/m2/mossformer.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/separation/m2/fsmn.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/separation/m2/conv_module.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/separation/m2/mossformer_block.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/separation/mossformer_block.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/quantization/generic_audio_quantization.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/aec/network/loss.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/aec/network/modulation_loss.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/aec/network/se_net.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/aec/layers/layer_base.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/aec/layers/uni_deep_fsmn.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/aec/layers/activations.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/aec/layers/deep_fsmn.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/aec/layers/affine_transform.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/itn/generic_inverse_text_processing.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/funasr/model.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/sv/ERes2Net_aug.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/sv/fusion.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/sv/Res2Net.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/sv/ResNet.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/sv/ecapa_tdnn.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/sv/ERes2Net.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/sv/speaker_change_locator.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/sv/speaker_diarization_semantic_speaker_turn_detection.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/sv/speaker_change_locator_xvector.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/sv/TDNN.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/sv/lanuage_recognition_eres2net.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/sv/DTDNN_layers.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/sv/cluster_backend.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/sv/sdpn.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/sv/speaker_diarization_dialogue_detection.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/sv/xvector.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/sv/lanuage_recognition_model.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/sv/rdino.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/sv/pooling_layers.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/sv/ERes2NetV2.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/sv/DTDNN.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/kws/farfield/fsmn_sele_v3.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/kws/farfield/model.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/kws/farfield/model_def.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/kws/farfield/fsmn.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/kws/farfield/fsmn_sele_v2.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/kws/generic_key_word_spotting.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/kws/nearfield/model.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/kws/nearfield/cmvn.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/kws/nearfield/fsmn.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/tts/laura_codec.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/tts/voice.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/tts/sambert_hifi.py": 1729589057.7173066, "TEMPLATE_PATH/models/audio/asr/wenet_automatic_speech_recognition.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/ans/complex_nn.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/ans/se_module_complex.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/ans/layers/layer_base.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/ans/layers/uni_deep_fsmn.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/ans/layers/activations.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/ans/layers/affine_transform.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/ans/frcrn.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/ans/denoise_net.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/ans/unet.py": 1729589057.7133067, "TEMPLATE_PATH/models/audio/ans/conv_stft.py": 1729589057.7133067, "TEMPLATE_PATH/metrics/builder.py": 1729589057.7093065, "TEMPLATE_PATH/metrics/image_quality_assessment_mos_metric.py": 1729589057.7093065, "TEMPLATE_PATH/metrics/image_inpainting_metric.py": 1729589057.7093065, "TEMPLATE_PATH/metrics/video_summarization_metric.py": 1729589057.7133067, "TEMPLATE_PATH/metrics/loss_metric.py": 1729589057.7093065, "TEMPLATE_PATH/metrics/ned_metric.py": 1729589057.7133067, "TEMPLATE_PATH/metrics/image_denoise_metric.py": 1729589057.7093065, "TEMPLATE_PATH/metrics/token_classification_metric.py": 1729589057.7133067, "TEMPLATE_PATH/metrics/ocr_recognition_metric.py": 1729589057.7133067, "TEMPLATE_PATH/metrics/text_ranking_metric.py": 1729589057.7133067, "TEMPLATE_PATH/metrics/base.py": 1729589057.7093065, "TEMPLATE_PATH/metrics/prediction_saving_wrapper.py": 1729589057.7133067, "TEMPLATE_PATH/metrics/video_frame_interpolation_metric.py": 1729589057.7133067, "TEMPLATE_PATH/metrics/bleu_metric.py": 1729589057.7093065, "TEMPLATE_PATH/metrics/map_metric.py": 1729589057.7133067, "TEMPLATE_PATH/metrics/referring_video_object_segmentation_metric.py": 1729589057.7133067, "TEMPLATE_PATH/metrics/image_portrait_enhancement_metric.py": 1729589057.7093065, "TEMPLATE_PATH/metrics/inbatch_recall_metric.py": 1729589057.7093065, "TEMPLATE_PATH/metrics/ciderD/ciderD.py": 1729589057.7093065, "TEMPLATE_PATH/metrics/ciderD/ciderD_scorer.py": 1729589057.7093065, "TEMPLATE_PATH/metrics/image_color_enhance_metric.py": 1729589057.7093065, "TEMPLATE_PATH/metrics/image_quality_assessment_degradation_metric.py": 1729589057.7093065, "TEMPLATE_PATH/metrics/video_stabilization_metric.py": 1729589057.7133067, "TEMPLATE_PATH/metrics/ppl_metric.py": 1729589057.7133067, "TEMPLATE_PATH/metrics/sequence_classification_metric.py": 1729589057.7133067, "TEMPLATE_PATH/metrics/image_colorization_metric.py": 1729589057.7093065, "TEMPLATE_PATH/metrics/translation_evaluation_metric.py": 1729589057.7133067, "TEMPLATE_PATH/metrics/action_detection_evaluator.py": 1729589057.7093065, "TEMPLATE_PATH/metrics/audio_noise_metric.py": 1729589057.7093065, "TEMPLATE_PATH/metrics/text_generation_metric.py": 1729589057.7133067, "TEMPLATE_PATH/metrics/image_instance_segmentation_metric.py": 1729589057.7093065, "TEMPLATE_PATH/metrics/accuracy_metric.py": 1729589057.7093065, "TEMPLATE_PATH/metrics/movie_scene_segmentation_metric.py": 1729589057.7133067, "TEMPLATE_PATH/metrics/video_super_resolution_metric/video_super_resolution_metric.py": 1729589057.7133067, "TEMPLATE_PATH/metrics/video_super_resolution_metric/matlab_functions.py": 1729589057.7133067, "TEMPLATE_PATH/metrics/video_super_resolution_metric/metric_util.py": 1729589057.7133067, "TEMPLATE_PATH/metrics/video_super_resolution_metric/niqe.py": 1729589057.7133067, "TEMPLATE_PATH/pipelines/builder.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/util.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/pipeline_template.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/base.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/science/protein_structure_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/accelerate/base.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/accelerate/vllm.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/cv/mtcnn_face_detection_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/image_try_on_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/image_face_fusion_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/shop_segmentation_pipleline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/image_control_3D_portrait_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/face_attribute_recognition_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/controllable_image_generation_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/ocr_recognition_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/panorama_depth_estimation_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/video_deinterlace_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/image_classification_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_style_transfer_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_debanding_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/face_image_generation_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/body_2d_keypoints_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/cv/video_depth_estimation_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/body_3d_keypoints_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/cv/content_check_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/cv/face_quality_assessment_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/video_single_object_tracking_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/cv/image_color_enhance_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/skin_retouching_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/live_category_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/video_colorization_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/video_category_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/arc_face_recognition_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/cv/image_denoise_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/face_liveness_ir_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/ulfd_face_detection_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/tinynas_detection_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/virtual_try_on_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/cv/lineless_table_recognition_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/nerf_recon_vq_compression_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/image_super_resolution_pasd_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/bad_image_detecting_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/cv/vision_efficient_tuning_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/cv/language_guided_video_summarization_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/general_recognition_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_depth_estimation_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_matching_fast_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/video_object_segmentation_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/cv/image_view_transform_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/tbs_detection_utils/utils.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/image_quality_assessment_mos_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/indoor_layout_estimation_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/action_detection_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/cv/video_multi_object_tracking_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/cv/anydoor_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/cv/image_deblur_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_quality_assessment_degradation_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/human_normal_estimation_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_normal_estimation_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/rife_video_frame_interpolation_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/image_skychange_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/face_human_hand_detection_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_reid_person_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/video_frame_interpolation_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/video_stabilization_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/cv/face_processing_base_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/tbs_detection_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/object_detection_3d_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/image_instance_segmentation_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/video_panoptic_segmentation_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/cv/self_supervised_depth_completion_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/face_recognition_onnx_fm_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/text_texture_generation_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/crowd_counting_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/animal_recognition_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/cv/video_human_matting_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/facial_68ldk_detection_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/nerf_recon_acc_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/nerf_recon_4k_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/motion_generation_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/image_inpainting_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/face_recognition_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/surface_recon_common_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/pointcloud_sceneflow_estimation_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/video_instance_segmentation_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/cv/referring_video_object_segmentation_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/face_emotion_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_super_resolution_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_to_image_translation_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/image_structured_model_probing_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/human_image_generation_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/mobile_image_super_resolution_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/retina_face_detection_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/text_to_360panorama_image_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/license_plate_detection_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/human3d_animation_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/pedestrian_attribute_recognition_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/facial_expression_recognition_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/card_detection_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/cv/head_reconstruction_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/card_detection_correction_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/cv/dense_optical_flow_estimation_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_depth_estimation_marigold_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_open_vocabulary_detection_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_salient_detection_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_restoration_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_local_feature_matching_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/video_summarization_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/cv/mask_face_recognition_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/product_segmentation_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/image_mvs_depth_estimation_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_semantic_segmentation_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_to_3d_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/hand_static_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_driving_perception_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_bts_depth_estimation_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/panorama_depth_estimation_s2net_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/image_editing_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/face_recognition_onnx_ir_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_colorization_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/movie_scene_segmentation_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/image_defrcn_fewshot_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/vision_middleware_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/cv/vidt_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/cv/image_portrait_enhancement_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_human_parsing_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/video_super_resolution_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/cv/mog_face_detection_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/tinynas_classification_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/fast_instance_segmentation_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/table_recognition_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/maskdino_instance_segmentation_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/ddpm_semantic_segmentation_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/face_reconstruction_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_detection_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_panoptic_segmentation_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/facial_landmark_confidence_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/text_to_head_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/image_inpainting_sdv2_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/ocr_detection_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/image_cartoon_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/action_recognition_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/cv/product_retrieval_embedding_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/vop_retrieval_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/cv/realtime_video_object_detection_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/vop_retrieval_se_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/cv/text_driven_segmentation_pipleline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/face_detection_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/hicossl_video_embedding_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/face_recognition_ood_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_paintbyexample_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_body_reshaping_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_matching_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_quality_assessment_man_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/cmdssl_video_embedding_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/cv/ocr_utils/model_resnet18_half.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/ocr_utils/table_process.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/ocr_utils/ops.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/ocr_utils/utils.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/ocr_utils/model_vlpt.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/ocr_utils/model_dla34.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/ocr_utils/resnet_utils.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/ocr_utils/model_convnext_transformer.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/ocr_utils/model_resnet_mutex_v4_linewithchar.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/ocr_utils/resnet18_v1.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/ocr_utils/ocr_modules/vitstr.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/ocr_utils/ocr_modules/timm_tinyc.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/ocr_utils/ocr_modules/convnext.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/human3d_render_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_to_image_generate_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/human_reconstruction_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/video_inpainting_pipeline.py": 1729589057.8653083, "TEMPLATE_PATH/pipelines/cv/ddcolor_image_colorization_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/face_liveness_xc_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/cv/image_matting_pipeline.py": 1729589057.861308, "TEMPLATE_PATH/pipelines/multi_modal/text_to_image_freeu_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/ocr_recognition_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/image_to_video_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/diffusers_wrapped/vaehook.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/diffusers_wrapped/devices.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/diffusers_wrapped/stable_diffusion/stable_diffusion_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/diffusers_wrapped/stable_diffusion/chinese_stable_diffusion_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/diffusers_wrapped/diffusers_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/diffusers_wrapped/pasd_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/team_multi_modal_similarity_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/asr_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/video_multi_modal_embedding_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/document_vl_embedding_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/video_question_answering_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/multimodal_dialogue_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/text_to_video_synthesis_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/disco_guided_diffusion_pipeline/disco_guided_diffusion.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/disco_guided_diffusion_pipeline/utils.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/sudoku_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/videocomposer_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/generative_multi_modal_embedding_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/video_captioning_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/image_captioning_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/video_to_video_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/visual_question_answering_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/soonet_video_temporal_grounding_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/image_text_retrieval_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/visual_grounding_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/text2sql_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/gridvlp_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/mgeo_ranking_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/prost_text_video_retrieval_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/visual_entailment_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/cone2_pipeline/cones2_inference_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/efficient_diffusion_tuning_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/text_to_image_synthesis_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/multi_modal/multi_modal_embedding_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/nlp/token_classification_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/dialog_state_tracking_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/nlp/fill_mask_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/text_generation_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/user_satisfaction_estimation_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/llm_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/translation_quality_estimation_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/glm130b_text_generation_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/translation_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/word_segmentation_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/information_extraction_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/distributed_gpt3_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/nlp/word_alignment_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/named_entity_recognition_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/dialog_intent_prediction_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/nlp/fid_dialogue_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/document_grounded_dialog_retrieval_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/codegeex_code_generation_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/nlp/canmt_translation_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/nlp/text_error_correction_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/codegeex_code_translation_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/nlp/siamese_uie_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/dialog_modeling_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/nlp/zero_shot_classification_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/automatic_post_editing_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/nlp/conversational_text_to_sql_pipeline.py": 1729589057.8693082, "TEMPLATE_PATH/pipelines/nlp/machine_reading_comprehension_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/faq_question_answering_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/fasttext_text_classification_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/polylm_text_generation_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/translation_evaluation_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/extractive_summarization_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/distributed_plug_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/interactive_translation_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/table_question_answering_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/document_grounded_dialog_generate_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/mglm_text_summarization_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/distributed_gpt_moe_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/document_segmentation_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/language_identification_pipline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/feature_extraction_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/summarization_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/text_classification_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/sentence_embedding_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/document_grounded_dialog_rerank_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/nlp/text_ranking_pipeline.py": 1729589057.8733082, "TEMPLATE_PATH/pipelines/audio/speaker_change_locating_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/audio/segmentation_clustering_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/audio/text_to_speech_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/audio/speaker_verification_eres2net_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/audio/inverse_text_processing_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/audio/ans_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/audio/audio_quantization_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/audio/speaker_verification_resnet_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/audio/kws_kwsbp_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/audio/speaker_verification_rdino_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/audio/language_recognition_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/audio/language_recognition_eres2net_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/audio/speaker_diarization_semantic_speaker_turn_detection_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/audio/speaker_verification_light_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/audio/speaker_verification_res2net_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/audio/ans_dfsmn_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/audio/speaker_verification_tdnn_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/audio/speaker_diarization_dialogue_detection_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/audio/speaker_verification_sdpn_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/audio/linear_aec_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/audio/speech_separation_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/audio/funasr_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/audio/speaker_verification_eres2netv2_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/audio/codec_based_synthesis_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/audio/asr_wenet_inference_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/audio/kws_farfield_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/pipelines/audio/separation_pipeline.py": 1729589057.8573081, "TEMPLATE_PATH/preprocessors/builder.py": 1729589057.8733082, "TEMPLATE_PATH/preprocessors/video.py": 1729589057.8813083, "TEMPLATE_PATH/preprocessors/multi_modal.py": 1729589057.8733082, "TEMPLATE_PATH/preprocessors/audio.py": 1729589057.8733082, "TEMPLATE_PATH/preprocessors/base.py": 1729589057.8733082, "TEMPLATE_PATH/preprocessors/speaker.py": 1729589057.8813083, "TEMPLATE_PATH/preprocessors/science/uni_fold.py": 1729589057.8813083, "TEMPLATE_PATH/preprocessors/kws.py": 1729589057.8733082, "TEMPLATE_PATH/preprocessors/cv/bad_image_detecting_preprocessor.py": 1729589057.8733082, "TEMPLATE_PATH/preprocessors/cv/action_detection_mapper.py": 1729589057.8733082, "TEMPLATE_PATH/preprocessors/cv/util.py": 1729589057.8733082, "TEMPLATE_PATH/preprocessors/cv/image_restoration_preprocessor.py": 1729589057.8733082, "TEMPLATE_PATH/preprocessors/cv/video_stabilization.py": 1729589057.8733082, "TEMPLATE_PATH/preprocessors/cv/controllable_image_generation.py": 1729589057.8733082, "TEMPLATE_PATH/preprocessors/cv/image_quality_assessment_mos.py": 1729589057.8733082, "TEMPLATE_PATH/preprocessors/cv/cv2_transforms.py": 1729589057.8733082, "TEMPLATE_PATH/preprocessors/cv/image_quality_assessment_man.py": 1729589057.8733082, "TEMPLATE_PATH/preprocessors/cv/image_classification_preprocessor.py": 1729589057.8733082, "TEMPLATE_PATH/preprocessors/cv/timer.py": 1729589057.8733082, "TEMPLATE_PATH/preprocessors/cv/video_super_resolution.py": 1729589057.8733082, "TEMPLATE_PATH/preprocessors/cv/mmcls_preprocessor.py": 1729589057.8733082, "TEMPLATE_PATH/preprocessors/nlp/document_segmentation_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/text_clean.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/transformers_tokenizer.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/fill_mask_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/space_T_cn/fields/database.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/space_T_cn/fields/struct.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/space_T_cn/fields/schema_link.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/space_T_cn/table_question_answering_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/word_alignment_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/feature_extraction_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/utils.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/siamese_uie_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/translation_evaluation_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/text_error_correction.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/bert_seq_cls_tokenizer.py": 1729589057.8733082, "TEMPLATE_PATH/preprocessors/nlp/space/dialog_modeling_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/space/dialog_state_tracking_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/space/data_loader.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/space/preprocess.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/space/batch.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/space/fields/gen_field.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/space/fields/intent_field.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/space/sampler.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/space/args.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/space/tensorlistdataset.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/space/dialog_intent_prediction_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/space/dst_processors.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/space/tokenizer.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/space/lazy_dataset.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/sentence_embedding_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/token_classification_thai_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/text_ranking_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/document_grounded_dialog_rerank_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/document_grounded_dialog_generate_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/text_generation_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/text_classification_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/relation_extraction_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/space_T_en/fields/common_utils.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/space_T_en/fields/process_dataset.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/space_T_en/fields/parse.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/space_T_en/fields/preprocess_dataset.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/space_T_en/conversational_text_to_sql_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/mgeo_ranking_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/document_grounded_dialog_retrieval_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/faq_question_answering_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/mglm_summarization_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/zero_shot_classification_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/machine_reading_comprehension_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/token_classification_viet_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/token_classification_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/dialog_classification_use_preprocessor.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/nlp/canmt_translation.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/tts.py": 1729589057.8813083, "TEMPLATE_PATH/preprocessors/templates/template.py": 1729589057.8813083, "TEMPLATE_PATH/preprocessors/templates/base.py": 1729589057.8813083, "TEMPLATE_PATH/preprocessors/templates/utils.py": 1729589057.8813083, "TEMPLATE_PATH/preprocessors/templates/tools_prompt.py": 1729589057.8813083, "TEMPLATE_PATH/preprocessors/templates/loader.py": 1729589057.8813083, "TEMPLATE_PATH/preprocessors/templates/loss_scale.py": 1729589057.8813083, "TEMPLATE_PATH/preprocessors/asr.py": 1729589057.8733082, "TEMPLATE_PATH/preprocessors/movie_scene_segmentation/transforms.py": 1729589057.8733082, "TEMPLATE_PATH/preprocessors/ofa/ocr_recognition.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/ofa/text_classification.py": 1729589057.8813083, "TEMPLATE_PATH/preprocessors/ofa/visual_question_answering.py": 1729589057.8813083, "TEMPLATE_PATH/preprocessors/ofa/visual_grounding.py": 1729589057.8813083, "TEMPLATE_PATH/preprocessors/ofa/base.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/ofa/sudoku.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/ofa/image_captioning.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/ofa/image_classification.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/ofa/summarization.py": 1729589057.8813083, "TEMPLATE_PATH/preprocessors/ofa/visual_entailment.py": 1729589057.8813083, "TEMPLATE_PATH/preprocessors/ofa/text_to_image_synthesis.py": 1729589057.8813083, "TEMPLATE_PATH/preprocessors/ofa/utils/transforms.py": 1729589057.8813083, "TEMPLATE_PATH/preprocessors/ofa/utils/get_tables.py": 1729589057.8813083, "TEMPLATE_PATH/preprocessors/ofa/utils/collate.py": 1729589057.8813083, "TEMPLATE_PATH/preprocessors/ofa/utils/random_help.py": 1729589057.8813083, "TEMPLATE_PATH/preprocessors/ofa/utils/constant.py": 1729589057.8813083, "TEMPLATE_PATH/preprocessors/ofa/utils/text2phone.py": 1729589057.8813083, "TEMPLATE_PATH/preprocessors/ofa/utils/audio_helper.py": 1729589057.8813083, "TEMPLATE_PATH/preprocessors/ofa/utils/vision_helper.py": 1729589057.8813083, "TEMPLATE_PATH/preprocessors/ofa/utils/bridge_content_encoder.py": 1729589057.8813083, "TEMPLATE_PATH/preprocessors/ofa/text2sql.py": 1729589057.8813083, "TEMPLATE_PATH/preprocessors/ofa/asr.py": 1729589057.8773084, "TEMPLATE_PATH/preprocessors/common.py": 1729589057.8733082, "TEMPLATE_PATH/preprocessors/image.py": 1729589057.8733082, "TEMPLATE_PATH/trainers/builder.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/base.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/training_args.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/nlp_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/optimizer/builder.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/optimizer/child_tuning_adamw_optimizer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/lrscheduler/builder.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/lrscheduler/warmup/base.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/lrscheduler/warmup/warmup.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/cv/image_classifition_trainer.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/cv/card_detection_scrfd_trainer.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/cv/action_detection_trainer.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/cv/face_detection_scrfd_trainer.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/cv/referring_video_object_segmentation_trainer.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/cv/image_portrait_enhancement_trainer.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/cv/movie_scene_segmentation_trainer.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/cv/image_defrcn_fewshot_detection_trainer.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/cv/vision_efficient_tuning_trainer.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/cv/image_detection_damoyolo_trainer.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/cv/ocr_detection_db_trainer.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/cv/image_inpainting_trainer.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/cv/ocr_recognition_trainer.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/cv/cartoon_translation_trainer.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/cv/nerf_recon_acc_trainer.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/cv/image_instance_segmentation_trainer.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/multi_modal/efficient_diffusion_tuning/efficient_diffusion_tuning_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/multi_modal/lora_diffusion/lora_diffusion_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/multi_modal/cones2/cones_trainer.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/multi_modal/lora_diffusion_xl/lora_diffusion_xl_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/multi_modal/custom_diffusion/custom_diffusion_trainer.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/multi_modal/mgeo_ranking_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/multi_modal/dreambooth_diffusion/dreambooth_diffusion_trainer.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/multi_modal/stable_diffusion/stable_diffusion_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/multi_modal/clip/clip_trainer.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/multi_modal/clip/clip_trainer_utils.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/multi_modal/mplug/mplug_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/multi_modal/team/team_trainer_utils.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/multi_modal/team/team_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/multi_modal/ofa/ofa_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/multi_modal/ofa/ofa_trainer_utils.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/nlp/siamese_uie_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/nlp/csanmt_translation_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/nlp/text_generation_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/nlp/sequence_classification_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/nlp/document_grounded_dialog_retrieval_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/nlp/space/metrics/metrics_tracker.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/nlp/space/dialog_intent_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/nlp/space/trainer/gen_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/nlp/space/trainer/intent_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/nlp/space/eval.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/nlp/space/dialog_modeling_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/nlp/document_grounded_dialog_generate_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/nlp/table_question_answering_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/nlp/plug_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/nlp/gpt_moe_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/nlp/sentence_embedding_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/nlp/faq_question_answering_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/nlp/gpt3_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/nlp/text_ranking_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/nlp/document_grounded_dialog_rerank_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/nlp/translation_evaluation_trainer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/utils/inference.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/utils/log_buffer.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/parallel/builder.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/parallel/utils.py": 1729589057.8893085, "TEMPLATE_PATH/trainers/audio/asr_trainer.py": 1729589057.8813083, "TEMPLATE_PATH/trainers/audio/ans_trainer.py": 1729589057.8813083, "TEMPLATE_PATH/trainers/audio/kws_farfield_trainer.py": 1729589057.8813083, "TEMPLATE_PATH/trainers/audio/kws_utils/model_utils.py": 1729589057.8813083, "TEMPLATE_PATH/trainers/audio/kws_utils/det_utils.py": 1729589057.8813083, "TEMPLATE_PATH/trainers/audio/kws_utils/file_utils.py": 1729589057.8813083, "TEMPLATE_PATH/trainers/audio/kws_utils/batch_utils.py": 1729589057.8813083, "TEMPLATE_PATH/trainers/audio/kws_utils/runtime_utils.py": 1729589057.8813083, "TEMPLATE_PATH/trainers/audio/separation_trainer.py": 1729589057.8813083, "TEMPLATE_PATH/trainers/audio/kws_nearfield_trainer.py": 1729589057.8813083, "TEMPLATE_PATH/trainers/audio/tts_trainer.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/default_config.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/hooks/builder.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/hooks/clip_clamp_logit_scale_hook.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/hooks/iter_timer_hook.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/hooks/evaluation_hook.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/hooks/lr_scheduler_hook.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/hooks/optimizer/torch_optimizer_hook.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/hooks/optimizer/base.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/hooks/optimizer/apex_optimizer_hook.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/hooks/checkpoint/checkpoint_processor.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/hooks/checkpoint/checkpoint_hook.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/hooks/checkpoint/load_checkpoint_hook.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/hooks/distributed/megatron_hook.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/hooks/distributed/ddp_hook.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/hooks/distributed/deepspeed_hook.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/hooks/swift/swift_hook.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/hooks/compression/sparsity_hook.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/hooks/compression/utils.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/hooks/early_stop_hook.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/hooks/priority.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/hooks/hook.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/hooks/logger/base.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/hooks/logger/tensorboard_hook.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/hooks/logger/text_logger_hook.py": 1729589057.8853085, "TEMPLATE_PATH/trainers/cli_argument_parser.py": 1729589057.8853085, "TEMPLATE_PATH/msdatasets/data_files/data_files_manager.py": 1729589057.845308, "TEMPLATE_PATH/msdatasets/context/dataset_context_config.py": 1729589057.845308, "TEMPLATE_PATH/msdatasets/ms_dataset.py": 1729589057.853308, "TEMPLATE_PATH/msdatasets/auth/auth_config.py": 1729589057.845308, "TEMPLATE_PATH/msdatasets/meta/data_meta_config.py": 1729589057.853308, "TEMPLATE_PATH/msdatasets/meta/data_meta_manager.py": 1729589057.853308, "TEMPLATE_PATH/msdatasets/data_loader/data_loader.py": 1729589057.845308, "TEMPLATE_PATH/msdatasets/data_loader/data_loader_manager.py": 1729589057.845308, "TEMPLATE_PATH/msdatasets/download/download_manager.py": 1729589057.853308, "TEMPLATE_PATH/msdatasets/download/dataset_builder.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/download/download_config.py": 1729589057.853308, "TEMPLATE_PATH/msdatasets/utils/delete_utils.py": 1729589057.853308, "TEMPLATE_PATH/msdatasets/utils/hf_datasets_util.py": 1729589057.853308, "TEMPLATE_PATH/msdatasets/utils/hf_file_utils.py": 1729589057.853308, "TEMPLATE_PATH/msdatasets/utils/upload_utils.py": 1729589057.853308, "TEMPLATE_PATH/msdatasets/utils/oss_utils.py": 1729589057.853308, "TEMPLATE_PATH/msdatasets/utils/maxcompute_utils.py": 1729589057.853308, "TEMPLATE_PATH/msdatasets/utils/dataset_utils.py": 1729589057.853308, "TEMPLATE_PATH/msdatasets/task_datasets/video_summarization_dataset.py": 1729589057.853308, "TEMPLATE_PATH/msdatasets/task_datasets/sidd_image_denoising.py": 1729589057.853308, "TEMPLATE_PATH/msdatasets/task_datasets/torch_base_dataset.py": 1729589057.853308, "TEMPLATE_PATH/msdatasets/task_datasets/reds_image_deblurring_dataset.py": 1729589057.853308, "TEMPLATE_PATH/msdatasets/task_datasets/gopro_image_deblurring_dataset.py": 1729589057.853308, "TEMPLATE_PATH/msdatasets/audio/asr_dataset.py": 1729589057.845308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/builder.py": 1729589057.845308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/damoyolo/datasets/coco.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/damoyolo/datasets/mosaic_wrapper.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/damoyolo/evaluation/coco/coco_eval.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/damoyolo/build.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/damoyolo/samplers/grouped_batch_sampler.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/damoyolo/samplers/distributed.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/damoyolo/samplers/iteration_based_batch_sampler.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/damoyolo/collate_batch.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/damoyolo/transforms/transforms.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/damoyolo/transforms/build.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/video_summarization_dataset.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_recognition_dataset.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/referring_video_object_segmentation/transformers.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/referring_video_object_segmentation/referring_video_object_segmentation_dataset.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/easycv_base.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_detection/data_loader.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_detection/augmenter.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_detection/processes/make_icdar_data.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_detection/processes/data_process.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_detection/processes/make_seg_detection_data.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_detection/processes/normalize_image.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_detection/processes/make_border_map.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_detection/processes/random_crop_data.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_detection/processes/augment_data.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_detection/measures/quad_measurer.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_detection/measures/iou_evaluator.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/ocr_detection/image_dataset.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_inpainting/aug.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_inpainting/image_inpainting_dataset.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/reds_image_deblurring_dataset.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/video_stabilization/video_stabilization_dataset.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/video_frame_interpolation/video_frame_interpolation_dataset.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/video_frame_interpolation/data_utils.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/gopro_image_deblurring_dataset.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/language_guided_video_summarization_dataset.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/torch_custom_dataset.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_colorization/image_colorization_dataset.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_portrait_enhancement/image_portrait_enhancement_dataset.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_portrait_enhancement/data_utils.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/veco_dataset.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/sidd_image_denoising/transforms.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/sidd_image_denoising/data_utils.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/sidd_image_denoising/sidd_image_denoising_dataset.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_quality_assmessment_mos/image_quality_assessment_mos_dataset.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/bad_image_detecting/bad_image_detecting_dataset.py": 1729589057.845308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_instance_segmentation_coco_dataset.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/audio/asr_dataset.py": 1729589057.845308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/audio/kws_farfield_dataset.py": 1729589057.845308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/audio/kws_nearfield_processor.py": 1729589057.845308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/audio/kws_nearfield_dataset.py": 1729589057.845308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/mgeo_ranking_dataset.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/movie_scene_segmentation/movie_scene_segmentation_dataset.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/movie_scene_segmentation/sampler.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/video_super_resolution/video_super_resolution_dataset.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/image_quality_assessment_degradation/image_quality_assessment_degradation_dataset.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/custom_datasets/text_ranking_dataset.py": 1729589057.849308, "TEMPLATE_PATH/msdatasets/dataset_cls/dataset.py": 1729589057.849308, "TEMPLATE_PATH/exporters/builder.py": 1729589057.7093065, "TEMPLATE_PATH/exporters/base.py": 1729589057.7093065, "TEMPLATE_PATH/exporters/tf_model_exporter.py": 1729589057.7093065, "TEMPLATE_PATH/exporters/cv/object_detection_damoyolo_exporter.py": 1729589057.7093065, "TEMPLATE_PATH/exporters/cv/cartoon_translation_exporter.py": 1729589057.7093065, "TEMPLATE_PATH/exporters/cv/face_detection_scrfd_exporter.py": 1729589057.7093065, "TEMPLATE_PATH/exporters/cv/ocr_detection_db_exporter.py": 1729589057.7093065, "TEMPLATE_PATH/exporters/cv/ocr_recognition_exporter.py": 1729589057.7093065, "TEMPLATE_PATH/exporters/multi_modal/stable_diffusion_exporter.py": 1729589057.7093065, "TEMPLATE_PATH/exporters/nlp/sbert_for_zero_shot_classification_exporter.py": 1729589057.7093065, "TEMPLATE_PATH/exporters/nlp/sbert_for_sequence_classification_exporter.py": 1729589057.7093065, "TEMPLATE_PATH/exporters/nlp/model_for_token_classification_exporter.py": 1729589057.7093065, "TEMPLATE_PATH/exporters/nlp/csanmt_for_translation_exporter.py": 1729589057.7093065, "TEMPLATE_PATH/exporters/torch_model_exporter.py": 1729589057.7093065, "TEMPLATE_PATH/exporters/audio/ans_dfsmn_exporter.py": 1729589057.7093065}, "modelscope_path": "TEMPLATE_PATH"}